# -*- coding: utf-8 -*-
__license__   = 'GPL v3'
__copyright__ = '2014,2015,2016,2017,2018,2019,2020,2021,2022,2023 DaltonST'
__my_version__ = "3.6.120"    # Qt.core

from polyglot.builtins import as_unicode

def add_global_authors(my_db, my_cursor, log):
    #Also used by authorlevel.py, which also updates the Sort and Link columns automatically as needed.

    try:
        my_cursor.execute("commit")    #to avoid any job failures due to an outstanding BEGIN TRANSACTION created elsewhere
    except:
        pass

    #-----------------------------------------------------------------------------------------------------
    try:
        my_cursor.execute("\
            BEGIN TRANSACTION; \
            INSERT OR IGNORE INTO _pristine_authors (id,name,sort,link) SELECT null,name,' ',' ' FROM _author_mapping WHERE name NOT NULL AND newname NOT NULL; \
            INSERT OR IGNORE INTO _pristine_authors (id,name,sort,link) SELECT null,newname,' ',' ' FROM _author_mapping WHERE name NOT NULL AND newname NOT NULL; \
            COMMIT; ")
    except:
        try:
            my_cursor.execute("commit")    #to avoid any job failures due to an outstanding BEGIN TRANSACTION created elsewhere
        except:
            pass
    #-----------------------------------------------------------------------------------------------------


    try:
        my_cursor.execute("\
            BEGIN TRANSACTION; \
            INSERT OR IGNORE INTO _global_authors VALUES(NULL,'Dr Seuss',' ',' ');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'William Bass','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Willard F. Harley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Vaseem Khan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tyrese Gibson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tim Gerard Reynolds','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Terrie Todd','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tara Fields','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sunjeev Sahota','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sue Johnson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Simon Critchley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sherwin B. Nuland','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sherry Argov','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sabrina Alexis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Ruth Ware','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Robert D. Lupton','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Robert A. Glover','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Richard Ferber','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Rebecca Wells','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Pierrick Bourgault','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Pia Mellody','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Paula J. Giddings','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Patti Stanger','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Nina George','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Neil Smith','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Mike Gilbert','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michelle Skeen','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michelle Alexander','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michael Punke','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michael Griesbach','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Melanie Dickerson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Matthew Hussey','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Mark Fuhrman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Marie Forleo','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Maharishi Mahesh Yogi','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Maggie Ford','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Lexy Timms','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Laura Berman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Laura Barnett','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Kate Hamer','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'John Gottman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'John Dickie','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Joanna Cannon','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jill Leovy','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jesper Bugge Kold','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jenny Eclair','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jennifer L. Pozner','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jennifer Arnold','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jacob Riis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Indiana Wake','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Hetty van de Rijt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Heidi Murkoff','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Harville Hendrix','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Greg Behrendt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'George Anastasia','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'G.L. Lambert','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Fernando Gamboa','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Emerson Eggerichs','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Eli Sanders','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Dr. Ari Brown','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Dinah Jefferies','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Diana Kirschner','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Devon Franklin','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Debbie Howells','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Schnarch','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Ebershoff','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Brooks','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Dani Atkins','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Corey Wayne','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Cokie Roberts','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Clare Mackintosh','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Christopher Ryan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Christopher Hodapp','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Charles Brandt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Celia Imrie','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Cathy Bramley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'C.L. Taylor','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Bob Halloran','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Bianca Blythe','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Barbara Steffens','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Angela Y. Davis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Angela Clarke','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Andrew Solomon','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Allan Hall','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Alexandra Burt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Alexander Chee','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'William Bass','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Willard F. Harley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Vaseem Khan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tyrese Gibson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tim Gerard Reynolds','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Terrie Todd','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tara Fields','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sunjeev Sahota','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sue Johnson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Simon Critchley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sherwin B. Nuland','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sherry Argov','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Sabrina Alexis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Ruth Ware','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Robert D. Lupton','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Robert A. Glover','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Richard Ferber','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Rebecca Wells','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Pierrick Bourgault','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Pia Mellody','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Paula J. Giddings','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Patti Stanger','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Nina George','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Neil Smith','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Mike Gilbert','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michelle Skeen','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michelle Alexander','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michael Punke','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Michael Griesbach','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Melanie Dickerson','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Matthew Hussey','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Mark Fuhrman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Marie Forleo','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Maharishi Mahesh Yogi','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Maggie Ford','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Lexy Timms','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Laura Berman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Laura Barnett','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Kate Hamer','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'John Gottman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'John Dickie','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Joanna Cannon','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jill Leovy','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jesper Bugge Kold','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jenny Eclair','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jennifer L. Pozner','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jennifer Arnold','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Jacob Riis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Indiana Wake','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Hetty van de Rijt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Heidi Murkoff','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Harville Hendrix','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Greg Behrendt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'George Anastasia','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'G.L. Lambert','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Fernando Gamboa','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Emerson Eggerichs','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Eli Sanders','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Ari Brown','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Dinah Jefferies','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Diana Kirschner','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Devon Franklin','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Debbie Howells','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Schnarch','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Ebershoff','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'David Brooks','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Dani Atkins','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Corey Wayne','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Cokie Roberts','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Clare Mackintosh','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Christopher Ryan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Christopher Hodapp','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Charles Brandt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Celia Imrie','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Cathy Bramley','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'C.L. Taylor','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Bob Halloran','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Bianca Blythe','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Barbara Steffens','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Angela Y. Davis','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Angela Clarke','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Andrew Solomon','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Allan Hall','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Alexandra Burt','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Alexander Chee','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Robert Stallman','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Tina Connolly','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Katherine Addison','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Richard Bowes','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Hayden Howard','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Caitlín R. Kiernan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Caitlin R. Kiernan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Theodore L. Thomas','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Randall Munroe','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Charlie Jane Anders','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Brian K. Vaughan','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Ursula Vernon','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Stuart Lilie','','');\
            INSERT OR IGNORE INTO _global_authors VALUES (NULL,'Winston Churchill','','');\
            COMMIT; ")
    except Exception as e:
        log("Error in creating new Global Authors [1a]")
        log(as_unicode(e))
        try:
            my_cursor.execute("commit")    #to avoid any job failures due to an outstanding BEGIN TRANSACTION created elsewhere
        except:
            pass


    #~ -------------------------------------------------
    try:
        my_cursor.execute("BEGIN TRANSACTION")
        mysql = "\
        INSERT OR IGNORE INTO _global_authors (name,sort,link) VALUES ('A. American','American, A.','~A. American~A.American~American, A.~American,A.~American A.~American A ^'),\
         ('A. Jade','Jade, A.','~A. Jade~A.Jade~Jade, A.~Jade,A.~Jade A.~Jade A ^'),\
         ('A. Zavarelli','Zavarelli, A.','~A. Zavarelli~A.Zavarelli~Zavarelli, A.~Zavarelli,A.~Zavarelli A.~Zavarelli A ^'),\
         ('A.A. Dhand','Dhand, A.A.','~A.A. Dhand~A. A. Dhand~A.A.Dhand~Dhand, A.~Dhand,A.~Dhand A.~Dhand A ^'),\
         ('A.E. Howe','Howe, A.E.','~A.E. Howe~A. E. Howe~A.E.Howe~Howe, A.~Howe,A.~Howe A.~Howe A ^'),\
         ('A.E. Rayne','Rayne, A.E.','~A.E. Rayne~A. E. Rayne~A.E.Rayne~Rayne, A.~Rayne,A.~Rayne A.~Rayne A ^'),\
         ('A.E. Via','Via, A.E.','~A.E. Via~A. E. Via~A.E.Via~Via, A.~Via,A.~Via A.~Via A ^'),\
         ('A.G. Howard','Howard, A.G.','~A.G. Howard~A. G. Howard~A.G.Howard~Howard, A.~Howard,A.~Howard A.~Howard A ^'),\
         ('A.J. Cross','Cross, A.J.','~A.J. Cross~A. J. Cross~A.J.Cross~Cross, A.~Cross,A.~Cross A.~Cross A ^'),\
         ('A.J. Finn','Finn, A.J.','~A.J. Finn~A. J. Finn~A.J.Finn~Finn, A.~Finn,A.~Finn A.~Finn A ^'),\
         ('A.J. Hackwith','Hackwith, A.J.','~A.J. Hackwith~A. J. Hackwith~A.J.Hackwith~Hackwith, A.~Hackwith,A.~Hackwith A.~Hackwith A ^'),\
         ('A.J. MacKenzie','MacKenzie, A.J.','~A.J. MacKenzie~A. J. MacKenzie~A.J.MacKenzie~MacKenzie, A.~MacKenzie,A.~MacKenzie A.~MacKenzie A ^'),\
         ('A.J. Markam','Markam, A.J.','~A.J. Markam~A. J. Markam~A.J.Markam~Markam, A.~Markam,A.~Markam A.~Markam A ^'),\
         ('A.J. Pine','Pine, A.J.','~A.J. Pine~A. J. Pine~A.J.Pine~Pine, A.~Pine,A.~Pine A.~Pine A ^'),\
         ('A.J. Rivers','Rivers, A.J.','~A.J. Rivers~A. J. Rivers~A.J.Rivers~Rivers, A.~Rivers,A.~Rivers A.~Rivers A ^'),\
         ('A.J. Tata','Tata, A.J.','~A.J. Tata~A. J. Tata~A.J.Tata~Tata, A.~Tata,A.~Tata A.~Tata A ^'),\
         ('A.K. Larkwood','Larkwood, A.K.','~A.K. Larkwood~A. K. Larkwood~A.K.Larkwood~Larkwood, A.~Larkwood,A.~Larkwood A.~Larkwood A ^'),\
         ('A.K. Turner','Turner, A.K.','~A.K. Turner~A. K. Turner~A.K.Turner~Turner, A.~Turner,A.~Turner A.~Turner A ^'),\
         ('A.L. Fraine','Fraine, A.L.','~A.L. Fraine~A. L. Fraine~A.L.Fraine~Fraine, A.~Fraine,A.~Fraine A.~Fraine A ^'),\
         ('A.Lee Martinez','Martinez, A.Lee','~A.L. Martinez~A. L. Martinez~A.L.Martinez~Martinez, A.~Martinez,A.~Martinez A.~Martinez A ^'),\
         ('A.M. Stuart','Stuart, A.M.','~A.M. Stuart~A. M. Stuart~A.M.Stuart~Stuart, A.~Stuart,A.~Stuart A.~Stuart A ^'),\
         ('A.P. Bateman','Bateman, A.P.','~A.P. Bateman~A. P. Bateman~A.P.Bateman~Bateman, A.~Bateman,A.~Bateman A.~Bateman A ^'),\
         ('A.P. Beswick','Beswick, A.P.','~A.P. Beswick~A. P. Beswick~A.P.Beswick~Beswick, A.~Beswick,A.~Beswick A.~Beswick A ^'),\
         ('A.R. Torre','Torre, A.R.','~A.R. Torre~A. R. Torre~A.R.Torre~Torre, A.~Torre,A.~Torre A.~Torre A ^'),\
         ('A.R. Winters','Winters, A.R.','~A.R. Winters~A. R. Winters~A.R.Winters~Winters, A.~Winters,A.~Winters A.~Winters A ^'),\
         ('Aaron Blabey','Blabey, Aaron','~A. Blabey~A.Blabey~Blabey, A.~Blabey,A.~Blabey A.~Blabey A ^'),\
         ('Aaron Crash','Crash, Aaron','~A. Crash~A.Crash~Crash, A.~Crash,A.~Crash A.~Crash A ^'),\
         ('Aaron Oster','Oster, Aaron','~A. Oster~A.Oster~Oster, A.~Oster,A.~Oster A.~Oster A ^'),\
         ('Abbi Waxman','Waxman, Abbi','~A. Waxman~A.Waxman~Waxman, A.~Waxman,A.~Waxman A.~Waxman A ^'),\
         ('Abbie Zanders','Zanders, Abbie','~A. Zanders~A.Zanders~Zanders, A.~Zanders,A.~Zanders A.~Zanders A ^'),\
         ('Abby Collette','Collette, Abby','~A. Collette~A.Collette~Collette, A.~Collette,A.~Collette A.~Collette A ^'),\
         ('Abby Jimenez','Jimenez, Abby','~A. Jimenez~A.Jimenez~Jimenez, A.~Jimenez,A.~Jimenez A.~Jimenez A ^'),\
         ('Abigail Wilson','Wilson, Abigail','~A. Wilson~A.Wilson~Wilson, A.~Wilson,A.~Wilson A.~Wilson A ^'),\
         ('Abir Mukherjee','Mukherjee, Abir','~A. Mukherjee~A.Mukherjee~Mukherjee, A.~Mukherjee,A.~Mukherjee A.~Mukherjee A ^'),\
         ('Abir Mukherjee','Mukherjee, Abir','~A. Mukherjee~A.Mukherjee~Mukherjee, A.~Mukherjee,A.~Mukherjee A.~Mukherjee A ^'),\
         ('A.C. Cobble','Cobble, A.C.','~A. Cobble~A.Cobble~Cobble, A.~Cobble,A.~Cobble A.~Cobble A ^'),\
         ('ACF Bookens','Bookens, ACF','~A. Bookens~A.Bookens~Bookens, A.~Bookens,A.~Bookens A.~Bookens A ^'),\
         ('Adalyn Grace','Grace, Adalyn','~A. Grace~A.Grace~Grace, A.~Grace,A.~Grace A.~Grace A ^'),\
         ('Adam Blade','Blade, Adam','~A. Blade~A.Blade~Blade, A.~Blade,A.~Blade A.~Blade A ^'),\
         ('Adam Croft','Croft, Adam','~A. Croft~A.Croft~Croft, A.~Croft,A.~Croft A.~Croft A ^'),\
         ('Adam Hamdy','Hamdy, Adam','~A. Hamdy~A.Hamdy~Hamdy, A.~Hamdy,A.~Hamdy A.~Hamdy A ^'),\
         ('Adam Lyndon','Lyndon, Adam','~A. Lyndon~A.Lyndon~Lyndon, A.~Lyndon,A.~Lyndon A.~Lyndon A ^'),\
         ('Adam Nicholls','Nicholls, Adam','~A. Nicholls~A.Nicholls~Nicholls, A.~Nicholls,A.~Nicholls A.~Nicholls A ^'),\
         ('Adam Silvera','Silvera, Adam','~A. Silvera~A.Silvera~Silvera, A.~Silvera,A.~Silvera A.~Silvera A ^'),\
         ('Addison Armstrong','Armstrong, Addison','~A. Armstrong~A.Armstrong~Armstrong, A.~Armstrong,A.~Armstrong A.~Armstrong A ^'),\
         ('Addison Cain','Cain, Addison','~A. Cain~A.Cain~Cain, A.~Cain,A.~Cain A.~Cain A ^'),\
         ('Addison Jane','Jane, Addison','~A. Jane~A.Jane~Jane, A.~Jane,A.~Jane A.~Jane A ^'),\
         ('Adelaide Forrest','Forrest, Adelaide','~A. Forrest~A.Forrest~Forrest, A.~Forrest,A.~Forrest A.~Forrest A ^'),\
         ('Adele Abbott','Abbott, Adele','~A. Abbott~A.Abbott~Abbott, A.~Abbott,A.~Abbott A.~Abbott A ^'),\
         ('Adele Clee','Clee, Adele','~A. Clee~A.Clee~Clee, A.~Clee,A.~Clee A.~Clee A ^'),\
         ('Adrian McKinty','McKinty, Adrian','~A. McKinty~A.McKinty~McKinty, A.~McKinty,A.~McKinty A.~McKinty A ^'),\
         ('Adriana Locke','Locke, Adriana','~A. Locke~A.Locke~Locke, A.~Locke,A.~Locke A.~Locke A ^'),\
         ('Adrienne Young','Young, Adrienne','~A. Young~A.Young~Young, A.~Young,A.~Young A.~Young A ^'),\
         ('Aer-ki Jyr','Jyr, Aer-ki','~A. Jyr~A.Jyr~Jyr, A.~Jyr,A.~Jyr A.~Jyr A ^'),\
         ('Agatha Frost','Frost, Agatha','~A. Frost~A.Frost~Frost, A.~Frost,A.~Frost A.~Frost A ^'),\
         ('Aiden Thomas','Thomas, Aiden','~A. Thomas~A.Thomas~Thomas, A.~Thomas,A.~Thomas A.~Thomas A ^'),\
         ('Aidy Award','Award, Aidy','~A. Award~A.Award~Award, A.~Award,A.~Award A.~Award A ^'),\
         ('Aimee Nicole Walker','Walker, Aimee Nicole','~A.N. Walker~A. N. Walker~A.N.Walker~Walker, A.~Walker,A.~Walker A.~Walker A ^'),\
         ('Ainsley St Claire','Claire, Ainsley St','~A.S. Claire~A. S. Claire~A.S.Claire~Claire, A.~Claire,A.~Claire A.~Claire A ^'),\
         ('AJ Pearce','Pearce, AJ','~A. Pearce~A.Pearce~Pearce, A.~Pearce,A.~Pearce A.~Pearce A ^'),\
         ('Alaina Urquhart','Urquhart, Alaina','~A. Urquhart~A.Urquhart~Urquhart, A.~Urquhart,A.~Urquhart A.~Urquhart A ^'),\
         ('Alan Gratz','Gratz, Alan','~A. Gratz~A.Gratz~Gratz, A.~Gratz,A.~Gratz A.~Gratz A ^'),\
         ('Alan Hunter','Hunter, Alan','~A. Hunter~A.Hunter~Hunter, A.~Hunter,A.~Hunter A.~Hunter A ^'),\
         ('Alan Johnson','Johnson, Alan','~A. Johnson~A.Johnson~Johnson, A.~Johnson,A.~Johnson A.~Johnson A ^'),\
         ('Alan Judd','Judd, Alan','~A. Judd~A.Judd~Judd, A.~Judd,A.~Judd A.~Judd A ^'),\
         ('Alan Parks','Parks, Alan','~A. Parks~A.Parks~Parks, A.~Parks,A.~Parks A.~Parks A ^'),\
         ('Alan Titchmarsh','Titchmarsh, Alan','~A. Titchmarsh~A.Titchmarsh~Titchmarsh, A.~Titchmarsh,A.~Titchmarsh A.~Titchmarsh A ^'),\
         ('Alana Khan','Khan, Alana','~A. Khan~A.Khan~Khan, A.~Khan,A.~Khan A.~Khan A ^'),\
         ('Albany Walker','Walker, Albany','~A. Walker~A.Walker~Walker, A.~Walker,A.~Walker A.~Walker A ^'),\
         ('Alec Hutson','Hutson, Alec','~A. Hutson~A.Hutson~Hutson, A.~Hutson,A.~Hutson A.~Hutson A ^'),\
         ('Aleron Kong','Kong, Aleron','~A. Kong~A.Kong~Kong, A.~Kong,A.~Kong A.~Kong A ^'),\
         ('Alessa Thorn','Thorn, Alessa','~A. Thorn~A.Thorn~Thorn, A.~Thorn,A.~Thorn A.~Thorn A ^'),\
         ('Alessandra Hazard','Hazard, Alessandra','~A. Hazard~A.Hazard~Hazard, A.~Hazard,A.~Hazard A.~Hazard A ^'),\
         ('Alex Aster','Aster, Alex','~A. Aster~A.Aster~Aster, A.~Aster,A.~Aster A.~Aster A ^'),\
         ('Alex Bell','Bell, Alex','~A. Bell~A.Bell~Bell, A.~Bell,A.~Bell A.~Bell A ^'),\
         ('Alex Brown','Brown, Alex','~A. Brown~A.Brown~Brown, A.~Brown,A.~Brown A.~Brown A ^'),\
         ('Alex Coombs','Coombs, Alex','~A. Coombs~A.Coombs~Coombs, A.~Coombs,A.~Coombs A.~Coombs A ^'),\
         ('Alex Dahl','Dahl, Alex','~A. Dahl~A.Dahl~Dahl, A.~Dahl,A.~Dahl A.~Dahl A ^'),\
         ('Alex Erickson','Erickson, Alex','~A. Erickson~A.Erickson~Erickson, A.~Erickson,A.~Erickson A.~Erickson A ^'),\
         ('Alex Finlay','Finlay, Alex','~A. Finlay~A.Finlay~Finlay, A.~Finlay,A.~Finlay A.~Finlay A ^'),\
         ('Alex Gerlis','Gerlis, Alex','~A. Gerlis~A.Gerlis~Gerlis, A.~Gerlis,A.~Gerlis A.~Gerlis A ^'),\
         ('Alex Gough','Gough, Alex','~A. Gough~A.Gough~Gough, A.~Gough,A.~Gough A.~Gough A ^'),\
         ('Alex Grayson','Grayson, Alex','~A. Grayson~A.Grayson~Grayson, A.~Grayson,A.~Grayson A.~Grayson A ^'),\
         ('Alex Kane','Kane, Alex','~A. Kane~A.Kane~Kane, A.~Kane,A.~Kane A.~Kane A ^'),\
         ('Alex Lake','Lake, Alex','~A. Lake~A.Lake~Lake, A.~Lake,A.~Lake A.~Lake A ^'),\
         ('Alex Lidell','Lidell, Alex','~A. Lidell~A.Lidell~Lidell, A.~Lidell,A.~Lidell A.~Lidell A ^'),\
         ('Alex Michaelides','Michaelides, Alex','~A. Michaelides~A.Michaelides~Michaelides, A.~Michaelides,A.~Michaelides A.~Michaelides A ^'),\
         ('Alex North','North, Alex','~A. North~A.North~North, A.~North,A.~North A.~North A ^'),\
         ('Alex Pine','Pine, Alex','~A. Pine~A.Pine~Pine, A.~Pine,A.~Pine A.~Pine A ^'),\
         ('Alex Segura','Segura, Alex','~A. Segura~A.Segura~Segura, A.~Segura,A.~Segura A.~Segura A ^'),\
         ('Alex Shaw','Shaw, Alex','~A. Shaw~A.Shaw~Shaw, A.~Shaw,A.~Shaw A.~Shaw A ^'),\
         ('Alex Smith','Smith, Alex','~A. Smith~A.Smith~Smith, A.~Smith,A.~Smith A.~Smith A ^'),\
         ('Alex Wagner','Wagner, Alex','~A. Wagner~A.Wagner~Wagner, A.~Wagner,A.~Wagner A.~Wagner A ^'),\
         ('Alexa Aston','Aston, Alexa','~A. Aston~A.Aston~Aston, A.~Aston,A.~Aston A.~Aston A ^'),\
         ('Alexa Riley','Riley, Alexa','~A. Riley~A.Riley~Riley, A.~Riley,A.~Riley A.~Riley A ^'),\
         ('Alexander Fullerton','Fullerton, Alexander','~A. Fullerton~A.Fullerton~Fullerton, A.~Fullerton,A.~Fullerton A.~Fullerton A ^'),\
         ('Alexandra Rowland','Rowland, Alexandra','~A. Rowland~A.Rowland~Rowland, A.~Rowland,A.~Rowland A.~Rowland A ^'),\
         ('Alexis Calder','Calder, Alexis','~A. Calder~A.Calder~Calder, A.~Calder,A.~Calder A.~Calder A ^'),\
         ('Alexis Hall','Hall, Alexis','~A. Hall~A.Hall~Hall, A.~Hall,A.~Hall A.~Hall A ^'),\
         ('Alexis Henderson','Henderson, Alexis','~A. Henderson~A.Henderson~Henderson, A.~Henderson,A.~Henderson A.~Henderson A ^'),\
         ('Alexis Winter','Winter, Alexis','~A. Winter~A.Winter~Winter, A.~Winter,A.~Winter A.~Winter A ^'),\
         ('Ali Hazelwood','Hazelwood, Ali','~A. Hazelwood~A.Hazelwood~Hazelwood, A.~Hazelwood,A.~Hazelwood A.~Hazelwood A ^'),\
         ('Ali Parker','Parker, Ali','~A. Parker~A.Parker~Parker, A.~Parker,A.~Parker A.~Parker A ^'),\
         ('Ali Vali','Vali, Ali','~A. Vali~A.Vali~Vali, A.~Vali,A.~Vali A.~Vali A ^'),\
         ('Alice Alfonsi','Alfonsi, Alice','~A. Alfonsi~A.Alfonsi~Alfonsi, A.~Alfonsi,A.~Alfonsi A.~Alfonsi A ^'),\
         ('Alice Castle','Castle, Alice','~A. Castle~A.Castle~Castle, A.~Castle,A.~Castle A.~Castle A ^'),\
         ('Alice Coldbreath','Coldbreath, Alice','~A. Coldbreath~A.Coldbreath~Coldbreath, A.~Coldbreath,A.~Coldbreath A.~Coldbreath A ^'),\
         ('Alice Duncan','Duncan, Alice','~A. Duncan~A.Duncan~Duncan, A.~Duncan,A.~Duncan A.~Duncan A ^'),\
         ('Alice Feeney','Feeney, Alice','~A. Feeney~A.Feeney~Feeney, A.~Feeney,A.~Feeney A.~Feeney A ^'),\
         ('Alice Henderson','Henderson, Alice','~A. Henderson~A.Henderson~Henderson, A.~Henderson,A.~Henderson A.~Henderson A ^'),\
         ('Alice Hunter','Hunter, Alice','~A. Hunter~A.Hunter~Hunter, A.~Hunter,A.~Hunter A.~Hunter A ^'),\
         ('Alice Oseman','Oseman, Alice','~A. Oseman~A.Oseman~Oseman, A.~Oseman,A.~Oseman A.~Oseman A ^'),\
         ('Alice Winters','Winters, Alice','~A. Winters~A.Winters~Winters, A.~Winters,A.~Winters A.~Winters A ^'),\
         ('Alicia Bessette','Bessette, Alicia','~A. Bessette~A.Bessette~Bessette, A.~Bessette,A.~Bessette A.~Bessette A ^'),\
         ('Alicia Cameron','Cameron, Alicia','~A. Cameron~A.Cameron~Cameron, A.~Cameron,A.~Cameron A.~Cameron A ^'),\
         ('Alicia Montgomery','Montgomery, Alicia','~A. Montgomery~A.Montgomery~Montgomery, A.~Montgomery,A.~Montgomery A.~Montgomery A ^'),\
         ('Aliette de Bodard','Bodard, Aliette de','~A.d. Bodard~A. d. Bodard~A.d.Bodard~Bodard, A.~Bodard,A.~Bodard A.~Bodard A ^'),\
         ('Alina Jacobs','Jacobs, Alina','~A. Jacobs~A.Jacobs~Jacobs, A.~Jacobs,A.~Jacobs A.~Jacobs A ^'),\
         ('Aline Templeton','Templeton, Aline','~A. Templeton~A.Templeton~Templeton, A.~Templeton,A.~Templeton A.~Templeton A ^'),\
         ('Alisa Adams','Adams, Alisa','~A. Adams~A.Adams~Adams, A.~Adams,A.~Adams A.~Adams A ^'),\
         ('Alison James','James, Alison','~A. James~A.James~James, A.~James,A.~James A.~James A ^'),\
         ('Alison Sherlock','Sherlock, Alison','~A. Sherlock~A.Sherlock~Sherlock, A.~Sherlock,A.~Sherlock A.~Sherlock A ^'),\
         ('Alix E. Harrow','Harrow, Alix E.','~A.E. Harrow~A. E. Harrow~A.E.Harrow~Harrow, A.~Harrow,A.~Harrow A.~Harrow A ^'),\
         ('Alka Joshi','Joshi, Alka','~A. Joshi~A.Joshi~Joshi, A.~Joshi,A.~Joshi A.~Joshi A ^'),\
         ('Allan Mallinson','Mallinson, Allan','~A. Mallinson~A.Mallinson~Mallinson, A.~Mallinson,A.~Mallinson A.~Mallinson A ^'),\
         ('Allen Eskens','Eskens, Allen','~A. Eskens~A.Eskens~Eskens, A.~Eskens,A.~Eskens A.~Eskens A ^'),\
         ('Alley Ciz','Ciz, Alley','~A. Ciz~A.Ciz~Ciz, A.~Ciz,A.~Ciz A.~Ciz A ^'),\
         ('Allie Pleiter','Pleiter, Allie','~A. Pleiter~A.Pleiter~Pleiter, A.~Pleiter,A.~Pleiter A.~Pleiter A ^'),\
         ('Allie Reynolds','Reynolds, Allie','~A. Reynolds~A.Reynolds~Reynolds, A.~Reynolds,A.~Reynolds A.~Reynolds A ^'),\
         ('Allison Brook','Brook, Allison','~A. Brook~A.Brook~Brook, A.~Brook,A.~Brook A.~Brook A ^'),\
         ('Allison Montclair','Montclair, Allison','~A. Montclair~A.Montclair~Montclair, A.~Montclair,A.~Montclair A.~Montclair A ^'),\
         ('Allyson K. Abbott','Abbott, Allyson K.','~A.K. Abbott~A. K. Abbott~A.K.Abbott~Abbott, A.~Abbott,A.~Abbott A.~Abbott A ^'),\
         ('Alyssa Clarke','Clarke, Alyssa','~A. Clarke~A.Clarke~Clarke, A.~Clarke,A.~Clarke A.~Clarke A ^'),\
         ('Alyssa Cole','Cole, Alyssa','~A. Cole~A.Cole~Cole, A.~Cole,A.~Cole A.~Cole A ^'),\
         ('Alyssa Maxwell','Maxwell, Alyssa','~A. Maxwell~A.Maxwell~Maxwell, A.~Maxwell,A.~Maxwell A.~Maxwell A ^'),\
         ('Amalie Howard','Howard, Amalie','~A. Howard~A.Howard~Howard, A.~Howard,A.~Howard A.~Howard A ^'),\
         ('Amanda Bouchet','Bouchet, Amanda','~A. Bouchet~A.Bouchet~Bouchet, A.~Bouchet,A.~Bouchet A.~Bouchet A ^'),\
         ('Amanda Foody','Foody, Amanda','~A. Foody~A.Foody~Foody, A.~Foody,A.~Foody A.~Foody A ^'),\
         ('Amanda Jayatissa','Jayatissa, Amanda','~A. Jayatissa~A.Jayatissa~Jayatissa, A.~Jayatissa,A.~Jayatissa A.~Jayatissa A ^'),\
         ('Amanda M. Lee','Lee, Amanda M.','~A.M. Lee~A. M. Lee~A.M.Lee~Lee, A.~Lee,A.~Lee A.~Lee A ^'),\
         ('Amanda McKinney','McKinney, Amanda','~A. McKinney~A.McKinney~McKinney, A.~McKinney,A.~McKinney A.~McKinney A ^'),\
         ('Amanda Milo','Milo, Amanda','~A. Milo~A.Milo~Milo, A.~Milo,A.~Milo A.~Milo A ^'),\
         ('Amanda Prowse','Prowse, Amanda','~A. Prowse~A.Prowse~Prowse, A.~Prowse,A.~Prowse A.~Prowse A ^'),\
         ('Amanda Richardson','Richardson, Amanda','~A. Richardson~A.Richardson~Richardson, A.~Richardson,A.~Richardson A.~Richardson A ^'),\
         ('Amanda Skenandore','Skenandore, Amanda','~A. Skenandore~A.Skenandore~Skenandore, A.~Skenandore,A.~Skenandore A.~Skenandore A ^'),\
         ('Amber Nicole','Nicole, Amber','~A. Nicole~A.Nicole~Nicole, A.~Nicole,A.~Nicole A.~Nicole A ^'),\
         ('Ambrose Parry','Parry, Ambrose','~A. Parry~A.Parry~Parry, A.~Parry,A.~Parry A.~Parry A ^'),\
         ('Amelia Grey','Grey, Amelia','~A. Grey~A.Grey~Grey, A.~Grey,A.~Grey A.~Grey A ^'),\
         ('Amelia Hutchins','Hutchins, Amelia','~A. Hutchins~A.Hutchins~Hutchins, A.~Hutchins,A.~Hutchins A.~Hutchins A ^'),\
         ('Amelia Shaw','Shaw, Amelia','~A. Shaw~A.Shaw~Shaw, A.~Shaw,A.~Shaw A.~Shaw A ^'),\
         ('Amelia Shea','Shea, Amelia','~A. Shea~A.Shea~Shea, A.~Shea,A.~Shea A.~Shea A ^'),\
         ('Amelia Wilde','Wilde, Amelia','~A. Wilde~A.Wilde~Wilde, A.~Wilde,A.~Wilde A.~Wilde A ^'),\
         ('Amie Kaufman','Kaufman, Amie','~A. Kaufman~A.Kaufman~Kaufman, A.~Kaufman,A.~Kaufman A.~Kaufman A ^'),\
         ('Amo Jones','Jones, Amo','~A. Jones~A.Jones~Jones, A.~Jones,A.~Jones A.~Jones A ^'),\
         ('Amy Barry','Barry, Amy','~A. Barry~A.Barry~Barry, A.~Barry,A.~Barry A.~Barry A ^'),\
         ('Amy Boyles','Boyles, Amy','~A. Boyles~A.Boyles~Boyles, A.~Boyles,A.~Boyles A.~Boyles A ^'),\
         ('Amy Daws','Daws, Amy','~A. Daws~A.Daws~Daws, A.~Daws,A.~Daws A.~Daws A ^'),\
         ('Amy Jarecki','Jarecki, Amy','~A. Jarecki~A.Jarecki~Jarecki, A.~Jarecki,A.~Jarecki A.~Jarecki A ^'),\
         ('Amy Miller','Miller, Amy','~A. Miller~A.Miller~Miller, A.~Miller,A.~Miller A.~Miller A ^'),\
         ('Amy Myers','Myers, Amy','~A. Myers~A.Myers~Myers, A.~Myers,A.~Myers A.~Myers A ^'),\
         ('Amy Pershing','Pershing, Amy','~A. Pershing~A.Pershing~Pershing, A.~Pershing,A.~Pershing A.~Pershing A ^'),\
         ('Amy Rose Bennett','Bennett, Amy Rose','~A.R. Bennett~A. R. Bennett~A.R.Bennett~Bennett, A.~Bennett,A.~Bennett A.~Bennett A ^'),\
         ('Amy Sandas','Sandas, Amy','~A. Sandas~A.Sandas~Sandas, A.~Sandas,A.~Sandas A.~Sandas A ^'),\
         ('Amy Sheppard','Sheppard, Amy','~A. Sheppard~A.Sheppard~Sheppard, A.~Sheppard,A.~Sheppard A.~Sheppard A ^'),\
         ('Amy Stewart','Stewart, Amy','~A. Stewart~A.Stewart~Stewart, A.~Stewart,A.~Stewart A.~Stewart A ^'),\
         ('Ana Huang','Huang, Ana','~A. Huang~A.Huang~Huang, A.~Huang,A.~Huang A.~Huang A ^'),\
         ('Anastasia Wilde','Wilde, Anastasia','~A. Wilde~A.Wilde~Wilde, A.~Wilde,A.~Wilde A.~Wilde A ^'),\
         ('Anders De La Motte','Motte, Anders De La','~A.D.L.Motte~A. D. L. Motte~A.D.L.Motte~Motte, A.~Motte,A.~Motte A.~Motte A ^'),\
         ('Anders Roslund','Roslund, Anders','~A. Roslund~A.Roslund~Roslund, A.~Roslund,A.~Roslund A.~Roslund A ^'),\
         ('Andrea Carter','Carter, Andrea','~A. Carter~A.Carter~Carter, A.~Carter,A.~Carter A.~Carter A ^'),\
         ('Andrea Mara','Mara, Andrea','~A. Mara~A.Mara~Mara, A.~Mara,A.~Mara A.~Mara A ^'),\
         ('Andrea Stewart','Stewart, Andrea','~A. Stewart~A.Stewart~Stewart, A.~Stewart,A.~Stewart A.~Stewart A ^'),\
         ('Andrew Child','Child, Andrew','~A. Child~A.Child~Child, A.~Child,A.~Child A.~Child A ^'),\
         ('Andrew Grey','Grey, Andrew','~A. Grey~A.Grey~Grey, A.~Grey,A.~Grey A.~Grey A ^'),\
         ('Andrew Mayne','Mayne, Andrew','~A. Mayne~A.Mayne~Mayne, A.~Mayne,A.~Mayne A.~Mayne A ^'),\
         ('Andrew Raymond','Raymond, Andrew','~A. Raymond~A.Raymond~Raymond, A.~Raymond,A.~Raymond A.~Raymond A ^'),\
         ('Andrew Rowe','Rowe, Andrew','~A. Rowe~A.Rowe~Rowe, A.~Rowe,A.~Rowe A.~Rowe A ^'),\
         ('Andrew Sean Greer','Greer, Andrew Sean','~A.S. Greer~A. S. Greer~A.S.Greer~Greer, A.~Greer,A.~Greer A.~Greer A ^'),\
         ('Andrew Wareham','Wareham, Andrew','~A. Wareham~A.Wareham~Wareham, A.~Wareham,A.~Wareham A.~Wareham A ^'),\
         ('Andrew Watts','Watts, Andrew','~A. Watts~A.Watts~Watts, A.~Watts,A.~Watts A.~Watts A ^'),\
         ('Andrew Wilson','Wilson, Andrew','~A. Wilson~A.Wilson~Wilson, A.~Wilson,A.~Wilson A.~Wilson A ^'),\
         ('Andy Griffiths','Griffiths, Andy','~A. Griffiths~A.Griffiths~Griffiths, A.~Griffiths,A.~Griffiths A.~Griffiths A ^'),\
         ('Andy Maslen','Maslen, Andy','~A. Maslen~A.Maslen~Maslen, A.~Maslen,A.~Maslen A.~Maslen A ^'),\
         ('Andy McDermott','McDermott, Andy','~A. McDermott~A.McDermott~McDermott, A.~McDermott,A.~McDermott A.~McDermott A ^'),\
         ('Andy Peloquin','Peloquin, Andy','~A. Peloquin~A.Peloquin~Peloquin, A.~Peloquin,A.~Peloquin A.~Peloquin A ^'),\
         ('Angela M. Sanders','Sanders, Angela M.','~A.M. Sanders~A. M. Sanders~A.M.Sanders~Sanders, A.~Sanders,A.~Sanders A.~Sanders A ^'),\
         ('Angela Marsons','Marsons, Angela','~A. Marsons~A.Marsons~Marsons, A.~Marsons,A.~Marsons A.~Marsons A ^'),\
         ('Angela White','White, Angela','~A. White~A.White~White, A.~White,A.~White A.~White A ^'),\
         ('Angie Fox','Fox, Angie','~A. Fox~A.Fox~Fox, A.~Fox,A.~Fox A.~Fox A ^'),\
         ('Angie Thomas','Thomas, Angie','~A. Thomas~A.Thomas~Thomas, A.~Thomas,A.~Thomas A.~Thomas A ^'),\
         ('Anh Do','Do, Anh','~A. Do~A.Do~Do, A.~Do,A.~Do A.~Do A ^'),\
         ('Anita Waller','Waller, Anita','~A. Waller~A.Waller~Waller, A.~Waller,A.~Waller A.~Waller A ^'),\
         ('Ann Gimpel','Gimpel, Ann','~A. Gimpel~A.Gimpel~Gimpel, A.~Gimpel,A.~Gimpel A.~Gimpel A ^'),\
         ('Ann H. Gabhart','Gabhart, Ann H.','~A.H. Gabhart~A. H. Gabhart~A.H.Gabhart~Gabhart, A.~Gabhart,A.~Gabhart A.~Gabhart A ^'),\
         ('Ann Hazelwood','Hazelwood, Ann','~A. Hazelwood~A.Hazelwood~Hazelwood, A.~Hazelwood,A.~Hazelwood A.~Hazelwood A ^'),\
         ('Ann Marie Scott','Scott, Ann Marie','~A.M. Scott~A. M. Scott~A.M.Scott~Scott, A.~Scott,A.~Scott A.~Scott A ^'),\
         ('Ann Swinfen','Swinfen, Ann','~A. Swinfen~A.Swinfen~Swinfen, A.~Swinfen,A.~Swinfen A.~Swinfen A ^'),\
         ('Anna Bennett','Bennett, Anna','~A. Bennett~A.Bennett~Bennett, A.~Bennett,A.~Bennett A.~Bennett A ^'),\
         ('Anna Blakely','Blakely, Anna','~A. Blakely~A.Blakely~Blakely, A.~Blakely,A.~Blakely A.~Blakely A ^'),\
         ('Anna Bradley','Bradley, Anna','~A. Bradley~A.Bradley~Bradley, A.~Bradley,A.~Bradley A.~Bradley A ^'),\
         ('Anna Carven','Carven, Anna','~A. Carven~A.Carven~Carven, A.~Carven,A.~Carven A.~Carven A ^'),\
         ('Anna Gerard','Gerard, Anna','~A. Gerard~A.Gerard~Gerard, A.~Gerard,A.~Gerard A.~Gerard A ^'),\
         ('Anna Hackett','Hackett, Anna','~A. Hackett~A.Hackett~Hackett, A.~Hackett,A.~Hackett A.~Hackett A ^'),\
         ('Anna Harrington','Harrington, Anna','~A. Harrington~A.Harrington~Harrington, A.~Harrington,A.~Harrington A.~Harrington A ^'),\
         ('Anna Smith-Spark','Smith-Spark, Anna','~A. Smith-Spark~A.Smith-Spark~Smith-Spark, A.~Smith-Spark,A.~Smith-Spark A.~Smith-Spark A ^'),\
         ('Anna Stuart','Stuart, Anna','~A. Stuart~A.Stuart~Stuart, A.~Stuart,A.~Stuart A.~Stuart A ^'),\
         ('Anna-Lou Weatherley','Weatherley, Anna-Lou','~A. Weatherley~A.Weatherley~Weatherley, A.~Weatherley,A.~Weatherley A.~Weatherley A ^'),\
         ('Annabel Chase','Chase, Annabel','~A. Chase~A.Chase~Chase, A.~Chase,A.~Chase A.~Chase A ^'),\
         ('Annabelle Anders','Anders, Annabelle','~A. Anders~A.Anders~Anders, A.~Anders,A.~Anders A.~Anders A ^'),\
         ('Annabeth Albert','Albert, Annabeth','~A. Albert~A.Albert~Albert, A.~Albert,A.~Albert A.~Albert A ^'),\
         ('Anne Bennett','Bennett, Anne','~A. Bennett~A.Bennett~Bennett, A.~Bennett,A.~Bennett A.~Bennett A ^'),\
         ('Anne Cleeland','Cleeland, Anne','~A. Cleeland~A.Cleeland~Cleeland, A.~Cleeland,A.~Cleeland A.~Cleeland A ^'),\
         ('Anne Hillerman','Hillerman, Anne','~A. Hillerman~A.Hillerman~Hillerman, A.~Hillerman,A.~Hillerman A.~Hillerman A ^'),\
         ('Anne Malcom','Malcom, Anne','~A. Malcom~A.Malcom~Malcom, A.~Malcom,A.~Malcom A.~Malcom A ^'),\
         ('Anne Mette Hancock','Hancock, Anne Mette','~A.M. Hancock~A. M. Hancock~A.M.Hancock~Hancock, A.~Hancock,A.~Hancock A.~Hancock A ^'),\
         ('Anne Schraff','Schraff, Anne','~A. Schraff~A.Schraff~Schraff, A.~Schraff,A.~Schraff A.~Schraff A ^'),\
         ('Anne Wyn Clark','Clark, Anne Wyn','~A.W. Clark~A. W. Clark~A.W.Clark~Clark, A.~Clark,A.~Clark A.~Clark A ^'),\
         ('Anne-Marie Meyer','Meyer, Anne-Marie','~A. Meyer~A.Meyer~Meyer, A.~Meyer,A.~Meyer A.~Meyer A ^'),\
         ('Annelise Ryan','Ryan, Annelise','~A. Ryan~A.Ryan~Ryan, A.~Ryan,A.~Ryan A.~Ryan A ^'),\
         ('AnneMarie Brear','Brear, AnneMarie','~A. Brear~A.Brear~Brear, A.~Brear,A.~Brear A.~Brear A ^'),\
         ('Annette Marie','Marie, Annette','~A. Marie~A.Marie~Marie, A.~Marie,A.~Marie A.~Marie A ^'),\
         ('Annie Anderson','Anderson, Annie','~A. Anderson~A.Anderson~Anderson, A.~Anderson,A.~Anderson A.~Anderson A ^'),\
         ('Annie Burrows','Burrows, Annie','~A. Burrows~A.Burrows~Burrows, A.~Burrows,A.~Burrows A.~Burrows A ^'),\
         ('Annie Clarke','Clarke, Annie','~A. Clarke~A.Clarke~Clarke, A.~Clarke,A.~Clarke A.~Clarke A ^'),\
         ('Annie Rains','Rains, Annie','~A. Rains~A.Rains~Rains, A.~Rains,A.~Rains A.~Rains A ^'),\
         ('Annika Martin','Martin, Annika','~A. Martin~A.Martin~Martin, A.~Martin,A.~Martin A.~Martin A ^'),\
         ('Ant Middleton','Middleton, Ant','~A. Middleton~A.Middleton~Middleton, A.~Middleton,A.~Middleton A.~Middleton A ^'),\
         ('Anthony Berkeley','Berkeley, Anthony','~A. Berkeley~A.Berkeley~Berkeley, A.~Berkeley,A.~Berkeley A.~Berkeley A ^'),\
         ('Anthony J. Melchiorri','Melchiorri, Anthony J.','~A.J. Melchiorri~A. J. Melchiorri~A.J.Melchiorri~Melchiorri, A.~Melchiorri,A.~Melchiorri A.~Melchiorri A ^'),\
         ('Anthony James','James, Anthony','~A. James~A.James~James, A.~James,A.~James A.~James A ^'),\
         ('Anthony M. Strong','Strong, Anthony M.','~A.M. Strong~A. M. Strong~A.M.Strong~Strong, A.~Strong,A.~Strong A.~Strong A ^'),\
         ('Anthony Reynolds','Reynolds, Anthony','~A. Reynolds~A.Reynolds~Reynolds, A.~Reynolds,A.~Reynolds A.~Reynolds A ^'),\
         ('Anton Du Beke','Beke, Anton Du','~A.D. Beke~A. D. Beke~A.D.Beke~Beke, A.~Beke,A.~Beke A.~Beke A ^'),\
         ('Antonia Hodgson','Hodgson, Antonia','~A. Hodgson~A.Hodgson~Hodgson, A.~Hodgson,A.~Hodgson A.~Hodgson A ^'),\
         ('Anya Merchant','Merchant, Anya','~A. Merchant~A.Merchant~Merchant, A.~Merchant,A.~Merchant A.~Merchant A ^'),\
         ('Apollos Thorne','Thorne, Apollos','~A. Thorne~A.Thorne~Thorne, A.~Thorne,A.~Thorne A.~Thorne A ^'),\
         ('April Hunt','Hunt, April','~A. Hunt~A.Hunt~Hunt, A.~Hunt,A.~Hunt A.~Hunt A ^'),\
         ('April Wilson','Wilson, April','~A. Wilson~A.Wilson~Wilson, A.~Wilson,A.~Wilson A.~Wilson A ^'),\
         ('Aria Ray','Ray, Aria','~A. Ray~A.Ray~Ray, A.~Ray,A.~Ray A.~Ray A ^'),\
         ('Ariana Nash','Nash, Ariana','~A. Nash~A.Nash~Nash, A.~Nash,A.~Nash A.~Nash A ^'),\
         ('Arkady Martine','Martine, Arkady','~A. Martine~A.Martine~Martine, A.~Martine,A.~Martine A.~Martine A ^'),\
         ('Arnaldur Indriðason','Indriðason, Arnaldur','~A. Indriðason~A.Indriðason~Indriðason, A.~Indriðason,A.~Indriðason A.~Indriðason A ^'),\
         ('Arne Dahl','Dahl, Arne','~A. Dahl~A.Dahl~Dahl, A.~Dahl,A.~Dahl A.~Dahl A ^'),\
         ('Arthur Stone','Stone, Arthur','~A. Stone~A.Stone~Stone, A.~Stone,A.~Stone A.~Stone A ^'),\
         ('Åsa Larsson','Larsson, Åsa','~Å. Larsson~Å.Larsson~Larsson, Å.~Larsson,Å.~Larsson Å.~Larsson Å ^'),\
         ('Ashley Audrain','Audrain, Ashley','~A. Audrain~A.Audrain~Audrain, A.~Audrain,A.~Audrain A.~Audrain A ^'),\
         ('Ashley Farley','Farley, Ashley','~A. Farley~A.Farley~Farley, A.~Farley,A.~Farley A.~Farley A ^'),\
         ('Ashley Flowers','Flowers, Ashley','~A. Flowers~A.Flowers~Flowers, A.~Flowers,A.~Flowers A.~Flowers A ^'),\
         ('Ashley Gardner','Gardner, Ashley','~A. Gardner~A.Gardner~Gardner, A.~Gardner,A.~Gardner A.~Gardner A ^'),\
         ('Ashley Jade','Jade, Ashley','~A. Jade~A.Jade~Jade, A.~Jade,A.~Jade A.~Jade A ^'),\
         ('Ashley Lane','Lane, Ashley','~A. Lane~A.Lane~Lane, A.~Lane,A.~Lane A.~Lane A ^'),\
         ('Ashley Poston','Poston, Ashley','~A. Poston~A.Poston~Poston, A.~Poston,A.~Poston A.~Poston A ^'),\
         ('Ashley Weaver','Weaver, Ashley','~A. Weaver~A.Weaver~Weaver, A.~Weaver,A.~Weaver A.~Weaver A ^'),\
         ('Ashley Winstead','Winstead, Ashley','~A. Winstead~A.Winstead~Winstead, A.~Winstead,A.~Winstead A.~Winstead A ^'),\
         ('Ashtyn Newbold','Newbold, Ashtyn','~A. Newbold~A.Newbold~Newbold, A.~Newbold,A.~Newbold A.~Newbold A ^'),\
         ('Aster Rae','Rae, Aster','~A. Rae~A.Rae~Rae, A.~Rae,A.~Rae A.~Rae A ^'),\
         ('Athena Storm','Storm, Athena','~A. Storm~A.Storm~Storm, A.~Storm,A.~Storm A.~Storm A ^'),\
         ('Atlas Kane','Kane, Atlas','~A. Kane~A.Kane~Kane, A.~Kane,A.~Kane A.~Kane A ^'),\
         ('Auburn Tempest','Tempest, Auburn','~A. Tempest~A.Tempest~Tempest, A.~Tempest,A.~Tempest A.~Tempest A ^'),\
         ('Audrey Blake','Blake, Audrey','~A. Blake~A.Blake~Blake, A.~Blake,A.~Blake A.~Blake A ^'),\
         ('Audrey Harrison','Harrison, Audrey','~A. Harrison~A.Harrison~Harrison, A.~Harrison,A.~Harrison A.~Harrison A ^'),\
         ('Audrey Howard','Howard, Audrey','~A. Howard~A.Howard~Howard, A.~Howard,A.~Howard A.~Howard A ^'),\
         ('Audrey J. Cole','Cole, Audrey J.','~A.J. Cole~A. J. Cole~A.J.Cole~Cole, A.~Cole,A.~Cole A.~Cole A ^'),\
         ('Auralee Wallace','Wallace, Auralee','~A. Wallace~A.Wallace~Wallace, A.~Wallace,A.~Wallace A.~Wallace A ^'),\
         ('Aurora Rose Reynolds','Reynolds, Aurora Rose','~A.R. Reynolds~A. R. Reynolds~A.R.Reynolds~Reynolds, A.~Reynolds,A.~Reynolds A.~Reynolds A ^'),\
         ('Auryn Hadley','Hadley, Auryn','~A. Hadley~A.Hadley~Hadley, A.~Hadley,A.~Hadley A.~Hadley A ^'),\
         ('Ausma Zehanat Khan','Khan, Ausma Zehanat','~A.Z. Khan~A. Z. Khan~A.Z.Khan~Khan, A.~Khan,A.~Khan A.~Khan A ^'),\
         ('Autumn Jones Lake','Lake, Autumn Jones','~A.J. Lake~A. J. Lake~A.J.Lake~Lake, A.~Lake,A.~Lake A.~Lake A ^'),\
         ('Ava Glass','Glass, Ava','~A. Glass~A.Glass~Glass, A.~Glass,A.~Glass A.~Glass A ^'),\
         ('Ava Harrison','Harrison, Ava','~A. Harrison~A.Harrison~Harrison, A.~Harrison,A.~Harrison A.~Harrison A ^'),\
         ('Ava Richardson','Richardson, Ava','~A. Richardson~A.Richardson~Richardson, A.~Richardson,A.~Richardson A.~Richardson A ^'),\
         ('Ava Ross','Ross, Ava','~A. Ross~A.Ross~Ross, A.~Ross,A.~Ross A.~Ross A ^'),\
         ('Ava Strong','Strong, Ava','~A. Strong~A.Strong~Strong, A.~Strong,A.~Strong A.~Strong A ^'),\
         ('Avery Flynn','Flynn, Avery','~A. Flynn~A.Flynn~Flynn, A.~Flynn,A.~Flynn A.~Flynn A ^'),\
         ('Avery Maxwell','Maxwell, Avery','~A. Maxwell~A.Maxwell~Maxwell, A.~Maxwell,A.~Maxwell A.~Maxwell A ^'),\
         ('Avery Song','Song, Avery','~A. Song~A.Song~Song, A.~Song,A.~Song A.~Song A ^'),\
         ('Avery Stone','Stone, Avery','~A. Stone~A.Stone~Stone, A.~Stone,A.~Stone A.~Stone A ^'),\
         ('Ayana Gray','Gray, Ayana','~A. Gray~A.Gray~Gray, A.~Gray,A.~Gray A.~Gray A ^'),\
         ('B.A. Paris','Paris, B.A.','~B.A. Paris~B. A. Paris~B.A.Paris~Paris, B.~Paris,B.~Paris B.~Paris B ^'),\
         ('B.A. Stretke','Stretke, B.A.','~B.A. Stretke~B. A. Stretke~B.A.Stretke~Stretke, B.~Stretke,B.~Stretke B.~Stretke B ^'),\
         ('B.B. Alston','Alston, B.B.','~B.B. Alston~B. B. Alston~B.B.Alston~Alston, B.~Alston,B.~Alston B.~Alston B ^'),\
         ('B.B. Hamel','Hamel, B.B.','~B.B. Hamel~B. B. Hamel~B.B.Hamel~Hamel, B.~Hamel,B.~Hamel B.~Hamel B ^'),\
         ('B.L. Blanchard','Blanchard, B.L.','~B.L. Blanchard~B. L. Blanchard~B.L.Blanchard~Blanchard, B.~Blanchard,B.~Blanchard B.~Blanchard B ^'),\
         ('B. Michael Radburn','Radburn, B. Michael','~B.M. Radburn~B. M. Radburn~B.M.Radburn~Radburn, B.~Radburn,B.~Radburn B.~Radburn B ^'),\
         ('B.P. Walter','Walter, B.P.','~B.P. Walter~B. P. Walter~B.P.Walter~Walter, B.~Walter,B.~Walter B.~Walter B ^'),\
         ('B.R. Myers','Myers, B.R.','~B.R. Myers~B. R. Myers~B.R.Myers~Myers, B.~Myers,B.~Myers B.~Myers B ^'),\
         ('Bailee Abbott','Abbott, Bailee','~B. Abbott~B.Abbott~Abbott, B.~Abbott,B.~Abbott B.~Abbott B ^'),\
         ('Barbara Cameron','Cameron, Barbara','~B. Cameron~B.Cameron~Cameron, B.~Cameron,B.~Cameron B.~Cameron B ^'),\
         ('Barbara Davis','Davis, Barbara','~B. Davis~B.Davis~Davis, B.~Davis,B.~Davis B.~Davis B ^'),\
         ('Barbara Nickless','Nickless, Barbara','~B. Nickless~B.Nickless~Nickless, B.~Nickless,B.~Nickless B.~Nickless B ^'),\
         ('Barbara Ross','Ross, Barbara','~B. Ross~B.Ross~Ross, B.~Ross,B.~Ross B.~Ross B ^'),\
         ('Barry Maitland','Maitland, Barry','~B. Maitland~B.Maitland~Maitland, B.~Maitland,B.~Maitland B.~Maitland B ^'),\
         ('Bea Paige','Paige, Bea','~B. Paige~B.Paige~Paige, B.~Paige,B.~Paige B.~Paige B ^'),\
         ('Bear Grylls','Grylls, Bear','~B. Grylls~B.Grylls~Grylls, B.~Grylls,B.~Grylls B.~Grylls B ^'),\
         ('Becca Jameson','Jameson, Becca','~B. Jameson~B.Jameson~Jameson, B.~Jameson,B.~Jameson B.~Jameson B ^'),\
         ('Becca Steele','Steele, Becca','~B. Steele~B.Steele~Steele, B.~Steele,B.~Steele B.~Steele B ^'),\
         ('Becky Albertalli','Albertalli, Becky','~B. Albertalli~B.Albertalli~Albertalli, B.~Albertalli,B.~Albertalli B.~Albertalli B ^'),\
         ('Becky Chambers','Chambers, Becky','~B. Chambers~B.Chambers~Chambers, B.~Chambers,B.~Chambers B.~Chambers B ^'),\
         ('Becky Wade','Wade, Becky','~B. Wade~B.Wade~Wade, B.~Wade,B.~Wade B.~Wade B ^'),\
         ('Belinda Alexandra','Alexandra, Belinda','~B. Alexandra~B.Alexandra~Alexandra, B.~Alexandra,B.~Alexandra B.~Alexandra B ^'),\
         ('Bella Ellis','Ellis, Bella','~B. Ellis~B.Ellis~Ellis, B.~Ellis,B.~Ellis B.~Ellis B ^'),\
         ('Bella Falls','Falls, Bella','~B. Falls~B.Falls~Falls, B.~Falls,B.~Falls B.~Falls B ^'),\
         ('Bella J','J, Bella','~B. J~B.J~J, B.~J,B.~J B.~J B ^'),\
         ('Bella Jewel','Jewel, Bella','~B. Jewel~B.Jewel~Jewel, B.~Jewel,B.~Jewel B.~Jewel B ^'),\
         ('Bella Moxie','Moxie, Bella','~B. Moxie~B.Moxie~Moxie, B.~Moxie,B.~Moxie B.~Moxie B ^'),\
         ('Bella Osborne','Osborne, Bella','~B. Osborne~B.Osborne~Osborne, B.~Osborne,B.~Osborne B.~Osborne B ^'),\
         ('Belle Calhoune','Calhoune, Belle','~B. Calhoune~B.Calhoune~Calhoune, B.~Calhoune,B.~Calhoune B.~Calhoune B ^'),\
         ('Benedict Brown','Brown, Benedict','~B. Brown~B.Brown~Brown, B.~Brown,B.~Brown B.~Brown B ^'),\
         ('Benjamin Stevenson','Stevenson, Benjamin','~B. Stevenson~B.Stevenson~Stevenson, B.~Stevenson,B.~Stevenson B.~Stevenson B ^'),\
         ('Bernard Lee DeLeo','DeLeo, Bernard Lee','~B.L. DeLeo~B. L. DeLeo~B.L.DeLeo~DeLeo, B.~DeLeo,B.~DeLeo B.~DeLeo B ^'),\
         ('Bernice Bloom','Bloom, Bernice','~B. Bloom~B.Bloom~Bloom, B.~Bloom,B.~Bloom B.~Bloom B ^'),\
         ('Beryl Matthews','Matthews, Beryl','~B. Matthews~B.Matthews~Matthews, B.~Matthews,B.~Matthews B.~Matthews B ^'),\
         ('Beth Byers','Byers, Beth','~B. Byers~B.Byers~Byers, B.~Byers,B.~Byers B.~Byers B ^'),\
         ('Beth O''Leary','O''Leary, Beth','~B. O''Leary~B.O''Leary~O''Leary, B.~O''Leary,B.~O''Leary B.~O''Leary B ^'),\
         ('Bethany Adams','Adams, Bethany','~B. Adams~B.Adams~Adams, B.~Adams,B.~Adams B.~Adams B ^'),\
         ('Bethany Blake','Blake, Bethany','~B. Blake~B.Blake~Blake, B.~Blake,B.~Blake B.~Blake B ^'),\
         ('Betty Rowlands','Rowlands, Betty','~B. Rowlands~B.Rowlands~Rowlands, B.~Rowlands,B.~Rowlands B.~Rowlands B ^'),\
         ('Betty Walker','Walker, Betty','~B. Walker~B.Walker~Walker, B.~Walker,B.~Walker B.~Walker B ^'),\
         ('Beverley Watts','Watts, Beverley','~B. Watts~B.Watts~Watts, B.~Watts,B.~Watts B.~Watts B ^'),\
         ('Bianca Cole','Cole, Bianca','~B. Cole~B.Cole~Cole, B.~Cole,B.~Cole B.~Cole B ^'),\
         ('Bianca D''Arc','D''Arc, Bianca','~B. D''Arc~B.D''Arc~D''Arc, B.~D''Arc,B.~D''Arc B.~D''Arc B ^'),\
         ('Bianca Marais','Marais, Bianca','~B. Marais~B.Marais~Marais, B.~Marais,B.~Marais B.~Marais B ^'),\
         ('Biba Pearce','Pearce, Biba','~B. Pearce~B.Pearce~Pearce, B.~Pearce,B.~Pearce B.~Pearce B ^'),\
         ('Bill Clinton','Clinton, Bill','~B. Clinton~B.Clinton~Clinton, B.~Clinton,B.~Clinton B.~Clinton B ^'),\
         ('Bill Kitson','Kitson, Bill','~B. Kitson~B.Kitson~Kitson, B.~Kitson,B.~Kitson B.~Kitson B ^'),\
         ('Bill Rogers','Rogers, Bill','~B. Rogers~B.Rogers~Rogers, B.~Rogers,B.~Rogers B.~Rogers B ^'),\
         ('Billy Billingham','Billingham, Billy','~B. Billingham~B.Billingham~Billingham, B.~Billingham,B.~Billingham B.~Billingham B ^'),\
         ('BJ Bourg','Bourg, BJ','~B. Bourg~B.Bourg~Bourg, B.~Bourg,B.~Bourg B.~Bourg B ^'),\
         ('Blair Howard','Howard, Blair','~B. Howard~B.Howard~Howard, B.~Howard,B.~Howard B.~Howard B ^'),\
         ('Blaise Corvin','Corvin, Blaise','~B. Corvin~B.Corvin~Corvin, B.~Corvin,B.~Corvin B.~Corvin B ^'),\
         ('Blake Banner','Banner, Blake','~B. Banner~B.Banner~Banner, B.~Banner,B.~Banner B.~Banner B ^'),\
         ('Blake Pierce','Pierce, Blake','~B. Pierce~B.Pierce~Pierce, B.~Pierce,B.~Pierce B.~Pierce B ^'),\
         ('Blanka Lipińska','Lipińska, Blanka','~B. Lipińska~B.Lipińska~Lipińska, B.~Lipińska,B.~Lipińska B.~Lipińska B ^'),\
         ('Blythe Baker','Baker, Blythe','~B. Baker~B.Baker~Baker, B.~Baker,B.~Baker B.~Baker B ^'),\
         ('Bob Blanton','Blanton, Bob','~B. Blanton~B.Blanton~Blanton, B.~Blanton,B.~Blanton B.~Blanton B ^'),\
         ('Bobbi Holmes','Holmes, Bobbi','~B. Holmes~B.Holmes~Holmes, B.~Holmes,B.~Holmes B.~Holmes B ^'),\
         ('Bobby Adair','Adair, Bobby','~B. Adair~B.Adair~Adair, B.~Adair,B.~Adair B.~Adair B ^'),\
         ('Bobby Akart','Akart, Bobby','~B. Akart~B.Akart~Akart, B.~Akart,B.~Akart B.~Akart B ^'),\
         ('Bodie and Brock Thoene','Thoene, Bodie and Brock','~B.a.B.Thoene~B. a. B. Thoene~B.a.B.Thoene~Thoene, B.~Thoene,B.~Thoene B.~Thoene B ^'),\
         ('Bonnie Garmus','Garmus, Bonnie','~B. Garmus~B.Garmus~Garmus, B.~Garmus,B.~Garmus B.~Garmus B ^'),\
         ('Bonnie MacBird','MacBird, Bonnie','~B. MacBird~B.MacBird~MacBird, B.~MacBird,B.~MacBird B.~MacBird B ^'),\
         ('Boo Walker','Walker, Boo','~B. Walker~B.Walker~Walker, B.~Walker,B.~Walker B.~Walker B ^'),\
         ('BR Kingsolver','Kingsolver, BR','~B. Kingsolver~B.Kingsolver~Kingsolver, B.~Kingsolver,B.~Kingsolver B.~Kingsolver B ^'),\
         ('Brad Magnarella','Magnarella, Brad','~B. Magnarella~B.Magnarella~Magnarella, B.~Magnarella,B.~Magnarella B.~Magnarella B ^'),\
         ('Brad Parks','Parks, Brad','~B. Parks~B.Parks~Parks, B.~Parks,B.~Parks B.~Parks B ^'),\
         ('Bradley Beaulieu','Beaulieu, Bradley','~B. Beaulieu~B.Beaulieu~Beaulieu, B.~Beaulieu,B.~Beaulieu B.~Beaulieu B ^'),\
         ('Bradley Wright','Wright, Bradley','~B. Wright~B.Wright~Wright, B.~Wright,B.~Wright B.~Wright B ^'),\
         ('Brandon Q. Morris','Morris, Brandon Q.','~B.Q. Morris~B. Q. Morris~B.Q.Morris~Morris, B.~Morris,B.~Morris B.~Morris B ^'),\
         ('Brandon Varnell','Varnell, Brandon','~B. Varnell~B.Varnell~Varnell, B.~Varnell,B.~Varnell B.~Varnell B ^'),\
         ('Brandon Webb','Webb, Brandon','~B. Webb~B.Webb~Webb, B.~Webb,B.~Webb B.~Webb B ^'),\
         ('Bree Baker','Baker, Bree','~B. Baker~B.Baker~Baker, B.~Baker,B.~Baker B.~Baker B ^'),\
         ('Bree Wolf','Wolf, Bree','~B. Wolf~B.Wolf~Wolf, B.~Wolf,B.~Wolf B.~Wolf B ^'),\
         ('Brenda K. Davies','Davies, Brenda K.','~B.K. Davies~B. K. Davies~B.K.Davies~Davies, B.~Davies,B.~Davies B.~Davies B ^'),\
         ('Brenda Trim','Trim, Brenda','~B. Trim~B.Trim~Trim, B.~Trim,B.~Trim B.~Trim B ^'),\
         ('Brendan DuBois','DuBois, Brendan','~B. DuBois~B.DuBois~DuBois, B.~DuBois,B.~DuBois B.~DuBois B ^'),\
         ('Brendan Reichs','Reichs, Brendan','~B. Reichs~B.Reichs~Reichs, B.~Reichs,B.~Reichs B.~Reichs B ^'),\
         ('Brent Towns','Towns, Brent','~B. Towns~B.Towns~Towns, B.~Towns,B.~Towns B.~Towns B ^'),\
         ('Bri Blackwood','Blackwood, Bri','~B. Blackwood~B.Blackwood~Blackwood, B.~Blackwood,B.~Blackwood B.~Blackwood B ^'),\
         ('Brian Andrews','Andrews, Brian','~B. Andrews~B.Andrews~Andrews, B.~Andrews,B.~Andrews B.~Andrews B ^'),\
         ('Brian Feehan','Feehan, Brian','~B. Feehan~B.Feehan~Feehan, B.~Feehan,B.~Feehan B.~Feehan B ^'),\
         ('Brian Panowich','Panowich, Brian','~B. Panowich~B.Panowich~Panowich, B.~Panowich,B.~Panowich B.~Panowich B ^'),\
         ('Brian Shea','Shea, Brian','~B. Shea~B.Shea~Shea, B.~Shea,B.~Shea B.~Shea B ^'),\
         ('Brian Staveley','Staveley, Brian','~B. Staveley~B.Staveley~Staveley, B.~Staveley,B.~Staveley B.~Staveley B ^'),\
         ('Bridget Collins','Collins, Bridget','~B. Collins~B.Collins~Collins, B.~Collins,B.~Collins B.~Collins B ^'),\
         ('Britt Andrews','Andrews, Britt','~B. Andrews~B.Andrews~Andrews, B.~Andrews,B.~Andrews B.~Andrews B ^'),\
         ('Brittainy C. Cherry','Cherry, Brittainy C.','~B.C. Cherry~B. C. Cherry~B.C.Cherry~Cherry, B.~Cherry,B.~Cherry B.~Cherry B ^'),\
         ('Brittany White','White, Brittany','~B. White~B.White~White, B.~White,B.~White B.~White B ^'),\
         ('Brittney Sahin','Sahin, Brittney','~B. Sahin~B.Sahin~Sahin, B.~Sahin,B.~Sahin B.~Sahin B ^'),\
         ('Brook Wilder','Wilder, Brook','~B. Wilder~B.Wilder~Wilder, B.~Wilder,B.~Wilder B.~Wilder B ^'),\
         ('Brooke Blaine','Blaine, Brooke','~B. Blaine~B.Blaine~Blaine, B.~Blaine,B.~Blaine B.~Blaine B ^'),\
         ('Bruce Beckham','Beckham, Bruce','~B. Beckham~B.Beckham~Beckham, B.~Beckham,B.~Beckham B.~Beckham B ^'),\
         ('Bruce Hammack','Hammack, Bruce','~B. Hammack~B.Hammack~Hammack, B.~Hammack,B.~Hammack B.~Hammack B ^'),\
         ('Bruce Sentar','Sentar, Bruce','~B. Sentar~B.Sentar~Sentar, B.~Sentar,B.~Sentar B.~Sentar B ^'),\
         ('Bryce O''Connor','O''Connor, Bryce','~B. O''Connor~B.O''Connor~O''Connor, B.~O''Connor,B.~O''Connor B.~O''Connor B ^'),\
         ('Brynne Asher','Asher, Brynne','~B. Asher~B.Asher~Asher, B.~Asher,B.~Asher B.~Asher B ^'),\
         ('C.A. Harms','Harms, C.A.','~C.A. Harms~C. A. Harms~C.A.Harms~Harms, C.~Harms,C.~Harms C.~Harms C ^'),\
         ('C.C. Humphreys','Humphreys, C.C.','~C.C. Humphreys~C. C. Humphreys~C.C.Humphreys~Humphreys, C.~Humphreys,C.~Humphreys C.~Humphreys C ^'),\
         ('C.F. Iggulden','Iggulden, C.F.','~C.F. Iggulden~C. F. Iggulden~C.F.Iggulden~Iggulden, C.~Iggulden,C.~Iggulden C.~Iggulden C ^'),\
         ('C.J. Carey','Carey, C.J.','~C.J. Carey~C. J. Carey~C.J.Carey~Carey, C.~Carey,C.~Carey C.~Carey C ^'),\
         ('C.J. Carver','Carver, C.J.','~C.J. Carver~C. J. Carver~C.J.Carver~Carver, C.~Carver,C.~Carver C.~Carver C ^'),\
         ('C.J. Cooke','Cooke, C.J.','~C.J. Cooke~C. J. Cooke~C.J.Cooke~Cooke, C.~Cooke,C.~Cooke C.~Cooke C ^'),\
         ('C.J. Petit','Petit, C.J.','~C.J. Petit~C. J. Petit~C.J.Petit~Petit, C.~Petit,C.~Petit C.~Petit C ^'),\
         ('C.J. Tudor','Tudor, C.J.','~C.J. Tudor~C. J. Tudor~C.J.Tudor~Tudor, C.~Tudor,C.~Tudor C.~Tudor C ^'),\
         ('C.K. McDonnell','McDonnell, C.K.','~C.K. McDonnell~C. K. McDonnell~C.K.McDonnell~McDonnell, C.~McDonnell,C.~McDonnell C.~McDonnell C ^'),\
         ('C.L. Polk','Polk, C.L.','~C.L. Polk~C. L. Polk~C.L.Polk~Polk, C.~Polk,C.~Polk C.~Polk C ^'),\
         ('C.L. Wilson','Wilson, C.L.','~C.L. Wilson~C. L. Wilson~C.L.Wilson~Wilson, C.~Wilson,C.~Wilson C.~Wilson C ^'),\
         ('C.M. Nascosta','Nascosta, C.M.','~C.M. Nascosta~C. M. Nascosta~C.M.Nascosta~Nascosta, C.~Nascosta,C.~Nascosta C.~Nascosta C ^'),\
         ('C.M. Sutter','Sutter, C.M.','~C.M. Sutter~C. M. Sutter~C.M.Sutter~Sutter, C.~Sutter,C.~Sutter C.~Sutter C ^'),\
         ('C.N. Crawford','Crawford, C.N.','~C.N. Crawford~C. N. Crawford~C.N.Crawford~Crawford, C.~Crawford,C.~Crawford C.~Crawford C ^'),\
         ('C.R. Daems','Daems, C.R.','~C.R. Daems~C. R. Daems~C.R.Daems~Daems, C.~Daems,C.~Daems C.~Daems C ^'),\
         ('C.R. Jane','Jane, C.R.','~C.R. Jane~C. R. Jane~C.R.Jane~Jane, C.~Jane,C.~Jane C.~Jane C ^'),\
         ('C.S. Green','Green, C.S.','~C.S. Green~C. S. Green~C.S.Green~Green, C.~Green,C.~Green C.~Green C ^'),\
         ('C.S. Pacat','Pacat, C.S.','~C.S. Pacat~C. S. Pacat~C.S.Pacat~Pacat, C.~Pacat,C.~Pacat C.~Pacat C ^'),\
         ('C.S. Quinn','Quinn, C.S.','~C.S. Quinn~C. S. Quinn~C.S.Quinn~Quinn, C.~Quinn,C.~Quinn C.~Quinn C ^'),\
         ('Caimh McDonnell','McDonnell, Caimh','~C. McDonnell~C.McDonnell~McDonnell, C.~McDonnell,C.~McDonnell C.~McDonnell C ^'),\
         ('Caitlin Crews','Crews, Caitlin','~C. Crews~C.Crews~Crews, C.~Crews,C.~Crews C.~Crews C ^'),\
         ('Caitlyn O''Leary','O''Leary, Caitlyn','~C. O''Leary~C.O''Leary~O''Leary, C.~O''Leary,C.~O''Leary C.~O''Leary C ^'),\
         ('Cal Clement','Clement, Cal','~C. Clement~C.Clement~Clement, C.~Clement,C.~Clement C.~Clement C ^'),\
         ('Calista Skye','Skye, Calista','~C. Skye~C.Skye~Skye, C.~Skye,C.~Skye C.~Skye C ^'),\
         ('Calle J. Brookes','Brookes, Calle J.','~C.J. Brookes~C. J. Brookes~C.J.Brookes~Brookes, C.~Brookes,C.~Brookes C.~Brookes C ^'),\
         ('Callie Hart','Hart, Callie','~C. Hart~C.Hart~Hart, C.~Hart,C.~Hart C.~Hart C ^'),\
         ('Callie Rhodes','Rhodes, Callie','~C. Rhodes~C.Rhodes~Rhodes, C.~Rhodes,C.~Rhodes C.~Rhodes C ^'),\
         ('Callie Rose','Rose, Callie','~C. Rose~C.Rose~Rose, C.~Rose,C.~Rose C.~Rose C ^'),\
         ('Cameron Hart','Hart, Cameron','~C. Hart~C.Hart~Hart, C.~Hart,C.~Hart C.~Hart C ^'),\
         ('Cameron Johnston','Johnston, Cameron','~C. Johnston~C.Johnston~Johnston, C.~Johnston,C.~Johnston C.~Johnston C ^'),\
         ('Camilla Bruce','Bruce, Camilla','~C. Bruce~C.Bruce~Bruce, C.~Bruce,C.~Bruce C.~Bruce C ^'),\
         ('Camilla Läckberg','Läckberg, Camilla','~C. Läckberg~C.Läckberg~Läckberg, C.~Läckberg,C.~Läckberg C.~Läckberg C ^'),\
         ('Camilla Trinchieri','Trinchieri, Camilla','~C. Trinchieri~C.Trinchieri~Trinchieri, C.~Trinchieri,C.~Trinchieri C.~Trinchieri C ^'),\
         ('Candace Wondrak','Wondrak, Candace','~C. Wondrak~C.Wondrak~Wondrak, C.~Wondrak,C.~Wondrak C.~Wondrak C ^'),\
         ('Candice Fox','Fox, Candice','~C. Fox~C.Fox~Fox, C.~Fox,C.~Fox C.~Fox C ^'),\
         ('Candice Wright','Wright, Candice','~C. Wright~C.Wright~Wright, C.~Wright,C.~Wright C.~Wright C ^'),\
         ('Cap Daniels','Daniels, Cap','~C. Daniels~C.Daniels~Daniels, C.~Daniels,C.~Daniels C.~Daniels C ^'),\
         ('Cara Dee','Dee, Cara','~C. Dee~C.Dee~Dee, C.~Dee,C.~Dee C.~Dee C ^'),\
         ('Cara Hunter','Hunter, Cara','~C. Hunter~C.Hunter~Hunter, C.~Hunter,C.~Hunter C.~Hunter C ^'),\
         ('Cara Wylde','Wylde, Cara','~C. Wylde~C.Wylde~Wylde, C.~Wylde,C.~Wylde C.~Wylde C ^'),\
         ('Carian Cole','Cole, Carian','~C. Cole~C.Cole~Cole, C.~Cole,C.~Cole C.~Cole C ^'),\
         ('Carla Kovach','Kovach, Carla','~C. Kovach~C.Kovach~Kovach, C.~Kovach,C.~Kovach C.~Kovach C ^'),\
         ('Carlene O''Connor','O''Connor, Carlene','~C. O''Connor~C.O''Connor~O''Connor, C.~O''Connor,C.~O''Connor C.~O''Connor C ^'),\
         ('Carlene Thompson','Thompson, Carlene','~C. Thompson~C.Thompson~Thompson, C.~Thompson,C.~Thompson C.~Thompson C ^'),\
         ('Carley Fortune','Fortune, Carley','~C. Fortune~C.Fortune~Fortune, C.~Fortune,C.~Fortune C.~Fortune C ^'),\
         ('Carly Marie','Marie, Carly','~C. Marie~C.Marie~Marie, C.~Marie,C.~Marie C.~Marie C ^'),\
         ('Caro Ramsay','Ramsay, Caro','~C. Ramsay~C.Ramsay~Ramsay, C.~Ramsay,C.~Ramsay C.~Ramsay C ^'),\
         ('Carol J. Perry','Perry, Carol J.','~C.J. Perry~C. J. Perry~C.J.Perry~Perry, C.~Perry,C.~Perry C.~Perry C ^'),\
         ('Carol Kirkwood','Kirkwood, Carol','~C. Kirkwood~C.Kirkwood~Kirkwood, C.~Kirkwood,C.~Kirkwood C.~Kirkwood C ^'),\
         ('Carol Rivers','Rivers, Carol','~C. Rivers~C.Rivers~Rivers, C.~Rivers,C.~Rivers C.~Rivers C ^'),\
         ('Carol Wyer','Wyer, Carol','~C. Wyer~C.Wyer~Wyer, C.~Wyer,C.~Wyer C.~Wyer C ^'),\
         ('Carola Lovering','Lovering, Carola','~C. Lovering~C.Lovering~Lovering, C.~Lovering,C.~Lovering C.~Lovering C ^'),\
         ('Caroline Dunford','Dunford, Caroline','~C. Dunford~C.Dunford~Dunford, C.~Dunford,C.~Dunford C.~Dunford C ^'),\
         ('Caroline Fyffe','Fyffe, Caroline','~C. Fyffe~C.Fyffe~Fyffe, C.~Fyffe,C.~Fyffe C.~Fyffe C ^'),\
         ('Caroline Kepnes','Kepnes, Caroline','~C. Kepnes~C.Kepnes~Kepnes, C.~Kepnes,C.~Kepnes C.~Kepnes C ^'),\
         ('Caroline Lee','Lee, Caroline','~C. Lee~C.Lee~Lee, C.~Lee,C.~Lee C.~Lee C ^'),\
         ('Caroline Linden','Linden, Caroline','~C. Linden~C.Linden~Linden, C.~Linden,C.~Linden C.~Linden C ^'),\
         ('Caroline Mitchell','Mitchell, Caroline','~C. Mitchell~C.Mitchell~Mitchell, C.~Mitchell,C.~Mitchell C.~Mitchell C ^'),\
         ('Caroline Peckham','Peckham, Caroline','~C. Peckham~C.Peckham~Peckham, C.~Peckham,C.~Peckham C.~Peckham C ^'),\
         ('Caroline Roberts','Roberts, Caroline','~C. Roberts~C.Roberts~Roberts, C.~Roberts,C.~Roberts C.~Roberts C ^'),\
         ('Carolyn Arnold','Arnold, Carolyn','~C. Arnold~C.Arnold~Arnold, C.~Arnold,C.~Arnold C.~Arnold C ^'),\
         ('Carolyn Miller','Miller, Carolyn','~C. Miller~C.Miller~Miller, C.~Miller,C.~Miller C.~Miller C ^'),\
         ('Carolyn Ridder Aspenson','Aspenson, Carolyn Ridder','~C.R. Aspenson~C. R. Aspenson~C.R.Aspenson~Aspenson, C.~Aspenson,C.~Aspenson C.~Aspenson C ^'),\
         ('Carolyn Wells','Wells, Carolyn','~C. Wells~C.Wells~Wells, C.~Wells,C.~Wells C.~Wells C ^'),\
         ('Carrie Aarons','Aarons, Carrie','~C. Aarons~C.Aarons~Aarons, C.~Aarons,C.~Aarons C.~Aarons C ^'),\
         ('Carrie Doyle','Doyle, Carrie','~C. Doyle~C.Doyle~Doyle, C.~Doyle,C.~Doyle C.~Doyle C ^'),\
         ('Carrie Elks','Elks, Carrie','~C. Elks~C.Elks~Elks, C.~Elks,C.~Elks C.~Elks C ^'),\
         ('Carrie Stuart Parks','Parks, Carrie Stuart','~C.S. Parks~C. S. Parks~C.S.Parks~Parks, C.~Parks,C.~Parks C.~Parks C ^'),\
         ('Casey Kelleher','Kelleher, Casey','~C. Kelleher~C.Kelleher~Kelleher, C.~Kelleher,C.~Kelleher C.~Kelleher C ^'),\
         ('Casey McQuiston','McQuiston, Casey','~C. McQuiston~C.McQuiston~McQuiston, C.~McQuiston,C.~McQuiston C.~McQuiston C ^'),\
         ('Cass Green','Green, Cass','~C. Green~C.Green~Green, C.~Green,C.~Green C.~Green C ^'),\
         ('Cassandra Clark','Clark, Cassandra','~C. Clark~C.Clark~Clark, C.~Clark,C.~Clark C.~Clark C ^'),\
         ('Cassandra Robbins','Robbins, Cassandra','~C. Robbins~C.Robbins~Robbins, C.~Robbins,C.~Robbins C.~Robbins C ^'),\
         ('Cassie Cole','Cole, Cassie','~C. Cole~C.Cole~Cole, C.~Cole,C.~Cole C.~Cole C ^'),\
         ('Cassie Mint','Mint, Cassie','~C. Mint~C.Mint~Mint, C.~Mint,C.~Mint C.~Mint C ^'),\
         ('Cassie-Ann L. Miller','Miller, Cassie-Ann L.','~C.L. Miller~C. L. Miller~C.L.Miller~Miller, C.~Miller,C.~Miller C.~Miller C ^'),\
         ('Cassius Lange','Lange, Cassius','~C. Lange~C.Lange~Lange, C.~Lange,C.~Lange C.~Lange C ^'),\
         ('Cat Sebastian','Sebastian, Cat','~C. Sebastian~C.Sebastian~Sebastian, C.~Sebastian,C.~Sebastian C.~Sebastian C ^'),\
         ('Cate C. Wells','Wells, Cate C.','~C.C. Wells~C. C. Wells~C.C.Wells~Wells, C.~Wells,C.~Wells C.~Wells C ^'),\
         ('Cate Conte','Conte, Cate','~C. Conte~C.Conte~Conte, C.~Conte,C.~Conte C.~Conte C ^'),\
         ('Cate Holahan','Holahan, Cate','~C. Holahan~C.Holahan~Holahan, C.~Holahan,C.~Holahan C.~Holahan C ^'),\
         ('Cate Lawley','Lawley, Cate','~C. Lawley~C.Lawley~Lawley, C.~Lawley,C.~Lawley C.~Lawley C ^'),\
         ('Catharina Maura','Maura, Catharina','~C. Maura~C.Maura~Maura, C.~Maura,C.~Maura C.~Maura C ^'),\
         ('Catherine Bruns','Bruns, Catherine','~C. Bruns~C.Bruns~Bruns, C.~Bruns,C.~Bruns C.~Bruns C ^'),\
         ('Catherine Coles','Coles, Catherine','~C. Coles~C.Coles~Coles, C.~Coles,C.~Coles C.~Coles C ^'),\
         ('Catherine Cowles','Cowles, Catherine','~C. Cowles~C.Cowles~Cowles, C.~Cowles,C.~Cowles C.~Cowles C ^'),\
         ('Catherine Doyle','Doyle, Catherine','~C. Doyle~C.Doyle~Doyle, C.~Doyle,C.~Doyle C.~Doyle C ^'),\
         ('Catherine Lloyd','Lloyd, Catherine','~C. Lloyd~C.Lloyd~Lloyd, C.~Lloyd,C.~Lloyd C.~Lloyd C ^'),\
         ('Catherine McKenzie','McKenzie, Catherine','~C. McKenzie~C.McKenzie~McKenzie, C.~McKenzie,C.~McKenzie C.~McKenzie C ^'),\
         ('Catherine Moloney','Moloney, Catherine','~C. Moloney~C.Moloney~Moloney, C.~Moloney,C.~Moloney C.~Moloney C ^'),\
         ('Catherine Ryan Howard','Howard, Catherine Ryan','~C.R. Howard~C. R. Howard~C.R.Howard~Howard, C.~Howard,C.~Howard C.~Howard C ^'),\
         ('Catherine Steadman','Steadman, Catherine','~C. Steadman~C.Steadman~Steadman, C.~Steadman,C.~Steadman C.~Steadman C ^'),\
         ('Catherine Wiltcher','Wiltcher, Catherine','~C. Wiltcher~C.Wiltcher~Wiltcher, C.~Wiltcher,C.~Wiltcher C.~Wiltcher C ^'),\
         ('Cathleen Cole','Cole, Cathleen','~C. Cole~C.Cole~Cole, C.~Cole,C.~Cole C.~Cole C ^'),\
         ('Cathy Ace','Ace, Cathy','~C. Ace~C.Ace~Ace, C.~Ace,C.~Ace C.~Ace C ^'),\
         ('Cathy Marie Hake','Hake, Cathy Marie','~C.M. Hake~C. M. Hake~C.M.Hake~Hake, C.~Hake,C.~Hake C.~Hake C ^'),\
         ('Cathy Sharp','Sharp, Cathy','~C. Sharp~C.Sharp~Sharp, C.~Sharp,C.~Sharp C.~Sharp C ^'),\
         ('Catriona Ward','Ward, Catriona','~C. Ward~C.Ward~Ward, C.~Ward,C.~Ward C.~Ward C ^'),\
         ('Cay Rademacher','Rademacher, Cay','~C. Rademacher~C.Rademacher~Rademacher, C.~Rademacher,C.~Rademacher C.~Rademacher C ^'),\
         ('Caz Finlay','Finlay, Caz','~C. Finlay~C.Finlay~Finlay, C.~Finlay,C.~Finlay C.~Finlay C ^'),\
         ('Caz Frear','Frear, Caz','~C. Frear~C.Frear~Frear, C.~Frear,C.~Frear C.~Frear C ^'),\
         ('CD Reiss','Reiss, CD','~C. Reiss~C.Reiss~Reiss, C.~Reiss,C.~Reiss C.~Reiss C ^'),\
         ('Cecelia Mecca','Mecca, Cecelia','~C. Mecca~C.Mecca~Mecca, C.~Mecca,C.~Mecca C.~Mecca C ^'),\
         ('Cee Bowerman','Bowerman, Cee','~C. Bowerman~C.Bowerman~Bowerman, C.~Bowerman,C.~Bowerman C.~Bowerman C ^'),\
         ('CeeCee James','James, CeeCee','~C. James~C.James~James, C.~James,C.~James C.~James C ^'),\
         ('Celeste Barclay','Barclay, Celeste','~C. Barclay~C.Barclay~Barclay, C.~Barclay,C.~Barclay C.~Barclay C ^'),\
         ('Celeste Ng','Ng, Celeste','~C. Ng~C.Ng~Ng, C.~Ng,C.~Ng C.~Ng C ^'),\
         ('Chandelle LaVaun','LaVaun, Chandelle','~C. LaVaun~C.LaVaun~LaVaun, C.~LaVaun,C.~LaVaun C.~LaVaun C ^'),\
         ('Chanel Cleeton','Cleeton, Chanel','~C. Cleeton~C.Cleeton~Cleeton, C.~Cleeton,C.~Cleeton C.~Cleeton C ^'),\
         ('Chantelle Shaw','Shaw, Chantelle','~C. Shaw~C.Shaw~Shaw, C.~Shaw,C.~Shaw C.~Shaw C ^'),\
         ('Charis Michaels','Michaels, Charis','~C. Michaels~C.Michaels~Michaels, C.~Michaels,C.~Michaels C.~Michaels C ^'),\
         ('Charity Ferrell','Ferrell, Charity','~C. Ferrell~C.Ferrell~Ferrell, C.~Ferrell,C.~Ferrell C.~Ferrell C ^'),\
         ('Charlene Hartnady','Hartnady, Charlene','~C. Hartnady~C.Hartnady~Hartnady, C.~Hartnady,C.~Hartnady C.~Hartnady C ^'),\
         ('Charles de Lint','Lint, Charles de','~C.d. Lint~C. d. Lint~C.d.Lint~Lint, C.~Lint,C.~Lint C.~Lint C ^'),\
         ('Charles G. West','West, Charles G.','~C.G. West~C. G. West~C.G.West~West, C.~West,C.~West C.~West C ^'),\
         ('Charles Whiting','Whiting, Charles','~C. Whiting~C.Whiting~Whiting, C.~Whiting,C.~Whiting C.~Whiting C ^'),\
         ('Charlie Cochet','Cochet, Charlie','~C. Cochet~C.Cochet~Cochet, C.~Cochet,C.~Cochet C.~Cochet C ^'),\
         ('Charlie Donlea','Donlea, Charlie','~C. Donlea~C.Donlea~Donlea, C.~Donlea,C.~Donlea C.~Donlea C ^'),\
         ('Charlie Gallagher','Gallagher, Charlie','~C. Gallagher~C.Gallagher~Gallagher, C.~Gallagher,C.~Gallagher C.~Gallagher C ^'),\
         ('Charlie Lane','Lane, Charlie','~C. Lane~C.Lane~Lane, C.~Lane,C.~Lane C.~Lane C ^'),\
         ('Charlie N. Holmberg','Holmberg, Charlie N.','~C.N. Holmberg~C. N. Holmberg~C.N.Holmberg~Holmberg, C.~Holmberg,C.~Holmberg C.~Holmberg C ^'),\
         ('Charlotte Betts','Betts, Charlotte','~C. Betts~C.Betts~Betts, C.~Betts,C.~Betts C.~Betts C ^'),\
         ('Charlotte Hubbard','Hubbard, Charlotte','~C. Hubbard~C.Hubbard~Hubbard, C.~Hubbard,C.~Hubbard C.~Hubbard C ^'),\
         ('Charly Cox','Cox, Charly','~C. Cox~C.Cox~Cox, C.~Cox,C.~Cox C.~Cox C ^'),\
         ('Chasity Bowlin','Bowlin, Chasity','~C. Bowlin~C.Bowlin~Bowlin, C.~Bowlin,C.~Bowlin C.~Bowlin C ^'),\
         ('Chelle Bliss','Bliss, Chelle','~C. Bliss~C.Bliss~Bliss, C.~Bliss,C.~Bliss C.~Bliss C ^'),\
         ('Chelsea Abdullah','Abdullah, Chelsea','~C. Abdullah~C.Abdullah~Abdullah, C.~Abdullah,C.~Abdullah C.~Abdullah C ^'),\
         ('Chelsea Thomas','Thomas, Chelsea','~C. Thomas~C.Thomas~Thomas, C.~Thomas,C.~Thomas C.~Thomas C ^'),\
         ('Cheryl Hollon','Hollon, Cheryl','~C. Hollon~C.Hollon~Hollon, C.~Hollon,C.~Hollon C.~Hollon C ^'),\
         ('Cheryl Rees-Price','Rees-Price, Cheryl','~C. Rees-Price~C.Rees-Price~Rees-Price, C.~Rees-Price,C.~Rees-Price C.~Rees-Price C ^'),\
         ('Chloe Gong','Gong, Chloe','~C. Gong~C.Gong~Gong, C.~Gong,C.~Gong C.~Gong C ^'),\
         ('Chloe Liese','Liese, Chloe','~C. Liese~C.Liese~Liese, C.~Liese,C.~Liese C.~Liese C ^'),\
         ('Chris Brookmyre','Brookmyre, Chris','~C. Brookmyre~C.Brookmyre~Brookmyre, C.~Brookmyre,C.~Brookmyre C.~Brookmyre C ^'),\
         ('Chris Collett','Collett, Chris','~C. Collett~C.Collett~Collett, C.~Collett,C.~Collett C.~Collett C ^'),\
         ('Chris d''Lacey','d''Lacey, Chris','~C. d''Lacey~C.d''Lacey~d''Lacey, C.~d''Lacey,C.~d''Lacey C.~d''Lacey C ^'),\
         ('Chris Durbin','Durbin, Chris','~C. Durbin~C.Durbin~Durbin, C.~Durbin,C.~Durbin C.~Durbin C ^'),\
         ('Chris Hammer','Hammer, Chris','~C. Hammer~C.Hammer~Hammer, C.~Hammer,C.~Hammer C.~Hammer C ^'),\
         ('Chris Hauty','Hauty, Chris','~C. Hauty~C.Hauty~Hauty, C.~Hauty,C.~Hauty C.~Hauty C ^'),\
         ('Chris Holm','Holm, Chris','~C. Holm~C.Holm~Holm, C.~Holm,C.~Holm C.~Holm C ^'),\
         ('Chris Kennedy','Kennedy, Chris','~C. Kennedy~C.Kennedy~Kennedy, C.~Kennedy,C.~Kennedy C.~Kennedy C ^'),\
         ('Chris Offutt','Offutt, Chris','~C. Offutt~C.Offutt~Offutt, C.~Offutt,C.~Offutt C.~Offutt C ^'),\
         ('Chris Vines','Vines, Chris','~C. Vines~C.Vines~Vines, C.~Vines,C.~Vines C.~Vines C ^'),\
         ('Chris Whitaker','Whitaker, Chris','~C. Whitaker~C.Whitaker~Whitaker, C.~Whitaker,C.~Whitaker C.~Whitaker C ^'),\
         ('Chrissie Walsh','Walsh, Chrissie','~C. Walsh~C.Walsh~Walsh, C.~Walsh,C.~Walsh C.~Walsh C ^'),\
         ('Christi Caldwell','Caldwell, Christi','~C. Caldwell~C.Caldwell~Caldwell, C.~Caldwell,C.~Caldwell C.~Caldwell C ^'),\
         ('Christian White','White, Christian','~C. White~C.White~White, C.~White,C.~White C.~White C ^'),\
         ('Christie Barlow','Barlow, Christie','~C. Barlow~C.Barlow~Barlow, C.~Barlow,C.~Barlow C.~Barlow C ^'),\
         ('Christin Brecher','Brecher, Christin','~C. Brecher~C.Brecher~Brecher, C.~Brecher,C.~Brecher C.~Brecher C ^'),\
         ('Christina Britton','Britton, Christina','~C. Britton~C.Britton~Britton, C.~Britton,C.~Britton C.~Britton C ^'),\
         ('Christina C. Jones','Jones, Christina C.','~C.C. Jones~C. C. Jones~C.C.Jones~Jones, C.~Jones,C.~Jones C.~Jones C ^'),\
         ('Christina James','James, Christina','~C. James~C.James~James, C.~James,C.~James C.~James C ^'),\
         ('Christine Carbo','Carbo, Christine','~C. Carbo~C.Carbo~Carbo, C.~Carbo,C.~Carbo C.~Carbo C ^'),\
         ('Christine Gael','Gael, Christine','~C. Gael~C.Gael~Gael, C.~Gael,C.~Gael C.~Gael C ^'),\
         ('Christine Pope','Pope, Christine','~C. Pope~C.Pope~Pope, C.~Pope,C.~Pope C.~Pope C ^'),\
         ('Christine Trent','Trent, Christine','~C. Trent~C.Trent~Trent, C.~Trent,C.~Trent C.~Trent C ^'),\
         ('Christobel Kent','Kent, Christobel','~C. Kent~C.Kent~Kent, C.~Kent,C.~Kent C.~Kent C ^'),\
         ('Christoffer Petersen','Petersen, Christoffer','~C. Petersen~C.Petersen~Petersen, C.~Petersen,C.~Petersen C.~Petersen C ^'),\
         ('Christopher Bush','Bush, Christopher','~C. Bush~C.Bush~Bush, C.~Bush,C.~Bush C.~Bush C ^'),\
         ('Christopher C. Tubbs','Tubbs, Christopher C.','~C.C. Tubbs~C. C. Tubbs~C.C.Tubbs~Tubbs, C.~Tubbs,C.~Tubbs C.~Tubbs C ^'),\
         ('Christopher Cartwright','Cartwright, Christopher','~C. Cartwright~C.Cartwright~Cartwright, C.~Cartwright,C.~Cartwright C.~Cartwright C ^'),\
         ('Christopher G. Nuttall','Nuttall, Christopher G.','~C.G. Nuttall~C. G. Nuttall~C.G.Nuttall~Nuttall, C.~Nuttall,C.~Nuttall C.~Nuttall C ^'),\
         ('Christopher Mitchell','Mitchell, Christopher','~C. Mitchell~C.Mitchell~Mitchell, C.~Mitchell,C.~Mitchell C.~Mitchell C ^'),\
         ('Christopher Ruocchio','Ruocchio, Christopher','~C. Ruocchio~C.Ruocchio~Ruocchio, C.~Ruocchio,C.~Ruocchio C.~Ruocchio C ^'),\
         ('Christopher Swann','Swann, Christopher','~C. Swann~C.Swann~Swann, C.~Swann,C.~Swann C.~Swann C ^'),\
         ('Christy Barritt','Barritt, Christy','~C. Barritt~C.Barritt~Barritt, C.~Barritt,C.~Barritt C.~Barritt C ^'),\
         ('Christy Carlyle','Carlyle, Christy','~C. Carlyle~C.Carlyle~Carlyle, C.~Carlyle,C.~Carlyle C.~Carlyle C ^'),\
         ('Ciara St James','James, Ciara St','~C.S. James~C. S. James~C.S.James~James, C.~James,C.~James C.~James C ^'),\
         ('Cindy Bell','Bell, Cindy','~C. Bell~C.Bell~Bell, C.~Bell,C.~Bell C.~Bell C ^'),\
         ('Cixin Liu','Liu, Cixin','~C. Liu~C.Liu~Liu, C.~Liu,C.~Liu C.~Liu C ^'),\
         ('Claire Allan','Allan, Claire','~C. Allan~C.Allan~Allan, C.~Allan,C.~Allan C.~Allan C ^'),\
         ('Claire Askew','Askew, Claire','~C. Askew~C.Askew~Askew, C.~Askew,C.~Askew C.~Askew C ^'),\
         ('Claire Douglas','Douglas, Claire','~C. Douglas~C.Douglas~Douglas, C.~Douglas,C.~Douglas C.~Douglas C ^'),\
         ('Claire Keegan','Keegan, Claire','~C. Keegan~C.Keegan~Keegan, C.~Keegan,C.~Keegan C.~Keegan C ^'),\
         ('Claire Kells','Kells, Claire','~C. Kells~C.Kells~Kells, C.~Kells,C.~Kells C.~Kells C ^'),\
         ('Claire Kingsley','Kingsley, Claire','~C. Kingsley~C.Kingsley~Kingsley, C.~Kingsley,C.~Kingsley C.~Kingsley C ^'),\
         ('Claire McGowan','McGowan, Claire','~C. McGowan~C.McGowan~McGowan, C.~McGowan,C.~McGowan C.~McGowan C ^'),\
         ('Clara Benson','Benson, Clara','~C. Benson~C.Benson~Benson, C.~Benson,C.~Benson C.~Benson C ^'),\
         ('Clara McKenna','McKenna, Clara','~C. McKenna~C.McKenna~McKenna, C.~McKenna,C.~McKenna C.~McKenna C ^'),\
         ('Clare Chambers','Chambers, Clare','~C. Chambers~C.Chambers~Chambers, C.~Chambers,C.~Chambers C.~Chambers C ^'),\
         ('Clare Chase','Chase, Clare','~C. Chase~C.Chase~Chase, C.~Chase,C.~Chase C.~Chase C ^'),\
         ('Clare Connelly','Connelly, Clare','~C. Connelly~C.Connelly~Connelly, C.~Connelly,C.~Connelly C.~Connelly C ^'),\
         ('Clare Marchant','Marchant, Clare','~C. Marchant~C.Marchant~Marchant, C.~Marchant,C.~Marchant C.~Marchant C ^'),\
         ('Clare Pooley','Pooley, Clare','~C. Pooley~C.Pooley~Pooley, C.~Pooley,C.~Pooley C.~Pooley C ^'),\
         ('Clarissa Wild','Wild, Clarissa','~C. Wild~C.Wild~Wild, C.~Wild,C.~Wild C.~Wild C ^'),\
         ('Claudia Burgoa','Burgoa, Claudia','~C. Burgoa~C.Burgoa~Burgoa, C.~Burgoa,C.~Burgoa C.~Burgoa C ^'),\
         ('Clifford Witting','Witting, Clifford','~C. Witting~C.Witting~Witting, C.~Witting,C.~Witting C.~Witting C ^'),\
         ('CM Steele','Steele, CM','~C. Steele~C.Steele~Steele, C.~Steele,C.~Steele C.~Steele C ^'),\
         ('Cody McFadyen','McFadyen, Cody','~C. McFadyen~C.McFadyen~McFadyen, C.~McFadyen,C.~McFadyen C.~McFadyen C ^'),\
         ('Colette Clark','Clark, Colette','~C. Clark~C.Clark~Clark, C.~Clark,C.~Clark C.~Clark C ^'),\
         ('Colin Falconer','Falconer, Colin','~C. Falconer~C.Falconer~Falconer, C.~Falconer,C.~Falconer C.~Falconer C ^'),\
         ('Colleen Cambridge','Cambridge, Colleen','~C. Cambridge~C.Cambridge~Cambridge, C.~Cambridge,C.~Cambridge C.~Cambridge C ^'),\
         ('Colleen McCullough','McCullough, Colleen','~C. McCullough~C.McCullough~McCullough, C.~McCullough,C.~McCullough C.~McCullough C ^'),\
         ('Collette Cameron','Cameron, Collette','~C. Cameron~C.Cameron~Cameron, C.~Cameron,C.~Cameron C.~Cameron C ^'),\
         ('Connie Berry','Berry, Connie','~C. Berry~C.Berry~Berry, C.~Berry,C.~Berry C.~Berry C ^'),\
         ('Connor Sullivan','Sullivan, Connor','~C. Sullivan~C.Sullivan~Sullivan, C.~Sullivan,C.~Sullivan C.~Sullivan C ^'),\
         ('Constance Barker','Barker, Constance','~C. Barker~C.Barker~Barker, C.~Barker,C.~Barker C.~Barker C ^'),\
         ('Cora Reilly','Reilly, Cora','~C. Reilly~C.Reilly~Reilly, C.~Reilly,C.~Reilly C.~Reilly C ^'),\
         ('Corin Cain','Cain, Corin','~C. Cain~C.Cain~Cain, C.~Cain,C.~Cain C.~Cain C ^'),\
         ('Corinne Michaels','Michaels, Corinne','~C. Michaels~C.Michaels~Michaels, C.~Michaels,C.~Michaels C.~Michaels C ^'),\
         ('Cormac McCarthy','McCarthy, Cormac','~C. McCarthy~C.McCarthy~McCarthy, C.~McCarthy,C.~McCarthy C.~McCarthy C ^'),\
         ('Courtney Summers','Summers, Courtney','~C. Summers~C.Summers~Summers, C.~Summers,C.~Summers C.~Summers C ^'),\
         ('Craig Alanson','Alanson, Craig','~C. Alanson~C.Alanson~Alanson, C.~Alanson,C.~Alanson C.~Alanson C ^'),\
         ('Craig Martelle','Martelle, Craig','~C. Martelle~C.Martelle~Martelle, C.~Martelle,C.~Martelle C.~Martelle C ^'),\
         ('Cressida Cowell','Cowell, Cressida','~C. Cowell~C.Cowell~Cowell, C.~Cowell,C.~Cowell C.~Cowell C ^'),\
         ('Cressida McLaughlin','McLaughlin, Cressida','~C. McLaughlin~C.McLaughlin~McLaughlin, C.~McLaughlin,C.~McLaughlin C.~McLaughlin C ^'),\
         ('Crimson Syn','Syn, Crimson','~C. Syn~C.Syn~Syn, C.~Syn,C.~Syn C.~Syn C ^'),\
         ('Crystal Ash','Ash, Crystal','~C. Ash~C.Ash~Ash, C.~Ash,C.~Ash C.~Ash C ^'),\
         ('Crystal Daniels','Daniels, Crystal','~C. Daniels~C.Daniels~Daniels, C.~Daniels,C.~Daniels C.~Daniels C ^'),\
         ('Crystal Kaswell','Kaswell, Crystal','~C. Kaswell~C.Kaswell~Kaswell, C.~Kaswell,C.~Kaswell C.~Kaswell C ^'),\
         ('Cube Kid','Kid, Cube','~C. Kid~C.Kid~Kid, C.~Kid,C.~Kid C.~Kid C ^'),\
         ('Cynthia Baxter','Baxter, Cynthia','~C. Baxter~C.Baxter~Baxter, C.~Baxter,C.~Baxter C.~Baxter C ^'),\
         ('Cynthia Kuhn','Kuhn, Cynthia','~C. Kuhn~C.Kuhn~Kuhn, C.~Kuhn,C.~Kuhn C.~Kuhn C ^'),\
         ('D. Levesque','Levesque, D.','~D. Levesque~D.Levesque~Levesque, D.~Levesque,D.~Levesque D.~Levesque D ^'),\
         ('D.J. Palmer','Palmer, D.J.','~D.J. Palmer~D. J. Palmer~D.J.Palmer~Palmer, D.~Palmer,D.~Palmer D.~Palmer D ^'),\
         ('D.K. Hood','Hood, D.K.','~D.K. Hood~D. K. Hood~D.K.Hood~Hood, D.~Hood,D.~Hood D.~Hood D ^'),\
         ('D.M. Quincy','Quincy, D.M.','~D.M. Quincy~D. M. Quincy~D.M.Quincy~Quincy, D.~Quincy,D.~Quincy D.~Quincy D ^'),\
         ('D.S. Butler','Butler, D.S.','~D.S. Butler~D. S. Butler~D.S.Butler~Butler, D.~Butler,D.~Butler D.~Butler D ^'),\
         ('D.V. Bishop','Bishop, D.V.','~D.V. Bishop~D. V. Bishop~D.V.Bishop~Bishop, D.~Bishop,D.~Bishop D.~Bishop D ^'),\
         ('Daisy Meadows','Meadows, Daisy','~D. Meadows~D.Meadows~Meadows, D.~Meadows,D.~Meadows D.~Meadows D ^'),\
         ('Daisy Styles','Styles, Daisy','~D. Styles~D.Styles~Styles, D.~Styles,D.~Styles D.~Styles D ^'),\
         ('Dakota Krout','Krout, Dakota','~D. Krout~D.Krout~Krout, D.~Krout,D.~Krout D.~Krout D ^'),\
         ('Damien Boyd','Boyd, Damien','~D. Boyd~D.Boyd~Boyd, D.~Boyd,D.~Boyd D.~Boyd D ^'),\
         ('Damion Hunter','Hunter, Damion','~D. Hunter~D.Hunter~Hunter, D.~Hunter,D.~Hunter D.~Hunter D ^'),\
         ('Dan Ames','Ames, Dan','~D. Ames~D.Ames~Ames, D.~Ames,D.~Ames D.~Ames D ^'),\
         ('Dan Gutman','Gutman, Dan','~D. Gutman~D.Gutman~Gutman, D.~Gutman,D.~Gutman D.~Gutman D ^'),\
         ('Dan Koboldt','Koboldt, Dan','~D. Koboldt~D.Koboldt~Koboldt, D.~Koboldt,D.~Koboldt D.~Koboldt D ^'),\
         ('Dan Padavona','Padavona, Dan','~D. Padavona~D.Padavona~Padavona, D.~Padavona,D.~Padavona D.~Padavona D ^'),\
         ('Dana Fuller Ross','Ross, Dana Fuller','~D.F. Ross~D. F. Ross~D.F.Ross~Ross, D.~Ross,D.~Ross D.~Ross D ^'),\
         ('Dana Isaly','Isaly, Dana','~D. Isaly~D.Isaly~Isaly, D.~Isaly,D.~Isaly D.~Isaly D ^'),\
         ('Dana Mentink','Mentink, Dana','~D. Mentink~D.Mentink~Mentink, D.~Mentink,D.~Mentink D.~Mentink D ^'),\
         ('Dani Collins','Collins, Dani','~D. Collins~D.Collins~Collins, D.~Collins,D.~Collins D.~Collins D ^'),\
         ('Dani Pettrey','Pettrey, Dani','~D. Pettrey~D.Pettrey~Pettrey, D.~Pettrey,D.~Pettrey D.~Pettrey D ^'),\
         ('Dani Wyatt','Wyatt, Dani','~D. Wyatt~D.Wyatt~Wyatt, D.~Wyatt,D.~Wyatt D.~Wyatt D ^'),\
         ('Daniel Cole','Cole, Daniel','~D. Cole~D.Cole~Cole, D.~Cole,D.~Cole D.~Cole D ^'),\
         ('Daniel Hurst','Hurst, Daniel','~D. Hurst~D.Hurst~Hurst, D.~Hurst,D.~Hurst D.~Hurst D ^'),\
         ('Daniel José Older','Older, Daniel José','~D.J. Older~D. J. Older~D.J.Older~Older, D.~Older,D.~Older D.~Older D ^'),\
         ('Daniel O''Malley','O''Malley, Daniel','~D. O''Malley~D.O''Malley~O''Malley, D.~O''Malley,D.~O''Malley D.~O''Malley D ^'),\
         ('Daniel Scanlan','Scanlan, Daniel','~D. Scanlan~D.Scanlan~Scanlan, D.~Scanlan,D.~Scanlan D.~Scanlan D ^'),\
         ('Daniel Schinhofen','Schinhofen, Daniel','~D. Schinhofen~D.Schinhofen~Schinhofen, D.~Schinhofen,D.~Schinhofen D.~Schinhofen D ^'),\
         ('Daniel Woodrell','Woodrell, Daniel','~D. Woodrell~D.Woodrell~Woodrell, D.~Woodrell,D.~Woodrell D.~Woodrell D ^'),\
         ('Danielle Collins','Collins, Danielle','~D. Collins~D.Collins~Collins, D.~Collins,D.~Collins D.~Collins D ^'),\
         ('Danielle Garrett','Garrett, Danielle','~D. Garrett~D.Garrett~Garrett, D.~Garrett,D.~Garrett D.~Garrett D ^'),\
         ('Danielle Girard','Girard, Danielle','~D. Girard~D.Girard~Girard, D.~Girard,D.~Girard D.~Girard D ^'),\
         ('Danielle L. Jensen','Jensen, Danielle L.','~D.L. Jensen~D. L. Jensen~D.L.Jensen~Jensen, D.~Jensen,D.~Jensen D.~Jensen D ^'),\
         ('Danielle Lori','Lori, Danielle','~D. Lori~D.Lori~Lori, D.~Lori,D.~Lori D.~Lori D ^'),\
         ('Danielle Paige','Paige, Danielle','~D. Paige~D.Paige~Paige, D.~Paige,D.~Paige D.~Paige D ^'),\
         ('Dante King','King, Dante','~D. King~D.King~King, D.~King,D.~King D.~King D ^'),\
         ('Daphne du Maurier','Maurier, Daphne du','~D.d. Maurier~D. d. Maurier~D.d.Maurier~Maurier, D.~Maurier,D.~Maurier D.~Maurier D ^'),\
         ('Daphne Loveling','Loveling, Daphne','~D. Loveling~D.Loveling~Loveling, D.~Loveling,D.~Loveling D.~Loveling D ^'),\
         ('Darby Kane','Kane, Darby','~D. Kane~D.Kane~Kane, D.~Kane,D.~Kane D.~Kane D ^'),\
         ('Darci Hannah','Hannah, Darci','~D. Hannah~D.Hannah~Hannah, D.~Hannah,D.~Hannah D.~Hannah D ^'),\
         ('Darcie Boleyn','Boleyn, Darcie','~D. Boleyn~D.Boleyn~Boleyn, D.~Boleyn,D.~Boleyn D.~Boleyn D ^'),\
         ('Darcie Wilde','Wilde, Darcie','~D. Wilde~D.Wilde~Wilde, D.~Wilde,D.~Wilde D.~Wilde D ^'),\
         ('Darcy Coates','Coates, Darcy','~D. Coates~D.Coates~Coates, D.~Coates,D.~Coates D.~Coates D ^'),\
         ('Darlene Tallman','Tallman, Darlene','~D. Tallman~D.Tallman~Tallman, D.~Tallman,D.~Tallman D.~Tallman D ^'),\
         ('Daryl Wood Gerber','Gerber, Daryl Wood','~D.W. Gerber~D. W. Gerber~D.W.Gerber~Gerber, D.~Gerber,D.~Gerber D.~Gerber D ^'),\
         ('Dave Warner','Warner, Dave','~D. Warner~D.Warner~Warner, D.~Warner,D.~Warner D.~Warner D ^'),\
         ('Dave Willmarth','Willmarth, Dave','~D. Willmarth~D.Willmarth~Willmarth, D.~Willmarth,D.~Willmarth D.~Willmarth D ^'),\
         ('David Archer','Archer, David','~D. Archer~D.Archer~Archer, D.~Archer,D.~Archer D.~Archer D ^'),\
         ('David Blake','Blake, David','~D. Blake~D.Blake~Blake, D.~Blake,D.~Blake D.~Blake D ^'),\
         ('David Bruns','Bruns, David','~D. Bruns~D.Bruns~Bruns, D.~Bruns,D.~Bruns D.~Bruns D ^'),\
         ('David Fennell','Fennell, David','~D. Fennell~D.Fennell~Fennell, D.~Fennell,D.~Fennell D.~Fennell D ^'),\
         ('David Field','Field, David','~D. Field~D.Field~Field, D.~Field,D.~Field D.~Field D ^'),\
         ('David Hagberg','Hagberg, David','~D. Hagberg~D.Hagberg~Hagberg, D.~Hagberg,D.~Hagberg D.~Hagberg D ^'),\
         ('David Hair','Hair, David','~D. Hair~D.Hair~Hair, D.~Hair,D.~Hair D.~Hair D ^'),\
         ('David Hodges','Hodges, David','~D. Hodges~D.Hodges~Hodges, D.~Hodges,D.~Hodges D.~Hodges D ^'),\
         ('David J. Gatward','Gatward, David J.','~D.J. Gatward~D. J. Gatward~D.J.Gatward~Gatward, D.~Gatward,D.~Gatward D.~Gatward D ^'),\
         ('David Jackson','Jackson, David','~D. Jackson~D.Jackson~Jackson, D.~Jackson,D.~Jackson D.~Jackson D ^'),\
         ('David Koepp','Koepp, David','~D. Koepp~D.Koepp~Koepp, D.~Koepp,D.~Koepp D.~Koepp D ^'),\
         ('David Lagercrantz','Lagercrantz, David','~D. Lagercrantz~D.Lagercrantz~Lagercrantz, D.~Lagercrantz,D.~Lagercrantz D.~Lagercrantz D ^'),\
         ('David Leadbeater','Leadbeater, David','~D. Leadbeater~D.Leadbeater~Leadbeater, D.~Leadbeater,D.~Leadbeater D.~Leadbeater D ^'),\
         ('David McCloskey','McCloskey, David','~D. McCloskey~D.McCloskey~McCloskey, D.~McCloskey,D.~McCloskey D.~McCloskey D ^'),\
         ('David Nix','Nix, David','~D. Nix~D.Nix~Nix, D.~Nix,D.~Nix D.~Nix D ^'),\
         ('David P. Wagner','Wagner, David P.','~D.P. Wagner~D. P. Wagner~D.P.Wagner~Wagner, D.~Wagner,D.~Wagner D.~Wagner D ^'),\
         ('David Pearson','Pearson, David','~D. Pearson~D.Pearson~Pearson, D.~Pearson,D.~Pearson D.~Pearson D ^'),\
         ('David Penny','Penny, David','~D. Penny~D.Penny~Penny, D.~Penny,D.~Penny D.~Penny D ^'),\
         ('David Pepper','Pepper, David','~D. Pepper~D.Pepper~Pepper, D.~Pepper,D.~Pepper D.~Pepper D ^'),\
         ('David Ricciardi','Ricciardi, David','~D. Ricciardi~D.Ricciardi~Ricciardi, D.~Ricciardi,D.~Ricciardi D.~Ricciardi D ^'),\
         ('David Thompson','Thompson, David','~D. Thompson~D.Thompson~Thompson, D.~Thompson,D.~Thompson D.~Thompson D ^'),\
         ('David Wood','Wood, David','~D. Wood~D.Wood~Wood, D.~Wood,D.~Wood D.~Wood D ^'),\
         ('David Young','Young, David','~D. Young~D.Young~Young, D.~Young,D.~Young D.~Young D ^'),\
         ('Dawn Brookes','Brookes, Dawn','~D. Brookes~D.Brookes~Brookes, D.~Brookes,D.~Brookes D.~Brookes D ^'),\
         ('Dawn Eastman','Eastman, Dawn','~D. Eastman~D.Eastman~Eastman, D.~Eastman,D.~Eastman D.~Eastman D ^'),\
         ('DB King','King, DB','~D. King~D.King~King, D.~King,D.~King D.~King D ^'),\
         ('DD Prince','Prince, DD','~D. Prince~D.Prince~Prince, D.~Prince,D.~Prince D.~Prince D ^'),\
         ('Deanna L. Rowley','Rowley, Deanna L.','~D.L. Rowley~D. L. Rowley~D.L.Rowley~Rowley, D.~Rowley,D.~Rowley D.~Rowley D ^'),\
         ('Debbie Cassidy','Cassidy, Debbie','~D. Cassidy~D.Cassidy~Cassidy, D.~Cassidy,D.~Cassidy D.~Cassidy D ^'),\
         ('Debbie Johnson','Johnson, Debbie','~D. Johnson~D.Johnson~Johnson, D.~Johnson,D.~Johnson D.~Johnson D ^'),\
         ('Debbie Mason','Mason, Debbie','~D. Mason~D.Mason~Mason, D.~Mason,D.~Mason D.~Mason D ^'),\
         ('Deborah Blake','Blake, Deborah','~D. Blake~D.Blake~Blake, D.~Blake,D.~Blake D.~Blake D ^'),\
         ('Deborah Brown','Brown, Deborah','~D. Brown~D.Brown~Brown, D.~Brown,D.~Brown D.~Brown D ^'),\
         ('Deborah Carr','Carr, Deborah','~D. Carr~D.Carr~Carr, D.~Carr,D.~Carr D.~Carr D ^'),\
         ('Deborah Masson','Masson, Deborah','~D. Masson~D.Masson~Masson, D.~Masson,D.~Masson D.~Masson D ^'),\
         ('Deborah Raney','Raney, Deborah','~D. Raney~D.Raney~Raney, D.~Raney,D.~Raney D.~Raney D ^'),\
         ('Deborah Wilde','Wilde, Deborah','~D. Wilde~D.Wilde~Wilde, D.~Wilde,D.~Wilde D.~Wilde D ^'),\
         ('Debra H. Goldstein','Goldstein, Debra H.','~D.H. Goldstein~D. H. Goldstein~D.H.Goldstein~Goldstein, D.~Goldstein,D.~Goldstein D.~Goldstein D ^'),\
         ('Dee MacDonald','MacDonald, Dee','~D. MacDonald~D.MacDonald~MacDonald, D.~MacDonald,D.~MacDonald D.~MacDonald D ^'),\
         ('Dee Williams','Williams, Dee','~D. Williams~D.Williams~Williams, D.~Williams,D.~Williams D.~Williams D ^'),\
         ('Delia Owens','Owens, Delia','~D. Owens~D.Owens~Owens, D.~Owens,D.~Owens D.~Owens D ^'),\
         ('Delilah S. Dawson','Dawson, Delilah S.','~D.S. Dawson~D. S. Dawson~D.S.Dawson~Dawson, D.~Dawson,D.~Dawson D.~Dawson D ^'),\
         ('Della Galton','Galton, Della','~D. Galton~D.Galton~Galton, D.~Galton,D.~Galton D.~Galton D ^'),\
         ('Delta James','James, Delta','~D. James~D.James~James, D.~James,D.~James D.~James D ^'),\
         ('Denise Williams','Williams, Denise','~D. Williams~D.Williams~Williams, D.~Williams,D.~Williams D.~Williams D ^'),\
         ('Dennis E. Taylor','Taylor, Dennis E.','~D.E. Taylor~D. E. Taylor~D.E.Taylor~Taylor, D.~Taylor,D.~Taylor D.~Taylor D ^'),\
         ('Denzil Meyrick','Meyrick, Denzil','~D. Meyrick~D.Meyrick~Meyrick, D.~Meyrick,D.~Meyrick D.~Meyrick D ^'),\
         ('Derek Slaton','Slaton, Derek','~D. Slaton~D.Slaton~Slaton, D.~Slaton,D.~Slaton D.~Slaton D ^'),\
         ('Dervla McTiernan','McTiernan, Dervla','~D. McTiernan~D.McTiernan~McTiernan, D.~McTiernan,D.~McTiernan D.~McTiernan D ^'),\
         ('Devin Madson','Madson, Devin','~D. Madson~D.Madson~Madson, D.~Madson,D.~Madson D.~Madson D ^'),\
         ('Devney Perry','Perry, Devney','~D. Perry~D.Perry~Perry, D.~Perry,D.~Perry D.~Perry D ^'),\
         ('Devon C. Ford','Ford, Devon C.','~D.C. Ford~D. C. Ford~D.C.Ford~Ford, D.~Ford,D.~Ford D.~Ford D ^'),\
         ('Dhonielle Clayton','Clayton, Dhonielle','~D. Clayton~D.Clayton~Clayton, D.~Clayton,D.~Clayton D.~Clayton D ^'),\
         ('Diana Quincy','Quincy, Diana','~D. Quincy~D.Quincy~Quincy, D.~Quincy,D.~Quincy D.~Quincy D ^'),\
         ('Diana Xarissa','Xarissa, Diana','~D. Xarissa~D.Xarissa~Xarissa, D.~Xarissa,D.~Xarissa D.~Xarissa D ^'),\
         ('Diane Allen','Allen, Diane','~D. Allen~D.Allen~Allen, D.~Allen,D.~Allen D.~Allen D ^'),\
         ('Diane Jeffrey','Jeffrey, Diane','~D. Jeffrey~D.Jeffrey~Jeffrey, D.~Jeffrey,D.~Jeffrey D.~Jeffrey D ^'),\
         ('Diane Saxon','Saxon, Diane','~D. Saxon~D.Saxon~Saxon, D.~Saxon,D.~Saxon D.~Saxon D ^'),\
         ('Diane Vallere','Vallere, Diane','~D. Vallere~D.Vallere~Vallere, D.~Vallere,D.~Vallere D.~Vallere D ^'),\
         ('DiAnn Mills','Mills, DiAnn','~D. Mills~D.Mills~Mills, D.~Mills,D.~Mills D.~Mills D ^'),\
         ('Dianne Freeman','Freeman, Dianne','~D. Freeman~D.Freeman~Freeman, D.~Freeman,D.~Freeman D.~Freeman D ^'),\
         ('Dianne Harman','Harman, Dianne','~D. Harman~D.Harman~Harman, D.~Harman,D.~Harman D.~Harman D ^'),\
         ('Diney Costeloe','Costeloe, Diney','~D. Costeloe~D.Costeloe~Costeloe, D.~Costeloe,D.~Costeloe D.~Costeloe D ^'),\
         ('DK Holmberg','Holmberg, DK','~D. Holmberg~D.Holmberg~Holmberg, D.~Holmberg,D.~Holmberg D.~Holmberg D ^'),\
         ('Domenica de Rosa','Rosa, Domenica de','~D.d. Rosa~D. d. Rosa~D.d.Rosa~Rosa, D.~Rosa,D.~Rosa D.~Rosa D ^'),\
         ('Dominic Nolan','Nolan, Dominic','~D. Nolan~D.Nolan~Nolan, D.~Nolan,D.~Nolan D.~Nolan D ^'),\
         ('Don Bentley','Bentley, Don','~D. Bentley~D.Bentley~Bentley, D.~Bentley,D.~Bentley D.~Bentley D ^'),\
         ('Donna Alam','Alam, Donna','~D. Alam~D.Alam~Alam, D.~Alam,D.~Alam D.~Alam D ^'),\
         ('Donna VanLiere','VanLiere, Donna','~D. VanLiere~D.VanLiere~VanLiere, D.~VanLiere,D.~VanLiere D.~VanLiere D ^'),\
         ('Dorothy Howell','Howell, Dorothy','~D. Howell~D.Howell~Howell, D.~Howell,D.~Howell D.~Howell D ^'),\
         ('Dorothy St James','James, Dorothy St','~D.S. James~D. S. James~D.S.James~James, D.~James,D.~James D.~James D ^'),\
         ('Doug Johnstone','Johnstone, Doug','~D. Johnstone~D.Johnstone~Johnstone, D.~Johnstone,D.~Johnstone D.~Johnstone D ^'),\
         ('Douglas Jackson','Jackson, Douglas','~D. Jackson~D.Jackson~Jackson, D.~Jackson,D.~Jackson D.~Jackson D ^'),\
         ('Douglas Skelton','Skelton, Douglas','~D. Skelton~D.Skelton~Skelton, D.~Skelton,D.~Skelton D.~Skelton D ^'),\
         ('Dr Rebecca Sharp','Sharp, Dr Rebecca','~D.R. Sharp~D. R. Sharp~D.R.Sharp~Sharp, D.~Sharp,D.~Sharp D.~Sharp D ^'),\
         ('Drew Hayes','Hayes, Drew','~D. Hayes~D.Hayes~Hayes, D.~Hayes,D.~Hayes D.~Hayes D ^'),\
         ('Duncan M. Hamilton','Hamilton, Duncan M.','~D.M. Hamilton~D. M. Hamilton~D.M.Hamilton~Hamilton, D.~Hamilton,D.~Hamilton D.~Hamilton D ^'),\
         ('Duncan Wallace','Wallace, Duncan','~D. Wallace~D.Wallace~Wallace, D.~Wallace,D.~Wallace D.~Wallace D ^'),\
         ('Durjoy Datta','Datta, Durjoy','~D. Datta~D.Datta~Datta, D.~Datta,D.~Datta D.~Datta D ^'),\
         ('Dustin Stevens','Stevens, Dustin','~D. Stevens~D.Stevens~Stevens, D.~Stevens,D.~Stevens D.~Stevens D ^'),\
         ('Dusty Richards','Richards, Dusty','~D. Richards~D.Richards~Richards, D.~Richards,D.~Richards D.~Richards D ^'),\
         ('Dwight Holing','Holing, Dwight','~D. Holing~D.Holing~Holing, D.~Holing,D.~Holing D.~Holing D ^'),\
         ('Dylann Crush','Crush, Dylann','~D. Crush~D.Crush~Crush, D.~Crush,D.~Crush D.~Crush D ^'),\
         ('E.C. Land','Land, E.C.','~E.C. Land~E. C. Land~E.C.Land~Land, E.~Land,E.~Land E.~Land E ^'),\
         ('E.E. Holmes','Holmes, E.E.','~E.E. Holmes~E. E. Holmes~E.E.Holmes~Holmes, E.~Holmes,E.~Holmes E.~Holmes E ^'),\
         ('E.E.''Doc'' Smith','Smith, E.E.''Doc''','~E.E.''.Smith~E. E. ''. Smith~E.E.''.Smith~Smith, E.~Smith,E.~Smith E.~Smith E ^'),\
         ('E.L. Todd','Todd, E.L.','~E.L. Todd~E. L. Todd~E.L.Todd~Todd, E.~Todd,E.~Todd E.~Todd E ^'),\
         ('E.M. Lindsey','Lindsey, E.M.','~E.M. Lindsey~E. M. Lindsey~E.M.Lindsey~Lindsey, E.~Lindsey,E.~Lindsey E.~Lindsey E ^'),\
         ('E.M. Moore','Moore, E.M.','~E.M. Moore~E. M. Moore~E.M.Moore~Moore, E.~Moore,E.~Moore E.~Moore E ^'),\
         ('E.William Brown','Brown, E.William','~E.W. Brown~E. W. Brown~E.W.Brown~Brown, E.~Brown,E.~Brown E.~Brown E ^'),\
         ('Ed James','James, Ed','~E. James~E.James~James, E.~James,E.~James E.~James E ^'),\
         ('Ed McDonald','McDonald, Ed','~E. McDonald~E.McDonald~McDonald, E.~McDonald,E.~McDonald E.~McDonald E ^'),\
         ('Ed Nelson','Nelson, Ed','~E. Nelson~E.Nelson~Nelson, E.~Nelson,E.~Nelson E.~Nelson E ^'),\
         ('Eden Finley','Finley, Eden','~E. Finley~E.Finley~Finley, E.~Finley,E.~Finley E.~Finley E ^'),\
         ('Eden O''Neill','O''Neill, Eden','~E. O''Neill~E.O''Neill~O''Neill, E.~O''Neill,E.~O''Neill E.~O''Neill E ^'),\
         ('Edie Baylis','Baylis, Edie','~E. Baylis~E.Baylis~Baylis, E.~Baylis,E.~Baylis E.~Baylis E ^'),\
         ('Edith Maxwell','Maxwell, Edith','~E. Maxwell~E.Maxwell~Maxwell, E.~Maxwell,E.~Maxwell E.~Maxwell E ^'),\
         ('Eileen Brady','Brady, Eileen','~E. Brady~E.Brady~Brady, E.~Brady,E.~Brady E.~Brady E ^'),\
         ('Eileen Watkins','Watkins, Eileen','~E. Watkins~E.Watkins~Watkins, E.~Watkins,E.~Watkins E.~Watkins E ^'),\
         ('Elaine Everest','Everest, Elaine','~E. Everest~E.Everest~Everest, E.~Everest,E.~Everest E.~Everest E ^'),\
         ('Elaine Roberts','Roberts, Elaine','~E. Roberts~E.Roberts~Roberts, E.~Roberts,E.~Roberts E.~Roberts E ^'),\
         ('Elena Armas','Armas, Elena','~E. Armas~E.Armas~Armas, E.~Armas,E.~Armas E.~Armas E ^'),\
         ('Elena Ferrante','Ferrante, Elena','~E. Ferrante~E.Ferrante~Ferrante, E.~Ferrante,E.~Ferrante E.~Ferrante E ^'),\
         ('Elena Lawson','Lawson, Elena','~E. Lawson~E.Lawson~Lawson, E.~Lawson,E.~Lawson E.~Lawson E ^'),\
         ('Elisa Braden','Braden, Elisa','~E. Braden~E.Braden~Braden, E.~Braden,E.~Braden E.~Braden E ^'),\
         ('Elise Faber','Faber, Elise','~E. Faber~E.Faber~Faber, E.~Faber,E.~Faber E.~Faber E ^'),\
         ('Elise Kova','Kova, Elise','~E. Kova~E.Kova~Kova, E.~Kova,E.~Kova E.~Kova E ^'),\
         ('Elise Sax','Sax, Elise','~E. Sax~E.Sax~Sax, E.~Sax,E.~Sax E.~Sax E ^'),\
         ('Eliza Casey','Casey, Eliza','~E. Casey~E.Casey~Casey, E.~Casey,E.~Casey E.~Casey E ^'),\
         ('Elizabeth Bailey','Bailey, Elizabeth','~E. Bailey~E.Bailey~Bailey, E.~Bailey,E.~Bailey E.~Bailey E ^'),\
         ('Elizabeth Boyle','Boyle, Elizabeth','~E. Boyle~E.Boyle~Boyle, E.~Boyle,E.~Boyle E.~Boyle E ^'),\
         ('Elizabeth Briggs','Briggs, Elizabeth','~E. Briggs~E.Briggs~Briggs, E.~Briggs,E.~Briggs E.~Briggs E ^'),\
         ('Elizabeth Bromke','Bromke, Elizabeth','~E. Bromke~E.Bromke~Bromke, E.~Bromke,E.~Bromke E.~Bromke E ^'),\
         ('Elizabeth Craig','Craig, Elizabeth','~E. Craig~E.Craig~Craig, E.~Craig,E.~Craig E.~Craig E ^'),\
         ('Elizabeth Day','Day, Elizabeth','~E. Day~E.Day~Day, E.~Day,E.~Day E.~Day E ^'),\
         ('Elizabeth Ferrars','Ferrars, Elizabeth','~E. Ferrars~E.Ferrars~Ferrars, E.~Ferrars,E.~Ferrars E.~Ferrars E ^'),\
         ('Elizabeth Gill','Gill, Elizabeth','~E. Gill~E.Gill~Gill, E.~Gill,E.~Gill E.~Gill E ^'),\
         ('Elizabeth Goddard','Goddard, Elizabeth','~E. Goddard~E.Goddard~Goddard, E.~Goddard,E.~Goddard E.~Goddard E ^'),\
         ('Elizabeth Jeffrey','Jeffrey, Elizabeth','~E. Jeffrey~E.Jeffrey~Jeffrey, E.~Jeffrey,E.~Jeffrey E.~Jeffrey E ^'),\
         ('Elizabeth Johns','Johns, Elizabeth','~E. Johns~E.Johns~Johns, E.~Johns,E.~Johns E.~Johns E ^'),\
         ('Elizabeth Kane Buzzelli','Buzzelli, Elizabeth Kane','~E.K. Buzzelli~E. K. Buzzelli~E.K.Buzzelli~Buzzelli, E.~Buzzelli,E.~Buzzelli E.~Buzzelli E ^'),\
         ('Elizabeth Lim','Lim, Elizabeth','~E. Lim~E.Lim~Lim, E.~Lim,E.~Lim E.~Lim E ^'),\
         ('Elizabeth Logan','Logan, Elizabeth','~E. Logan~E.Logan~Logan, E.~Logan,E.~Logan E.~Logan E ^'),\
         ('Elizabeth N. Harris','Harris, Elizabeth N.','~E.N. Harris~E. N. Harris~E.N.Harris~Harris, E.~Harris,E.~Harris E.~Harris E ^'),\
         ('Elizabeth Noble','Noble, Elizabeth','~E. Noble~E.Noble~Noble, E.~Noble,E.~Noble E.~Noble E ^'),\
         ('Elizabeth O''Roark','O''Roark, Elizabeth','~E. O''Roark~E.O''Roark~O''Roark, E.~O''Roark,E.~O''Roark E.~O''Roark E ^'),\
         ('Elizabeth Penney','Penney, Elizabeth','~E. Penney~E.Penney~Penney, E.~Penney,E.~Penney E.~Penney E ^'),\
         ('Elizabeth Spann Craig','Craig, Elizabeth Spann','~E.S. Craig~E. S. Craig~E.S.Craig~Craig, E.~Craig,E.~Craig E.~Craig E ^'),\
         ('Ella Blake','Blake, Ella','~E. Blake~E.Blake~Blake, E.~Blake,E.~Blake E.~Blake E ^'),\
         ('Ella Fields','Fields, Ella','~E. Fields~E.Fields~Fields, E.~Fields,E.~Fields E.~Fields E ^'),\
         ('Ella Goode','Goode, Ella','~E. Goode~E.Goode~Goode, E.~Goode,E.~Goode E.~Goode E ^'),\
         ('Ella Maise','Maise, Ella','~E. Maise~E.Maise~Maise, E.~Maise,E.~Maise E.~Maise E ^'),\
         ('Ella Maven','Maven, Ella','~E. Maven~E.Maven~Maven, E.~Maven,E.~Maven E.~Maven E ^'),\
         ('Elle Adams','Adams, Elle','~E. Adams~E.Adams~Adams, E.~Adams,E.~Adams E.~Adams E ^'),\
         ('Elle Cosimano','Cosimano, Elle','~E. Cosimano~E.Cosimano~Cosimano, E.~Cosimano,E.~Cosimano E.~Cosimano E ^'),\
         ('Elle Gray','Gray, Elle','~E. Gray~E.Gray~Gray, E.~Gray,E.~Gray E.~Gray E ^'),\
         ('Elle Nicoll','Nicoll, Elle','~E. Nicoll~E.Nicoll~Nicoll, E.~Nicoll,E.~Nicoll E.~Nicoll E ^'),\
         ('Elle Thorpe','Thorpe, Elle','~E. Thorpe~E.Thorpe~Thorpe, E.~Thorpe,E.~Thorpe E.~Thorpe E ^'),\
         ('Ellen Byron','Byron, Ellen','~E. Byron~E.Byron~Byron, E.~Byron,E.~Byron E.~Byron E ^'),\
         ('Ellen Crosby','Crosby, Ellen','~E. Crosby~E.Crosby~Crosby, E.~Crosby,E.~Crosby E.~Crosby E ^'),\
         ('Ellen Miles','Miles, Ellen','~E. Miles~E.Miles~Miles, E.~Miles,E.~Miles E.~Miles E ^'),\
         ('Ellery Lloyd','Lloyd, Ellery','~E. Lloyd~E.Lloyd~Lloyd, E.~Lloyd,E.~Lloyd E.~Lloyd E ^'),\
         ('Ellie Alexander','Alexander, Ellie','~E. Alexander~E.Alexander~Alexander, E.~Alexander,E.~Alexander E.~Alexander E ^'),\
         ('Ellie Masters','Masters, Ellie','~E. Masters~E.Masters~Masters, E.~Masters,E.~Masters E.~Masters E ^'),\
         ('Ellie Midwood','Midwood, Ellie','~E. Midwood~E.Midwood~Midwood, E.~Midwood,E.~Midwood E.~Midwood E ^'),\
         ('Ellie St Clair','Clair, Ellie St','~E.S. Clair~E. S. Clair~E.S.Clair~Clair, E.~Clair,E.~Clair E.~Clair E ^'),\
         ('Elmer Kelton','Kelton, Elmer','~E. Kelton~E.Kelton~Kelton, E.~Kelton,E.~Kelton E.~Kelton E ^'),\
         ('Elodie Harper','Harper, Elodie','~E. Harper~E.Harper~Harper, E.~Harper,E.~Harper E.~Harper E ^'),\
         ('Elsie Mason','Mason, Elsie','~E. Mason~E.Mason~Mason, E.~Mason,E.~Mason E.~Mason E ^'),\
         ('Elsie Silver','Silver, Elsie','~E. Silver~E.Silver~Silver, E.~Silver,E.~Silver E.~Silver E ^'),\
         ('Emiko Jean','Jean, Emiko','~E. Jean~E.Jean~Jean, E.~Jean,E.~Jean E.~Jean E ^'),\
         ('Emilia Finn','Finn, Emilia','~E. Finn~E.Finn~Finn, E.~Finn,E.~Finn E.~Finn E ^'),\
         ('Emilia Rose','Rose, Emilia','~E. Rose~E.Rose~Rose, E.~Rose,E.~Rose E.~Rose E ^'),\
         ('Emily E.K. Murdoch','Murdoch, Emily E.K.','~E.E.K.Murdoch~E. E. K. Murdoch~E.E.K.Murdoch~Murdoch, E.~Murdoch,E.~Murdoch E.~Murdoch E ^'),\
         ('Emily Gunnis','Gunnis, Emily','~E. Gunnis~E.Gunnis~Gunnis, E.~Gunnis,E.~Gunnis E.~Gunnis E ^'),\
         ('Emily Henry','Henry, Emily','~E. Henry~E.Henry~Henry, E.~Henry,E.~Henry E.~Henry E ^'),\
         ('Emily Kimelman','Kimelman, Emily','~E. Kimelman~E.Kimelman~Kimelman, E.~Kimelman,E.~Kimelman E.~Kimelman E ^'),\
         ('Emily McIntire','McIntire, Emily','~E. McIntire~E.McIntire~McIntire, E.~McIntire,E.~McIntire E.~McIntire E ^'),\
         ('Emily Organ','Organ, Emily','~E. Organ~E.Organ~Organ, E.~Organ,E.~Organ E.~Organ E ^'),\
         ('Emily Rodda','Rodda, Emily','~E. Rodda~E.Rodda~Rodda, E.~Rodda,E.~Rodda E.~Rodda E ^'),\
         ('Emily Sullivan','Sullivan, Emily','~E. Sullivan~E.Sullivan~Sullivan, E.~Sullivan,E.~Sullivan E.~Sullivan E ^'),\
         ('Emily Windsor','Windsor, Emily','~E. Windsor~E.Windsor~Windsor, E.~Windsor,E.~Windsor E.~Windsor E ^'),\
         ('Emma Carroll','Carroll, Emma','~E. Carroll~E.Carroll~Carroll, E.~Carroll,E.~Carroll E.~Carroll E ^'),\
         ('Emma Davies','Davies, Emma','~E. Davies~E.Davies~Davies, E.~Davies,E.~Davies E.~Davies E ^'),\
         ('Emma Hornby','Hornby, Emma','~E. Hornby~E.Hornby~Hornby, E.~Hornby,E.~Hornby E.~Hornby E ^'),\
         ('Emma Prince','Prince, Emma','~E. Prince~E.Prince~Prince, E.~Prince,E.~Prince E.~Prince E ^'),\
         ('Emma Scott','Scott, Emma','~E. Scott~E.Scott~Scott, E.~Scott,E.~Scott E.~Scott E ^'),\
         ('Emma Slate','Slate, Emma','~E. Slate~E.Slate~Slate, E.~Slate,E.~Slate E.~Slate E ^'),\
         ('Emma St Clair','Clair, Emma St','~E.S. Clair~E. S. Clair~E.S.Clair~Clair, E.~Clair,E.~Clair E.~Clair E ^'),\
         ('Emma Stonex','Stonex, Emma','~E. Stonex~E.Stonex~Stonex, E.~Stonex,E.~Stonex E.~Stonex E ^'),\
         ('Emma Tallon','Tallon, Emma','~E. Tallon~E.Tallon~Tallon, E.~Tallon,E.~Tallon E.~Tallon E ^'),\
         ('Emma V. Leech','Leech, Emma V.','~E.V. Leech~E. V. Leech~E.V.Leech~Leech, E.~Leech,E.~Leech E.~Leech E ^'),\
         ('Emma Viskic','Viskic, Emma','~E. Viskic~E.Viskic~Viskic, E.~Viskic,E.~Viskic E.~Viskic E ^'),\
         ('Emmie Caldwell','Caldwell, Emmie','~E. Caldwell~E.Caldwell~Caldwell, E.~Caldwell,E.~Caldwell E.~Caldwell E ^'),\
         ('Emmy Ellis','Ellis, Emmy','~E. Ellis~E.Ellis~Ellis, E.~Ellis,E.~Ellis E.~Ellis E ^'),\
         ('Eric T. Knight','Knight, Eric T.','~E.T. Knight~E. T. Knight~E.T.Knight~Knight, E.~Knight,E.~Knight E.~Knight E ^'),\
         ('Eric Ugland','Ugland, Eric','~E. Ugland~E.Ugland~Ugland, E.~Ugland,E.~Ugland E.~Ugland E ^'),\
         ('Eric Vall','Vall, Eric','~E. Vall~E.Vall~Vall, E.~Vall,E.~Vall E.~Vall E ^'),\
         ('Erica Ruth Neubauer','Neubauer, Erica Ruth','~E.R. Neubauer~E. R. Neubauer~E.R.Neubauer~Neubauer, E.~Neubauer,E.~Neubauer E.~Neubauer E ^'),\
         ('Erica Vetsch','Vetsch, Erica','~E. Vetsch~E.Vetsch~Vetsch, E.~Vetsch,E.~Vetsch E.~Vetsch E ^'),\
         ('Erika Wilde','Wilde, Erika','~E. Wilde~E.Wilde~Wilde, E.~Wilde,E.~Wilde E.~Wilde E ^'),\
         ('Erin Johnson','Johnson, Erin','~E. Johnson~E.Johnson~Johnson, E.~Johnson,E.~Johnson E.~Johnson E ^'),\
         ('Erin McCarthy','McCarthy, Erin','~E. McCarthy~E.McCarthy~McCarthy, E.~McCarthy,E.~McCarthy E.~McCarthy E ^'),\
         ('Erin Osborne','Osborne, Erin','~E. Osborne~E.Osborne~Osborne, E.~Osborne,E.~Osborne E.~Osborne E ^'),\
         ('Erin Sterling','Sterling, Erin','~E. Sterling~E.Sterling~Sterling, E.~Sterling,E.~Sterling E.~Sterling E ^'),\
         ('Erin Trejo','Trejo, Erin','~E. Trejo~E.Trejo~Trejo, E.~Trejo,E.~Trejo E.~Trejo E ^'),\
         ('Erin Watt','Watt, Erin','~E. Watt~E.Watt~Watt, E.~Watt,E.~Watt E.~Watt E ^'),\
         ('Ernest Dempsey','Dempsey, Ernest','~E. Dempsey~E.Dempsey~Dempsey, E.~Dempsey,E.~Dempsey E.~Dempsey E ^'),\
         ('Esme Addison','Addison, Esme','~E. Addison~E.Addison~Addison, E.~Addison,E.~Addison E.~Addison E ^'),\
         ('Essie Lang','Lang, Essie','~E. Lang~E.Lang~Lang, E.~Lang,E.~Lang E.~Lang E ^'),\
         ('Esther E. Schmidt','Schmidt, Esther E.','~E.E. Schmidt~E. E. Schmidt~E.E.Schmidt~Schmidt, E.~Schmidt,E.~Schmidt E.~Schmidt E ^'),\
         ('Ethan Jones','Jones, Ethan','~E. Jones~E.Jones~Jones, E.~Jones,E.~Jones E.~Jones E ^'),\
         ('Ethan Stand','Stand, Ethan','~E. Stand~E.Stand~Stand, E.~Stand,E.~Stand E.~Stand E ^'),\
         ('Eva Ashwood','Ashwood, Eva','~E. Ashwood~E.Ashwood~Ashwood, E.~Ashwood,E.~Ashwood E.~Ashwood E ^'),\
         ('Eva Björg Ægisdóttir','Ægisdóttir, Eva Björg','~E.B. Ægisdóttir~E. B. Ægisdóttir~E.B.Ægisdóttir~Ægisdóttir, E.~Ægisdóttir,E.~Ægisdóttir E.~Ægisdóttir E ^'),\
         ('Eva Chance','Chance, Eva','~E. Chance~E.Chance~Chance, E.~Chance,E.~Chance E.~Chance E ^'),\
         ('Eva Chase','Chase, Eva','~E. Chase~E.Chase~Chase, E.~Chase,E.~Chase E.~Chase E ^'),\
         ('Eva Devon','Devon, Eva','~E. Devon~E.Devon~Devon, E.~Devon,E.~Devon E.~Devon E ^'),\
         ('Eva Dolan','Dolan, Eva','~E. Dolan~E.Dolan~Dolan, E.~Dolan,E.~Dolan E.~Dolan E ^'),\
         ('Eva Gates','Gates, Eva','~E. Gates~E.Gates~Gates, E.~Gates,E.~Gates E.~Gates E ^'),\
         ('Eva Leigh','Leigh, Eva','~E. Leigh~E.Leigh~Leigh, E.~Leigh,E.~Leigh E.~Leigh E ^'),\
         ('Eva Winners','Winners, Eva','~E. Winners~E.Winners~Winners, E.~Winners,E.~Winners E.~Winners E ^'),\
         ('Evan Winter','Winter, Evan','~E. Winter~E.Winter~Winter, E.~Winter,E.~Winter E.~Winter E ^'),\
         ('Eve Calder','Calder, Eve','~E. Calder~E.Calder~Calder, E.~Calder,E.~Calder E.~Calder E ^'),\
         ('Eve Chase','Chase, Eve','~E. Chase~E.Chase~Chase, E.~Chase,E.~Chase E.~Chase E ^'),\
         ('Everly Frost','Frost, Everly','~E. Frost~E.Frost~Frost, E.~Frost,E.~Frost E.~Frost E ^'),\
         ('Evie Dunmore','Dunmore, Evie','~E. Dunmore~E.Dunmore~Dunmore, E.~Dunmore,E.~Dunmore E.~Dunmore E ^'),\
         ('Evie Grace','Grace, Evie','~E. Grace~E.Grace~Grace, E.~Grace,E.~Grace E.~Grace E ^'),\
         ('F.Paul Wilson','Wilson, F.Paul','~F.P. Wilson~F. P. Wilson~F.P.Wilson~Wilson, F.~Wilson,F.~Wilson F.~Wilson F ^'),\
         ('Faith Hogan','Hogan, Faith','~F. Hogan~F.Hogan~Hogan, F.~Hogan,F.~Hogan F.~Hogan F ^'),\
         ('Faith Martin','Martin, Faith','~F. Martin~F.Martin~Martin, F.~Martin,F.~Martin F.~Martin F ^'),\
         ('Faith Summers','Summers, Faith','~F. Summers~F.Summers~Summers, F.~Summers,F.~Summers F.~Summers F ^'),\
         ('Farrah Rochon','Rochon, Farrah','~F. Rochon~F.Rochon~Rochon, F.~Rochon,F.~Rochon F.~Rochon F ^'),\
         ('Felicity Hayes-McCoy','Hayes-McCoy, Felicity','~F. Hayes-McCoy~F.Hayes-McCoy~Hayes-McCoy, F.~Hayes-McCoy,F.~Hayes-McCoy F.~Hayes-McCoy F ^'),\
         ('Felix Francis','Francis, Felix','~F. Francis~F.Francis~Francis, F.~Francis,F.~Francis F.~Francis F ^'),\
         ('Fiona Barton','Barton, Fiona','~F. Barton~F.Barton~Barton, F.~Barton,F.~Barton F.~Barton F ^'),\
         ('Fiona Cole','Cole, Fiona','~F. Cole~F.Cole~Cole, F.~Cole,F.~Cole F.~Cole F ^'),\
         ('Fiona Cummins','Cummins, Fiona','~F. Cummins~F.Cummins~Cummins, F.~Cummins,F.~Cummins F.~Cummins F ^'),\
         ('Fiona Davenport','Davenport, Fiona','~F. Davenport~F.Davenport~Davenport, F.~Davenport,F.~Davenport F.~Davenport F ^'),\
         ('Fiona Davis','Davis, Fiona','~F. Davis~F.Davis~Davis, F.~Davis,F.~Davis F.~Davis F ^'),\
         ('Fiona Ford','Ford, Fiona','~F. Ford~F.Ford~Ford, F.~Ford,F.~Ford F.~Ford F ^'),\
         ('Fiona Grace','Grace, Fiona','~F. Grace~F.Grace~Grace, F.~Grace,F.~Grace F.~Grace F ^'),\
         ('Fiona Leitch','Leitch, Fiona','~F. Leitch~F.Leitch~Leitch, F.~Leitch,F.~Leitch F.~Leitch F ^'),\
         ('Fiona McArthur','McArthur, Fiona','~F. McArthur~F.McArthur~McArthur, F.~McArthur,F.~McArthur F.~McArthur F ^'),\
         ('Fiona McCallum','McCallum, Fiona','~F. McCallum~F.McCallum~McCallum, F.~McCallum,F.~McCallum F.~McCallum F ^'),\
         ('Fiona Quinn','Quinn, Fiona','~F. Quinn~F.Quinn~Quinn, F.~Quinn,F.~Quinn F.~Quinn F ^'),\
         ('Fiona Valpy','Valpy, Fiona','~F. Valpy~F.Valpy~Valpy, F.~Valpy,F.~Valpy F.~Valpy F ^'),\
         ('Flora Ferrari','Ferrari, Flora','~F. Ferrari~F.Ferrari~Ferrari, F.~Ferrari,F.~Ferrari F.~Ferrari F ^'),\
         ('Fonda Lee','Lee, Fonda','~F. Lee~F.Lee~Lee, F.~Lee,F.~Lee F.~Lee F ^'),\
         ('Frances Evesham','Evesham, Frances','~F. Evesham~F.Evesham~Evesham, F.~Evesham,F.~Evesham F.~Evesham F ^'),\
         ('Frank Gardner','Gardner, Frank','~F. Gardner~F.Gardner~Gardner, F.~Gardner,F.~Gardner F.~Gardner F ^'),\
         ('Frank Tayell','Tayell, Frank','~F. Tayell~F.Tayell~Tayell, F.~Tayell,F.~Tayell F.~Tayell F ^'),\
         ('Frankie Love','Love, Frankie','~F. Love~F.Love~Love, F.~Love,F.~Love F.~Love F ^'),\
         ('Franklin Horton','Horton, Franklin','~F. Horton~F.Horton~Horton, F.~Horton,F.~Horton F.~Horton F ^'),\
         ('Fredrik Backman','Backman, Fredrik','~F. Backman~F.Backman~Backman, F.~Backman,F.~Backman F.~Backman F ^'),\
         ('Freida McFadden','McFadden, Freida','~F. McFadden~F.McFadden~McFadden, F.~McFadden,F.~McFadden F.~McFadden F ^'),\
         ('Freya Atwood','Atwood, Freya','~F. Atwood~F.Atwood~Atwood, F.~Atwood,F.~Atwood F.~Atwood F ^'),\
         ('Freya Barker','Barker, Freya','~F. Barker~F.Barker~Barker, F.~Barker,F.~Barker F.~Barker F ^'),\
         ('Freya Marske','Marske, Freya','~F. Marske~F.Marske~Marske, F.~Marske,F.~Marske F.~Marske F ^'),\
         ('Freya Sampson','Sampson, Freya','~F. Sampson~F.Sampson~Sampson, F.~Sampson,F.~Sampson F.~Sampson F ^'),\
         ('G. Bailey','Bailey, G.','~G. Bailey~G.Bailey~Bailey, G.~Bailey,G.~Bailey G.~Bailey G ^'),\
         ('G.A. McKevett','McKevett, G.A.','~G.A. McKevett~G. A. McKevett~G.A.McKevett~McKevett, G.~McKevett,G.~McKevett G.~McKevett G ^'),\
         ('G.G. Vandagriff','Vandagriff, G.G.','~G.G. Vandagriff~G. G. Vandagriff~G.G.Vandagriff~Vandagriff, G.~Vandagriff,G.~Vandagriff G.~Vandagriff G ^'),\
         ('G.J. Ogden','Ogden, G.J.','~G.J. Ogden~G. J. Ogden~G.J.Ogden~Ogden, G.~Ogden,G.~Ogden G.~Ogden G ^'),\
         ('G.K. DeRosa','DeRosa, G.K.','~G.K. DeRosa~G. K. DeRosa~G.K.DeRosa~DeRosa, G.~DeRosa,G.~DeRosa G.~DeRosa G ^'),\
         ('G.R. Halliday','Halliday, G.R.','~G.R. Halliday~G. R. Halliday~G.R.Halliday~Halliday, G.~Halliday,G.~Halliday G.~Halliday G ^'),\
         ('G.R. Jordan','Jordan, G.R.','~G.R. Jordan~G. R. Jordan~G.R.Jordan~Jordan, G.~Jordan,G.~Jordan G.~Jordan G ^'),\
         ('Gabino Iglesias','Iglesias, Gabino','~G. Iglesias~G.Iglesias~Iglesias, G.~Iglesias,G.~Iglesias G.~Iglesias G ^'),\
         ('Gail Honeyman','Honeyman, Gail','~G. Honeyman~G.Honeyman~Honeyman, G.~Honeyman,G.~Honeyman G.~Honeyman G ^'),\
         ('Gareth Hanrahan','Hanrahan, Gareth','~G. Hanrahan~G.Hanrahan~Hanrahan, G.~Hanrahan,G.~Hanrahan G.~Hanrahan G ^'),\
         ('Garon Whited','Whited, Garon','~G. Whited~G.Whited~Whited, G.~Whited,G.~Whited G.~Whited G ^'),\
         ('Garry Disher','Disher, Garry','~G. Disher~G.Disher~Disher, G.~Disher,G.~Disher G.~Disher G ^'),\
         ('Gary McAvoy','McAvoy, Gary','~G. McAvoy~G.McAvoy~McAvoy, G.~McAvoy,G.~McAvoy G.~McAvoy G ^'),\
         ('Gayle Leeson','Leeson, Gayle','~G. Leeson~G.Leeson~Leeson, G.~Leeson,G.~Leeson G.~Leeson G ^'),\
         ('Gemma Rogers','Rogers, Gemma','~G. Rogers~G.Rogers~Rogers, G.~Rogers,G.~Rogers G.~Rogers G ^'),\
         ('Gemma Weir','Weir, Gemma','~G. Weir~G.Weir~Weir, G.~Weir,G.~Weir G.~Weir G ^'),\
         ('Genevieve Cogman','Cogman, Genevieve','~G. Cogman~G.Cogman~Cogman, G.~Cogman,G.~Cogman G.~Cogman G ^'),\
         ('George G. Gilman','Gilman, George G.','~G.G. Gilman~G. G. Gilman~G.G.Gilman~Gilman, G.~Gilman,G.~Gilman G.~Gilman G ^'),\
         ('George Wallace','Wallace, George','~G. Wallace~G.Wallace~Wallace, G.~Wallace,G.~Wallace G.~Wallace G ^'),\
         ('Georgia le Carre','Carre, Georgia le','~G.l. Carre~G. l. Carre~G.l.Carre~Carre, G.~Carre,G.~Carre G.~Carre G ^'),\
         ('Georgia Wagner','Wagner, Georgia','~G. Wagner~G.Wagner~Wagner, G.~Wagner,G.~Wagner G.~Wagner G ^'),\
         ('Georgina Cross','Cross, Georgina','~G. Cross~G.Cross~Cross, G.~Cross,G.~Cross G.~Cross G ^'),\
         ('Georgina Lees','Lees, Georgina','~G. Lees~G.Lees~Lees, G.~Lees,G.~Lees G.~Lees G ^'),\
         ('Geraint Jones','Jones, Geraint','~G. Jones~G.Jones~Jones, G.~Jones,G.~Jones G.~Jones G ^'),\
         ('Geronimo Stilton','Stilton, Geronimo','~G. Stilton~G.Stilton~Stilton, G.~Stilton,G.~Stilton G.~Stilton G ^'),\
         ('Gerri Hill','Hill, Gerri','~G. Hill~G.Hill~Hill, G.~Hill,G.~Hill G.~Hill G ^'),\
         ('Gertrude Chandler Warner','Warner, Gertrude Chandler','~G.C. Warner~G. C. Warner~G.C.Warner~Warner, G.~Warner,G.~Warner G.~Warner G ^'),\
         ('Giana Darling','Darling, Giana','~G. Darling~G.Darling~Darling, G.~Darling,G.~Darling G.~Darling G ^'),\
         ('Gigi Pandian','Pandian, Gigi','~G. Pandian~G.Pandian~Pandian, G.~Pandian,G.~Pandian G.~Pandian G ^'),\
         ('Gillian Godden','Godden, Gillian','~G. Godden~G.Godden~Godden, G.~Godden,G.~Godden G.~Godden G ^'),\
         ('Gillian McAllister','McAllister, Gillian','~G. McAllister~G.McAllister~McAllister, G.~McAllister,G.~McAllister G.~McAllister G ^'),\
         ('Gilly MacMillan','MacMillan, Gilly','~G. MacMillan~G.MacMillan~MacMillan, G.~MacMillan,G.~MacMillan G.~MacMillan G ^'),\
         ('Gina Chen','Chen, Gina','~G. Chen~G.Chen~Chen, G.~Chen,G.~Chen G.~Chen G ^'),\
         ('Gina Conkle','Conkle, Gina','~G. Conkle~G.Conkle~Conkle, G.~Conkle,G.~Conkle G.~Conkle G ^'),\
         ('Gina LaManna','LaManna, Gina','~G. LaManna~G.LaManna~LaManna, G.~LaManna,G.~LaManna G.~LaManna G ^'),\
         ('Ginger Bolton','Bolton, Ginger','~G. Bolton~G.Bolton~Bolton, G.~Bolton,G.~Bolton G.~Bolton G ^'),\
         ('Ginny Bell','Bell, Ginny','~G. Bell~G.Bell~Bell, G.~Bell,G.~Bell G.~Bell G ^'),\
         ('Ginny Dye','Dye, Ginny','~G. Dye~G.Dye~Dye, G.~Dye,G.~Dye G.~Dye G ^'),\
         ('Giulia Lagomarsino','Lagomarsino, Giulia','~G. Lagomarsino~G.Lagomarsino~Lagomarsino, G.~Lagomarsino,G.~Lagomarsino G.~Lagomarsino G ^'),\
         ('Glen Erik Hamilton','Hamilton, Glen Erik','~G.E. Hamilton~G. E. Hamilton~G.E.Hamilton~Hamilton, G.~Hamilton,G.~Hamilton G.~Hamilton G ^'),\
         ('Glenda Young','Young, Glenda','~G. Young~G.Young~Young, G.~Young,G.~Young G.~Young G ^'),\
         ('Glynis Peters','Peters, Glynis','~G. Peters~G.Peters~Peters, G.~Peters,G.~Peters G.~Peters G ^'),\
         ('Glynn Stewart','Stewart, Glynn','~G. Stewart~G.Stewart~Stewart, G.~Stewart,G.~Stewart G.~Stewart G ^'),\
         ('Gordon Doherty','Doherty, Gordon','~G. Doherty~G.Doherty~Doherty, G.~Doherty,G.~Doherty G.~Doherty G ^'),\
         ('Grace Callaway','Callaway, Grace','~G. Callaway~G.Callaway~Callaway, G.~Callaway,G.~Callaway G.~Callaway G ^'),\
         ('Grace Draven','Draven, Grace','~G. Draven~G.Draven~Draven, G.~Draven,G.~Draven G.~Draven G ^'),\
         ('Grace McGinty','McGinty, Grace','~G. McGinty~G.McGinty~McGinty, G.~McGinty,G.~McGinty G.~McGinty G ^'),\
         ('Grace Meyers','Meyers, Grace','~G. Meyers~G.Meyers~Meyers, G.~Meyers,G.~Meyers G.~Meyers G ^'),\
         ('Grace Thompson','Thompson, Grace','~G. Thompson~G.Thompson~Thompson, G.~Thompson,G.~Thompson G.~Thompson G ^'),\
         ('Gracie Hart','Hart, Gracie','~G. Hart~G.Hart~Hart, G.~Hart,G.~Hart G.~Hart G ^'),\
         ('Graham Hancock','Hancock, Graham','~G. Hancock~G.Hancock~Hancock, G.~Hancock,G.~Hancock G.~Hancock G ^'),\
         ('Graham Norton','Norton, Graham','~G. Norton~G.Norton~Norton, G.~Norton,G.~Norton G.~Norton G ^'),\
         ('Greer Hendricks','Hendricks, Greer','~G. Hendricks~G.Hendricks~Hendricks, G.~Hendricks,G.~Hendricks G.~Hendricks G ^'),\
         ('Gregg Hurwitz','Hurwitz, Gregg','~G. Hurwitz~G.Hurwitz~Hurwitz, G.~Hurwitz,G.~Hurwitz G.~Hurwitz G ^'),\
         ('Gretchen Anthony','Anthony, Gretchen','~G. Anthony~G.Anthony~Anthony, G.~Anthony,G.~Anthony G.~Anthony G ^'),\
         ('Gretchen Archer','Archer, Gretchen','~G. Archer~G.Archer~Archer, G.~Archer,G.~Archer G.~Archer G ^'),\
         ('Gretchen Rue','Rue, Gretchen','~G. Rue~G.Rue~Rue, G.~Rue,G.~Rue G.~Rue G ^'),\
         ('Gretta Mulrooney','Mulrooney, Gretta','~G. Mulrooney~G.Mulrooney~Mulrooney, G.~Mulrooney,G.~Mulrooney G.~Mulrooney G ^'),\
         ('Griff Hosker','Hosker, Griff','~G. Hosker~G.Hosker~Hosker, G.~Hosker,G.~Hosker G.~Hosker G ^'),\
         ('Guillermo del Toro','Toro, Guillermo del','~G.d. Toro~G. d. Toro~G.d.Toro~Toro, G.~Toro,G.~Toro G.~Toro G ^'),\
         ('Guy N. Smith','Smith, Guy N.','~G.N. Smith~G. N. Smith~G.N.Smith~Smith, G.~Smith,G.~Smith G.~Smith G ^'),\
         ('Gytha Lodge','Lodge, Gytha','~G. Lodge~G.Lodge~Lodge, G.~Lodge,G.~Lodge G.~Lodge G ^'),\
         ('H. Hunting','Hunting, H.','~H. Hunting~H.Hunting~Hunting, H.~Hunting,H.~Hunting H.~Hunting H ^'),\
         ('H.D. Carlton','Carlton, H.D.','~H.D. Carlton~H. D. Carlton~H.D.Carlton~Carlton, H.~Carlton,H.~Carlton H.~Carlton H ^'),\
         ('H.Rider Haggard','Haggard, H.Rider','~H.R. Haggard~H. R. Haggard~H.R.Haggard~Haggard, H.~Haggard,H.~Haggard H.~Haggard H ^'),\
         ('H.Y. Hanna','Hanna, H.Y.','~H.Y. Hanna~H. Y. Hanna~H.Y.Hanna~Hanna, H.~Hanna,H.~Hanna H.~Hanna H ^'),\
         ('Håkan Nesser','Nesser, Håkan','~H. Nesser~H.Nesser~Nesser, H.~Nesser,H.~Nesser H.~Nesser H ^'),\
         ('Hania Allen','Allen, Hania','~H. Allen~H.Allen~Allen, H.~Allen,H.~Allen H.~Allen H ^'),\
         ('Hanna Hart','Hart, Hanna','~H. Hart~H.Hart~Hart, H.~Hart,H.~Hart H.~Hart H ^'),\
         ('Hannah Dennison','Dennison, Hannah','~H. Dennison~H.Dennison~Dennison, H.~Dennison,H.~Dennison H.~Dennison H ^'),\
         ('Hannah Ellis','Ellis, Hannah','~H. Ellis~H.Ellis~Ellis, H.~Ellis,H.~Ellis H.~Ellis H ^'),\
         ('Hannah Hendy','Hendy, Hannah','~H. Hendy~H.Hendy~Hendy, H.~Hendy,H.~Hendy H.~Hendy H ^'),\
         ('Hannah Mary McKinnon','McKinnon, Hannah Mary','~H.M. McKinnon~H. M. McKinnon~H.M.McKinnon~McKinnon, H.~McKinnon,H.~McKinnon H.~McKinnon H ^'),\
         ('Hannah Whitten','Whitten, Hannah','~H. Whitten~H.Whitten~Whitten, H.~Whitten,H.~Whitten H.~Whitten H ^'),\
         ('Harley Tate','Tate, Harley','~H. Tate~H.Tate~Tate, H.~Tate,H.~Tate H.~Tate H ^'),\
         ('Harley Wylde','Wylde, Harley','~H. Wylde~H.Wylde~Wylde, H.~Wylde,H.~Wylde H.~Wylde H ^'),\
         ('Harloe Rae','Rae, Harloe','~H. Rae~H.Rae~Rae, H.~Rae,H.~Rae H.~Rae H ^'),\
         ('Harmon Cooper','Cooper, Harmon','~H. Cooper~H.Cooper~Cooper, H.~Cooper,H.~Cooper H.~Cooper H ^'),\
         ('Harmony Raines','Raines, Harmony','~H. Raines~H.Raines~Raines, H.~Raines,H.~Raines H.~Raines H ^'),\
         ('Harper Kincaid','Kincaid, Harper','~H. Kincaid~H.Kincaid~Kincaid, H.~Kincaid,H.~Kincaid H.~Kincaid H ^'),\
         ('Harper L. Woods','Woods, Harper L.','~H.L. Woods~H. L. Woods~H.L.Woods~Woods, H.~Woods,H.~Woods H.~Woods H ^'),\
         ('Harper Lin','Lin, Harper','~H. Lin~H.Lin~Lin, H.~Lin,H.~Lin H.~Lin H ^'),\
         ('Harper St George','George, Harper St','~H.S. George~H. S. George~H.S.George~George, H.~George,H.~George H.~George H ^'),\
         ('Harriet Muncaster','Muncaster, Harriet','~H. Muncaster~H.Muncaster~Muncaster, H.~Muncaster,H.~Muncaster H.~Muncaster H ^'),\
         ('Harriet Tyce','Tyce, Harriet','~H. Tyce~H.Tyce~Tyce, H.~Tyce,H.~Tyce H.~Tyce H ^'),\
         ('Harry Dolan','Dolan, Harry','~H. Dolan~H.Dolan~Dolan, H.~Dolan,H.~Dolan H.~Dolan H ^'),\
         ('Hattie Jacks','Jacks, Hattie','~H. Jacks~H.Jacks~Jacks, H.~Jacks,H.~Jacks H.~Jacks H ^'),\
         ('Hayley Faiman','Faiman, Hayley','~H. Faiman~H.Faiman~Faiman, H.~Faiman,H.~Faiman H.~Faiman H ^'),\
         ('Hayley Scrivenor','Scrivenor, Hayley','~H. Scrivenor~H.Scrivenor~Scrivenor, H.~Scrivenor,H.~Scrivenor H.~Scrivenor H ^'),\
         ('Hazel Beck','Beck, Hazel','~H. Beck~H.Beck~Beck, H.~Beck,H.~Beck H.~Beck H ^'),\
         ('Hazel Prior','Prior, Hazel','~H. Prior~H.Prior~Prior, H.~Prior,H.~Prior H.~Prior H ^'),\
         ('Heather Atkinson','Atkinson, Heather','~H. Atkinson~H.Atkinson~Atkinson, H.~Atkinson,H.~Atkinson H.~Atkinson H ^'),\
         ('Heather Boyd','Boyd, Heather','~H. Boyd~H.Boyd~Boyd, H.~Boyd,H.~Boyd H.~Boyd H ^'),\
         ('Heather Burnside','Burnside, Heather','~H. Burnside~H.Burnside~Burnside, H.~Burnside,H.~Burnside H.~Burnside H ^'),\
         ('Heather G. Harris','Harris, Heather G.','~H.G. Harris~H. G. Harris~H.G.Harris~Harris, H.~Harris,H.~Harris H.~Harris H ^'),\
         ('Heather Graham Pozzessere','Pozzessere, Heather Graham','~H.G. Pozzessere~H. G. Pozzessere~H.G.Pozzessere~Pozzessere, H.~Pozzessere,H.~Pozzessere H.~Pozzessere H ^'),\
         ('Heather Morris','Morris, Heather','~H. Morris~H.Morris~Morris, H.~Morris,H.~Morris H.~Morris H ^'),\
         ('Heather Redmond','Redmond, Heather','~H. Redmond~H.Redmond~Redmond, H.~Redmond,H.~Redmond H.~Redmond H ^'),\
         ('Heather Renee','Renee, Heather','~H. Renee~H.Renee~Renee, H.~Renee,H.~Renee H.~Renee H ^'),\
         ('Heather Slade','Slade, Heather','~H. Slade~H.Slade~Slade, H.~Slade,H.~Slade H.~Slade H ^'),\
         ('Heather Webber','Webber, Heather','~H. Webber~H.Webber~Webber, H.~Webber,H.~Webber H.~Webber H ^'),\
         ('Heidi Perks','Perks, Heidi','~H. Perks~H.Perks~Perks, H.~Perks,H.~Perks H.~Perks H ^'),\
         ('Heidi Swain','Swain, Heidi','~H. Swain~H.Swain~Swain, H.~Swain,H.~Swain H.~Swain H ^'),\
         ('Helen Cox','Cox, Helen','~H. Cox~H.Cox~Cox, H.~Cox,H.~Cox H.~Cox H ^'),\
         ('Helen Fields','Fields, Helen','~H. Fields~H.Fields~Fields, H.~Fields,H.~Fields H.~Fields H ^'),\
         ('Helen H. Durrant','Durrant, Helen H.','~H.H. Durrant~H. H. Durrant~H.H.Durrant~Durrant, H.~Durrant,H.~Durrant H.~Durrant H ^'),\
         ('Helen Hardt','Hardt, Helen','~H. Hardt~H.Hardt~Hardt, H.~Hardt,H.~Hardt H.~Hardt H ^'),\
         ('Helen Harper','Harper, Helen','~H. Harper~H.Harper~Harper, H.~Harper,H.~Harper H.~Harper H ^'),\
         ('Helen Hoang','Hoang, Helen','~H. Hoang~H.Hoang~Hoang, H.~Hoang,H.~Hoang H.~Hoang H ^'),\
         ('Helen Phifer','Phifer, Helen','~H. Phifer~H.Phifer~Phifer, H.~Phifer,H.~Phifer H.~Phifer H ^'),\
         ('Helen Rolfe','Rolfe, Helen','~H. Rolfe~H.Rolfe~Rolfe, H.~Rolfe,H.~Rolfe H.~Rolfe H ^'),\
         ('Helena Dixon','Dixon, Helena','~H. Dixon~H.Dixon~Dixon, H.~Dixon,H.~Dixon H.~Dixon H ^'),\
         ('Helena Hunting','Hunting, Helena','~H. Hunting~H.Hunting~Hunting, H.~Hunting,H.~Hunting H.~Hunting H ^'),\
         ('Hester Fox','Fox, Hester','~H. Fox~H.Fox~Fox, H.~Fox,H.~Fox H.~Fox H ^'),\
         ('Hilary Green','Green, Hilary','~H. Green~H.Green~Green, H.~Green,H.~Green H.~Green H ^'),\
         ('Hildie McQueen','McQueen, Hildie','~H. McQueen~H.McQueen~McQueen, H.~McQueen,H.~McQueen H.~McQueen H ^'),\
         ('Holly Bourne','Bourne, Holly','~H. Bourne~H.Bourne~Bourne, H.~Bourne,H.~Bourne H.~Bourne H ^'),\
         ('Holly Danvers','Danvers, Holly','~H. Danvers~H.Danvers~Danvers, H.~Danvers,H.~Danvers H.~Danvers H ^'),\
         ('Holly Green','Green, Holly','~H. Green~H.Green~Green, H.~Green,H.~Green H.~Green H ^'),\
         ('Holly Hepburn','Hepburn, Holly','~H. Hepburn~H.Hepburn~Hepburn, H.~Hepburn,H.~Hepburn H.~Hepburn H ^'),\
         ('Holly Jackson','Jackson, Holly','~H. Jackson~H.Jackson~Jackson, H.~Jackson,H.~Jackson H.~Jackson H ^'),\
         ('Holly Martin','Martin, Holly','~H. Martin~H.Martin~Martin, H.~Martin,H.~Martin H.~Martin H ^'),\
         ('Holly Quinn','Quinn, Holly','~H. Quinn~H.Quinn~Quinn, H.~Quinn,H.~Quinn H.~Quinn H ^'),\
         ('Holly Renee','Renee, Holly','~H. Renee~H.Renee~Renee, H.~Renee,H.~Renee H.~Renee H ^'),\
         ('Holly Webb','Webb, Holly','~H. Webb~H.Webb~Webb, H.~Webb,H.~Webb H.~Webb H ^'),\
         ('Hondo Jinx','Jinx, Hondo','~H. Jinx~H.Jinx~Jinx, H.~Jinx,H.~Jinx H.~Jinx H ^'),\
         ('Honey Phillips','Phillips, Honey','~H. Phillips~H.Phillips~Phillips, H.~Phillips,H.~Phillips H.~Phillips H ^'),\
         ('Hope Callaghan','Callaghan, Hope','~H. Callaghan~H.Callaghan~Callaghan, H.~Callaghan,H.~Callaghan H.~Callaghan H ^'),\
         ('Hope Ford','Ford, Hope','~H. Ford~H.Ford~Ford, H.~Ford,H.~Ford H.~Ford H ^'),\
         ('Hope Hart','Hart, Hope','~H. Hart~H.Hart~Hart, H.~Hart,H.~Hart H.~Hart H ^'),\
         ('Hope Holloway','Holloway, Hope','~H. Holloway~H.Holloway~Holloway, H.~Holloway,H.~Holloway H.~Holloway H ^'),\
         ('HP Mallory','Mallory, HP','~H. Mallory~H.Mallory~Mallory, H.~Mallory,H.~Mallory H.~Mallory H ^'),\
         ('I.T. Lucas','Lucas, I.T.','~I.T. Lucas~I. T. Lucas~I.T.Lucas~Lucas, I.~Lucas,I.~Lucas I.~Lucas I ^'),\
         ('Iain Gale','Gale, Iain','~I. Gale~I.Gale~Gale, I.~Gale,I.~Gale I.~Gale I ^'),\
         ('Ian Hamilton','Hamilton, Ian','~I. Hamilton~I.Hamilton~Hamilton, I.~Hamilton,I.~Hamilton I.~Hamilton I ^'),\
         ('Ian McDonald','McDonald, Ian','~I. McDonald~I.McDonald~McDonald, I.~McDonald,I.~McDonald I.~McDonald I ^'),\
         ('Ian McEwan','McEwan, Ian','~I. McEwan~I.McEwan~McEwan, I.~McEwan,I.~McEwan I.~McEwan I ^'),\
         ('Ian Moore','Moore, Ian','~I. Moore~I.Moore~Moore, I.~Moore,I.~Moore I.~Moore I ^'),\
         ('Ian Ross','Ross, Ian','~I. Ross~I.Ross~Ross, I.~Ross,I.~Ross I.~Ross I ^'),\
         ('Ian Sansom','Sansom, Ian','~I. Sansom~I.Sansom~Sansom, I.~Sansom,I.~Sansom I.~Sansom I ^'),\
         ('Ilsa Madden-Mills','Madden-Mills, Ilsa','~I. Madden-Mills~I.Madden-Mills~Madden-Mills, I.~Madden-Mills,I.~Madden-Mills I.~Madden-Mills I ^'),\
         ('Inadvisably Compelled','Compelled, Inadvisably','~I. Compelled~I.Compelled~Compelled, I.~Compelled,I.~Compelled I.~Compelled I ^'),\
         ('India Holton','Holton, India','~I. Holton~I.Holton~Holton, I.~Holton,I.~Holton I.~Holton I ^'),\
         ('Iona Whishaw','Whishaw, Iona','~I. Whishaw~I.Whishaw~Whishaw, I.~Whishaw,I.~Whishaw I.~Whishaw I ^'),\
         ('Isabella Alan','Alan, Isabella','~I. Alan~I.Alan~Alan, I.~Alan,I.~Alan I.~Alan I ^'),\
         ('Isabella Bassett','Bassett, Isabella','~I. Bassett~I.Bassett~Bassett, I.~Bassett,I.~Bassett I.~Bassett I ^'),\
         ('Isabella Maldonado','Maldonado, Isabella','~I. Maldonado~I.Maldonado~Maldonado, I.~Maldonado,I.~Maldonado I.~Maldonado I ^'),\
         ('Isabella Starling','Starling, Isabella','~I. Starling~I.Starling~Starling, I.~Starling,I.~Starling I.~Starling I ^'),\
         ('Isabelle Broom','Broom, Isabelle','~I. Broom~I.Broom~Broom, I.~Broom,I.~Broom I.~Broom I ^'),\
         ('Isis Crawford','Crawford, Isis','~I. Crawford~I.Crawford~Crawford, I.~Crawford,I.~Crawford I.~Crawford I ^'),\
         ('Ivan Kal','Kal, Ivan','~I. Kal~I.Kal~Kal, I.~Kal,I.~Kal I.~Kal I ^'),\
         ('Ivy Asher','Asher, Ivy','~I. Asher~I.Asher~Asher, I.~Asher,I.~Asher I.~Asher I ^'),\
         ('Ivy Smoak','Smoak, Ivy','~I. Smoak~I.Smoak~Smoak, I.~Smoak,I.~Smoak I.~Smoak I ^'),\
         ('J. Bree','Bree, J.','~J. Bree~J.Bree~Bree, J.~Bree,J.~Bree J.~Bree J ^'),\
         ('J. Saman','Saman, J.','~J. Saman~J.Saman~Saman, J.~Saman,J.~Saman J.~Saman J ^'),\
         ('J.A. Whiting','Whiting, J.A.','~J.A. Whiting~J. A. Whiting~J.A.Whiting~Whiting, J.~Whiting,J.~Whiting J.~Whiting J ^'),\
         ('J.B. Turner','Turner, J.B.','~J.B. Turner~J. B. Turner~J.B.Turner~Turner, J.~Turner,J.~Turner J.~Turner J ^'),\
         ('J.C. Cervantes','Cervantes, J.C.','~J.C. Cervantes~J. C. Cervantes~J.C.Cervantes~Cervantes, J.~Cervantes,J.~Cervantes J.~Cervantes J ^'),\
         ('J.C. Daniels','Daniels, J.C.','~J.C. Daniels~J. C. Daniels~J.C.Daniels~Daniels, J.~Daniels,J.~Daniels J.~Daniels J ^'),\
         ('J.C. Eaton','Eaton, J.C.','~J.C. Eaton~J. C. Eaton~J.C.Eaton~Eaton, J.~Eaton,J.~Eaton J.~Eaton J ^'),\
         ('J.D. Barker','Barker, J.D.','~J.D. Barker~J. D. Barker~J.D.Barker~Barker, J.~Barker,J.~Barker J.~Barker J ^'),\
         ('J.D. Davies','Davies, J.D.','~J.D. Davies~J. D. Davies~J.D.Davies~Davies, J.~Davies,J.~Davies J.~Davies J ^'),\
         ('J.D. Tyler','Tyler, J.D.','~J.D. Tyler~J. D. Tyler~J.D.Tyler~Tyler, J.~Tyler,J.~Tyler J.~Tyler J ^'),\
         ('J.E. Daelman','Daelman, J.E.','~J.E. Daelman~J. E. Daelman~J.E.Daelman~Daelman, J.~Daelman,J.~Daelman J.~Daelman J ^'),\
         ('J.E. Rowney','Rowney, J.E.','~J.E. Rowney~J. E. Rowney~J.E.Rowney~Rowney, J.~Rowney,J.~Rowney J.~Rowney J ^'),\
         ('J.H. Croix','Croix, J.H.','~J.H. Croix~J. H. Croix~J.H.Croix~Croix, J.~Croix,J.~Croix J.~Croix J ^'),\
         ('J.J. McAvoy','McAvoy, J.J.','~J.J. McAvoy~J. J. McAvoy~J.J.McAvoy~McAvoy, J.~McAvoy,J.~McAvoy J.~McAvoy J ^'),\
         ('J.L. Weil','Weil, J.L.','~J.L. Weil~J. L. Weil~J.L.Weil~Weil, J.~Weil,J.~Weil J.~Weil J ^'),\
         ('J.M. Dalgliesh','Dalgliesh, J.M.','~J.M. Dalgliesh~J. M. Dalgliesh~J.M.Dalgliesh~Dalgliesh, J.~Dalgliesh,J.~Dalgliesh J.~Dalgliesh J ^'),\
         ('J.M. Gregson','Gregson, J.M.','~J.M. Gregson~J. M. Gregson~J.M.Gregson~Gregson, J.~Gregson,J.~Gregson J.~Gregson J ^'),\
         ('J.M. Hall','Hall, J.M.','~J.M. Hall~J. M. Hall~J.M.Hall~Hall, J.~Hall,J.~Hall J.~Hall J ^'),\
         ('J.M. Miro','Miro, J.M.','~J.M. Miro~J. M. Miro~J.M.Miro~Miro, J.~Miro,J.~Miro J.~Miro J ^'),\
         ('J.N. Chaney','Chaney, J.N.','~J.N. Chaney~J. N. Chaney~J.N.Chaney~Chaney, J.~Chaney,J.~Chaney J.~Chaney J ^'),\
         ('J.P. Delaney','Delaney, J.P.','~J.P. Delaney~J. P. Delaney~J.P.Delaney~Delaney, J.~Delaney,J.~Delaney J.~Delaney J ^'),\
         ('J.P. Pomare','Pomare, J.P.','~J.P. Pomare~J. P. Pomare~J.P.Pomare~Pomare, J.~Pomare,J.~Pomare J.~Pomare J ^'),\
         ('J.R. Ellis','Ellis, J.R.','~J.R. Ellis~J. R. Ellis~J.R.Ellis~Ellis, J.~Ellis,J.~Ellis J.~Ellis J ^'),\
         ('J.R. Roberts','Roberts, J.R.','~J.R. Roberts~J. R. Roberts~J.R.Roberts~Roberts, J.~Roberts,J.~Roberts J.~Roberts J ^'),\
         ('J.R. Thorn','Thorn, J.R.','~J.R. Thorn~J. R. Thorn~J.R.Thorn~Thorn, J.~Thorn,J.~Thorn J.~Thorn J ^'),\
         ('J.Robert Kennedy','Kennedy, J.Robert','~J.R. Kennedy~J. R. Kennedy~J.R.Kennedy~Kennedy, J.~Kennedy,J.~Kennedy J.~Kennedy J ^'),\
         ('J.S. Dewes','Dewes, J.S.','~J.S. Dewes~J. S. Dewes~J.S.Dewes~Dewes, J.~Dewes,J.~Dewes J.~Dewes J ^'),\
         ('J.Todd Scott','Scott, J.Todd','~J.T. Scott~J. T. Scott~J.T.Scott~Scott, J.~Scott,J.~Scott J.~Scott J ^'),\
         ('JA Low','Low, JA','~J. Low~J.Low~Low, J.~Low,J.~Low J.~Low J ^'),\
         ('Jack Carr','Carr, Jack','~J. Carr~J.Carr~Carr, J.~Carr,J.~Carr J.~Carr J ^'),\
         ('Jack Cartwright','Cartwright, Jack','~J. Cartwright~J.Cartwright~Cartwright, J.~Cartwright,J.~Cartwright J.~Cartwright J ^'),\
         ('Jack Gatland','Gatland, Jack','~J. Gatland~J.Gatland~Gatland, J.~Gatland,J.~Gatland J.~Gatland J ^'),\
         ('Jack Hunt','Hunt, Jack','~J. Hunt~J.Hunt~Hunt, J.~Hunt,J.~Hunt J.~Hunt J ^'),\
         ('Jack Ludlow','Ludlow, Jack','~J. Ludlow~J.Ludlow~Ludlow, J.~Ludlow,J.~Ludlow J.~Ludlow J ^'),\
         ('Jack Mars','Mars, Jack','~J. Mars~J.Mars~Mars, J.~Mars,J.~Mars J.~Mars J ^'),\
         ('Jack McDevitt','McDevitt, Jack','~J. McDevitt~J.McDevitt~McDevitt, J.~McDevitt,J.~McDevitt J.~McDevitt J ^'),\
         ('Jack Porter','Porter, Jack','~J. Porter~J.Porter~Porter, J.~Porter,J.~Porter J.~Porter J ^'),\
         ('Jack Probyn','Probyn, Jack','~J. Probyn~J.Probyn~Probyn, J.~Probyn,J.~Probyn J.~Probyn J ^'),\
         ('Jack Sheffield','Sheffield, Jack','~J. Sheffield~J.Sheffield~Sheffield, J.~Sheffield,J.~Sheffield J.~Sheffield J ^'),\
         ('Jackie Kabler','Kabler, Jackie','~J. Kabler~J.Kabler~Kabler, J.~Kabler,J.~Kabler J.~Kabler J ^'),\
         ('Jaclyn Osborn','Osborn, Jaclyn','~J. Osborn~J.Osborn~Osborn, J.~Osborn,J.~Osborn J.~Osborn J ^'),\
         ('Jacob Peppers','Peppers, Jacob','~J. Peppers~J.Peppers~Peppers, J.~Peppers,J.~Peppers J.~Peppers J ^'),\
         ('Jacqueline Druga','Druga, Jacqueline','~J. Druga~J.Druga~Druga, J.~Druga,J.~Druga J.~Druga J ^'),\
         ('Jacqueline Frost','Frost, Jacqueline','~J. Frost~J.Frost~Frost, J.~Frost,J.~Frost J.~Frost J ^'),\
         ('Jacqueline Wilson','Wilson, Jacqueline','~J. Wilson~J.Wilson~Wilson, J.~Wilson,J.~Wilson J.~Wilson J ^'),\
         ('Jacqui Rose','Rose, Jacqui','~J. Rose~J.Rose~Rose, J.~Rose,J.~Rose J.~Rose J ^'),\
         ('Jada Fisher','Fisher, Jada','~J. Fisher~J.Fisher~Fisher, J.~Fisher,J.~Fisher J.~Fisher J ^'),\
         ('Jagger Cole','Cole, Jagger','~J. Cole~J.Cole~Cole, J.~Cole,J.~Cole J.~Cole J ^'),\
         ('Jaime Jo Wright','Wright, Jaime Jo','~J.J. Wright~J. J. Wright~J.J.Wright~Wright, J.~Wright,J.~Wright J.~Wright J ^'),\
         ('Jaime Lewis','Lewis, Jaime','~J. Lewis~J.Lewis~Lewis, J.~Lewis,J.~Lewis J.~Lewis J ^'),\
         ('Jaine Diamond','Diamond, Jaine','~J. Diamond~J.Diamond~Diamond, J.~Diamond,J.~Diamond J.~Diamond J ^'),\
         ('Jake Maddox','Maddox, Jake','~J. Maddox~J.Maddox~Maddox, J.~Maddox,J.~Maddox J.~Maddox J ^'),\
         ('James A. Hunter','Hunter, James A.','~J.A. Hunter~J. A. Hunter~J.A.Hunter~Hunter, J.~Hunter,J.~Hunter J.~Hunter J ^'),\
         ('James Byrne','Byrne, James','~J. Byrne~J.Byrne~Byrne, J.~Byrne,J.~Byrne J.~Byrne J ^'),\
         ('James Chandler','Chandler, James','~J. Chandler~J.Chandler~Chandler, J.~Chandler,J.~Chandler J.~Chandler J ^'),\
         ('James David Victor','Victor, James David','~J.D. Victor~J. D. Victor~J.D.Victor~Victor, J.~Victor,J.~Victor J.~Victor J ^'),\
         ('James E. Wisher','Wisher, James E.','~J.E. Wisher~J. E. Wisher~J.E.Wisher~Wisher, J.~Wisher,J.~Wisher J.~Wisher J ^'),\
         ('James Ellson','Ellson, James','~J. Ellson~J.Ellson~Ellson, J.~Ellson,J.~Ellson J.~Ellson J ^'),\
         ('James H. Cobb','Cobb, James H.','~J.H. Cobb~J. H. Cobb~J.H.Cobb~Cobb, J.~Cobb,J.~Cobb J.~Cobb J ^'),\
         ('James Haddock','Haddock, James','~J. Haddock~J.Haddock~Haddock, J.~Haddock,J.~Haddock J.~Haddock J ^'),\
         ('James Holland','Holland, James','~J. Holland~J.Holland~Holland, J.~Holland,J.~Holland J.~Holland J ^'),\
         ('James Islington','Islington, James','~J. Islington~J.Islington~Islington, J.~Islington,J.~Islington J.~Islington J ^'),\
         ('James J. Butcher','Butcher, James J.','~J.J. Butcher~J. J. Butcher~J.J.Butcher~Butcher, J.~Butcher,J.~Butcher J.~Butcher J ^'),\
         ('James McGee','McGee, James','~J. McGee~J.McGee~McGee, J.~McGee,J.~McGee J.~McGee J ^'),\
         ('James O. Born','Born, James O.','~J.O. Born~J. O. Born~J.O.Born~Born, J.~Born,J.~Born J.~Born J ^'),\
         ('James P. Sumner','Sumner, James P.','~J.P. Sumner~J. P. Sumner~J.P.Sumner~Sumner, J.~Sumner,J.~Sumner J.~Sumner J ^'),\
         ('James Ponti','Ponti, James','~J. Ponti~J.Ponti~Ponti, J.~Ponti,J.~Ponti J.~Ponti J ^'),\
         ('James R. Hannibal','Hannibal, James R.','~J.R. Hannibal~J. R. Hannibal~J.R.Hannibal~Hannibal, J.~Hannibal,J.~Hannibal J.~Hannibal J ^'),\
         ('James Reasoner','Reasoner, James','~J. Reasoner~J.Reasoner~Reasoner, J.~Reasoner,J.~Reasoner J.~Reasoner J ^'),\
         ('James Riley','Riley, James','~J. Riley~J.Riley~Riley, J.~Riley,J.~Riley J.~Riley J ^'),\
         ('James Rosone','Rosone, James','~J. Rosone~J.Rosone~Rosone, J.~Rosone,J.~Rosone J.~Rosone J ^'),\
         ('Jamie Brenner','Brenner, Jamie','~J. Brenner~J.Brenner~Brenner, J.~Brenner,J.~Brenner J.~Brenner J ^'),\
         ('Jamie Hawke','Hawke, Jamie','~J. Hawke~J.Hawke~Hawke, J.~Hawke,J.~Hawke J.~Hawke J ^'),\
         ('Jamie McFarlane','McFarlane, Jamie','~J. McFarlane~J.McFarlane~McFarlane, J.~McFarlane,J.~McFarlane J.~McFarlane J ^'),\
         ('Jamie Smart','Smart, Jamie','~J. Smart~J.Smart~Smart, J.~Smart,J.~Smart J.~Smart J ^'),\
         ('Jan Stryvant','Stryvant, Jan','~J. Stryvant~J.Stryvant~Stryvant, J.~Stryvant,J.~Stryvant J.~Stryvant J ^'),\
         ('Jana Aston','Aston, Jana','~J. Aston~J.Aston~Aston, J.~Aston,J.~Aston J.~Aston J ^'),\
         ('Jane A. Adams','Adams, Jane A.','~J.A. Adams~J. A. Adams~J.A.Adams~Adams, J.~Adams,J.~Adams J.~Adams J ^'),\
         ('Jane Bettany','Bettany, Jane','~J. Bettany~J.Bettany~Bettany, J.~Bettany,J.~Bettany J.~Bettany J ^'),\
         ('Jane Blythe','Blythe, Jane','~J. Blythe~J.Blythe~Blythe, J.~Blythe,J.~Blythe J.~Blythe J ^'),\
         ('Jane Casey','Casey, Jane','~J. Casey~J.Casey~Casey, J.~Casey,J.~Casey J.~Casey J ^'),\
         ('Jane Corry','Corry, Jane','~J. Corry~J.Corry~Corry, J.~Corry,J.~Corry J.~Corry J ^'),\
         ('Jane Harper','Harper, Jane','~J. Harper~J.Harper~Harper, J.~Harper,J.~Harper J.~Harper J ^'),\
         ('Jane Henry','Henry, Jane','~J. Henry~J.Henry~Henry, J.~Henry,J.~Henry J.~Henry J ^'),\
         ('Jane Hinchey','Hinchey, Jane','~J. Hinchey~J.Hinchey~Hinchey, J.~Hinchey,J.~Hinchey J.~Hinchey J ^'),\
         ('Jane Isaac','Isaac, Jane','~J. Isaac~J.Isaac~Isaac, J.~Isaac,J.~Isaac J.~Isaac J ^'),\
         ('Jane Kirkpatrick','Kirkpatrick, Jane','~J. Kirkpatrick~J.Kirkpatrick~Kirkpatrick, J.~Kirkpatrick,J.~Kirkpatrick J.~Kirkpatrick J ^'),\
         ('Jane Linfoot','Linfoot, Jane','~J. Linfoot~J.Linfoot~Linfoot, J.~Linfoot,J.~Linfoot J.~Linfoot J ^'),\
         ('Jane Thynne','Thynne, Jane','~J. Thynne~J.Thynne~Thynne, J.~Thynne,J.~Thynne J.~Thynne J ^'),\
         ('Janice Cantore','Cantore, Janice','~J. Cantore~J.Cantore~Cantore, J.~Cantore,J.~Cantore J.~Cantore J ^'),\
         ('Janice Frost','Frost, Janice','~J. Frost~J.Frost~Frost, J.~Frost,J.~Frost J.~Frost J ^'),\
         ('Janice Hallett','Hallett, Janice','~J. Hallett~J.Hallett~Hallett, J.~Hallett,J.~Hallett J.~Hallett J ^'),\
         ('Janice M. Whiteaker','Whiteaker, Janice M.','~J.M. Whiteaker~J. M. Whiteaker~J.M.Whiteaker~Whiteaker, J.~Whiteaker,J.~Whiteaker J.~Whiteaker J ^'),\
         ('Janie Crouch','Crouch, Janie','~J. Crouch~J.Crouch~Crouch, J.~Crouch,J.~Crouch J.~Crouch J ^'),\
         ('Janna MacGregor','MacGregor, Janna','~J. MacGregor~J.MacGregor~MacGregor, J.~MacGregor,J.~MacGregor J.~MacGregor J ^'),\
         ('Jasmine Guillory','Guillory, Jasmine','~J. Guillory~J.Guillory~Guillory, J.~Guillory,J.~Guillory J.~Guillory J ^'),\
         ('Jasmine Walt','Walt, Jasmine','~J. Walt~J.Walt~Walt, J.~Walt,J.~Walt J.~Walt J ^'),\
         ('Jason Anspach','Anspach, Jason','~J. Anspach~J.Anspach~Anspach, J.~Anspach,J.~Anspach J.~Anspach J ^'),\
         ('Jason Kasper','Kasper, Jason','~J. Kasper~J.Kasper~Kasper, J.~Kasper,J.~Kasper J.~Kasper J ^'),\
         ('Jason Pargin','Pargin, Jason','~J. Pargin~J.Pargin~Pargin, J.~Pargin,J.~Pargin J.~Pargin J ^'),\
         ('Jason Rekulak','Rekulak, Jason','~J. Rekulak~J.Rekulak~Rekulak, J.~Rekulak,J.~Rekulak J.~Rekulak J ^'),\
         ('Jason Reynolds','Reynolds, Jason','~J. Reynolds~J.Reynolds~Reynolds, J.~Reynolds,J.~Reynolds J.~Reynolds J ^'),\
         ('Jasper T. Scott','Scott, Jasper T.','~J.T. Scott~J. T. Scott~J.T.Scott~Scott, J.~Scott,J.~Scott J.~Scott J ^'),\
         ('Jay Allan','Allan, Jay','~J. Allan~J.Allan~Allan, J.~Allan,J.~Allan J.~Allan J ^'),\
         ('Jay Gill','Gill, Jay','~J. Gill~J.Gill~Gill, J.~Gill,J.~Gill J.~Gill J ^'),\
         ('Jay Nadal','Nadal, Jay','~J. Nadal~J.Nadal~Nadal, J.~Nadal,J.~Nadal J.~Nadal J ^'),\
         ('Jayci Lee','Lee, Jayci','~J. Lee~J.Lee~Lee, J.~Lee,J.~Lee J.~Lee J ^'),\
         ('Jayda Marx','Marx, Jayda','~J. Marx~J.Marx~Marx, J.~Marx,J.~Marx J.~Marx J ^'),\
         ('Jaymin Eve','Eve, Jaymin','~J. Eve~J.Eve~Eve, J.~Eve,J.~Eve J.~Eve J ^'),\
         ('Jayne Castel','Castel, Jayne','~J. Castel~J.Castel~Castel, J.~Castel,J.~Castel J.~Castel J ^'),\
         ('JB Lynn','Lynn, JB','~J. Lynn~J.Lynn~Lynn, J.~Lynn,J.~Lynn J.~Lynn J ^'),\
         ('JB Trepagnier','Trepagnier, JB','~J. Trepagnier~J.Trepagnier~Trepagnier, J.~Trepagnier,J.~Trepagnier J.~Trepagnier J ^'),\
         ('JD Kirk','Kirk, JD','~J. Kirk~J.Kirk~Kirk, J.~Kirk,J.~Kirk J.~Kirk J ^'),\
         ('Jean G. Goodhind','Goodhind, Jean G.','~J.G. Goodhind~J. G. Goodhind~J.G.Goodhind~Goodhind, J.~Goodhind,J.~Goodhind J.~Goodhind J ^'),\
         ('Jean Grainger','Grainger, Jean','~J. Grainger~J.Grainger~Grainger, J.~Grainger,J.~Grainger J.~Grainger J ^'),\
         ('Jean Marie Auel','Auel, Jean Marie','~J.M. Auel~J. M. Auel~J.M.Auel~Auel, J.~Auel,J.~Auel J.~Auel J ^'),\
         ('Jean-Luc Bannalec','Bannalec, Jean-Luc','~J. Bannalec~J.Bannalec~Bannalec, J.~Bannalec,J.~Bannalec J.~Bannalec J ^'),\
         ('Jeanine Cummins','Cummins, Jeanine','~J. Cummins~J.Cummins~Cummins, J.~Cummins,J.~Cummins J.~Cummins J ^'),\
         ('Jeff Carson','Carson, Jeff','~J. Carson~J.Carson~Carson, J.~Carson,J.~Carson J.~Carson J ^'),\
         ('Jeff Rovin','Rovin, Jeff','~J. Rovin~J.Rovin~Rovin, J.~Rovin,J.~Rovin J.~Rovin J ^'),\
         ('Jeff VanderMeer','VanderMeer, Jeff','~J. VanderMeer~J.VanderMeer~VanderMeer, J.~VanderMeer,J.~VanderMeer J.~VanderMeer J ^'),\
         ('Jeffery H. Haskell','Haskell, Jeffery H.','~J.H. Haskell~J. H. Haskell~J.H.Haskell~Haskell, J.~Haskell,J.~Haskell J.~Haskell J ^'),\
         ('Jeffrey L. Kohanek','Kohanek, Jeffrey L.','~J.L. Kohanek~J. L. Kohanek~J.L.Kohanek~Kohanek, J.~Kohanek,J.~Kohanek J.~Kohanek J ^'),\
         ('Jen Geigle Johnson','Johnson, Jen Geigle','~J.G. Johnson~J. G. Johnson~J.G.Johnson~Johnson, J.~Johnson,J.~Johnson J.~Johnson J ^'),\
         ('Jen L. Grey','Grey, Jen L.','~J.L. Grey~J. L. Grey~J.L.Grey~Grey, J.~Grey,J.~Grey J.~Grey J ^'),\
         ('Jen Williams','Williams, Jen','~J. Williams~J.Williams~Williams, J.~Williams,J.~Williams J.~Williams J ^'),\
         ('Jeneva Rose','Rose, Jeneva','~J. Rose~J.Rose~Rose, J.~Rose,J.~Rose J.~Rose J ^'),\
         ('Jenn Lyons','Lyons, Jenn','~J. Lyons~J.Lyons~Lyons, J.~Lyons,J.~Lyons J.~Lyons J ^'),\
         ('Jenna Rose','Rose, Jenna','~J. Rose~J.Rose~Rose, J.~Rose,J.~Rose J.~Rose J ^'),\
         ('Jenna St James','James, Jenna St','~J.S. James~J. S. James~J.S.James~James, J.~James,J.~James J.~James J ^'),\
         ('Jenna Wolfhart','Wolfhart, Jenna','~J. Wolfhart~J.Wolfhart~Wolfhart, J.~Wolfhart,J.~Wolfhart J.~Wolfhart J ^'),\
         ('Jenni Fletcher','Fletcher, Jenni','~J. Fletcher~J.Fletcher~Fletcher, J.~Fletcher,J.~Fletcher J.~Fletcher J ^'),\
         ('Jennie Felton','Felton, Jennie','~J. Felton~J.Felton~Felton, J.~Felton,J.~Felton J.~Felton J ^'),\
         ('Jennie Goutet','Goutet, Jennie','~J. Goutet~J.Goutet~Goutet, J.~Goutet,J.~Goutet J.~Goutet J ^'),\
         ('Jennifer Armintrout','Armintrout, Jennifer','~J. Armintrout~J.Armintrout~Armintrout, J.~Armintrout,J.~Armintrout J.~Armintrout J ^'),\
         ('Jennifer Bohnet','Bohnet, Jennifer','~J. Bohnet~J.Bohnet~Bohnet, J.~Bohnet,J.~Bohnet J.~Bohnet J ^'),\
         ('Jennifer Chase','Chase, Jennifer','~J. Chase~J.Chase~Chase, J.~Chase,J.~Chase J.~Chase J ^'),\
         ('Jennifer J. Chow','Chow, Jennifer J.','~J.J. Chow~J. J. Chow~J.J.Chow~Chow, J.~Chow,J.~Chow J.~Chow J ^'),\
         ('Jennifer L. Hart','Hart, Jennifer L.','~J.L. Hart~J. L. Hart~J.L.Hart~Hart, J.~Hart,J.~Hart J.~Hart J ^'),\
         ('Jennifer McMahon','McMahon, Jennifer','~J. McMahon~J.McMahon~McMahon, J.~McMahon,J.~McMahon J.~McMahon J ^'),\
         ('Jennifer Moore','Moore, Jennifer','~J. Moore~J.Moore~Moore, J.~Moore,J.~Moore J.~Moore J ^'),\
         ('Jennifer Robson','Robson, Jennifer','~J. Robson~J.Robson~Robson, J.~Robson,J.~Robson J.~Robson J ^'),\
         ('Jennifer Ryan','Ryan, Jennifer','~J. Ryan~J.Ryan~Ryan, J.~Ryan,J.~Ryan J.~Ryan J ^'),\
         ('Jennifer Ryan','Ryan, Jennifer','~J. Ryan~J.Ryan~Ryan, J.~Ryan,J.~Ryan J.~Ryan J ^'),\
         ('Jennifer Snow','Snow, Jennifer','~J. Snow~J.Snow~Snow, J.~Snow,J.~Snow J.~Snow J ^'),\
         ('Jennifer Sucevic','Sucevic, Jennifer','~J. Sucevic~J.Sucevic~Sucevic, J.~Sucevic,J.~Sucevic J.~Sucevic J ^'),\
         ('Jenny Ashcroft','Ashcroft, Jenny','~J. Ashcroft~J.Ashcroft~Ashcroft, J.~Ashcroft,J.~Ashcroft J.~Ashcroft J ^'),\
         ('Jenny Blackhurst','Blackhurst, Jenny','~J. Blackhurst~J.Blackhurst~Blackhurst, J.~Blackhurst,J.~Blackhurst J.~Blackhurst J ^'),\
         ('Jenny Hale','Hale, Jenny','~J. Hale~J.Hale~Hale, J.~Hale,J.~Hale J.~Hale J ^'),\
         ('Jenny Holiday','Holiday, Jenny','~J. Holiday~J.Holiday~Holiday, J.~Holiday,J.~Holiday J.~Holiday J ^'),\
         ('Jenny Holmes','Holmes, Jenny','~J. Holmes~J.Holmes~Holmes, J.~Holmes,J.~Holmes J.~Holmes J ^'),\
         ('Jenny O''Brien','O''Brien, Jenny','~J. O''Brien~J.O''Brien~O''Brien, J.~O''Brien,J.~O''Brien J.~O''Brien J ^'),\
         ('Jenny T. Colgan','Colgan, Jenny T.','~J.T. Colgan~J. T. Colgan~J.T.Colgan~Colgan, J.~Colgan,J.~Colgan J.~Colgan J ^'),\
         ('Jeremy Bates','Bates, Jeremy','~J. Bates~J.Bates~Bates, J.~Bates,J.~Bates J.~Bates J ^'),\
         ('Jerome Preisler','Preisler, Jerome','~J. Preisler~J.Preisler~Preisler, J.~Preisler,J.~Preisler J.~Preisler J ^'),\
         ('Jerry Boyd','Boyd, Jerry','~J. Boyd~J.Boyd~Boyd, J.~Boyd,J.~Boyd J.~Boyd J ^'),\
         ('Jess Dylan','Dylan, Jess','~J. Dylan~J.Dylan~Dylan, J.~Dylan,J.~Dylan J.~Dylan J ^'),\
         ('Jess Kidd','Kidd, Jess','~J. Kidd~J.Kidd~Kidd, J.~Kidd,J.~Kidd J.~Kidd J ^'),\
         ('Jess Montgomery','Montgomery, Jess','~J. Montgomery~J.Montgomery~Montgomery, J.~Montgomery,J.~Montgomery J.~Montgomery J ^'),\
         ('Jess Winters','Winters, Jess','~J. Winters~J.Winters~Winters, J.~Winters,J.~Winters J.~Winters J ^'),\
         ('Jessa Hastings','Hastings, Jessa','~J. Hastings~J.Hastings~Hastings, J.~Hastings,J.~Hastings J.~Hastings J ^'),\
         ('Jesse Q. Sutanto','Sutanto, Jesse Q.','~J.Q. Sutanto~J. Q. Sutanto~J.Q.Sutanto~Sutanto, J.~Sutanto,J.~Sutanto J.~Sutanto J ^'),\
         ('Jessica Ames','Ames, Jessica','~J. Ames~J.Ames~Ames, J.~Ames,J.~Ames J.~Ames J ^'),\
         ('Jessica Ellicott','Ellicott, Jessica','~J. Ellicott~J.Ellicott~Ellicott, J.~Ellicott,J.~Ellicott J.~Ellicott J ^'),\
         ('Jessica Fellowes','Fellowes, Jessica','~J. Fellowes~J.Fellowes~Fellowes, J.~Fellowes,J.~Fellowes J.~Fellowes J ^'),\
         ('Jessica Gadziala','Gadziala, Jessica','~J. Gadziala~J.Gadziala~Gadziala, J.~Gadziala,J.~Gadziala J.~Gadziala J ^'),\
         ('Jessica Knoll','Knoll, Jessica','~J. Knoll~J.Knoll~Knoll, J.~Knoll,J.~Knoll J.~Knoll J ^'),\
         ('Jessica Prince','Prince, Jessica','~J. Prince~J.Prince~Prince, J.~Prince,J.~Prince J.~Prince J ^'),\
         ('Jessica Redland','Redland, Jessica','~J. Redland~J.Redland~Redland, J.~Redland,J.~Redland J.~Redland J ^'),\
         ('Jessica Townsend','Townsend, Jessica','~J. Townsend~J.Townsend~Townsend, J.~Townsend,J.~Townsend J.~Townsend J ^'),\
         ('Jessie Burton','Burton, Jessie','~J. Burton~J.Burton~Burton, J.~Burton,J.~Burton J.~Burton J ^'),\
         ('Jessie Clever','Clever, Jessie','~J. Clever~J.Clever~Clever, J.~Clever,J.~Clever J.~Clever J ^'),\
         ('Jessie Cooke','Cooke, Jessie','~J. Cooke~J.Cooke~Cooke, J.~Cooke,J.~Cooke J.~Cooke J ^'),\
         ('Jessie Gussman','Gussman, Jessie','~J. Gussman~J.Gussman~Gussman, J.~Gussman,J.~Gussman J.~Gussman J ^'),\
         ('Jessie Mihalik','Mihalik, Jessie','~J. Mihalik~J.Mihalik~Mihalik, J.~Mihalik,J.~Mihalik J.~Mihalik J ^'),\
         ('Jessie Newton','Newton, Jessie','~J. Newton~J.Newton~Newton, J.~Newton,J.~Newton J.~Newton J ^'),\
         ('Jewel E. Ann','Ann, Jewel E.','~J.E. Ann~J. E. Ann~J.E.Ann~Ann, J.~Ann,J.~Ann J.~Ann J ^'),\
         ('Jez Cajiao','Cajiao, Jez','~J. Cajiao~J.Cajiao~Cajiao, J.~Cajiao,J.~Cajiao J.~Cajiao J ^'),\
         ('JF Brink','Brink, JF','~J. Brink~J.Brink~Brink, J.~Brink,J.~Brink J.~Brink J ^'),\
         ('Jillian Frost','Frost, Jillian','~J. Frost~J.Frost~Frost, J.~Frost,J.~Frost J.~Frost J ^'),\
         ('Jincy Willett','Willett, Jincy','~J. Willett~J.Willett~Willett, J.~Willett,J.~Willett J.~Willett J ^'),\
         ('JJ Marsh','Marsh, JJ','~J. Marsh~J.Marsh~Marsh, J.~Marsh,J.~Marsh J.~Marsh J ^'),\
         ('Jo Allen','Allen, Jo','~J. Allen~J.Allen~Allen, J.~Allen,J.~Allen J.~Allen J ^'),\
         ('Jo Ann Brown','Brown, Jo Ann','~J.A. Brown~J. A. Brown~J.A.Brown~Brown, J.~Brown,J.~Brown J.~Brown J ^'),\
         ('Jo Bartlett','Bartlett, Jo','~J. Bartlett~J.Bartlett~Bartlett, J.~Bartlett,J.~Bartlett J.~Bartlett J ^'),\
         ('Jo Nesbø','Nesbø, Jo','~J. Nesbø~J.Nesbø~Nesbø, J.~Nesbø,J.~Nesbø J.~Nesbø J ^'),\
         ('Jo Spain','Spain, Jo','~J. Spain~J.Spain~Spain, J.~Spain,J.~Spain J.~Spain J ^'),\
         ('Jo Thomas','Thomas, Jo','~J. Thomas~J.Thomas~Thomas, J.~Thomas,J.~Thomas J.~Thomas J ^'),\
         ('Joan Hess','Hess, Joan','~J. Hess~J.Hess~Hess, J.~Hess,J.~Hess J.~Hess J ^'),\
         ('JoAnn Ross','Ross, JoAnn','~J. Ross~J.Ross~Ross, J.~Ross,J.~Ross J.~Ross J ^'),\
         ('JoAnna Carl','Carl, JoAnna','~J. Carl~J.Carl~Carl, J.~Carl,J.~Carl J.~Carl J ^'),\
         ('Joanna Schaffhausen','Schaffhausen, Joanna','~J. Schaffhausen~J.Schaffhausen~Schaffhausen, J.~Schaffhausen,J.~Schaffhausen J.~Schaffhausen J ^'),\
         ('Joanna Shupe','Shupe, Joanna','~J. Shupe~J.Shupe~Shupe, J.~Shupe,J.~Shupe J.~Shupe J ^'),\
         ('Joanna Toye','Toye, Joanna','~J. Toye~J.Toye~Toye, J.~Toye,J.~Toye J.~Toye J ^'),\
         ('Joanne DeMaio','DeMaio, Joanne','~J. DeMaio~J.DeMaio~DeMaio, J.~DeMaio,J.~DeMaio J.~DeMaio J ^'),\
         ('Jocelyn Green','Green, Jocelyn','~J. Green~J.Green~Green, J.~Green,J.~Green J.~Green J ^'),\
         ('Jodi Burnett','Burnett, Jodi','~J. Burnett~J.Burnett~Burnett, J.~Burnett,J.~Burnett J.~Burnett J ^'),\
         ('Jodi Taylor','Taylor, Jodi','~J. Taylor~J.Taylor~Taylor, J.~Taylor,J.~Taylor J.~Taylor J ^'),\
         ('Joe Ide','Ide, Joe','~J. Ide~J.Ide~Ide, J.~Ide,J.~Ide J.~Ide J ^'),\
         ('Joël Dicker','Dicker, Joël','~J. Dicker~J.Dicker~Dicker, J.~Dicker,J.~Dicker J.~Dicker J ^'),\
         ('Joey Hartstone','Hartstone, Joey','~J. Hartstone~J.Hartstone~Hartstone, J.~Hartstone,J.~Hartstone J.~Hartstone J ^'),\
         ('Johanna Bell','Bell, Johanna','~J. Bell~J.Bell~Bell, J.~Bell,J.~Bell J.~Bell J ^'),\
         ('Johanna Mo','Mo, Johanna','~J. Mo~J.Mo~Mo, J.~Mo,J.~Mo J.~Mo J ^'),\
         ('John Brownlow','Brownlow, John','~J. Brownlow~J.Brownlow~Brownlow, J.~Brownlow,J.~Brownlow J.~Brownlow J ^'),\
         ('John Carson','Carson, John','~J. Carson~J.Carson~Carson, J.~Carson,J.~Carson J.~Carson J ^'),\
         ('John David Anderson','Anderson, John David','~J.D. Anderson~J. D. Anderson~J.D.Anderson~Anderson, J.~Anderson,J.~Anderson J.~Anderson J ^'),\
         ('John Dean','Dean, John','~J. Dean~J.Dean~Dean, J.~Dean,J.~Dean J.~Dean J ^'),\
         ('John Drake','Drake, John','~J. Drake~J.Drake~Drake, J.~Drake,J.~Drake J.~Drake J ^'),\
         ('John Ellsworth','Ellsworth, John','~J. Ellsworth~J.Ellsworth~Ellsworth, J.~Ellsworth,J.~Ellsworth J.~Ellsworth J ^'),\
         ('John Gwynne','Gwynne, John','~J. Gwynne~J.Gwynne~Gwynne, J.~Gwynne,J.~Gwynne J.~Gwynne J ^'),\
         ('John Lawton','Lawton, John','~J. Lawton~J.Lawton~Lawton, J.~Lawton,J.~Lawton J.~Lawton J ^'),\
         ('John Le Carré','Carré, John Le','~J.L. Carré~J. L. Carré~J.L.Carré~Carré, J.~Carré,J.~Carré J.~Carré J ^'),\
         ('John Maddox Roberts','Roberts, John Maddox','~J.M. Roberts~J. M. Roberts~J.M.Roberts~Roberts, J.~Roberts,J.~Roberts J.~Roberts J ^'),\
         ('John McMahon','McMahon, John','~J. McMahon~J.McMahon~McMahon, J.~McMahon,J.~McMahon J.~McMahon J ^'),\
         ('John Nicholl','Nicholl, John','~J. Nicholl~J.Nicholl~Nicholl, J.~Nicholl,J.~Nicholl J.~Nicholl J ^'),\
         ('John P. Logsdon','Logsdon, John P.','~J.P. Logsdon~J. P. Logsdon~J.P.Logsdon~Logsdon, J.~Logsdon,J.~Logsdon J.~Logsdon J ^'),\
         ('John Pilkington','Pilkington, John','~J. Pilkington~J.Pilkington~Pilkington, J.~Pilkington,J.~Pilkington J.~Pilkington J ^'),\
         ('John Sanford','Sanford, John','~J. Sanford~J.Sanford~Sanford, J.~Sanford,J.~Sanford J.~Sanford J ^'),\
         ('John Wilcox','Wilcox, John','~J. Wilcox~J.Wilcox~Wilcox, J.~Wilcox,J.~Wilcox J.~Wilcox J ^'),\
         ('Jolie Vines','Vines, Jolie','~J. Vines~J.Vines~Vines, J.~Vines,J.~Vines J.~Vines J ^'),\
         ('Jon Athan','Athan, Jon','~J. Athan~J.Athan~Athan, J.~Athan,J.~Athan J.~Athan J ^'),\
         ('Jonathan Ames','Ames, Jonathan','~J. Ames~J.Ames~Ames, J.~Ames,J.~Ames J.~Ames J ^'),\
         ('Jonathan Brooks','Brooks, Jonathan','~J. Brooks~J.Brooks~Brooks, J.~Brooks,J.~Brooks J.~Brooks J ^'),\
         ('Jonathan French','French, Jonathan','~J. French~J.French~French, J.~French,J.~French J.~French J ^'),\
         ('Jonathan Moeller','Moeller, Jonathan','~J. Moeller~J.Moeller~Moeller, J.~Moeller,J.~Moeller J.~Moeller J ^'),\
         ('Jonathan Spencer','Spencer, Jonathan','~J. Spencer~J.Spencer~Spencer, J.~Spencer,J.~Spencer J.~Spencer J ^'),\
         ('Jonathan Yanez','Yanez, Jonathan','~J. Yanez~J.Yanez~Yanez, J.~Yanez,J.~Yanez J.~Yanez J ^'),\
         ('Jordan Marie','Marie, Jordan','~J. Marie~J.Marie~Marie, J.~Marie,J.~Marie J.~Marie J ^'),\
         ('Jordan Quinn','Quinn, Jordan','~J. Quinn~J.Quinn~Quinn, J.~Quinn,J.~Quinn J.~Quinn J ^'),\
         ('Joseph Knox','Knox, Joseph','~J. Knox~J.Knox~Knox, J.~Knox,J.~Knox J.~Knox J ^'),\
         ('Josh Malerman','Malerman, Josh','~J. Malerman~J.Malerman~Malerman, J.~Malerman,J.~Malerman J.~Malerman J ^'),\
         ('Joshua Dalzelle','Dalzelle, Joshua','~J. Dalzelle~J.Dalzelle~Dalzelle, J.~Dalzelle,J.~Dalzelle J.~Dalzelle J ^'),\
         ('Joshua Hood','Hood, Joshua','~J. Hood~J.Hood~Hood, J.~Hood,J.~Hood J.~Hood J ^'),\
         ('Joshua James','James, Joshua','~J. James~J.James~James, J.~James,J.~James J.~James J ^'),\
         ('Josi S. Kilpack','Kilpack, Josi S.','~J.S. Kilpack~J. S. Kilpack~J.S.Kilpack~Kilpack, J.~Kilpack,J.~Kilpack J.~Kilpack J ^'),\
         ('Josie Jade','Jade, Josie','~J. Jade~J.Jade~Jade, J.~Jade,J.~Jade J.~Jade J ^'),\
         ('Josie Silver','Silver, Josie','~J. Silver~J.Silver~Silver, J.~Silver,J.~Silver J.~Silver J ^'),\
         ('Joss Wood','Wood, Joss','~J. Wood~J.Wood~Wood, J.~Wood,J.~Wood J.~Wood J ^'),\
         ('Joy Avon','Avon, Joy','~J. Avon~J.Avon~Avon, J.~Avon,J.~Avon J.~Avon J ^'),\
         ('Joy Deja King','King, Joy Deja','~J.D. King~J. D. King~J.D.King~King, J.~King,J.~King J.~King J ^'),\
         ('Joy Ellis','Ellis, Joy','~J. Ellis~J.Ellis~Ellis, J.~Ellis,J.~Ellis J.~Ellis J ^'),\
         ('Judi Daykin','Daykin, Judi','~J. Daykin~J.Daykin~Daykin, J.~Daykin,J.~Daykin J.~Daykin J ^'),\
         ('Judith Berens','Berens, Judith','~J. Berens~J.Berens~Berens, J.~Berens,J.~Berens J.~Berens J ^'),\
         ('Judith Cutler','Cutler, Judith','~J. Cutler~J.Cutler~Cutler, J.~Cutler,J.~Cutler J.~Cutler J ^'),\
         ('Judith Keim','Keim, Judith','~J. Keim~J.Keim~Keim, J.~Keim,J.~Keim J.~Keim J ^'),\
         ('Judith Lennox','Lennox, Judith','~J. Lennox~J.Lennox~Lennox, J.~Lennox,J.~Lennox J.~Lennox J ^'),\
         ('Judy Corry','Corry, Judy','~J. Corry~J.Corry~Corry, J.~Corry,J.~Corry J.~Corry J ^'),\
         ('Judy I. Lin','Lin, Judy I.','~J.I. Lin~J. I. Lin~J.I.Lin~Lin, J.~Lin,J.~Lin J.~Lin J ^'),\
         ('Judy Leigh','Leigh, Judy','~J. Leigh~J.Leigh~Leigh, J.~Leigh,J.~Leigh J.~Leigh J ^'),\
         ('Jules Wake','Wake, Jules','~J. Wake~J.Wake~Wake, J.~Wake,J.~Wake J.~Wake J ^'),\
         ('Julia Bennet','Bennet, Julia','~J. Bennet~J.Bennet~Bennet, J.~Bennet,J.~Bennet J.~Bennet J ^'),\
         ('Julia Buckley','Buckley, Julia','~J. Buckley~J.Buckley~Buckley, J.~Buckley,J.~Buckley J.~Buckley J ^'),\
         ('Julia Chapman','Chapman, Julia','~J. Chapman~J.Chapman~Chapman, J.~Chapman,J.~Chapman J.~Chapman J ^'),\
         ('Julia Donaldson','Donaldson, Julia','~J. Donaldson~J.Donaldson~Donaldson, J.~Donaldson,J.~Donaldson J.~Donaldson J ^'),\
         ('Julia Henry','Henry, Julia','~J. Henry~J.Henry~Henry, J.~Henry,J.~Henry J.~Henry J ^'),\
         ('Julia James','James, Julia','~J. James~J.James~James, J.~James,J.~James J.~James J ^'),\
         ('Julia Keller','Keller, Julia','~J. Keller~J.Keller~Keller, J.~Keller,J.~Keller J.~Keller J ^'),\
         ('Julia Kelly','Kelly, Julia','~J. Kelly~J.Kelly~Kelly, J.~Kelly,J.~Kelly J.~Kelly J ^'),\
         ('Julia Whelan','Whelan, Julia','~J. Whelan~J.Whelan~Whelan, J.~Whelan,J.~Whelan J.~Whelan J ^'),\
         ('Julia Wolf','Wolf, Julia','~J. Wolf~J.Wolf~Wolf, J.~Wolf,J.~Wolf J.~Wolf J ^'),\
         ('Juliana Haygert','Haygert, Juliana','~J. Haygert~J.Haygert~Haygert, J.~Haygert,J.~Haygert J.~Haygert J ^'),\
         ('Julie Anne Lindsey','Lindsey, Julie Anne','~J.A. Lindsey~J. A. Lindsey~J.A.Lindsey~Lindsey, J.~Lindsey,J.~Lindsey J.~Lindsey J ^'),\
         ('Julie Caplin','Caplin, Julie','~J. Caplin~J.Caplin~Caplin, J.~Caplin,J.~Caplin J.~Caplin J ^'),\
         ('Julie Chase','Chase, Julie','~J. Chase~J.Chase~Chase, J.~Chase,J.~Chase J.~Chase J ^'),\
         ('Julie Clark','Clark, Julie','~J. Clark~J.Clark~Clark, J.~Clark,J.~Clark J.~Clark J ^'),\
         ('Julie Houston','Houston, Julie','~J. Houston~J.Houston~Houston, J.~Houston,J.~Houston J.~Houston J ^'),\
         ('Julie McElwain','McElwain, Julie','~J. McElwain~J.McElwain~McElwain, J.~McElwain,J.~McElwain J.~McElwain J ^'),\
         ('Julie Mulhern','Mulhern, Julie','~J. Mulhern~J.Mulhern~Mulhern, J.~Mulhern,J.~Mulhern J.~Mulhern J ^'),\
         ('Julie Murphy','Murphy, Julie','~J. Murphy~J.Murphy~Murphy, J.~Murphy,J.~Murphy J.~Murphy J ^'),\
         ('Julie Trettel','Trettel, Julie','~J. Trettel~J.Trettel~Trettel, J.~Trettel,J.~Trettel J.~Trettel J ^'),\
         ('Julie Wassmer','Wassmer, Julie','~J. Wassmer~J.Wassmer~Wassmer, J.~Wassmer,J.~Wassmer J.~Wassmer J ^'),\
         ('Juliette Cross','Cross, Juliette','~J. Cross~J.Cross~Cross, J.~Cross,J.~Cross J.~Cross J ^'),\
         ('Juliette N. Banks','Banks, Juliette N.','~J.N. Banks~J. N. Banks~J.N.Banks~Banks, J.~Banks,J.~Banks J.~Banks J ^'),\
         ('Juno Dawson','Dawson, Juno','~J. Dawson~J.Dawson~Dawson, J.~Dawson,J.~Dawson J.~Dawson J ^'),\
         ('Justin Trublood','Trublood, Justin','~J. Trublood~J.Trublood~Trublood, J.~Trublood,J.~Trublood J.~Trublood J ^'),\
         ('Justina Ireland','Ireland, Justina','~J. Ireland~J.Ireland~Ireland, J.~Ireland,J.~Ireland J.~Ireland J ^'),\
         ('K. Webster','Webster, K.','~K. Webster~K.Webster~Webster, K.~Webster,K.~Webster K.~Webster K ^'),\
         ('K.A. Knight','Knight, K.A.','~K.A. Knight~K. A. Knight~K.A.Knight~Knight, K.~Knight,K.~Knight K.~Knight K ^'),\
         ('K.C. Crowne','Crowne, K.C.','~K.C. Crowne~K. C. Crowne~K.C.Crowne~Crowne, K.~Crowne,K.~Crowne K.~Crowne K ^'),\
         ('K.C. Lynn','Lynn, K.C.','~K.C. Lynn~K. C. Lynn~K.C.Lynn~Lynn, K.~Lynn,K.~Lynn K.~Lynn K ^'),\
         ('K.C. Wells','Wells, K.C.','~K.C. Wells~K. C. Wells~K.C.Wells~Wells, K.~Wells,K.~Wells K.~Wells K ^'),\
         ('K.E. Osborn','Osborn, K.E.','~K.E. Osborn~K. E. Osborn~K.E.Osborn~Osborn, K.~Osborn,K.~Osborn K.~Osborn K ^'),\
         ('K.F. Breene','Breene, K.F.','~K.F. Breene~K. F. Breene~K.F.Breene~Breene, K.~Breene,K.~Breene K.~Breene K ^'),\
         ('K.G. Reuss','Reuss, K.G.','~K.G. Reuss~K. G. Reuss~K.G.Reuss~Reuss, K.~Reuss,K.~Reuss K.~Reuss K ^'),\
         ('K.J. Maitland','Maitland, K.J.','~K.J. Maitland~K. J. Maitland~K.J.Maitland~Maitland, K.~Maitland,K.~Maitland K.~Maitland K ^'),\
         ('K.L. Savage','Savage, K.L.','~K.L. Savage~K. L. Savage~K.L.Savage~Savage, K.~Savage,K.~Savage K.~Savage K ^'),\
         ('K.L. Slater','Slater, K.L.','~K.L. Slater~K. L. Slater~K.L.Slater~Slater, K.~Slater,K.~Slater K.~Slater K ^'),\
         ('K.M. Ashman','Ashman, K.M.','~K.M. Ashman~K. M. Ashman~K.M.Ashman~Ashman, K.~Ashman,K.~Ashman K.~Ashman K ^'),\
         ('K.M. Neuhold','Neuhold, K.M.','~K.M. Neuhold~K. M. Neuhold~K.M.Neuhold~Neuhold, K.~Neuhold,K.~Neuhold K.~Neuhold K ^'),\
         ('K.N. Banet','Banet, K.N.','~K.N. Banet~K. N. Banet~K.N.Banet~Banet, K.~Banet,K.~Banet K.~Banet K ^'),\
         ('Kaci Rose','Rose, Kaci','~K. Rose~K.Rose~Rose, K.~Rose,K.~Rose K.~Rose K ^'),\
         ('Kait Ballenger','Ballenger, Kait','~K. Ballenger~K.Ballenger~Ballenger, K.~Ballenger,K.~Ballenger K.~Ballenger K ^'),\
         ('Kalynn Bayron','Bayron, Kalynn','~K. Bayron~K.Bayron~Bayron, K.~Bayron,K.~Bayron K.~Bayron K ^'),\
         ('Kandi Steiner','Steiner, Kandi','~K. Steiner~K.Steiner~Steiner, K.~Steiner,K.~Steiner K.~Steiner K ^'),\
         ('Karen Baugh Menuhin','Menuhin, Karen Baugh','~K.B. Menuhin~K. B. Menuhin~K.B.Menuhin~Menuhin, K.~Menuhin,K.~Menuhin K.~Menuhin K ^'),\
         ('Karen Charlton','Charlton, Karen','~K. Charlton~K.Charlton~Charlton, K.~Charlton,K.~Charlton K.~Charlton K ^'),\
         ('Karen Cleveland','Cleveland, Karen','~K. Cleveland~K.Cleveland~Cleveland, K.~Cleveland,K.~Cleveland K.~Cleveland K ^'),\
         ('Karen Clow','Clow, Karen','~K. Clow~K.Clow~Clow, K.~Clow,K.~Clow K.~Clow K ^'),\
         ('Karen Dickson','Dickson, Karen','~K. Dickson~K.Dickson~Dickson, K.~Dickson,K.~Dickson K.~Dickson K ^'),\
         ('Karen Dionne','Dionne, Karen','~K. Dionne~K.Dionne~Dionne, K.~Dionne,K.~Dionne K.~Dionne K ^'),\
         ('Karen Hamilton','Hamilton, Karen','~K. Hamilton~K.Hamilton~Hamilton, K.~Hamilton,K.~Hamilton K.~Hamilton K ^'),\
         ('Karen M. McManus','McManus, Karen M.','~K.M. McManus~K. M. McManus~K.M.McManus~McManus, K.~McManus,K.~McManus K.~McManus K ^'),\
         ('Karen Odden','Odden, Karen','~K. Odden~K.Odden~Odden, K.~Odden,K.~Odden K.~Odden K ^'),\
         ('Karen Swan','Swan, Karen','~K. Swan~K.Swan~Swan, K.~Swan,K.~Swan K.~Swan K ^'),\
         ('Karen Woods','Woods, Karen','~K. Woods~K.Woods~Woods, K.~Woods,K.~Woods K.~Woods K ^'),\
         ('Karla Sorensen','Sorensen, Karla','~K. Sorensen~K.Sorensen~Sorensen, K.~Sorensen,K.~Sorensen K.~Sorensen K ^'),\
         ('Karly Lane','Lane, Karly','~K. Lane~K.Lane~Lane, K.~Lane,K.~Lane K.~Lane K ^'),\
         ('Kasey Stockton','Stockton, Kasey','~K. Stockton~K.Stockton~Stockton, K.~Stockton,K.~Stockton K.~Stockton K ^'),\
         ('Kass Morgan','Morgan, Kass','~K. Morgan~K.Morgan~Morgan, K.~Morgan,K.~Morgan K.~Morgan K ^'),\
         ('Kat Mizera','Mizera, Kat','~K. Mizera~K.Mizera~Mizera, K.~Mizera,K.~Mizera K.~Mizera K ^'),\
         ('Kat T. Masen','Masen, Kat T.','~K.T. Masen~K. T. Masen~K.T.Masen~Masen, K.~Masen,K.~Masen K.~Masen K ^'),\
         ('Kate Alice Marshall','Marshall, Kate Alice','~K.A. Marshall~K. A. Marshall~K.A.Marshall~Marshall, K.~Marshall,K.~Marshall K.~Marshall K ^'),\
         ('Kate Bateman','Bateman, Kate','~K. Bateman~K.Bateman~Bateman, K.~Bateman,K.~Bateman K.~Bateman K ^'),\
         ('Kate Belli','Belli, Kate','~K. Belli~K.Belli~Belli, K.~Belli,K.~Belli K.~Belli K ^'),\
         ('Kate Bold','Bold, Kate','~K. Bold~K.Bold~Bold, K.~Bold,K.~Bold K.~Bold K ^'),\
         ('Kate DiCamillo','DiCamillo, Kate','~K. DiCamillo~K.DiCamillo~DiCamillo, K.~DiCamillo,K.~DiCamillo K.~DiCamillo K ^'),\
         ('Kate Eastham','Eastham, Kate','~K. Eastham~K.Eastham~Eastham, K.~Eastham,K.~Eastham K.~Eastham K ^'),\
         ('Kate Gable','Gable, Kate','~K. Gable~K.Gable~Gable, K.~Gable,K.~Gable K.~Gable K ^'),\
         ('Kate High','High, Kate','~K. High~K.High~High, K.~High,K.~High K.~High K ^'),\
         ('Kate Khavari','Khavari, Kate','~K. Khavari~K.Khavari~Khavari, K.~Khavari,K.~Khavari K.~Khavari K ^'),\
         ('Kate London','London, Kate','~K. London~K.London~London, K.~London,K.~London K.~London K ^'),\
         ('Kate Meader','Meader, Kate','~K. Meader~K.Meader~Meader, K.~Meader,K.~Meader K.~Meader K ^'),\
         ('Kate Parker','Parker, Kate','~K. Parker~K.Parker~Parker, K.~Parker,K.~Parker K.~Parker K ^'),\
         ('Kate Rhodes','Rhodes, Kate','~K. Rhodes~K.Rhodes~Rhodes, K.~Rhodes,K.~Rhodes K.~Rhodes K ^'),\
         ('Kate Riordan','Riordan, Kate','~K. Riordan~K.Riordan~Riordan, K.~Riordan,K.~Riordan K.~Riordan K ^'),\
         ('Kate Saunders','Saunders, Kate','~K. Saunders~K.Saunders~Saunders, K.~Saunders,K.~Saunders K.~Saunders K ^'),\
         ('Kate Stewart','Stewart, Kate','~K. Stewart~K.Stewart~Stewart, K.~Stewart,K.~Stewart K.~Stewart K ^'),\
         ('Kate Watterson','Watterson, Kate','~K. Watterson~K.Watterson~Watterson, K.~Watterson,K.~Watterson K.~Watterson K ^'),\
         ('Kate Young','Young, Kate','~K. Young~K.Young~Young, K.~Young,K.~Young K.~Young K ^'),\
         ('Katerina Diamond','Diamond, Katerina','~K. Diamond~K.Diamond~Diamond, K.~Diamond,K.~Diamond K.~Diamond K ^'),\
         ('Katharine McGee','McGee, Katharine','~K. McGee~K.McGee~McGee, K.~McGee,K.~McGee K.~McGee K ^'),\
         ('Katharine Schellman','Schellman, Katharine','~K. Schellman~K.Schellman~Schellman, K.~Schellman,K.~Schellman K.~Schellman K ^'),\
         ('Katherine Arden','Arden, Katherine','~K. Arden~K.Arden~Arden, K.~Arden,K.~Arden K.~Arden K ^'),\
         ('Katherine Hayton','Hayton, Katherine','~K. Hayton~K.Hayton~Hayton, K.~Hayton,K.~Hayton K.~Hayton K ^'),\
         ('Katherine Spencer','Spencer, Katherine','~K. Spencer~K.Spencer~Spencer, K.~Spencer,K.~Spencer K.~Spencer K ^'),\
         ('Katherine St John','John, Katherine St','~K.S. John~K. S. John~K.S.John~John, K.~John,K.~John K.~John K ^'),\
         ('Katherine Woodfine','Woodfine, Katherine','~K. Woodfine~K.Woodfine~Woodfine, K.~Woodfine,K.~Woodfine K.~Woodfine K ^'),\
         ('Kathi Daley','Daley, Kathi','~K. Daley~K.Daley~Daley, K.~Daley,K.~Daley K.~Daley K ^'),\
         ('Kathleen Ayers','Ayers, Kathleen','~K. Ayers~K.Ayers~Ayers, K.~Ayers,K.~Ayers K.~Ayers K ^'),\
         ('Kathleen Bridge','Bridge, Kathleen','~K. Bridge~K.Bridge~Bridge, K.~Bridge,K.~Bridge K.~Bridge K ^'),\
         ('Kathleen Fuller','Fuller, Kathleen','~K. Fuller~K.Fuller~Fuller, K.~Fuller,K.~Fuller K.~Fuller K ^'),\
         ('Kathleen Glasgow','Glasgow, Kathleen','~K. Glasgow~K.Glasgow~Glasgow, K.~Glasgow,K.~Glasgow K.~Glasgow K ^'),\
         ('Kathleen McGurl','McGurl, Kathleen','~K. McGurl~K.McGurl~McGurl, K.~McGurl,K.~McGurl K.~McGurl K ^'),\
         ('Kathleen Suzette','Suzette, Kathleen','~K. Suzette~K.Suzette~Suzette, K.~Suzette,K.~Suzette K.~Suzette K ^'),\
         ('Kathleen Woodiwiss','Woodiwiss, Kathleen','~K. Woodiwiss~K.Woodiwiss~Woodiwiss, K.~Woodiwiss,K.~Woodiwiss K.~Woodiwiss K ^'),\
         ('Kathryn Croft','Croft, Kathryn','~K. Croft~K.Croft~Croft, K.~Croft,K.~Croft K.~Croft K ^'),\
         ('Kathryn Hughes','Hughes, Kathryn','~K. Hughes~K.Hughes~Hughes, K.~Hughes,K.~Hughes K.~Hughes K ^'),\
         ('Kathryn Moon','Moon, Kathryn','~K. Moon~K.Moon~Moon, K.~Moon,K.~Moon K.~Moon K ^'),\
         ('Kathy Lockheart','Lockheart, Kathy','~K. Lockheart~K.Lockheart~Lockheart, K.~Lockheart,K.~Lockheart K.~Lockheart K ^'),\
         ('Katie Dowe','Dowe, Katie','~K. Dowe~K.Dowe~Dowe, K.~Dowe,K.~Dowe K.~Dowe K ^'),\
         ('Katie Gayle','Gayle, Katie','~K. Gayle~K.Gayle~Gayle, K.~Gayle,K.~Gayle K.~Gayle K ^'),\
         ('Katie Kirby','Kirby, Katie','~K. Kirby~K.Kirby~Kirby, K.~Kirby,K.~Kirby K.~Kirby K ^'),\
         ('Katie May','May, Katie','~K. May~K.May~May, K.~May,K.~May K.~May K ^'),\
         ('Katie Ruggle','Ruggle, Katie','~K. Ruggle~K.Ruggle~Ruggle, K.~Ruggle,K.~Ruggle K.~Ruggle K ^'),\
         ('Katie Winters','Winters, Katie','~K. Winters~K.Winters~Winters, K.~Winters,K.~Winters K.~Winters K ^'),\
         ('Katrina Charman','Charman, Katrina','~K. Charman~K.Charman~Charman, K.~Charman,K.~Charman K.~Charman K ^'),\
         ('Katrine Engberg','Engberg, Katrine','~K. Engberg~K.Engberg~Engberg, K.~Engberg,K.~Engberg K.~Engberg K ^'),\
         ('Katy Watson','Watson, Katy','~K. Watson~K.Watson~Watson, K.~Watson,K.~Watson K.~Watson K ^'),\
         ('Kay Brellend','Brellend, Kay','~K. Brellend~K.Brellend~Brellend, K.~Brellend,K.~Brellend K.~Brellend K ^'),\
         ('Kay Correll','Correll, Kay','~K. Correll~K.Correll~Correll, K.~Correll,K.~Correll K.~Correll K ^'),\
         ('Kay-Marie James','James, Kay-Marie','~K. James~K.James~James, K.~James,K.~James K.~James K ^'),\
         ('Kaye Blue','Blue, Kaye','~K. Blue~K.Blue~Blue, K.~Blue,K.~Blue K.~Blue K ^'),\
         ('KayLea Cross','Cross, KayLea','~K. Cross~K.Cross~Cross, K.~Cross,K.~Cross K.~Cross K ^'),\
         ('Kaylee Ryan','Ryan, Kaylee','~K. Ryan~K.Ryan~Ryan, K.~Ryan,K.~Ryan K.~Ryan K ^'),\
         ('Kayte Nunn','Nunn, Kayte','~K. Nunn~K.Nunn~Nunn, K.~Nunn,K.~Nunn K.~Nunn K ^'),\
         ('KC Kean','Kean, KC','~K. Kean~K.Kean~Kean, K.~Kean,K.~Kean K.~Kean K ^'),\
         ('Keira Montclair','Montclair, Keira','~K. Montclair~K.Montclair~Montclair, K.~Montclair,K.~Montclair K.~Montclair K ^'),\
         ('Keith McCafferty','McCafferty, Keith','~K. McCafferty~K.McCafferty~McCafferty, K.~McCafferty,K.~McCafferty K.~McCafferty K ^'),\
         ('Keith Miles','Miles, Keith','~K. Miles~K.Miles~Miles, K.~Miles,K.~Miles K.~Miles K ^'),\
         ('Kel Carpenter','Carpenter, Kel','~K. Carpenter~K.Carpenter~Carpenter, K.~Carpenter,K.~Carpenter K.~Carpenter K ^'),\
         ('Kel Kade','Kade, Kel','~K. Kade~K.Kade~Kade, K.~Kade,K.~Kade K.~Kade K ^'),\
         ('Kelly Bowen','Bowen, Kelly','~K. Bowen~K.Bowen~Bowen, K.~Bowen,K.~Bowen K.~Bowen K ^'),\
         ('Kelly Braffet','Braffet, Kelly','~K. Braffet~K.Braffet~Braffet, K.~Braffet,K.~Braffet K.~Braffet K ^'),\
         ('Kelly Fox','Fox, Kelly','~K. Fox~K.Fox~Fox, K.~Fox,K.~Fox K.~Fox K ^'),\
         ('Kelly Irvin','Irvin, Kelly','~K. Irvin~K.Irvin~Irvin, K.~Irvin,K.~Irvin K.~Irvin K ^'),\
         ('Kelly J. Ford','Ford, Kelly J.','~K.J. Ford~K. J. Ford~K.J.Ford~Ford, K.~Ford,K.~Ford K.~Ford K ^'),\
         ('Kelly Long','Long, Kelly','~K. Long~K.Long~Long, K.~Long,K.~Long K.~Long K ^'),\
         ('Kelly Oliver','Oliver, Kelly','~K. Oliver~K.Oliver~Oliver, K.~Oliver,K.~Oliver K.~Oliver K ^'),\
         ('Kelly Rimmer','Rimmer, Kelly','~K. Rimmer~K.Rimmer~Rimmer, K.~Rimmer,K.~Rimmer K.~Rimmer K ^'),\
         ('Kelly St Clare','Clare, Kelly St','~K.S. Clare~K. S. Clare~K.S.Clare~Clare, K.~Clare,K.~Clare K.~Clare K ^'),\
         ('Kelly Yang','Yang, Kelly','~K. Yang~K.Yang~Yang, K.~Yang,K.~Yang K.~Yang K ^'),\
         ('Kelsey Clayton','Clayton, Kelsey','~K. Clayton~K.Clayton~Clayton, K.~Clayton,K.~Clayton K.~Clayton K ^'),\
         ('Ken Lozito','Lozito, Ken','~K. Lozito~K.Lozito~Lozito, K.~Lozito,K.~Lozito K.~Lozito K ^'),\
         ('Kennedy Fox','Fox, Kennedy','~K. Fox~K.Fox~Fox, K.~Fox,K.~Fox K.~Fox K ^'),\
         ('Kennedy Layne','Layne, Kennedy','~K. Layne~K.Layne~Layne, K.~Layne,K.~Layne K.~Layne K ^'),\
         ('Kennedy Ryan','Ryan, Kennedy','~K. Ryan~K.Ryan~Ryan, K.~Ryan,K.~Ryan K.~Ryan K ^'),\
         ('Kerri Maniscalco','Maniscalco, Kerri','~K. Maniscalco~K.Maniscalco~Maniscalco, K.~Maniscalco,K.~Maniscalco K.~Maniscalco K ^'),\
         ('Kerry Barnes','Barnes, Kerry','~K. Barnes~K.Barnes~Barnes, K.~Barnes,K.~Barnes K.~Barnes K ^'),\
         ('Kerry J. Donovan','Donovan, Kerry J.','~K.J. Donovan~K. J. Donovan~K.J.Donovan~Donovan, K.~Donovan,K.~Donovan K.~Donovan K ^'),\
         ('Kerry Kaya','Kaya, Kerry','~K. Kaya~K.Kaya~Kaya, K.~Kaya,K.~Kaya K.~Kaya K ^'),\
         ('Kerry Tombs','Tombs, Kerry','~K. Tombs~K.Tombs~Tombs, K.~Tombs,K.~Tombs K.~Tombs K ^'),\
         ('Kerry Winfrey','Winfrey, Kerry','~K. Winfrey~K.Winfrey~Winfrey, K.~Winfrey,K.~Winfrey K.~Winfrey K ^'),\
         ('Kes Gray','Gray, Kes','~K. Gray~K.Gray~Gray, K.~Gray,K.~Gray K.~Gray K ^'),\
         ('Kevin and Katie Tsang','Tsang, Kevin and Katie','~K.a.K.Tsang~K. a. K. Tsang~K.a.K.Tsang~Tsang, K.~Tsang,K.~Tsang K.~Tsang K ^'),\
         ('Kevin Kwan','Kwan, Kevin','~K. Kwan~K.Kwan~Kwan, K.~Kwan,K.~Kwan K.~Kwan K ^'),\
         ('Kevin McLaughlin','McLaughlin, Kevin','~K. McLaughlin~K.McLaughlin~McLaughlin, K.~McLaughlin,K.~McLaughlin K.~McLaughlin K ^'),\
         ('Kevin Missal','Missal, Kevin','~K. Missal~K.Missal~Missal, K.~Missal,K.~Missal K.~Missal K ^'),\
         ('Kevin Sands','Sands, Kevin','~K. Sands~K.Sands~Sands, K.~Sands,K.~Sands K.~Sands K ^'),\
         ('Kia Abdullah','Abdullah, Kia','~K. Abdullah~K.Abdullah~Abdullah, K.~Abdullah,K.~Abdullah K.~Abdullah K ^'),\
         ('Kieran Larwood','Larwood, Kieran','~K. Larwood~K.Larwood~Larwood, K.~Larwood,K.~Larwood K.~Larwood K ^'),\
         ('Kiersten Modglin','Modglin, Kiersten','~K. Modglin~K.Modglin~Modglin, K.~Modglin,K.~Modglin K.~Modglin K ^'),\
         ('Kim Michele Richardson','Richardson, Kim Michele','~K.M. Richardson~K. M. Richardson~K.M.Richardson~Richardson, K.~Richardson,K.~Richardson K.~Richardson K ^'),\
         ('Kim Sherwood','Sherwood, Kim','~K. Sherwood~K.Sherwood~Sherwood, K.~Sherwood,K.~Sherwood K.~Sherwood K ^'),\
         ('Kim Vogel Sawyer','Sawyer, Kim Vogel','~K.V. Sawyer~K. V. Sawyer~K.V.Sawyer~Sawyer, K.~Sawyer,K.~Sawyer K.~Sawyer K ^'),\
         ('Kimberly Belle','Belle, Kimberly','~K. Belle~K.Belle~Belle, K.~Belle,K.~Belle K.~Belle K ^'),\
         ('Kimberly McCreight','McCreight, Kimberly','~K. McCreight~K.McCreight~McCreight, K.~McCreight,K.~McCreight K.~McCreight K ^'),\
         ('Kiran Millwood Hargrave','Hargrave, Kiran Millwood','~K.M. Hargrave~K. M. Hargrave~K.M.Hargrave~Hargrave, K.~Hargrave,K.~Hargrave K.~Hargrave K ^'),\
         ('Kirill Klevanski','Klevanski, Kirill','~K. Klevanski~K.Klevanski~Klevanski, K.~Klevanski,K.~Klevanski K.~Klevanski K ^'),\
         ('Kirk Mason','Mason, Kirk','~K. Mason~K.Mason~Mason, K.~Mason,K.~Mason K.~Mason K ^'),\
         ('Kirsten Weiss','Weiss, Kirsten','~K. Weiss~K.Weiss~Weiss, K.~Weiss,K.~Weiss K.~Weiss K ^'),\
         ('Kirsty Manning','Manning, Kirsty','~K. Manning~K.Manning~Manning, K.~Manning,K.~Manning K.~Manning K ^'),\
         ('Kit Rocha','Rocha, Kit','~K. Rocha~K.Rocha~Rocha, K.~Rocha,K.~Rocha K.~Rocha K ^'),\
         ('Kitt Crowe','Crowe, Kitt','~K. Crowe~K.Crowe~Crowe, K.~Crowe,K.~Crowe K.~Crowe K ^'),\
         ('KJ Charles','Charles, KJ','~K. Charles~K.Charles~Charles, K.~Charles,K.~Charles K.~Charles K ^'),\
         ('Kjell Ola Dahl','Dahl, Kjell Ola','~K.O. Dahl~K. O. Dahl~K.O.Dahl~Dahl, K.~Dahl,K.~Dahl K.~Dahl K ^'),\
         ('Korina Moss','Moss, Korina','~K. Moss~K.Moss~Moss, K.~Moss,K.~Moss K.~Moss K ^'),\
         ('Kris Michaels','Michaels, Kris','~K. Michaels~K.Michaels~Michaels, K.~Michaels,K.~Michaels K.~Michaels K ^'),\
         ('Krista and Becca Ritchie','Ritchie, Krista and Becca','~K.a.B.Ritchie~K. a. B. Ritchie~K.a.B.Ritchie~Ritchie, K.~Ritchie,K.~Ritchie K.~Ritchie K ^'),\
         ('Kristen Luciani','Luciani, Kristen','~K. Luciani~K.Luciani~Luciani, K.~Luciani,K.~Luciani K.~Luciani K ^'),\
         ('Kristi Ann Hunter','Hunter, Kristi Ann','~K.A. Hunter~K. A. Hunter~K.A.Hunter~Hunter, K.~Hunter,K.~Hunter K.~Hunter K ^'),\
         ('Kristin Harmel','Harmel, Kristin','~K. Harmel~K.Harmel~Harmel, K.~Harmel,K.~Harmel K.~Harmel K ^'),\
         ('Kristina McMorris','McMorris, Kristina','~K. McMorris~K.McMorris~McMorris, K.~McMorris,K.~McMorris K.~McMorris K ^'),\
         ('Kristine Allen','Allen, Kristine','~K. Allen~K.Allen~Allen, K.~Allen,K.~Allen K.~Allen K ^'),\
         ('Kristy Cambron','Cambron, Kristy','~K. Cambron~K.Cambron~Cambron, K.~Cambron,K.~Cambron K.~Cambron K ^'),\
         ('Kristy Cunning','Cunning, Kristy','~K. Cunning~K.Cunning~Cunning, K.~Cunning,K.~Cunning K.~Cunning K ^'),\
         ('Kristy Woodson Harvey','Harvey, Kristy Woodson','~K.W. Harvey~K. W. Harvey~K.W.Harvey~Harvey, K.~Harvey,K.~Harvey K.~Harvey K ^'),\
         ('Kurtis Eckstein','Eckstein, Kurtis','~K. Eckstein~K.Eckstein~Eckstein, K.~Eckstein,K.~Eckstein K.~Eckstein K ^'),\
         ('Kyla Stone','Stone, Kyla','~K. Stone~K.Stone~Stone, K.~Stone,K.~Stone K.~Stone K ^'),\
         ('L. Steele','Steele, L.','~L. Steele~L.Steele~Steele, L.~Steele,L.~Steele L.~Steele L ^'),\
         ('L. Wilder','Wilder, L.','~L. Wilder~L.Wilder~Wilder, L.~Wilder,L.~Wilder L.~Wilder L ^'),\
         ('L.A. Cotton','Cotton, L.A.','~L.A. Cotton~L. A. Cotton~L.A.Cotton~Cotton, L.~Cotton,L.~Cotton L.~Cotton L ^'),\
         ('L.A. Dobbs','Dobbs, L.A.','~L.A. Dobbs~L. A. Dobbs~L.A.Dobbs~Dobbs, L.~Dobbs,L.~Dobbs L.~Dobbs L ^'),\
         ('L.A. Witt','Witt, L.A.','~L.A. Witt~L. A. Witt~L.A.Witt~Witt, L.~Witt,L.~Witt L.~Witt L ^'),\
         ('L.B. Hathaway','Hathaway, L.B.','~L.B. Hathaway~L. B. Hathaway~L.B.Hathaway~Hathaway, L.~Hathaway,L.~Hathaway L.~Hathaway L ^'),\
         ('L.E.Modesitt Jr','Jr, L.E.Modesitt','~L.E.M.Jr~L. E. M. Jr~L.E.M.Jr~Jr, L.~Jr,L.~Jr L.~Jr L ^'),\
         ('L.Frank Baum','Baum, L.Frank','~L.F. Baum~L. F. Baum~L.F.Baum~Baum, L.~Baum,L.~Baum L.~Baum L ^'),\
         ('L.G. Estrella','Estrella, L.G.','~L.G. Estrella~L. G. Estrella~L.G.Estrella~Estrella, L.~Estrella,L.~Estrella L.~Estrella L ^'),\
         ('L.J. Shen','Shen, L.J.','~L.J. Shen~L. J. Shen~L.J.Shen~Shen, L.~Shen,L.~Shen L.~Shen L ^'),\
         ('L.M. Lacee','Lacee, L.M.','~L.M. Lacee~L. M. Lacee~L.M.Lacee~Lacee, L.~Lacee,L.~Lacee L.~Lacee L ^'),\
         ('L.Ron Hubbard','Hubbard, L.Ron','~L.R. Hubbard~L. R. Hubbard~L.R.Hubbard~Hubbard, L.~Hubbard,L.~Hubbard L.~Hubbard L ^'),\
         ('L.Sprague de Camp','Camp, L.Sprague de','~L.S.d.Camp~L. S. d. Camp~L.S.d.Camp~Camp, L.~Camp,L.~Camp L.~Camp L ^'),\
         ('L.T. Ryan','Ryan, L.T.','~L.T. Ryan~L. T. Ryan~L.T.Ryan~Ryan, L.~Ryan,L.~Ryan L.~Ryan L ^'),\
         ('L.T. Vargus','Vargus, L.T.','~L.T. Vargus~L. T. Vargus~L.T.Vargus~Vargus, L.~Vargus,L.~Vargus L.~Vargus L ^'),\
         ('L.V. Lane','Lane, L.V.','~L.V. Lane~L. V. Lane~L.V.Lane~Lane, L.~Lane,L.~Lane L.~Lane L ^'),\
         ('La Jill Hunt','Hunt, La Jill','~L.J. Hunt~L. J. Hunt~L.J.Hunt~Hunt, L.~Hunt,L.~Hunt L.~Hunt L ^'),\
         ('Lacey Black','Black, Lacey','~L. Black~L.Black~Black, L.~Black,L.~Black L.~Black L ^'),\
         ('Lacey Carter Andersen','Andersen, Lacey Carter','~L.C. Andersen~L. C. Andersen~L.C.Andersen~Andersen, L.~Andersen,L.~Andersen L.~Andersen L ^'),\
         ('Laken Cane','Cane, Laken','~L. Cane~L.Cane~Cane, L.~Cane,L.~Cane L.~Cane L ^'),\
         ('Lana Harper','Harper, Lana','~L. Harper~L.Harper~Harper, L.~Harper,L.~Harper L.~Harper L ^'),\
         ('Lana Pecherczyk','Pecherczyk, Lana','~L. Pecherczyk~L.Pecherczyk~Pecherczyk, L.~Pecherczyk,L.~Pecherczyk L.~Pecherczyk L ^'),\
         ('Landon Beach','Beach, Landon','~L. Beach~L.Beach~Beach, L.~Beach,L.~Beach L.~Beach L ^'),\
         ('Lane Hart','Hart, Lane','~L. Hart~L.Hart~Hart, L.~Hart,L.~Hart L.~Hart L ^'),\
         ('Lani Lynn Vale','Vale, Lani Lynn','~L.L. Vale~L. L. Vale~L.L.Vale~Vale, L.~Vale,L.~Vale L.~Vale L ^'),\
         ('Larry McMurtry','McMurtry, Larry','~L. McMurtry~L.McMurtry~McMurtry, L.~McMurtry,L.~McMurtry L.~McMurtry L ^'),\
         ('Laura Beers','Beers, Laura','~L. Beers~L.Beers~Beers, L.~Beers,L.~Beers L.~Beers L ^'),\
         ('Laura Bradford','Bradford, Laura','~L. Bradford~L.Bradford~Bradford, L.~Bradford,L.~Bradford L.~Bradford L ^'),\
         ('Laura Burton','Burton, Laura','~L. Burton~L.Burton~Burton, L.~Burton,L.~Burton L.~Burton L ^'),\
         ('Laura Gail Black','Black, Laura Gail','~L.G. Black~L. G. Black~L.G.Black~Black, L.~Black,L.~Black L.~Black L ^'),\
         ('Laura Greenwood','Greenwood, Laura','~L. Greenwood~L.Greenwood~Greenwood, L.~Greenwood,L.~Greenwood L.~Greenwood L ^'),\
         ('Laura Jensen Walker','Walker, Laura Jensen','~L.J. Walker~L. J. Walker~L.J.Walker~Walker, L.~Walker,L.~Walker L.~Walker L ^'),\
         ('Laura Pavlov','Pavlov, Laura','~L. Pavlov~L.Pavlov~Pavlov, L.~Pavlov,L.~Pavlov L.~Pavlov L ^'),\
         ('Laura Purcell','Purcell, Laura','~L. Purcell~L.Purcell~Purcell, L.~Purcell,L.~Purcell L.~Purcell L ^'),\
         ('Laura Scott','Scott, Laura','~L. Scott~L.Scott~Scott, L.~Scott,L.~Scott L.~Scott L ^'),\
         ('Laura Sebastian','Sebastian, Laura','~L. Sebastian~L.Sebastian~Sebastian, L.~Sebastian,L.~Sebastian L.~Sebastian L ^'),\
         ('Laura Shepherd-Robinson','Shepherd-Robinson, Laura','~L. Shepherd-Robinson~L.Shepherd-Robinson~Shepherd-Robinson, L.~Shepherd-Robinson,L.~Shepherd-Robinson L.~Shepherd-Robinson L ^'),\
         ('Lauren Asher','Asher, Lauren','~L. Asher~L.Asher~Asher, L.~Asher,L.~Asher L.~Asher L ^'),\
         ('Lauren Brooke','Brooke, Lauren','~L. Brooke~L.Brooke~Brooke, L.~Brooke,L.~Brooke L.~Brooke L ^'),\
         ('Lauren Child','Child, Lauren','~L. Child~L.Child~Child, L.~Child,L.~Child L.~Child L ^'),\
         ('Lauren Elliott','Elliott, Lauren','~L. Elliott~L.Elliott~Elliott, L.~Elliott,L.~Elliott L.~Elliott L ^'),\
         ('Lauren K. Denton','Denton, Lauren K.','~L.K. Denton~L. K. Denton~L.K.Denton~Denton, L.~Denton,L.~Denton L.~Denton L ^'),\
         ('Lauren Landish','Landish, Lauren','~L. Landish~L.Landish~Landish, L.~Landish,L.~Landish L.~Landish L ^'),\
         ('Lauren Layne','Layne, Lauren','~L. Layne~L.Layne~Layne, L.~Layne,L.~Layne L.~Layne L ^'),\
         ('Lauren North','North, Lauren','~L. North~L.North~North, L.~North,L.~North L.~North L ^'),\
         ('Lauren Smith','Smith, Lauren','~L. Smith~L.Smith~Smith, L.~Smith,L.~Smith L.~Smith L ^'),\
         ('Lauren Tarshis','Tarshis, Lauren','~L. Tarshis~L.Tarshis~Tarshis, L.~Tarshis,L.~Tarshis L.~Tarshis L ^'),\
         ('Lauren Wood','Wood, Lauren','~L. Wood~L.Wood~Wood, L.~Wood,L.~Wood L.~Wood L ^'),\
         ('Laurie Cass','Cass, Laurie','~L. Cass~L.Cass~Cass, L.~Cass,L.~Cass L.~Cass L ^'),\
         ('Laurie Forest','Forest, Laurie','~L. Forest~L.Forest~Forest, L.~Forest,L.~Forest L.~Forest L ^'),\
         ('LaVyrle Spencer','Spencer, LaVyrle','~L. Spencer~L.Spencer~Spencer, L.~Spencer,L.~Spencer L.~Spencer L ^'),\
         ('Layla Frost','Frost, Layla','~L. Frost~L.Frost~Frost, L.~Frost,L.~Frost L.~Frost L ^'),\
         ('Layla Hagen','Hagen, Layla','~L. Hagen~L.Hagen~Hagen, L.~Hagen,L.~Hagen L.~Hagen L ^'),\
         ('Lea Wait','Wait, Lea','~L. Wait~L.Wait~Wait, L.~Wait,L.~Wait L.~Wait L ^'),\
         ('LeAnn Ashers','Ashers, LeAnn','~L. Ashers~L.Ashers~Ashers, L.~Ashers,L.~Ashers L.~Ashers L ^'),\
         ('Lee Jacquot','Jacquot, Lee','~L. Jacquot~L.Jacquot~Jacquot, L.~Jacquot,L.~Jacquot L.~Jacquot L ^'),\
         ('Lee Mountford','Mountford, Lee','~L. Mountford~L.Mountford~Mountford, L.~Mountford,L.~Mountford L.~Mountford L ^'),\
         ('Lee Savino','Savino, Lee','~L. Savino~L.Savino~Savino, L.~Savino,L.~Savino L.~Savino L ^'),\
         ('Lee Tobin McClain','McClain, Lee Tobin','~L.T. McClain~L. T. McClain~L.T.McClain~McClain, L.~McClain,L.~McClain L.~McClain L ^'),\
         ('Lee Weeks','Weeks, Lee','~L. Weeks~L.Weeks~Weeks, L.~Weeks,L.~Weeks L.~Weeks L ^'),\
         ('Leeanna Morgan','Morgan, Leeanna','~L. Morgan~L.Morgan~Morgan, L.~Morgan,L.~Morgan L.~Morgan L ^'),\
         ('Leia Stone','Stone, Leia','~L. Stone~L.Stone~Stone, L.~Stone,L.~Stone L.~Stone L ^'),\
         ('Leigh Perry','Perry, Leigh','~L. Perry~L.Perry~Perry, L.~Perry,L.~Perry L.~Perry L ^'),\
         ('Lena Gregory','Gregory, Lena','~L. Gregory~L.Gregory~Gregory, L.~Gregory,L.~Gregory L.~Gregory L ^'),\
         ('Lenora Bell','Bell, Lenora','~L. Bell~L.Bell~Bell, L.~Bell,L.~Bell L.~Bell L ^'),\
         ('Leo Carew','Carew, Leo','~L. Carew~L.Carew~Carew, L.~Carew,L.~Carew L.~Carew L ^'),\
         ('Leonard Goldberg','Goldberg, Leonard','~L. Goldberg~L.Goldberg~Goldberg, L.~Goldberg,L.~Goldberg L.~Goldberg L ^'),\
         ('Lesley Eames','Eames, Lesley','~L. Eames~L.Eames~Eames, L.~Eames,L.~Eames L.~Eames L ^'),\
         ('Lesley Kara','Kara, Lesley','~L. Kara~L.Kara~Kara, L.~Kara,L.~Kara L.~Kara L ^'),\
         ('Lesley Thomson','Thomson, Lesley','~L. Thomson~L.Thomson~Thomson, L.~Thomson,L.~Thomson L.~Thomson L ^'),\
         ('Leslie Karst','Karst, Leslie','~L. Karst~L.Karst~Karst, L.~Karst,L.~Karst L.~Karst L ^'),\
         ('Leslie North','North, Leslie','~L. North~L.North~North, L.~North,L.~North L.~North L ^'),\
         ('Leslie Wolfe','Wolfe, Leslie','~L. Wolfe~L.Wolfe~Wolfe, L.~Wolfe,L.~Wolfe L.~Wolfe L ^'),\
         ('Lexi C. Foss','Foss, Lexi C.','~L.C. Foss~L. C. Foss~L.C.Foss~Foss, L.~Foss,L.~Foss L.~Foss L ^'),\
         ('Lia Davis','Davis, Lia','~L. Davis~L.Davis~Davis, L.~Davis,L.~Davis L.~Davis L ^'),\
         ('Liam McIlvanney','McIlvanney, Liam','~L. McIlvanney~L.McIlvanney~McIlvanney, L.~McIlvanney,L.~McIlvanney L.~McIlvanney L ^'),\
         ('Libby Ashworth','Ashworth, Libby','~L. Ashworth~L.Ashworth~Ashworth, L.~Ashworth,L.~Ashworth L.~Ashworth L ^'),\
         ('Libby Klein','Klein, Libby','~L. Klein~L.Klein~Klein, L.~Klein,L.~Klein L.~Klein L ^'),\
         ('Lila Fox','Fox, Lila','~L. Fox~L.Fox~Fox, L.~Fox,L.~Fox L.~Fox L ^'),\
         ('Lila Rose','Rose, Lila','~L. Rose~L.Rose~Rose, L.~Rose,L.~Rose L.~Rose L ^'),\
         ('Lilac Mills','Mills, Lilac','~L. Mills~L.Mills~Mills, L.~Mills,L.~Mills L.~Mills L ^'),\
         ('Lili Valente','Valente, Lili','~L. Valente~L.Valente~Valente, L.~Valente,L.~Valente L.~Valente L ^'),\
         ('Lilian Harry','Harry, Lilian','~L. Harry~L.Harry~Harry, L.~Harry,L.~Harry L.~Harry L ^'),\
         ('Lilian Monroe','Monroe, Lilian','~L. Monroe~L.Monroe~Monroe, L.~Monroe,L.~Monroe L.~Monroe L ^'),\
         ('Lilja Sigurðardóttir','Sigurðardóttir, Lilja','~L. Sigurðardóttir~L.Sigurðardóttir~Sigurðardóttir, L.~Sigurðardóttir,L.~Sigurðardóttir L.~Sigurðardóttir L ^'),\
         ('Lillian Lark','Lark, Lillian','~L. Lark~L.Lark~Lark, L.~Lark,L.~Lark L.~Lark L ^'),\
         ('Lilly Atlas','Atlas, Lilly','~L. Atlas~L.Atlas~Atlas, L.~Atlas,L.~Atlas L.~Atlas L ^'),\
         ('Lilly Mirren','Mirren, Lilly','~L. Mirren~L.Mirren~Mirren, L.~Mirren,L.~Mirren L.~Mirren L ^'),\
         ('Lily Baldwin','Baldwin, Lily','~L. Baldwin~L.Baldwin~Baldwin, L.~Baldwin,L.~Baldwin L.~Baldwin L ^'),\
         ('Lily Baxter','Baxter, Lily','~L. Baxter~L.Baxter~Baxter, L.~Baxter,L.~Baxter L.~Baxter L ^'),\
         ('Lily Gold','Gold, Lily','~L. Gold~L.Gold~Gold, L.~Gold,L.~Gold L.~Gold L ^'),\
         ('Lily Harper Hart','Hart, Lily Harper','~L.H. Hart~L. H. Hart~L.H.Hart~Hart, L.~Hart,L.~Hart L.~Hart L ^'),\
         ('Lily J. Adams','Adams, Lily J.','~L.J. Adams~L. J. Adams~L.J.Adams~Adams, L.~Adams,L.~Adams L.~Adams L ^'),\
         ('Lily Mayne','Mayne, Lily','~L. Mayne~L.Mayne~Mayne, L.~Mayne,L.~Mayne L.~Mayne L ^'),\
         ('Lily Morton','Morton, Lily','~L. Morton~L.Morton~Morton, L.~Morton,L.~Morton L.~Morton L ^'),\
         ('Lincoln Peirce','Peirce, Lincoln','~L. Peirce~L.Peirce~Peirce, L.~Peirce,L.~Peirce L.~Peirce L ^'),\
         ('Linda Broday','Broday, Linda','~L. Broday~L.Broday~Broday, L.~Broday,L.~Broday L.~Broday L ^'),\
         ('Linda Calvey','Calvey, Linda','~L. Calvey~L.Calvey~Calvey, L.~Calvey,L.~Calvey L.~Calvey L ^'),\
         ('Linda Finlay','Finlay, Linda','~L. Finlay~L.Finlay~Finlay, L.~Finlay,L.~Finlay L.~Finlay L ^'),\
         ('Linda Goodnight','Goodnight, Linda','~L. Goodnight~L.Goodnight~Goodnight, L.~Goodnight,L.~Goodnight L.~Goodnight L ^'),\
         ('Linda Green','Green, Linda','~L. Green~L.Green~Green, L.~Green,L.~Green L.~Green L ^'),\
         ('Linda Holmes','Holmes, Linda','~L. Holmes~L.Holmes~Holmes, L.~Holmes,L.~Holmes L.~Holmes L ^'),\
         ('Linda Hurtado Bond','Bond, Linda Hurtado','~L.H. Bond~L. H. Bond~L.H.Bond~Bond, L.~Bond,L.~Bond L.~Bond L ^'),\
         ('Linda Reilly','Reilly, Linda','~L. Reilly~L.Reilly~Reilly, L.~Reilly,L.~Reilly L.~Reilly L ^'),\
         ('Lindsay Jayne Ashford','Ashford, Lindsay Jayne','~L.J. Ashford~L. J. Ashford~L.J.Ashford~Ashford, L.~Ashford,L.~Ashford L.~Ashford L ^'),\
         ('Lindsey Devin','Devin, Lindsey','~L. Devin~L.Devin~Devin, L.~Devin,L.~Devin L.~Devin L ^'),\
         ('Lindsey Hutchinson','Hutchinson, Lindsey','~L. Hutchinson~L.Hutchinson~Hutchinson, L.~Hutchinson,L.~Hutchinson L.~Hutchinson L ^'),\
         ('Linsey Hall','Hall, Linsey','~L. Hall~L.Hall~Hall, L.~Hall,L.~Hall L.~Hall L ^'),\
         ('Linzi Baxter','Baxter, Linzi','~L. Baxter~L.Baxter~Baxter, L.~Baxter,L.~Baxter L.~Baxter L ^'),\
         ('Lisa Berne','Berne, Lisa','~L. Berne~L.Berne~Berne, L.~Berne,L.~Berne L.~Berne L ^'),\
         ('Lisa Cutts','Cutts, Lisa','~L. Cutts~L.Cutts~Cutts, L.~Cutts,L.~Cutts L.~Cutts L ^'),\
         ('Lisa Edmonds','Edmonds, Lisa','~L. Edmonds~L.Edmonds~Edmonds, L.~Edmonds,L.~Edmonds L.~Edmonds L ^'),\
         ('Lisa Gray','Gray, Lisa','~L. Gray~L.Gray~Gray, L.~Gray,L.~Gray L.~Gray L ^'),\
         ('Lisa Hartley','Hartley, Lisa','~L. Hartley~L.Hartley~Hartley, L.~Hartley,L.~Hartley L.~Hartley L ^'),\
         ('Lisa Hobman','Hobman, Lisa','~L. Hobman~L.Hobman~Hobman, L.~Hobman,L.~Hobman L.~Hobman L ^'),\
         ('Lisa Oliver','Oliver, Lisa','~L. Oliver~L.Oliver~Oliver, L.~Oliver,L.~Oliver L.~Oliver L ^'),\
         ('Lisa Phillips','Phillips, Lisa','~L. Phillips~L.Phillips~Phillips, L.~Phillips,L.~Phillips L.~Phillips L ^'),\
         ('Lisa Stone','Stone, Lisa','~L. Stone~L.Stone~Stone, L.~Stone,L.~Stone L.~Stone L ^'),\
         ('Lissa Marie Redmond','Redmond, Lissa Marie','~L.M. Redmond~L. M. Redmond~L.M.Redmond~Redmond, L.~Redmond,L.~Redmond L.~Redmond L ^'),\
         ('Liv Constantine','Constantine, Liv','~L. Constantine~L.Constantine~Constantine, L.~Constantine,L.~Constantine L.~Constantine L ^'),\
         ('Liz Eeles','Eeles, Liz','~L. Eeles~L.Eeles~Eeles, L.~Eeles,L.~Eeles L.~Eeles L ^'),\
         ('Liz Fenwick','Fenwick, Liz','~L. Fenwick~L.Fenwick~Fenwick, L.~Fenwick,L.~Fenwick L.~Fenwick L ^'),\
         ('Liz Hurley','Hurley, Liz','~L. Hurley~L.Hurley~Hurley, L.~Hurley,L.~Hurley L.~Hurley L ^'),\
         ('Liz Isaacson','Isaacson, Liz','~L. Isaacson~L.Isaacson~Isaacson, L.~Isaacson,L.~Isaacson L.~Isaacson L ^'),\
         ('Liz Johnson','Johnson, Liz','~L. Johnson~L.Johnson~Johnson, L.~Johnson,L.~Johnson L.~Johnson L ^'),\
         ('Liz Mistry','Mistry, Liz','~L. Mistry~L.Mistry~Mistry, L.~Mistry,L.~Mistry L.~Mistry L ^'),\
         ('Liz Nugent','Nugent, Liz','~L. Nugent~L.Nugent~Nugent, L.~Nugent,L.~Nugent L.~Nugent L ^'),\
         ('Liz Pichon','Pichon, Liz','~L. Pichon~L.Pichon~Pichon, L.~Pichon,L.~Pichon L.~Pichon L ^'),\
         ('Lizzie Lane','Lane, Lizzie','~L. Lane~L.Lane~Lane, L.~Lane,L.~Lane L.~Lane L ^'),\
         ('LJ Andrews','Andrews, LJ','~L. Andrews~L.Andrews~Andrews, L.~Andrews,L.~Andrews L.~Andrews L ^'),\
         ('LJ Ross','Ross, LJ','~L. Ross~L.Ross~Ross, L.~Ross,L.~Ross L.~Ross L ^'),\
         ('Logan Jacobs','Jacobs, Logan','~L. Jacobs~L.Jacobs~Jacobs, L.~Jacobs,L.~Jacobs L.~Jacobs L ^'),\
         ('Logan Ryles','Ryles, Logan','~L. Ryles~L.Ryles~Ryles, L.~Ryles,L.~Ryles L.~Ryles L ^'),\
         ('Lola Glass','Glass, Lola','~L. Glass~L.Glass~Glass, L.~Glass,L.~Glass L.~Glass L ^'),\
         ('Lola Wright','Wright, Lola','~L. Wright~L.Wright~Wright, L.~Wright,L.~Wright L.~Wright L ^'),\
         ('London Lovett','Lovett, London','~L. Lovett~L.Lovett~Lovett, L.~Lovett,L.~Lovett L.~Lovett L ^'),\
         ('Loni Ree','Ree, Loni','~L. Ree~L.Ree~Ree, L.~Ree,L.~Ree L.~Ree L ^'),\
         ('Lorelei M. Hart','Hart, Lorelei M.','~L.M. Hart~L. M. Hart~L.M.Hart~Hart, L.~Hart,L.~Hart L.~Hart L ^'),\
         ('Lori Matthews','Matthews, Lori','~L. Matthews~L.Matthews~Matthews, L.~Matthews,L.~Matthews L.~Matthews L ^'),\
         ('Lori Rader-Day','Rader-Day, Lori','~L. Rader-Day~L.Rader-Day~Rader-Day, L.~Rader-Day,L.~Rader-Day L.~Rader-Day L ^'),\
         ('Lorna Cook','Cook, Lorna','~L. Cook~L.Cook~Cook, L.~Cook,L.~Cook L.~Cook L ^'),\
         ('Lorraine Bartlett','Bartlett, Lorraine','~L. Bartlett~L.Bartlett~Bartlett, L.~Bartlett,L.~Bartlett L.~Bartlett L ^'),\
         ('Louisa Luna','Luna, Louisa','~L. Luna~L.Luna~Luna, L.~Luna,L.~Luna L.~Luna L ^'),\
         ('Louisa Morgan','Morgan, Louisa','~L. Morgan~L.Morgan~Morgan, L.~Morgan,L.~Morgan L.~Morgan L ^'),\
         ('Louise Bay','Bay, Louise','~L. Bay~L.Bay~Bay, L.~Bay,L.~Bay L.~Bay L ^'),\
         ('Louise Candlish','Candlish, Louise','~L. Candlish~L.Candlish~Candlish, L.~Candlish,L.~Candlish L.~Candlish L ^'),\
         ('Louise Hare','Hare, Louise','~L. Hare~L.Hare~Hare, L.~Hare,L.~Hare L.~Hare L ^'),\
         ('Louise Jensen','Jensen, Louise','~L. Jensen~L.Jensen~Jensen, L.~Jensen,L.~Jensen L.~Jensen L ^'),\
         ('Louise R. Innes','Innes, Louise R.','~L.R. Innes~L. R. Innes~L.R.Innes~Innes, L.~Innes,L.~Innes L.~Innes L ^'),\
         ('Lucía Ashta','Ashta, Lucía','~L. Ashta~L.Ashta~Ashta, L.~Ashta,L.~Ashta L.~Ashta L ^'),\
         ('Lucinda Berry','Berry, Lucinda','~L. Berry~L.Berry~Berry, L.~Berry,L.~Berry L.~Berry L ^'),\
         ('Lucy Atkins','Atkins, Lucy','~L. Atkins~L.Atkins~Atkins, L.~Atkins,L.~Atkins L.~Atkins L ^'),\
         ('Lucy Coleman','Coleman, Lucy','~L. Coleman~L.Coleman~Coleman, L.~Coleman,L.~Coleman L.~Coleman L ^'),\
         ('Lucy Daniels','Daniels, Lucy','~L. Daniels~L.Daniels~Daniels, L.~Daniels,L.~Daniels L.~Daniels L ^'),\
         ('Lucy Darling','Darling, Lucy','~L. Darling~L.Darling~Darling, L.~Darling,L.~Darling L.~Darling L ^'),\
         ('Lucy Foley','Foley, Lucy','~L. Foley~L.Foley~Foley, L.~Foley,L.~Foley L.~Foley L ^'),\
         ('Lucy Lennox','Lennox, Lucy','~L. Lennox~L.Lennox~Lennox, L.~Lennox,L.~Lennox L.~Lennox L ^'),\
         ('Lucy Score','Score, Lucy','~L. Score~L.Score~Score, L.~Score,L.~Score L.~Score L ^'),\
         ('Lucy Smoke','Smoke, Lucy','~L. Smoke~L.Smoke~Smoke, L.~Smoke,L.~Smoke L.~Smoke L ^'),\
         ('Lucy Worsley','Worsley, Lucy','~L. Worsley~L.Worsley~Worsley, L.~Worsley,L.~Worsley L.~Worsley L ^'),\
         ('Luke Chmilenko','Chmilenko, Luke','~L. Chmilenko~L.Chmilenko~Chmilenko, L.~Chmilenko,L.~Chmilenko L.~Chmilenko L ^'),\
         ('Luke Delaney','Delaney, Luke','~L. Delaney~L.Delaney~Delaney, L.~Delaney,L.~Delaney L.~Delaney L ^'),\
         ('Luke McCallin','McCallin, Luke','~L. McCallin~L.McCallin~McCallin, L.~McCallin,L.~McCallin L.~McCallin L ^'),\
         ('Lulu Taylor','Taylor, Lulu','~L. Taylor~L.Taylor~Taylor, L.~Taylor,L.~Taylor L.~Taylor L ^'),\
         ('Luna Hunter','Hunter, Luna','~L. Hunter~L.Hunter~Hunter, L.~Hunter,L.~Hunter L.~Hunter L ^'),\
         ('Lydia Kendall','Kendall, Lydia','~L. Kendall~L.Kendall~Kendall, L.~Kendall,L.~Kendall L.~Kendall L ^'),\
         ('Lydia Sherrer','Sherrer, Lydia','~L. Sherrer~L.Sherrer~Sherrer, L.~Sherrer,L.~Sherrer L.~Sherrer L ^'),\
         ('Lylah James','James, Lylah','~L. James~L.James~James, L.~James,L.~James L.~James L ^'),\
         ('Lyn Andrews','Andrews, Lyn','~L. Andrews~L.Andrews~Andrews, L.~Andrews,L.~Andrews L.~Andrews L ^'),\
         ('LynDee Walker','Walker, LynDee','~L. Walker~L.Walker~Walker, L.~Walker,L.~Walker L.~Walker L ^'),\
         ('Lynette Noni','Noni, Lynette','~L. Noni~L.Noni~Noni, L.~Noni,L.~Noni L.~Noni L ^'),\
         ('Lynn Brittney','Brittney, Lynn','~L. Brittney~L.Brittney~Brittney, L.~Brittney,L.~Brittney L.~Brittney L ^'),\
         ('Lynn H. Blackburn','Blackburn, Lynn H.','~L.H. Blackburn~L. H. Blackburn~L.H.Blackburn~Blackburn, L.~Blackburn,L.~Blackburn L.~Blackburn L ^'),\
         ('Lynn Johnson','Johnson, Lynn','~L. Johnson~L.Johnson~Johnson, L.~Johnson,L.~Johnson L.~Johnson L ^'),\
         ('Lynn Messina','Messina, Lynn','~L. Messina~L.Messina~Messina, L.~Messina,L.~Messina L.~Messina L ^'),\
         ('Lynn Painter','Painter, Lynn','~L. Painter~L.Painter~Painter, L.~Painter,L.~Painter L.~Painter L ^'),\
         ('Lynne Francis','Francis, Lynne','~L. Francis~L.Francis~Francis, L.~Francis,L.~Francis L.~Francis L ^'),\
         ('Lynne McEwan','McEwan, Lynne','~L. McEwan~L.McEwan~McEwan, L.~McEwan,L.~McEwan L.~McEwan L ^'),\
         ('Lynnea Lee','Lee, Lynnea','~L. Lee~L.Lee~Lee, L.~Lee,L.~Lee L.~Lee L ^'),\
         ('Lyssa Kay Adams','Adams, Lyssa Kay','~L.K. Adams~L. K. Adams~L.K.Adams~Adams, L.~Adams,L.~Adams L.~Adams L ^'),\
         ('M. Robinson','Robinson, M.','~M. Robinson~M.Robinson~Robinson, M.~Robinson,M.~Robinson M.~Robinson M ^'),\
         ('M. Sinclair','Sinclair, M.','~M. Sinclair~M.Sinclair~Sinclair, M.~Sinclair,M.~Sinclair M.~Sinclair M ^'),\
         ('M.A. Comley','Comley, M.A.','~M.A. Comley~M. A. Comley~M.A.Comley~Comley, M.~Comley,M.~Comley M.~Comley M ^'),\
         ('M.A. Rothman','Rothman, M.A.','~M.A. Rothman~M. A. Rothman~M.A.Rothman~Rothman, M.~Rothman,M.~Rothman M.~Rothman M ^'),\
         ('M.B. Shaw','Shaw, M.B.','~M.B. Shaw~M. B. Shaw~M.B.Shaw~Shaw, M.~Shaw,M.~Shaw M.~Shaw M ^'),\
         ('M.D. Cooper','Cooper, M.D.','~M.D. Cooper~M. D. Cooper~M.D.Cooper~Cooper, M.~Cooper,M.~Cooper M.~Cooper M ^'),\
         ('M.D. Massey','Massey, M.D.','~M.D. Massey~M. D. Massey~M.D.Massey~Massey, M.~Massey,M.~Massey M.~Massey M ^'),\
         ('M.E. Hilliard','Hilliard, M.E.','~M.E. Hilliard~M. E. Hilliard~M.E.Hilliard~Hilliard, M.~Hilliard,M.~Hilliard M.~Hilliard M ^'),\
         ('M.G. Leonard','Leonard, M.G.','~M.G. Leonard~M. G. Leonard~M.G.Leonard~Leonard, M.~Leonard,M.~Leonard M.~Leonard M ^'),\
         ('M.H. Eccleston','Eccleston, M.H.','~M.H. Eccleston~M. H. Eccleston~M.H.Eccleston~Eccleston, M.~Eccleston,M.~Eccleston M.~Eccleston M ^'),\
         ('M.J. Arlidge','Arlidge, M.J.','~M.J. Arlidge~M. J. Arlidge~M.J.Arlidge~Arlidge, M.~Arlidge,M.~Arlidge M.~Arlidge M ^'),\
         ('M.J. Lee','Lee, M.J.','~M.J. Lee~M. J. Lee~M.J.Lee~Lee, M.~Lee,M.~Lee M.~Lee M ^'),\
         ('M.K. Eidem','Eidem, M.K.','~M.K. Eidem~M. K. Eidem~M.K.Eidem~Eidem, M.~Eidem,M.~Eidem M.~Eidem M ^'),\
         ('M.K. Farrar','Farrar, M.K.','~M.K. Farrar~M. K. Farrar~M.K.Farrar~Farrar, M.~Farrar,M.~Farrar M.~Farrar M ^'),\
         ('M.L. Longworth','Longworth, M.L.','~M.L. Longworth~M. L. Longworth~M.L.Longworth~Longworth, M.~Longworth,M.~Longworth M.~Longworth M ^'),\
         ('M.L. Rose','Rose, M.L.','~M.L. Rose~M. L. Rose~M.L.Rose~Rose, M.~Rose,M.~Rose M.~Rose M ^'),\
         ('M.M. Chouinard','Chouinard, M.M.','~M.M. Chouinard~M. M. Chouinard~M.M.Chouinard~Chouinard, M.~Chouinard,M.~Chouinard M.~Chouinard M ^'),\
         ('M.R.C. Kasasian','Kasasian, M.R.C.','~M.R.C.Kasasian~M. R. C. Kasasian~M.R.C.Kasasian~Kasasian, M.~Kasasian,M.~Kasasian M.~Kasasian M ^'),\
         ('M.S. Morris','Morris, M.S.','~M.S. Morris~M. S. Morris~M.S.Morris~Morris, M.~Morris,M.~Morris M.~Morris M ^'),\
         ('M.W. Craven','Craven, M.W.','~M.W. Craven~M. W. Craven~M.W.Craven~Craven, M.~Craven,M.~Craven M.~Craven M ^'),\
         ('Mackey Chandler','Chandler, Mackey','~M. Chandler~M.Chandler~Chandler, M.~Chandler,M.~Chandler M.~Chandler M ^'),\
         ('Maddie Day','Day, Maddie','~M. Day~M.Day~Day, M.~Day,M.~Day M.~Day M ^'),\
         ('Maddie Wade','Wade, Maddie','~M. Wade~M.Wade~Wade, M.~Wade,M.~Wade M.~Wade M ^'),\
         ('Maddison Michaels','Michaels, Maddison','~M. Michaels~M.Michaels~Michaels, M.~Michaels,M.~Michaels M.~Michaels M ^'),\
         ('Maddy Mara','Mara, Maddy','~M. Mara~M.Mara~Mara, M.~Mara,M.~Mara M.~Mara M ^'),\
         ('Madeleine Roux','Roux, Madeleine','~M. Roux~M.Roux~Roux, M.~Roux,M.~Roux M.~Roux M ^'),\
         ('Madeline Martin','Martin, Madeline','~M. Martin~M.Martin~Martin, M.~Martin,M.~Martin M.~Martin M ^'),\
         ('Magda Alexander','Alexander, Magda','~M. Alexander~M.Alexander~Alexander, M.~Alexander,M.~Alexander M.~Alexander M ^'),\
         ('Maggie Blackburn','Blackburn, Maggie','~M. Blackburn~M.Blackburn~Blackburn, M.~Blackburn,M.~Blackburn M.~Blackburn M ^'),\
         ('Maggie Cole','Cole, Maggie','~M. Cole~M.Cole~Cole, M.~Cole,M.~Cole M.~Cole M ^'),\
         ('Maggie Dallen','Dallen, Maggie','~M. Dallen~M.Dallen~Dallen, M.~Dallen,M.~Dallen M.~Dallen M ^'),\
         ('Maggie Hope','Hope, Maggie','~M. Hope~M.Hope~Hope, M.~Hope,M.~Hope M.~Hope M ^'),\
         ('Maggie K. Black','Black, Maggie K.','~M.K. Black~M. K. Black~M.K.Black~Black, M.~Black,M.~Black M.~Black M ^'),\
         ('Maggie Mason','Mason, Maggie','~M. Mason~M.Mason~Mason, M.~Mason,M.~Mason M.~Mason M ^'),\
         ('Maggie Miller','Miller, Maggie','~M. Miller~M.Miller~Miller, M.~Miller,M.~Miller M.~Miller M ^'),\
         ('Maggie Sullivan','Sullivan, Maggie','~M. Sullivan~M.Sullivan~Sullivan, M.~Sullivan,M.~Sullivan M.~Sullivan M ^'),\
         ('Maisie Thomas','Thomas, Maisie','~M. Thomas~M.Thomas~Thomas, M.~Thomas,M.~Thomas M.~Thomas M ^'),\
         ('Mandy Morton','Morton, Mandy','~M. Morton~M.Morton~Morton, M.~Morton,M.~Morton M.~Morton M ^'),\
         ('Mandy Robotham','Robotham, Mandy','~M. Robotham~M.Robotham~Robotham, M.~Robotham,M.~Robotham M.~Robotham M ^'),\
         ('Marc Alan Edelheit','Edelheit, Marc Alan','~M.A. Edelheit~M. A. Edelheit~M.A.Edelheit~Edelheit, M.~Edelheit,M.~Edelheit M.~Edelheit M ^'),\
         ('Marci Bolden','Bolden, Marci','~M. Bolden~M.Bolden~Bolden, M.~Bolden,M.~Bolden M.~Bolden M ^'),\
         ('Marco Vichi','Vichi, Marco','~M. Vichi~M.Vichi~Vichi, M.~Vichi,M.~Vichi M.~Vichi M ^'),\
         ('Marcus Sloss','Sloss, Marcus','~M. Sloss~M.Sloss~Sloss, M.~Sloss,M.~Sloss M.~Sloss M ^'),\
         ('Maren Moore','Moore, Maren','~M. Moore~M.Moore~Moore, M.~Moore,M.~Moore M.~Moore M ^'),\
         ('Margaret Hickey','Hickey, Margaret','~M. Hickey~M.Hickey~Hickey, M.~Hickey,M.~Hickey M.~Hickey M ^'),\
         ('Margaret Loudon','Loudon, Margaret','~M. Loudon~M.Loudon~Loudon, M.~Loudon,M.~Loudon M.~Loudon M ^'),\
         ('Margaret Mayhew','Mayhew, Margaret','~M. Mayhew~M.Mayhew~Mayhew, M.~Mayhew,M.~Mayhew M.~Mayhew M ^'),\
         ('Margaret Mizushima','Mizushima, Margaret','~M. Mizushima~M.Mizushima~Mizushima, M.~Mizushima,M.~Mizushima M.~Mizushima M ^'),\
         ('Margaret Rogerson','Rogerson, Margaret','~M. Rogerson~M.Rogerson~Rogerson, M.~Rogerson,M.~Rogerson M.~Rogerson M ^'),\
         ('Margaret Scutt','Scutt, Margaret','~M. Scutt~M.Scutt~Scutt, M.~Scutt,M.~Scutt M.~Scutt M ^'),\
         ('Margaret Thornton','Thornton, Margaret','~M. Thornton~M.Thornton~Thornton, M.~Thornton,M.~Thornton M.~Thornton M ^'),\
         ('Margaret Wilkerson Sexton','Sexton, Margaret Wilkerson','~M.W. Sexton~M. W. Sexton~M.W.Sexton~Sexton, M.~Sexton,M.~Sexton M.~Sexton M ^'),\
         ('Mari Hannah','Hannah, Mari','~M. Hannah~M.Hannah~Hannah, M.~Hannah,M.~Hannah M.~Hannah M ^'),\
         ('Maria Adolfsson','Adolfsson, Maria','~M. Adolfsson~M.Adolfsson~Adolfsson, M.~Adolfsson,M.~Adolfsson M.~Adolfsson M ^'),\
         ('Maria DiRico','DiRico, Maria','~M. DiRico~M.DiRico~DiRico, M.~DiRico,M.~DiRico M.~DiRico M ^'),\
         ('Mariah Fredericks','Fredericks, Mariah','~M. Fredericks~M.Fredericks~Fredericks, M.~Fredericks,M.~Fredericks M.~Fredericks M ^'),\
         ('Marian Tee','Tee, Marian','~M. Tee~M.Tee~Tee, M.~Tee,M.~Tee M.~Tee M ^'),\
         ('Mariana Zapata','Zapata, Mariana','~M. Zapata~M.Zapata~Zapata, M.~Zapata,M.~Zapata M.~Zapata M ^'),\
         ('Marie Benedict','Benedict, Marie','~M. Benedict~M.Benedict~Benedict, M.~Benedict,M.~Benedict M.~Benedict M ^'),\
         ('Marion Kummerow','Kummerow, Marion','~M. Kummerow~M.Kummerow~Kummerow, M.~Kummerow,M.~Kummerow M.~Kummerow M ^'),\
         ('Marion Todd','Todd, Marion','~M. Todd~M.Todd~Todd, M.~Todd,M.~Todd M.~Todd M ^'),\
         ('Marisa de los Santos','Santos, Marisa de los','~M.d.l.Santos~M. d. l. Santos~M.d.l.Santos~Santos, M.~Santos,M.~Santos M.~Santos M ^'),\
         ('Marjorie M. Liu','Liu, Marjorie M.','~M.M. Liu~M. M. Liu~M.M.Liu~Liu, M.~Liu,M.~Liu M.~Liu M ^'),\
         ('Mark Dawson','Dawson, Mark','~M. Dawson~M.Dawson~Dawson, M.~Dawson,M.~Dawson M.~Dawson M ^'),\
         ('Mark Ellis','Ellis, Mark','~M. Ellis~M.Ellis~Ellis, M.~Ellis,M.~Ellis M.~Ellis M ^'),\
         ('Mark Goodwin','Goodwin, Mark','~M. Goodwin~M.Goodwin~Goodwin, M.~Goodwin,M.~Goodwin M.~Goodwin M ^'),\
         ('Mark Griffin','Griffin, Mark','~M. Griffin~M.Griffin~Griffin, M.~Griffin,M.~Griffin M.~Griffin M ^'),\
         ('Mark Hayden','Hayden, Mark','~M. Hayden~M.Hayden~Hayden, M.~Hayden,M.~Hayden M.~Hayden M ^'),\
         ('Mark Hebden','Hebden, Mark','~M. Hebden~M.Hebden~Hebden, M.~Hebden,M.~Hebden M.~Hebden M ^'),\
         ('Mark Pryor','Pryor, Mark','~M. Pryor~M.Pryor~Pryor, M.~Pryor,M.~Pryor M.~Pryor M ^'),\
         ('Mark Sennen','Sennen, Mark','~M. Sennen~M.Sennen~Sennen, M.~Sennen,M.~Sennen M.~Sennen M ^'),\
         ('Mark Wayne McGinnis','McGinnis, Mark Wayne','~M.W. McGinnis~M. W. McGinnis~M.W.McGinnis~McGinnis, M.~McGinnis,M.~McGinnis M.~McGinnis M ^'),\
         ('Markus Heitz','Heitz, Markus','~M. Heitz~M.Heitz~Heitz, M.~Heitz,M.~Heitz M.~Heitz M ^'),\
         ('Marlon James','James, Marlon','~M. James~M.James~James, M.~James,M.~James M.~James M ^'),\
         ('Marni Mann','Mann, Marni','~M. Mann~M.Mann~Mann, M.~Mann,M.~Mann M.~Mann M ^'),\
         ('Marnie Riches','Riches, Marnie','~M. Riches~M.Riches~Riches, M.~Riches,M.~Riches M.~Riches M ^'),\
         ('Marsali Taylor','Taylor, Marsali','~M. Taylor~M.Taylor~Taylor, M.~Taylor,M.~Taylor M.~Taylor M ^'),\
         ('Martha Carr','Carr, Martha','~M. Carr~M.Carr~Carr, M.~Carr,M.~Carr M.~Carr M ^'),\
         ('Martha Hall Kelly','Kelly, Martha Hall','~M.H. Kelly~M. H. Kelly~M.H.Kelly~Kelly, M.~Kelly,M.~Kelly M.~Kelly M ^'),\
         ('Martha Keyes','Keyes, Martha','~M. Keyes~M.Keyes~Keyes, M.~Keyes,M.~Keyes M.~Keyes M ^'),\
         ('Martha Waters','Waters, Martha','~M. Waters~M.Waters~Waters, M.~Waters,M.~Waters M.~Waters M ^'),\
         ('Marty Wingate','Wingate, Marty','~M. Wingate~M.Wingate~Wingate, M.~Wingate,M.~Wingate M.~Wingate M ^'),\
         ('Martyn Waites','Waites, Martyn','~M. Waites~M.Waites~Waites, M.~Waites,M.~Waites M.~Waites M ^'),\
         ('Marvin Knight','Knight, Marvin','~M. Knight~M.Knight~Knight, M.~Knight,M.~Knight M.~Knight M ^'),\
         ('Mary Alford','Alford, Mary','~M. Alford~M.Alford~Alford, M.~Alford,M.~Alford M.~Alford M ^'),\
         ('Mary Calmes','Calmes, Mary','~M. Calmes~M.Calmes~Calmes, M.~Calmes,M.~Calmes M.~Calmes M ^'),\
         ('Mary Ellen Hughes','Hughes, Mary Ellen','~M.E. Hughes~M. E. Hughes~M.E.Hughes~Hughes, M.~Hughes,M.~Hughes M.~Hughes M ^'),\
         ('Mary Ellen Taylor','Taylor, Mary Ellen','~M.E. Taylor~M. E. Taylor~M.E.Taylor~Taylor, M.~Taylor,M.~Taylor M.~Taylor M ^'),\
         ('Mary Gibson','Gibson, Mary','~M. Gibson~M.Gibson~Gibson, M.~Gibson,M.~Gibson M.~Gibson M ^'),\
         ('Mary Jane Staples','Staples, Mary Jane','~M.J. Staples~M. J. Staples~M.J.Staples~Staples, M.~Staples,M.~Staples M.~Staples M ^'),\
         ('Mary Kingswood','Kingswood, Mary','~M. Kingswood~M.Kingswood~Kingswood, M.~Kingswood,M.~Kingswood M.~Kingswood M ^'),\
         ('Mary Kubica','Kubica, Mary','~M. Kubica~M.Kubica~Kubica, M.~Kubica,M.~Kubica M.~Kubica M ^'),\
         ('Mary Lancaster','Lancaster, Mary','~M. Lancaster~M.Lancaster~Lancaster, M.~Lancaster,M.~Lancaster M.~Lancaster M ^'),\
         ('Mary Marks','Marks, Mary','~M. Marks~M.Marks~Marks, M.~Marks,M.~Marks M.~Marks M ^'),\
         ('Mary Stone','Stone, Mary','~M. Stone~M.Stone~Stone, M.~Stone,M.~Stone M.~Stone M ^'),\
         ('Mary Wood','Wood, Mary','~M. Wood~M.Wood~Wood, M.~Wood,M.~Wood M.~Wood M ^'),\
         ('Maryann Jordan','Jordan, Maryann','~M. Jordan~M.Jordan~Jordan, M.~Jordan,M.~Jordan M.~Jordan M ^'),\
         ('MaryJanice Davidson','Davidson, MaryJanice','~M. Davidson~M.Davidson~Davidson, M.~Davidson,M.~Davidson M.~Davidson M ^'),\
         ('Mason Cross','Cross, Mason','~M. Cross~M.Cross~Cross, M.~Cross,M.~Cross M.~Cross M ^'),\
         ('Mat Osman','Osman, Mat','~M. Osman~M.Osman~Osman, M.~Osman,M.~Osman M.~Osman M ^'),\
         ('Matt Brolly','Brolly, Matt','~M. Brolly~M.Brolly~Brolly, M.~Brolly,M.~Brolly M.~Brolly M ^'),\
         ('Matt Coyle','Coyle, Matt','~M. Coyle~M.Coyle~Coyle, M.~Coyle,M.~Coyle M.~Coyle M ^'),\
         ('Matt Dinniman','Dinniman, Matt','~M. Dinniman~M.Dinniman~Dinniman, M.~Dinniman,M.~Dinniman M.~Dinniman M ^'),\
         ('Matt Goldman','Goldman, Matt','~M. Goldman~M.Goldman~Goldman, M.~Goldman,M.~Goldman M.~Goldman M ^'),\
         ('Matt James','James, Matt','~M. James~M.James~James, M.~James,M.~James M.~James M ^'),\
         ('Matt Rogers','Rogers, Matt','~M. Rogers~M.Rogers~Rogers, M.~Rogers,M.~Rogers M.~Rogers M ^'),\
         ('Matthew Betley','Betley, Matthew','~M. Betley~M.Betley~Betley, M.~Betley,M.~Betley M.~Betley M ^'),\
         ('Matthew Costello','Costello, Matthew','~M. Costello~M.Costello~Costello, M.~Costello,M.~Costello M.~Costello M ^'),\
         ('Matthew Hall','Hall, Matthew','~M. Hall~M.Hall~Hall, M.~Hall,M.~Hall M.~Hall M ^'),\
         ('Matthew Harffy','Harffy, Matthew','~M. Harffy~M.Harffy~Harffy, M.~Harffy,M.~Harffy M.~Harffy M ^'),\
         ('Matthew Ward','Ward, Matthew','~M. Ward~M.Ward~Ward, M.~Ward,M.~Ward M.~Ward M ^'),\
         ('Maurizio de Giovanni','Giovanni, Maurizio de','~M.d. Giovanni~M. d. Giovanni~M.d.Giovanni~Giovanni, M.~Giovanni,M.~Giovanni M.~Giovanni M ^'),\
         ('Max Brallier','Brallier, Max','~M. Brallier~M.Brallier~Brallier, M.~Brallier,M.~Brallier M.~Brallier M ^'),\
         ('Max Monroe','Monroe, Max','~M. Monroe~M.Monroe~Monroe, M.~Monroe,M.~Monroe M.~Monroe M ^'),\
         ('May Archer','Archer, May','~M. Archer~M.Archer~Archer, M.~Archer,M.~Archer M.~Archer M ^'),\
         ('May Cobb','Cobb, May','~M. Cobb~M.Cobb~Cobb, M.~Cobb,M.~Cobb M.~Cobb M ^'),\
         ('May Dawson','Dawson, May','~M. Dawson~M.Dawson~Dawson, M.~Dawson,M.~Dawson M.~Dawson M ^'),\
         ('May Sage','Sage, May','~M. Sage~M.Sage~Sage, M.~Sage,M.~Sage M.~Sage M ^'),\
         ('Maya Corrigan','Corrigan, Maya','~M. Corrigan~M.Corrigan~Corrigan, M.~Corrigan,M.~Corrigan M.~Corrigan M ^'),\
         ('Maya Nicole','Nicole, Maya','~M. Nicole~M.Nicole~Nicole, M.~Nicole,M.~Nicole M.~Nicole M ^'),\
         ('Mazey Eddings','Eddings, Mazey','~M. Eddings~M.Eddings~Eddings, M.~Eddings,M.~Eddings M.~Eddings M ^'),\
         ('McKenzie Hunter','Hunter, McKenzie','~M. Hunter~M.Hunter~Hunter, M.~Hunter,M.~Hunter M.~Hunter M ^'),\
         ('Meagan Brandy','Brandy, Meagan','~M. Brandy~M.Brandy~Brandy, M.~Brandy,M.~Brandy M.~Brandy M ^'),\
         ('Meara Platt','Platt, Meara','~M. Platt~M.Platt~Platt, M.~Platt,M.~Platt M.~Platt M ^'),\
         ('Measha Stone','Stone, Measha','~M. Stone~M.Stone~Stone, M.~Stone,M.~Stone M.~Stone M ^'),\
         ('Meg Elison','Elison, Meg','~M. Elison~M.Elison~Elison, M.~Elison,M.~Elison M.~Elison M ^'),\
         ('Meg Gardiner','Gardiner, Meg','~M. Gardiner~M.Gardiner~Gardiner, M.~Gardiner,M.~Gardiner M.~Gardiner M ^'),\
         ('Meg Jolly','Jolly, Meg','~M. Jolly~M.Jolly~Jolly, M.~Jolly,M.~Jolly M.~Jolly M ^'),\
         ('Meg Macy','Macy, Meg','~M. Macy~M.Macy~Macy, M.~Macy,M.~Macy M.~Macy M ^'),\
         ('Meg Mitchell Moore','Moore, Meg Mitchell','~M.M. Moore~M. M. Moore~M.M.Moore~Moore, M.~Moore,M.~Moore M.~Moore M ^'),\
         ('Meg Xuemei X','X, Meg Xuemei','~M.X. X~M. X. X~M.X.X~X, M.~X,M.~X M.~X M ^'),\
         ('Megan Bannen','Bannen, Megan','~M. Bannen~M.Bannen~Bannen, M.~Bannen,M.~Bannen M.~Bannen M ^'),\
         ('Megan Frampton','Frampton, Megan','~M. Frampton~M.Frampton~Frampton, M.~Frampton,M.~Frampton M.~Frampton M ^'),\
         ('Megan Goldin','Goldin, Megan','~M. Goldin~M.Goldin~Goldin, M.~Goldin,M.~Goldin M.~Goldin M ^'),\
         ('Megan Miranda','Miranda, Megan','~M. Miranda~M.Miranda~Miranda, M.~Miranda,M.~Miranda M.~Miranda M ^'),\
         ('Megan Montero','Montero, Megan','~M. Montero~M.Montero~Montero, M.~Montero,M.~Montero M.~Montero M ^'),\
         ('Megan O''Brien','O''Brien, Megan','~M. O''Brien~M.O''Brien~O''Brien, M.~O''Brien,M.~O''Brien M.~O''Brien M ^'),\
         ('Megan Wade','Wade, Megan','~M. Wade~M.Wade~Wade, M.~Wade,M.~Wade M.~Wade M ^'),\
         ('Megan Whalen Turner','Turner, Megan Whalen','~M.W. Turner~M. W. Turner~M.W.Turner~Turner, M.~Turner,M.~Turner M.~Turner M ^'),\
         ('Meghan March','March, Meghan','~M. March~M.March~March, M.~March,M.~March M.~March M ^'),\
         ('Meghan Quinn','Quinn, Meghan','~M. Quinn~M.Quinn~Quinn, M.~Quinn,M.~Quinn M.~Quinn M ^'),\
         ('Mel Sherratt','Sherratt, Mel','~M. Sherratt~M.Sherratt~Sherratt, M.~Sherratt,M.~Sherratt M.~Sherratt M ^'),\
         ('Mel Todd','Todd, Mel','~M. Todd~M.Todd~Todd, M.~Todd,M.~Todd M.~Todd M ^'),\
         ('Melanie Blake','Blake, Melanie','~M. Blake~M.Blake~Blake, M.~Blake,M.~Blake M.~Blake M ^'),\
         ('Melanie Cellier','Cellier, Melanie','~M. Cellier~M.Cellier~Cellier, M.~Cellier,M.~Cellier M.~Cellier M ^'),\
         ('Melanie Dobson','Dobson, Melanie','~M. Dobson~M.Dobson~Dobson, M.~Dobson,M.~Dobson M.~Dobson M ^'),\
         ('Melanie Harlow','Harlow, Melanie','~M. Harlow~M.Harlow~Harlow, M.~Harlow,M.~Harlow M.~Harlow M ^'),\
         ('Melanie Moreland','Moreland, Melanie','~M. Moreland~M.Moreland~Moreland, M.~Moreland,M.~Moreland M.~Moreland M ^'),\
         ('Melissa Albert','Albert, Melissa','~M. Albert~M.Albert~Albert, M.~Albert,M.~Albert M.~Albert M ^'),\
         ('Melissa Blair','Blair, Melissa','~M. Blair~M.Blair~Blair, M.~Blair,M.~Blair M.~Blair M ^'),\
         ('Melissa Caruso','Caruso, Melissa','~M. Caruso~M.Caruso~Caruso, M.~Caruso,M.~Caruso M.~Caruso M ^'),\
         ('Melissa De La Cruz','Cruz, Melissa De La','~M.D.L.Cruz~M. D. L. Cruz~M.D.L.Cruz~Cruz, M.~Cruz,M.~Cruz M.~Cruz M ^'),\
         ('Melissa F. Miller','Miller, Melissa F.','~M.F. Miller~M. F. Miller~M.F.Miller~Miller, M.~Miller,M.~Miller M.~Miller M ^'),\
         ('Melvin Starr','Starr, Melvin','~M. Starr~M.Starr~Starr, M.~Starr,M.~Starr M.~Starr M ^'),\
         ('Meredith Summers','Summers, Meredith','~M. Summers~M.Summers~Summers, M.~Summers,M.~Summers M.~Summers M ^'),\
         ('Meri Allen','Allen, Meri','~M. Allen~M.Allen~Allen, M.~Allen,M.~Allen M.~Allen M ^'),\
         ('Merryn Allingham','Allingham, Merryn','~M. Allingham~M.Allingham~Allingham, M.~Allingham,M.~Allingham M.~Allingham M ^'),\
         ('Mia P. Manansala','Manansala, Mia P.','~M.P. Manansala~M. P. Manansala~M.P.Manansala~Manansala, M.~Manansala,M.~Manansala M.~Manansala M ^'),\
         ('Mia Sosa','Sosa, Mia','~M. Sosa~M.Sosa~Sosa, M.~Sosa,M.~Sosa M.~Sosa M ^'),\
         ('Michael Anderle','Anderle, Michael','~M. Anderle~M.Anderle~Anderle, M.~Anderle,M.~Anderle M.~Anderle M ^'),\
         ('Michael Arnold','Arnold, Michael','~M. Arnold~M.Arnold~Arnold, M.~Arnold,M.~Arnold M.~Arnold M ^'),\
         ('Michael Aye','Aye, Michael','~M. Aye~M.Aye~Aye, M.~Aye,M.~Aye M.~Aye M ^'),\
         ('Michael Bennett','Bennett, Michael','~M. Bennett~M.Bennett~Bennett, M.~Bennett,M.~Bennett M.~Bennett M ^'),\
         ('Michael Bennett','Bennett, Michael','~M. Bennett~M.Bennett~Bennett, M.~Bennett,M.~Bennett M.~Bennett M ^'),\
         ('Michael Brandman','Brandman, Michael','~M. Brandman~M.Brandman~Brandman, M.~Brandman,M.~Brandman M.~Brandman M ^'),\
         ('Michael Chatfield','Chatfield, Michael','~M. Chatfield~M.Chatfield~Chatfield, M.~Chatfield,M.~Chatfield M.~Chatfield M ^'),\
         ('Michael Cole','Cole, Michael','~M. Cole~M.Cole~Cole, M.~Cole,M.~Cole M.~Cole M ^'),\
         ('Michael Dahl','Dahl, Michael','~M. Dahl~M.Dahl~Dahl, M.~Dahl,M.~Dahl M.~Dahl M ^'),\
         ('Michael Dalton','Dalton, Michael','~M. Dalton~M.Dalton~Dalton, M.~Dalton,M.~Dalton M.~Dalton M ^'),\
         ('Michael G. Manning','Manning, Michael G.','~M.G. Manning~M. G. Manning~M.G.Manning~Manning, M.~Manning,M.~Manning M.~Manning M ^'),\
         ('Michael Hambling','Hambling, Michael','~M. Hambling~M.Hambling~Hambling, M.~Hambling,M.~Hambling M.~Hambling M ^'),\
         ('Michael Mann','Mann, Michael','~M. Mann~M.Mann~Mann, M.~Mann,M.~Mann M.~Mann M ^'),\
         ('Michael McBride','McBride, Michael','~M. McBride~M.McBride~McBride, M.~McBride,M.~McBride M.~McBride M ^'),\
         ('Michael McGarrity','McGarrity, Michael','~M. McGarrity~M.McGarrity~McGarrity, M.~McGarrity,M.~McGarrity M.~McGarrity M ^'),\
         ('Michael Morpurgo','Morpurgo, Michael','~M. Morpurgo~M.Morpurgo~Morpurgo, M.~Morpurgo,M.~Morpurgo M.~Morpurgo M ^'),\
         ('Michael R. Underwood','Underwood, Michael R.','~M.R. Underwood~M. R. Underwood~M.R.Underwood~Underwood, M.~Underwood,M.~Underwood M.~Underwood M ^'),\
         ('Michael Sisa','Sisa, Michael','~M. Sisa~M.Sisa~Sisa, M.~Sisa,M.~Sisa M.~Sisa M ^'),\
         ('Michael Stephen Fuchs','Fuchs, Michael Stephen','~M.S. Fuchs~M. S. Fuchs~M.S.Fuchs~Fuchs, M.~Fuchs,M.~Fuchs M.~Fuchs M ^'),\
         ('Michael-Scott Earle','Earle, Michael-Scott','~M. Earle~M.Earle~Earle, M.~Earle,M.~Earle M.~Earle M ^'),\
         ('Michele Campbell','Campbell, Michele','~M. Campbell~M.Campbell~Campbell, M.~Campbell,M.~Campbell M.~Campbell M ^'),\
         ('Michele Mills','Mills, Michele','~M. Mills~M.Mills~Mills, M.~Mills,M.~Mills M.~Mills M ^'),\
         ('Michelle Griep','Griep, Michelle','~M. Griep~M.Griep~Griep, M.~Griep,M.~Griep M.~Griep M ^'),\
         ('Michelle Harrison','Harrison, Michelle','~M. Harrison~M.Harrison~Harrison, M.~Harrison,M.~Harrison M.~Harrison M ^'),\
         ('Michelle Heard','Heard, Michelle','~M. Heard~M.Heard~Heard, M.~Heard,M.~Heard M.~Heard M ^'),\
         ('Michelle Hercules','Hercules, Michelle','~M. Hercules~M.Hercules~Hercules, M.~Hercules,M.~Hercules M.~Hercules M ^'),\
         ('Michelle Hillen Klump','Klump, Michelle Hillen','~M.H. Klump~M. H. Klump~M.H.Klump~Klump, M.~Klump,M.~Klump M.~Klump M ^'),\
         ('Michelle Howard','Howard, Michelle','~M. Howard~M.Howard~Howard, M.~Howard,M.~Howard M.~Howard M ^'),\
         ('Michelle Major','Major, Michelle','~M. Major~M.Major~Major, M.~Major,M.~Major M.~Major M ^'),\
         ('Michelle Rawlins','Rawlins, Michelle','~M. Rawlins~M.Rawlins~Rawlins, M.~Rawlins,M.~Rawlins M.~Rawlins M ^'),\
         ('Michelle Smart','Smart, Michelle','~M. Smart~M.Smart~Smart, M.~Smart,M.~Smart M.~Smart M ^'),\
         ('Mick Finlay','Finlay, Mick','~M. Finlay~M.Finlay~Finlay, M.~Finlay,M.~Finlay M.~Finlay M ^'),\
         ('Mike Brooks','Brooks, Mike','~M. Brooks~M.Brooks~Brooks, M.~Brooks,M.~Brooks M.~Brooks M ^'),\
         ('Mike Grist','Grist, Mike','~M. Grist~M.Grist~Grist, M.~Grist,M.~Grist M.~Grist M ^'),\
         ('Mike Hollow','Hollow, Mike','~M. Hollow~M.Hollow~Hollow, M.~Hollow,M.~Hollow M.~Hollow M ^'),\
         ('Mike Kraus','Kraus, Mike','~M. Kraus~M.Kraus~Kraus, M.~Kraus,M.~Kraus M.~Kraus M ^'),\
         ('Mike Maden','Maden, Mike','~M. Maden~M.Maden~Maden, M.~Maden,M.~Maden M.~Maden M ^'),\
         ('Mike Omer','Omer, Mike','~M. Omer~M.Omer~Omer, M.~Omer,M.~Omer M.~Omer M ^'),\
         ('Mike Ripley','Ripley, Mike','~M. Ripley~M.Ripley~Ripley, M.~Ripley,M.~Ripley M.~Ripley M ^'),\
         ('Mike Ryan','Ryan, Mike','~M. Ryan~M.Ryan~Ryan, M.~Ryan,M.~Ryan M.~Ryan M ^'),\
         ('Mike Truk','Truk, Mike','~M. Truk~M.Truk~Truk, M.~Truk,M.~Truk M.~Truk M ^'),\
         ('Mila Crawford','Crawford, Mila','~M. Crawford~M.Crawford~Crawford, M.~Crawford,M.~Crawford M.~Crawford M ^'),\
         ('Mila Gray','Gray, Mila','~M. Gray~M.Gray~Gray, M.~Gray,M.~Gray M.~Gray M ^'),\
         ('Mila Young','Young, Mila','~M. Young~M.Young~Young, M.~Young,M.~Young M.~Young M ^'),\
         ('Milana Jacks','Jacks, Milana','~M. Jacks~M.Jacks~Jacks, M.~Jacks,M.~Jacks M.~Jacks M ^'),\
         ('Mildred Abbott','Abbott, Mildred','~M. Abbott~M.Abbott~Abbott, M.~Abbott,M.~Abbott M.~Abbott M ^'),\
         ('Millie Adams','Adams, Millie','~M. Adams~M.Adams~Adams, M.~Adams,M.~Adams M.~Adams M ^'),\
         ('Mimi Granger','Granger, Mimi','~M. Granger~M.Granger~Granger, M.~Granger,M.~Granger M.~Granger M ^'),\
         ('Mimi Matthews','Matthews, Mimi','~M. Matthews~M.Matthews~Matthews, M.~Matthews,M.~Matthews M.~Matthews M ^'),\
         ('Mindy Quigley','Quigley, Mindy','~M. Quigley~M.Quigley~Quigley, M.~Quigley,M.~Quigley M.~Quigley M ^'),\
         ('Minerva Spencer','Spencer, Minerva','~M. Spencer~M.Spencer~Spencer, M.~Spencer,M.~Spencer M.~Spencer M ^'),\
         ('Minka Kent','Kent, Minka','~M. Kent~M.Kent~Kent, M.~Kent,M.~Kent M.~Kent M ^'),\
         ('Miranda Bridges','Bridges, Miranda','~M. Bridges~M.Bridges~Bridges, M.~Bridges,M.~Bridges M.~Bridges M ^'),\
         ('Miranda Cowley Heller','Heller, Miranda Cowley','~M.C. Heller~M. C. Heller~M.C.Heller~Heller, M.~Heller,M.~Heller M.~Heller M ^'),\
         ('Miranda Grant','Grant, Miranda','~M. Grant~M.Grant~Grant, M.~Grant,M.~Grant M.~Grant M ^'),\
         ('Miranda Liasson','Liasson, Miranda','~M. Liasson~M.Liasson~Liasson, M.~Liasson,M.~Liasson M.~Liasson M ^'),\
         ('Miranda Martin','Martin, Miranda','~M. Martin~M.Martin~Martin, M.~Martin,M.~Martin M.~Martin M ^'),\
         ('Misty M. Beller','Beller, Misty M.','~M.M. Beller~M. M. Beller~M.M.Beller~Beller, M.~Beller,M.~Beller M.~Beller M ^'),\
         ('MJ Fields','Fields, MJ','~M. Fields~M.Fields~Fields, M.~Fields,M.~Fields M.~Fields M ^'),\
         ('Mo Xiang Tong Xiu','Xiu, Mo Xiang Tong','~M.X.T.Xiu~M. X. T. Xiu~M.X.T.Xiu~Xiu, M.~Xiu,M.~Xiu M.~Xiu M ^'),\
         ('Mollie Cox Bryan','Bryan, Mollie Cox','~M.C. Bryan~M. C. Bryan~M.C.Bryan~Bryan, M.~Bryan,M.~Bryan M.~Bryan M ^'),\
         ('Mollie Walton','Walton, Mollie','~M. Walton~M.Walton~Walton, M.~Walton,M.~Walton M.~Walton M ^'),\
         ('Molly Black','Black, Molly','~M. Black~M.Black~Black, M.~Black,M.~Black M.~Black M ^'),\
         ('Molly Fitz','Fitz, Molly','~M. Fitz~M.Fitz~Fitz, M.~Fitz,M.~Fitz M.~Fitz M ^'),\
         ('Molly Green','Green, Molly','~M. Green~M.Green~Green, M.~Green,M.~Green M.~Green M ^'),\
         ('Morgan Elizabeth','Elizabeth, Morgan','~M. Elizabeth~M.Elizabeth~Elizabeth, M.~Elizabeth,M.~Elizabeth M.~Elizabeth M ^'),\
         ('Morgan Greene','Greene, Morgan','~M. Greene~M.Greene~Greene, M.~Greene,M.~Greene M.~Greene M ^'),\
         ('Morgan Rhodes','Rhodes, Morgan','~M. Rhodes~M.Rhodes~Rhodes, M.~Rhodes,M.~Rhodes M.~Rhodes M ^'),\
         ('Morgana Best','Best, Morgana','~M. Best~M.Best~Best, M.~Best,M.~Best M.~Best M ^'),\
         ('Morris Gleitzman','Gleitzman, Morris','~M. Gleitzman~M.Gleitzman~Gleitzman, M.~Gleitzman,M.~Gleitzman M.~Gleitzman M ^'),\
         ('Mz Lady P','P, Mz Lady','~M.L. P~M. L. P~M.L.P~P, M.~P,M.~P M.~P M ^'),\
         ('N.C. Lewis','Lewis, N.C.','~N.C. Lewis~N. C. Lewis~N.C.Lewis~Lewis, N.~Lewis,N.~Lewis N.~Lewis N ^'),\
         ('N.R. Walker','Walker, N.R.','~N.R. Walker~N. R. Walker~N.R.Walker~Walker, N.~Walker,N.~Walker N.~Walker N ^'),\
         ('Nadine Dorries','Dorries, Nadine','~N. Dorries~N.Dorries~Dorries, N.~Dorries,N.~Dorries N.~Dorries N ^'),\
         ('Nadine Matheson','Matheson, Nadine','~N. Matheson~N.Matheson~Matheson, N.~Matheson,N.~Matheson N.~Matheson N ^'),\
         ('Naima Simone','Simone, Naima','~N. Simone~N.Simone~Simone, N.~Simone,N.~Simone N.~Simone N ^'),\
         ('Namina Forna','Forna, Namina','~N. Forna~N.Forna~Forna, N.~Forna,N.~Forna N.~Forna N ^'),\
         ('Nancy Barone','Barone, Nancy','~N. Barone~N.Barone~Barone, N.~Barone,N.~Barone N.~Barone N ^'),\
         ('Nancy Campbell Allen','Allen, Nancy Campbell','~N.C. Allen~N. C. Allen~N.C.Allen~Allen, N.~Allen,N.~Allen N.~Allen N ^'),\
         ('Nancy Coco','Coco, Nancy','~N. Coco~N.Coco~Coco, N.~Coco,N.~Coco N.~Coco N ^'),\
         ('Nancy Herriman','Herriman, Nancy','~N. Herriman~N.Herriman~Herriman, N.~Herriman,N.~Herriman N.~Herriman N ^'),\
         ('Nancy Naigle','Naigle, Nancy','~N. Naigle~N.Naigle~Naigle, N.~Naigle,N.~Naigle N.~Naigle N ^'),\
         ('Nancy Revell','Revell, Nancy','~N. Revell~N.Revell~Revell, N.~Revell,N.~Revell N.~Revell N ^'),\
         ('Naomi Hirahara','Hirahara, Naomi','~N. Hirahara~N.Hirahara~Hirahara, N.~Hirahara,N.~Hirahara N.~Hirahara N ^'),\
         ('Naomi Lucas','Lucas, Naomi','~N. Lucas~N.Lucas~Lucas, N.~Lucas,N.~Lucas N.~Lucas N ^'),\
         ('Naomi Porter','Porter, Naomi','~N. Porter~N.Porter~Porter, N.~Porter,N.~Porter N.~Porter N ^'),\
         ('Naomi West','West, Naomi','~N. West~N.West~West, N.~West,N.~West N.~West N ^'),\
         ('Natalie Barelli','Barelli, Natalie','~N. Barelli~N.Barelli~Barelli, N.~Barelli,N.~Barelli N.~Barelli N ^'),\
         ('Natalie Bennett','Bennett, Natalie','~N. Bennett~N.Bennett~Bennett, N.~Bennett,N.~Bennett N.~Bennett N ^'),\
         ('Natalie D. Richards','Richards, Natalie D.','~N.D. Richards~N. D. Richards~N.D.Richards~Richards, N.~Richards,N.~Richards N.~Richards N ^'),\
         ('Natalie Haynes','Haynes, Natalie','~N. Haynes~N.Haynes~Haynes, N.~Haynes,N.~Haynes N.~Haynes N ^'),\
         ('Natalie Jenner','Jenner, Natalie','~N. Jenner~N.Jenner~Jenner, N.~Jenner,N.~Jenner N.~Jenner N ^'),\
         ('Natalie Walters','Walters, Natalie','~N. Walters~N.Walters~Walters, N.~Walters,N.~Walters N.~Walters N ^'),\
         ('Natasha Lester','Lester, Natasha','~N. Lester~N.Lester~Lester, N.~Lester,N.~Lester N.~Lester N ^'),\
         ('Natasha Madison','Madison, Natasha','~N. Madison~N.Madison~Madison, N.~Madison,N.~Madison N.~Madison N ^'),\
         ('Natasha Pulley','Pulley, Natasha','~N. Pulley~N.Pulley~Pulley, N.~Pulley,N.~Pulley N.~Pulley N ^'),\
         ('Nathan Dylan Goodwin','Goodwin, Nathan Dylan','~N.D. Goodwin~N. D. Goodwin~N.D.Goodwin~Goodwin, N.~Goodwin,N.~Goodwin N.~Goodwin N ^'),\
         ('Nathan Hystad','Hystad, Nathan','~N. Hystad~N.Hystad~Hystad, N.~Hystad,N.~Hystad N.~Hystad N ^'),\
         ('Neal Asher','Asher, Neal','~N. Asher~N.Asher~Asher, N.~Asher,N.~Asher N.~Asher N ^'),\
         ('Neil Broadfoot','Broadfoot, Neil','~N. Broadfoot~N.Broadfoot~Broadfoot, N.~Broadfoot,N.~Broadfoot N.~Broadfoot N ^'),\
         ('Neil Lancaster','Lancaster, Neil','~N. Lancaster~N.Lancaster~Lancaster, N.~Lancaster,N.~Lancaster N.~Lancaster N ^'),\
         ('Nev March','March, Nev','~N. March~N.March~March, N.~March,N.~March N.~March N ^'),\
         ('Neve Wilder','Wilder, Neve','~N. Wilder~N.Wilder~Wilder, N.~Wilder,N.~Wilder N.~Wilder N ^'),\
         ('Neven Iliev','Iliev, Neven','~N. Iliev~N.Iliev~Iliev, N.~Iliev,N.~Iliev N.~Iliev N ^'),\
         ('Ngaio Marsh','Marsh, Ngaio','~N. Marsh~N.Marsh~Marsh, N.~Marsh,N.~Marsh N.~Marsh N ^'),\
         ('Nghi Vo','Vo, Nghi','~N. Vo~N.Vo~Vo, N.~Vo,N.~Vo N.~Vo N ^'),\
         ('Niall Teasdale','Teasdale, Niall','~N. Teasdale~N.Teasdale~Teasdale, N.~Teasdale,N.~Teasdale N.~Teasdale N ^'),\
         ('Nic Roberts','Roberts, Nic','~N. Roberts~N.Roberts~Roberts, N.~Roberts,N.~Roberts N.~Roberts N ^'),\
         ('Nic Saint','Saint, Nic','~N. Saint~N.Saint~Saint, N.~Saint,N.~Saint N.~Saint N ^'),\
         ('Nicci Harris','Harris, Nicci','~N. Harris~N.Harris~Harris, N.~Harris,N.~Harris N.~Harris N ^'),\
         ('Nicholas Eames','Eames, Nicholas','~N. Eames~N.Eames~Eames, N.~Eames,N.~Eames N.~Eames N ^'),\
         ('Nicholas Irving','Irving, Nicholas','~N. Irving~N.Irving~Irving, N.~Irving,N.~Irving N.~Irving N ^'),\
         ('Nicholas Rhea','Rhea, Nicholas','~N. Rhea~N.Rhea~Rhea, N.~Rhea,N.~Rhea N.~Rhea N ^'),\
         ('Nicholas Sansbury Smith','Smith, Nicholas Sansbury','~N.S. Smith~N. S. Smith~N.S.Smith~Smith, N.~Smith,N.~Smith N.~Smith N ^'),\
         ('Nichole Rose','Rose, Nichole','~N. Rose~N.Rose~Rose, N.~Rose,N.~Rose N.~Rose N ^'),\
         ('Nick Cutter','Cutter, Nick','~N. Cutter~N.Cutter~Cutter, N.~Cutter,N.~Cutter N.~Cutter N ^'),\
         ('Nick Louth','Louth, Nick','~N. Louth~N.Louth~Louth, N.~Louth,N.~Louth N.~Louth N ^'),\
         ('Nick Petrie','Petrie, Nick','~N. Petrie~N.Petrie~Petrie, N.~Petrie,N.~Petrie N.~Petrie N ^'),\
         ('Nick Russell','Russell, Nick','~N. Russell~N.Russell~Russell, N.~Russell,N.~Russell N.~Russell N ^'),\
         ('Nick Ryan','Ryan, Nick','~N. Ryan~N.Ryan~Ryan, N.~Ryan,N.~Ryan N.~Ryan N ^'),\
         ('Nicky Pellegrino','Pellegrino, Nicky','~N. Pellegrino~N.Pellegrino~Pellegrino, N.~Pellegrino,N.~Pellegrino N.~Pellegrino N ^'),\
         ('Nicola Davidson','Davidson, Nicola','~N. Davidson~N.Davidson~Davidson, N.~Davidson,N.~Davidson N.~Davidson N ^'),\
         ('Nicola Jane','Jane, Nicola','~N. Jane~N.Jane~Jane, N.~Jane,N.~Jane N.~Jane N ^'),\
         ('Nicola Upson','Upson, Nicola','~N. Upson~N.Upson~Upson, N.~Upson,N.~Upson N.~Upson N ^'),\
         ('Nicole Flockton','Flockton, Nicole','~N. Flockton~N.Flockton~Flockton, N.~Flockton,N.~Flockton N.~Flockton N ^'),\
         ('Nicole Fox','Fox, Nicole','~N. Fox~N.Fox~Fox, N.~Fox,N.~Fox N.~Fox N ^'),\
         ('Nicole Helm','Helm, Nicole','~N. Helm~N.Helm~Helm, N.~Helm,N.~Helm N.~Helm N ^'),\
         ('Nicole James','James, Nicole','~N. James~N.James~James, N.~James,N.~James N.~James N ^'),\
         ('Nicole Snow','Snow, Nicole','~N. Snow~N.Snow~Snow, N.~Snow,N.~Snow N.~Snow N ^'),\
         ('Nicole Trope','Trope, Nicole','~N. Trope~N.Trope~Trope, N.~Trope,N.~Trope N.~Trope N ^'),\
         ('Nicoli Gonnella','Gonnella, Nicoli','~N. Gonnella~N.Gonnella~Gonnella, N.~Gonnella,N.~Gonnella N.~Gonnella N ^'),\
         ('Nikita Parmenter','Parmenter, Nikita','~N. Parmenter~N.Parmenter~Parmenter, N.~Parmenter,N.~Parmenter N.~Parmenter N ^'),\
         ('Nikki Ash','Ash, Nikki','~N. Ash~N.Ash~Ash, N.~Ash,N.~Ash N.~Ash N ^'),\
         ('Nikki Erlick','Erlick, Nikki','~N. Erlick~N.Erlick~Erlick, N.~Erlick,N.~Erlick N.~Erlick N ^'),\
         ('Nikki Knight','Knight, Nikki','~N. Knight~N.Knight~Knight, N.~Knight,N.~Knight N.~Knight N ^'),\
         ('Nikki Sloane','Sloane, Nikki','~N. Sloane~N.Sloane~Sloane, N.~Sloane,N.~Sloane N.~Sloane N ^'),\
         ('Nikki St Crowe','Crowe, Nikki St','~N.S. Crowe~N. S. Crowe~N.S.Crowe~Crowe, N.~Crowe,N.~Crowe N.~Crowe N ^'),\
         ('Nina Levine','Levine, Nina','~N. Levine~N.Levine~Levine, N.~Levine,N.~Levine N.~Levine N ^'),\
         ('Nita Prose','Prose, Nita','~N. Prose~N.Prose~Prose, N.~Prose,N.~Prose N.~Prose N ^'),\
         ('Noelle Holten','Holten, Noelle','~N. Holten~N.Holten~Holten, N.~Holten,N.~Holten N.~Holten N ^'),\
         ('Nora Phoenix','Phoenix, Nora','~N. Phoenix~N.Phoenix~Phoenix, N.~Phoenix,N.~Phoenix N.~Phoenix N ^'),\
         ('Norman Russell','Russell, Norman','~N. Russell~N.Russell~Russell, N.~Russell,N.~Russell N.~Russell N ^'),\
         ('Nyssa Kathryn','Kathryn, Nyssa','~N. Kathryn~N.Kathryn~Kathryn, N.~Kathryn,N.~Kathryn N.~Kathryn N ^'),\
         ('Odette Stone','Stone, Odette','~O. Stone~O.Stone~Stone, O.~Stone,O.~Stone O.~Stone O ^'),\
         ('Olaf Olafsson','Olafsson, Olaf','~O. Olafsson~O.Olafsson~Olafsson, O.~Olafsson,O.~Olafsson O.~Olafsson O ^'),\
         ('Oliver Davies','Davies, Oliver','~O. Davies~O.Davies~Davies, O.~Davies,O.~Davies O.~Davies O ^'),\
         ('Olivia Dade','Dade, Olivia','~O. Dade~O.Dade~Dade, O.~Dade,O.~Dade O.~Dade O ^'),\
         ('Olivia Hawker','Hawker, Olivia','~O. Hawker~O.Hawker~Hawker, O.~Hawker,O.~Hawker O.~Hawker O ^'),\
         ('Olivia Hayle','Hayle, Olivia','~O. Hayle~O.Hayle~Hayle, O.~Hayle,O.~Hayle O.~Hayle O ^'),\
         ('Olivia Jaymes','Jaymes, Olivia','~O. Jaymes~O.Jaymes~Jaymes, O.~Jaymes,O.~Jaymes O.~Jaymes O ^'),\
         ('Olivia Kiernan','Kiernan, Olivia','~O. Kiernan~O.Kiernan~Kiernan, O.~Kiernan,O.~Kiernan O.~Kiernan O ^'),\
         ('Olivia Matthews','Matthews, Olivia','~O. Matthews~O.Matthews~Matthews, O.~Matthews,O.~Matthews O.~Matthews O ^'),\
         ('Olivia T. Turner','Turner, Olivia T.','~O.T. Turner~O. T. Turner~O.T.Turner~Turner, O.~Turner,O.~Turner O.~Turner O ^'),\
         ('Olivie Blake','Blake, Olivie','~O. Blake~O.Blake~Blake, O.~Blake,O.~Blake O.~Blake O ^'),\
         ('Onley James','James, Onley','~O. James~O.James~James, O.~James,O.~James O.~James O ^'),\
         ('Opal Reyne','Reyne, Opal','~O. Reyne~O.Reyne~Reyne, O.~Reyne,O.~Reyne O.~Reyne O ^'),\
         ('Orlando A. Sanchez','Sanchez, Orlando A.','~O.A. Sanchez~O. A. Sanchez~O.A.Sanchez~Sanchez, O.~Sanchez,O.~Sanchez O.~Sanchez O ^'),\
         ('Oscar De Muriel','Muriel, Oscar De','~O.D. Muriel~O. D. Muriel~O.D.Muriel~Muriel, O.~Muriel,O.~Muriel O.~Muriel O ^'),\
         ('Ottessa Moshfegh','Moshfegh, Ottessa','~O. Moshfegh~O.Moshfegh~Moshfegh, O.~Moshfegh,O.~Moshfegh O.~Moshfegh O ^'),\
         ('Ovidia Yu','Yu, Ovidia','~O. Yu~O.Yu~Yu, O.~Yu,O.~Yu O.~Yu O ^'),\
         ('Owen Laukkanen','Laukkanen, Owen','~O. Laukkanen~O.Laukkanen~Laukkanen, O.~Laukkanen,O.~Laukkanen O.~Laukkanen O ^'),\
         ('Owen Mullen','Mullen, Owen','~O. Mullen~O.Mullen~Mullen, O.~Mullen,O.~Mullen O.~Mullen O ^'),\
         ('P.Djèlí Clark','Clark, P.Djèlí','~P.D. Clark~P. D. Clark~P.D.Clark~Clark, P.~Clark,P.~Clark P.~Clark P ^'),\
         ('P.F. Ford','Ford, P.F.','~P.F. Ford~P. F. Ford~P.F.Ford~Ford, P.~Ford,P.~Ford P.~Ford P ^'),\
         ('Pam Evans','Evans, Pam','~P. Evans~P.Evans~Evans, P.~Evans,P.~Evans P.~Evans P ^'),\
         ('Pam Howes','Howes, Pam','~P. Howes~P.Howes~Howes, P.~Howes,P.~Howes P.~Howes P ^'),\
         ('Pam Weaver','Weaver, Pam','~P. Weaver~P.Weaver~Weaver, P.~Weaver,P.~Weaver P.~Weaver P ^'),\
         ('Pamela Butchart','Butchart, Pamela','~P. Butchart~P.Butchart~Butchart, P.~Butchart,P.~Butchart P.~Butchart P ^'),\
         ('Pamela Fagan Hutchins','Hutchins, Pamela Fagan','~P.F. Hutchins~P. F. Hutchins~P.F.Hutchins~Hutchins, P.~Hutchins,P.~Hutchins P.~Hutchins P ^'),\
         ('Pamela Hart','Hart, Pamela','~P. Hart~P.Hart~Hart, P.~Hart,P.~Hart P.~Hart P ^'),\
         ('Pamela Kelley','Kelley, Pamela','~P. Kelley~P.Kelley~Kelley, P.~Kelley,P.~Kelley P.~Kelley P ^'),\
         ('Patricia A. McKillip','McKillip, Patricia A.','~P.A. McKillip~P. A. McKillip~P.A.McKillip~McKillip, P.~McKillip,P.~McKillip P.~McKillip P ^'),\
         ('Patricia Bradley','Bradley, Patricia','~P. Bradley~P.Bradley~Bradley, P.~Bradley,P.~Bradley P.~Bradley P ^'),\
         ('Patricia Gibney','Gibney, Patricia','~P. Gibney~P.Gibney~Gibney, P.~Gibney,P.~Gibney P.~Gibney P ^'),\
         ('Patricia Johns','Johns, Patricia','~P. Johns~P.Johns~Johns, P.~Johns,P.~Johns P.~Johns P ^'),\
         ('Patricia MacDonald','MacDonald, Patricia','~P. MacDonald~P.MacDonald~MacDonald, P.~MacDonald,P.~MacDonald P.~MacDonald P ^'),\
         ('Patrick Logan','Logan, Patrick','~P. Logan~P.Logan~Logan, P.~Logan,P.~Logan P.~Logan P ^'),\
         ('Patrick Worrall','Worrall, Patrick','~P. Worrall~P.Worrall~Worrall, P.~Worrall,P.~Worrall P.~Worrall P ^'),\
         ('Patti Callahan','Callahan, Patti','~P. Callahan~P.Callahan~Callahan, P.~Callahan,P.~Callahan P.~Callahan P ^'),\
         ('Paul Christopher','Christopher, Paul','~P. Christopher~P.Christopher~Christopher, P.~Christopher,P.~Christopher P.~Christopher P ^'),\
         ('Paul Gitsham','Gitsham, Paul','~P. Gitsham~P.Gitsham~Gitsham, P.~Gitsham,P.~Gitsham P.~Gitsham P ^'),\
         ('Paul Heatley','Heatley, Paul','~P. Heatley~P.Heatley~Heatley, P.~Heatley,P.~Heatley P.~Heatley P ^'),\
         ('Paul J. Bennett','Bennett, Paul J.','~P.J. Bennett~P. J. Bennett~P.J.Bennett~Bennett, P.~Bennett,P.~Bennett P.~Bennett P ^'),\
         ('Paul Tremblay','Tremblay, Paul','~P. Tremblay~P.Tremblay~Tremblay, P.~Tremblay,P.~Tremblay P.~Tremblay P ^'),\
         ('Paul Vidich','Vidich, Paul','~P. Vidich~P.Vidich~Vidich, P.~Vidich,P.~Vidich P.~Vidich P ^'),\
         ('Paula Harrison','Harrison, Paula','~P. Harrison~P.Harrison~Harrison, P.~Harrison,P.~Harrison P.~Harrison P ^'),\
         ('Paula McLain','McLain, Paula','~P. McLain~P.McLain~McLain, P.~McLain,P.~McLain P.~McLain P ^'),\
         ('Paula Munier','Munier, Paula','~P. Munier~P.Munier~Munier, P.~Munier,P.~Munier P.~Munier P ^'),\
         ('Pedro Urvi','Urvi, Pedro','~P. Urvi~P.Urvi~Urvi, P.~Urvi,P.~Urvi P.~Urvi P ^'),\
         ('Peg Cochran','Cochran, Peg','~P. Cochran~P.Cochran~Cochran, P.~Cochran,P.~Cochran P.~Cochran P ^'),\
         ('Peggy Ehrhart','Ehrhart, Peggy','~P. Ehrhart~P.Ehrhart~Ehrhart, P.~Ehrhart,P.~Ehrhart P.~Ehrhart P ^'),\
         ('Penelope Barsetti','Barsetti, Penelope','~P. Barsetti~P.Barsetti~Barsetti, P.~Barsetti,P.~Barsetti P.~Barsetti P ^'),\
         ('Penelope Black','Black, Penelope','~P. Black~P.Black~Black, P.~Black,P.~Black P.~Black P ^'),\
         ('Penelope Sky','Sky, Penelope','~P. Sky~P.Sky~Sky, P.~Sky,P.~Sky P.~Sky P ^'),\
         ('Peng Shepherd','Shepherd, Peng','~P. Shepherd~P.Shepherd~Shepherd, P.~Shepherd,P.~Shepherd P.~Shepherd P ^'),\
         ('Penny Dee','Dee, Penny','~P. Dee~P.Dee~Dee, P.~Dee,P.~Dee P.~Dee P ^'),\
         ('Penny Reid','Reid, Penny','~P. Reid~P.Reid~Reid, P.~Reid,P.~Reid P.~Reid P ^'),\
         ('Penny Wylder','Wylder, Penny','~P. Wylder~P.Wylder~Wylder, P.~Wylder,P.~Wylder P.~Wylder P ^'),\
         ('Pepper Basham','Basham, Pepper','~P. Basham~P.Basham~Basham, P.~Basham,P.~Basham P.~Basham P ^'),\
         ('Pepper Winters','Winters, Pepper','~P. Winters~P.Winters~Winters, P.~Winters,P.~Winters P.~Winters P ^'),\
         ('Pete Brassett','Brassett, Pete','~P. Brassett~P.Brassett~Brassett, P.~Brassett,P.~Brassett P.~Brassett P ^'),\
         ('Peter Cawdron','Cawdron, Peter','~P. Cawdron~P.Cawdron~Cawdron, P.~Cawdron,P.~Cawdron P.~Cawdron P ^'),\
         ('Peter Darman','Darman, Peter','~P. Darman~P.Darman~Darman, P.~Darman,P.~Darman P.~Darman P ^'),\
         ('Peter Gibbons','Gibbons, Peter','~P. Gibbons~P.Gibbons~Gibbons, P.~Gibbons,P.~Gibbons P.~Gibbons P ^'),\
         ('Peter Grainger','Grainger, Peter','~P. Grainger~P.Grainger~Grainger, P.~Grainger,P.~Grainger P.~Grainger P ^'),\
         ('Peter McLean','McLean, Peter','~P. McLean~P.McLean~McLean, P.~McLean,P.~McLean P.~McLean P ^'),\
         ('Peter Newman','Newman, Peter','~P. Newman~P.Newman~Newman, P.~Newman,P.~Newman P.~Newman P ^'),\
         ('Peter O''Mahoney','O''Mahoney, Peter','~P. O''Mahoney~P.O''Mahoney~O''Mahoney, P.~O''Mahoney,P.~O''Mahoney P.~O''Mahoney P ^'),\
         ('Peter Papathanasiou','Papathanasiou, Peter','~P. Papathanasiou~P.Papathanasiou~Papathanasiou, P.~Papathanasiou,P.~Papathanasiou P.~Papathanasiou P ^'),\
         ('Peter Rimmer','Rimmer, Peter','~P. Rimmer~P.Rimmer~Rimmer, P.~Rimmer,P.~Rimmer P.~Rimmer P ^'),\
         ('Peter Swanson','Swanson, Peter','~P. Swanson~P.Swanson~Swanson, P.~Swanson,P.~Swanson P.~Swanson P ^'),\
         ('Phaedra Patrick','Patrick, Phaedra','~P. Patrick~P.Patrick~Patrick, P.~Patrick,P.~Patrick P.~Patrick P ^'),\
         ('Phil Ward','Ward, Phil','~P. Ward~P.Ward~Ward, P.~Ward,P.~Ward P.~Ward P ^'),\
         ('Philip C. Quaintrell','Quaintrell, Philip C.','~P.C. Quaintrell~P. C. Quaintrell~P.C.Quaintrell~Quaintrell, P.~Quaintrell,P.~Quaintrell P.~Quaintrell P ^'),\
         ('Philip Gwynne Jones','Jones, Philip Gwynne','~P.G. Jones~P. G. Jones~P.G.Jones~Jones, P.~Jones,P.~Jones P.~Jones P ^'),\
         ('Philip K. Allan','Allan, Philip K.','~P.K. Allan~P. K. Allan~P.K.Allan~Allan, P.~Allan,P.~Allan P.~Allan P ^'),\
         ('Philip R. Craig','Craig, Philip R.','~P.R. Craig~P. R. Craig~P.R.Craig~Craig, P.~Craig,P.~Craig P.~Craig P ^'),\
         ('Phillipa Ashley','Ashley, Phillipa','~P. Ashley~P.Ashley~Ashley, P.~Ashley,P.~Ashley P.~Ashley P ^'),\
         ('Phoebe Morgan','Morgan, Phoebe','~P. Morgan~P.Morgan~Morgan, P.~Morgan,P.~Morgan P.~Morgan P ^'),\
         ('Phoenix Grey','Grey, Phoenix','~P. Grey~P.Grey~Grey, P.~Grey,P.~Grey P.~Grey P ^'),\
         ('Piper Davenport','Davenport, Piper','~P. Davenport~P.Davenport~Davenport, P.~Davenport,P.~Davenport P.~Davenport P ^'),\
         ('Piper Lawson','Lawson, Piper','~P. Lawson~P.Lawson~Lawson, P.~Lawson,P.~Lawson P.~Lawson P ^'),\
         ('Piper Rayne','Rayne, Piper','~P. Rayne~P.Rayne~Rayne, P.~Rayne,P.~Rayne P.~Rayne P ^'),\
         ('Piper Stone','Stone, Piper','~P. Stone~P.Stone~Stone, P.~Stone,P.~Stone P.~Stone P ^'),\
         ('Pippa Grant','Grant, Pippa','~P. Grant~P.Grant~Grant, P.~Grant,P.~Grant P.~Grant P ^'),\
         ('Pippa McCathie','McCathie, Pippa','~P. McCathie~P.McCathie~McCathie, P.~McCathie,P.~McCathie P.~McCathie P ^'),\
         ('Polly Babbington','Babbington, Polly','~P. Babbington~P.Babbington~Babbington, P.~Babbington,P.~Babbington P.~Babbington P ^'),\
         ('Poppy Alexander','Alexander, Poppy','~P. Alexander~P.Alexander~Alexander, P.~Alexander,P.~Alexander P.~Alexander P ^'),\
         ('Poppy Cooper','Cooper, Poppy','~P. Cooper~P.Cooper~Cooper, P.~Cooper,P.~Cooper P.~Cooper P ^'),\
         ('Portia MacIntosh','MacIntosh, Portia','~P. MacIntosh~P.MacIntosh~MacIntosh, P.~MacIntosh,P.~MacIntosh P.~MacIntosh P ^'),\
         ('Presley Hall','Hall, Presley','~P. Hall~P.Hall~Hall, P.~Hall,P.~Hall P.~Hall P ^'),\
         ('Preston W. Child','Child, Preston W.','~P.W. Child~P. W. Child~P.W.Child~Child, P.~Child,P.~Child P.~Child P ^'),\
         ('Priscilla Royal','Royal, Priscilla','~P. Royal~P.Royal~Royal, P.~Royal,P.~Royal P.~Royal P ^'),\
         ('Q.B. Tyler','Tyler, Q.B.','~Q.B. Tyler~Q. B. Tyler~Q.B.Tyler~Tyler, Q.~Tyler,Q.~Tyler Q.~Tyler Q ^'),\
         ('R.C. Bridgestock','Bridgestock, R.C.','~R.C. Bridgestock~R. C. Bridgestock~R.C.Bridgestock~Bridgestock, R.~Bridgestock,R.~Bridgestock R.~Bridgestock R ^'),\
         ('R.D. Shah','Shah, R.D.','~R.D. Shah~R. D. Shah~R.D.Shah~Shah, R.~Shah,R.~Shah R.~Shah R ^'),\
         ('R.F. Kuang','Kuang, R.F.','~R.F. Kuang~R. F. Kuang~R.F.Kuang~Kuang, R.~Kuang,R.~Kuang R.~Kuang R ^'),\
         ('R.J. Patterson','Patterson, R.J.','~R.J. Patterson~R. J. Patterson~R.J.Patterson~Patterson, R.~Patterson,R.~Patterson R.~Patterson R ^'),\
         ('R.L. Caulder','Caulder, R.L.','~R.L. Caulder~R. L. Caulder~R.L.Caulder~Caulder, R.~Caulder,R.~Caulder R.~Caulder R ^'),\
         ('R.L. King','King, R.L.','~R.L. King~R. L. King~R.L.King~King, R.~King,R.~King R.~King R ^'),\
         ('R.O. Lane','Lane, R.O.','~R.O. Lane~R. O. Lane~R.O.Lane~Lane, R.~Lane,R.~Lane R.~Lane R ^'),\
         ('R.R. Virdi','Virdi, R.R.','~R.R. Virdi~R. R. Virdi~R.R.Virdi~Virdi, R.~Virdi,R.~Virdi R.~Virdi R ^'),\
         ('R.S. Grey','Grey, R.S.','~R.S. Grey~R. S. Grey~R.S.Grey~Grey, R.~Grey,R.~Grey R.~Grey R ^'),\
         ('R.Scott Bakker','Bakker, R.Scott','~R.S. Bakker~R. S. Bakker~R.S.Bakker~Bakker, R.~Bakker,R.~Bakker R.~Bakker R ^'),\
         ('R.W. Green','Green, R.W.','~R.W. Green~R. W. Green~R.W.Green~Green, R.~Green,R.~Green R.~Green R ^'),\
         ('Rachael Lucas','Lucas, Rachael','~R. Lucas~R.Lucas~Lucas, R.~Lucas,R.~Lucas R.~Lucas R ^'),\
         ('Rachel Amphlett','Amphlett, Rachel','~R. Amphlett~R.Amphlett~Amphlett, R.~Amphlett,R.~Amphlett R.~Amphlett R ^'),\
         ('Rachel Dylan','Dylan, Rachel','~R. Dylan~R.Dylan~Dylan, R.~Dylan,R.~Dylan R.~Dylan R ^'),\
         ('Rachel Fordham','Fordham, Rachel','~R. Fordham~R.Fordham~Fordham, R.~Fordham,R.~Fordham R.~Fordham R ^'),\
         ('Rachel Grant','Grant, Rachel','~R. Grant~R.Grant~Grant, R.~Grant,R.~Grant R.~Grant R ^'),\
         ('Rachel Griffiths','Griffiths, Rachel','~R. Griffiths~R.Griffiths~Griffiths, R.~Griffiths,R.~Griffiths R.~Griffiths R ^'),\
         ('Rachel Harrison','Harrison, Rachel','~R. Harrison~R.Harrison~Harrison, R.~Harrison,R.~Harrison R.~Harrison R ^'),\
         ('Rachel Hore','Hore, Rachel','~R. Hore~R.Hore~Hore, R.~Hore,R.~Hore R.~Hore R ^'),\
         ('Rachel Howzell Hall','Hall, Rachel Howzell','~R.H. Hall~R. H. Hall~R.H.Hall~Hall, R.~Hall,R.~Hall R.~Hall R ^'),\
         ('Rachel J. Good','Good, Rachel J.','~R.J. Good~R. J. Good~R.J.Good~Good, R.~Good,R.~Good R.~Good R ^'),\
         ('Rachel Jonas','Jonas, Rachel','~R. Jonas~R.Jonas~Jonas, R.~Jonas,R.~Jonas R.~Jonas R ^'),\
         ('Rachel Leigh','Leigh, Rachel','~R. Leigh~R.Leigh~Leigh, R.~Leigh,R.~Leigh R.~Leigh R ^'),\
         ('Rachel Linden','Linden, Rachel','~R. Linden~R.Linden~Linden, R.~Linden,R.~Linden R.~Linden R ^'),\
         ('Rachel Lynch','Lynch, Rachel','~R. Lynch~R.Lynch~Lynch, R.~Lynch,R.~Lynch R.~Lynch R ^'),\
         ('Rachel Lynn Solomon','Solomon, Rachel Lynn','~R.L. Solomon~R. L. Solomon~R.L.Solomon~Solomon, R.~Solomon,R.~Solomon R.~Solomon R ^'),\
         ('Rachel McLean','McLean, Rachel','~R. McLean~R.McLean~McLean, R.~McLean,R.~McLean R.~McLean R ^'),\
         ('Rachel Morgan','Morgan, Rachel','~R. Morgan~R.Morgan~Morgan, R.~Morgan,R.~Morgan R.~Morgan R ^'),\
         ('Rae B. Lake','Lake, Rae B.','~R.B. Lake~R. B. Lake~R.B.Lake~Lake, R.~Lake,R.~Lake R.~Lake R ^'),\
         ('Ragnar Jónasson','Jónasson, Ragnar','~R. Jónasson~R.Jónasson~Jónasson, R.~Jónasson,R.~Jónasson R.~Jónasson R ^'),\
         ('Raina Telgemeier','Telgemeier, Raina','~R. Telgemeier~R.Telgemeier~Telgemeier, R.~Telgemeier,R.~Telgemeier R.~Telgemeier R ^'),\
         ('Ralph Compton','Compton, Ralph','~R. Compton~R.Compton~Compton, R.~Compton,R.~Compton R.~Compton R ^'),\
         ('Ralph Cotton','Cotton, Ralph','~R. Cotton~R.Cotton~Cotton, R.~Cotton,R.~Cotton R.~Cotton R ^'),\
         ('Ramona Emerson','Emerson, Ramona','~R. Emerson~R.Emerson~Emerson, R.~Emerson,R.~Emerson R.~Emerson R ^'),\
         ('Ramy Vance','Vance, Ramy','~R. Vance~R.Vance~Vance, R.~Vance,R.~Vance R.~Vance R ^'),\
         ('Randall Silvis','Silvis, Randall','~R. Silvis~R.Silvis~Silvis, R.~Silvis,R.~Silvis R.~Silvis R ^'),\
         ('Randi Darren','Darren, Randi','~R. Darren~R.Darren~Darren, R.~Darren,R.~Darren R.~Darren R ^'),\
         ('Raquel V. Reyes','Reyes, Raquel V.','~R.V. Reyes~R. V. Reyes~R.V.Reyes~Reyes, R.~Reyes,R.~Reyes R.~Reyes R ^'),\
         ('Raven Kennedy','Kennedy, Raven','~R. Kennedy~R.Kennedy~Kennedy, R.~Kennedy,R.~Kennedy R.~Kennedy R ^'),\
         ('Ray Celestin','Celestin, Ray','~R. Celestin~R.Celestin~Celestin, R.~Celestin,R.~Celestin R.~Celestin R ^'),\
         ('Rebecca Connolly','Connolly, Rebecca','~R. Connolly~R.Connolly~Connolly, R.~Connolly,R.~Connolly R.~Connolly R ^'),\
         ('Rebecca Deel','Deel, Rebecca','~R. Deel~R.Deel~Deel, R.~Deel,R.~Deel R.~Deel R ^'),\
         ('Rebecca Elliott','Elliott, Rebecca','~R. Elliott~R.Elliott~Elliott, R.~Elliott,R.~Elliott R.~Elliott R ^'),\
         ('Rebecca Jenshak','Jenshak, Rebecca','~R. Jenshak~R.Jenshak~Jenshak, R.~Jenshak,R.~Jenshak R.~Jenshak R ^'),\
         ('Rebecca Morrow','Morrow, Rebecca','~R. Morrow~R.Morrow~Morrow, R.~Morrow,R.~Morrow R.~Morrow R ^'),\
         ('Rebecca Raisin','Raisin, Rebecca','~R. Raisin~R.Raisin~Raisin, R.~Raisin,R.~Raisin R.~Raisin R ^'),\
         ('Rebecca Roanhorse','Roanhorse, Rebecca','~R. Roanhorse~R.Roanhorse~Roanhorse, R.~Roanhorse,R.~Roanhorse R.~Roanhorse R ^'),\
         ('Rebecca Ross','Ross, Rebecca','~R. Ross~R.Ross~Ross, R.~Ross,R.~Ross R.~Ross R ^'),\
         ('Rebecca Ruger','Ruger, Rebecca','~R. Ruger~R.Ruger~Ruger, R.~Ruger,R.~Ruger R.~Ruger R ^'),\
         ('Rebecca Shaw','Shaw, Rebecca','~R. Shaw~R.Shaw~Shaw, R.~Shaw,R.~Shaw R.~Shaw R ^'),\
         ('Rebecca Yarros','Yarros, Rebecca','~R. Yarros~R.Yarros~Yarros, R.~Yarros,R.~Yarros R.~Yarros R ^'),\
         ('Reese Knightley','Knightley, Reese','~R. Knightley~R.Knightley~Knightley, R.~Knightley,R.~Knightley R.~Knightley R ^'),\
         ('Regina Jennings','Jennings, Regina','~R. Jennings~R.Jennings~Jennings, R.~Jennings,R.~Jennings R.~Jennings R ^'),\
         ('Regine Abel','Abel, Regine','~R. Abel~R.Abel~Abel, R.~Abel,R.~Abel R.~Abel R ^'),\
         ('Remington Kane','Kane, Remington','~R. Kane~R.Kane~Kane, R.~Kane,R.~Kane R.~Kane R ^'),\
         ('Renée Ahdieh','Ahdieh, Renée','~R. Ahdieh~R.Ahdieh~Ahdieh, R.~Ahdieh,R.~Ahdieh R.~Ahdieh R ^'),\
         ('Renee George','George, Renee','~R. George~R.George~George, R.~George,R.~George R.~George R ^'),\
         ('Rennie Airth','Airth, Rennie','~R. Airth~R.Airth~Airth, R.~Airth,R.~Airth R.~Airth R ^'),\
         ('ReShonda Tate Billingsley','Billingsley, ReShonda Tate','~R.T. Billingsley~R. T. Billingsley~R.T.Billingsley~Billingsley, R.~Billingsley,R.~Billingsley R.~Billingsley R ^'),\
         ('Rhys Dylan','Dylan, Rhys','~R. Dylan~R.Dylan~Dylan, R.~Dylan,R.~Dylan R.~Dylan R ^'),\
         ('Richard Chizmar','Chizmar, Richard','~R. Chizmar~R.Chizmar~Chizmar, R.~Chizmar,R.~Chizmar R.~Chizmar R ^'),\
         ('Richard DiLallo','DiLallo, Richard','~R. DiLallo~R.DiLallo~DiLallo, R.~DiLallo,R.~DiLallo R.~DiLallo R ^'),\
         ('Richard Fox','Fox, Richard','~R. Fox~R.Fox~Fox, R.~Fox,R.~Fox R.~Fox R ^'),\
         ('Richard K. Morgan','Morgan, Richard K.','~R.K. Morgan~R. K. Morgan~R.K.Morgan~Morgan, R.~Morgan,R.~Morgan R.~Morgan R ^'),\
         ('Richard Osman','Osman, Richard','~R. Osman~R.Osman~Osman, R.~Osman,R.~Osman R.~Osman R ^'),\
         ('Richard Swan','Swan, Richard','~R. Swan~R.Swan~Swan, R.~Swan,R.~Swan R.~Swan R ^'),\
         ('Richard Wake','Wake, Richard','~R. Wake~R.Wake~Wake, R.~Wake,R.~Wake R.~Wake R ^'),\
         ('Rick Campbell','Campbell, Rick','~R. Campbell~R.Campbell~Campbell, R.~Campbell,R.~Campbell R.~Campbell R ^'),\
         ('Rick Jones','Jones, Rick','~R. Jones~R.Jones~Jones, R.~Jones,R.~Jones R.~Jones R ^'),\
         ('Riley Edwards','Edwards, Riley','~R. Edwards~R.Edwards~Edwards, R.~Edwards,R.~Edwards R.~Edwards R ^'),\
         ('Riley Sager','Sager, Riley','~R. Sager~R.Sager~Sager, R.~Sager,R.~Sager R.~Sager R ^'),\
         ('Rin Chupeco','Chupeco, Rin','~R. Chupeco~R.Chupeco~Chupeco, R.~Chupeco,R.~Chupeco R.~Chupeco R ^'),\
         ('Rina Kent','Kent, Rina','~R. Kent~R.Kent~Kent, R.~Kent,R.~Kent R.~Kent R ^'),\
         ('RJ Barker','Barker, RJ','~R. Barker~R.Barker~Barker, R.~Barker,R.~Barker R.~Barker R ^'),\
         ('RJ Blain','Blain, RJ','~R. Blain~R.Blain~Blain, R.~Blain,R.~Blain R.~Blain R ^'),\
         ('Rob Parker','Parker, Rob','~R. Parker~R.Parker~Parker, R.~Parker,R.~Parker R.~Parker R ^'),\
         ('Rob Sinclair','Sinclair, Rob','~R. Sinclair~R.Sinclair~Sinclair, R.~Sinclair,R.~Sinclair R.~Sinclair R ^'),\
         ('Robert Bailey','Bailey, Robert','~R. Bailey~R.Bailey~Bailey, R.~Bailey,R.~Bailey R.~Bailey R ^'),\
         ('Robert Gold','Gold, Robert','~R. Gold~R.Gold~Gold, R.~Gold,R.~Gold R.~Gold R ^'),\
         ('Robert J. Harris','Harris, Robert J.','~R.J. Harris~R. J. Harris~R.J.Harris~Harris, R.~Harris,R.~Harris R.~Harris R ^'),\
         ('Robert McNeil','McNeil, Robert','~R. McNeil~R.McNeil~McNeil, R.~McNeil,R.~McNeil R.~McNeil R ^'),\
         ('Robert McNeill','McNeill, Robert','~R. McNeill~R.McNeill~McNeill, R.~McNeill,R.~McNeill R.~McNeill R ^'),\
         ('Robert Pobi','Pobi, Robert','~R. Pobi~R.Pobi~Pobi, R.~Pobi,R.~Pobi R.~Pobi R ^'),\
         ('Robert Thorogood','Thorogood, Robert','~R. Thorogood~R.Thorogood~Thorogood, R.~Thorogood,R.~Thorogood R.~Thorogood R ^'),\
         ('Robert Vaughan','Vaughan, Robert','~R. Vaughan~R.Vaughan~Vaughan, R.~Vaughan,R.~Vaughan R.~Vaughan R ^'),\
         ('Robert White','White, Robert','~R. White~R.White~White, R.~White,R.~White R.~White R ^'),\
         ('Robert Whitlow','Whitlow, Robert','~R. Whitlow~R.Whitlow~Whitlow, R.~Whitlow,R.~Whitlow R.~Whitlow R ^'),\
         ('Roberta Kagan','Kagan, Roberta','~R. Kagan~R.Kagan~Kagan, R.~Kagan,R.~Kagan R.~Kagan R ^'),\
         ('Roberta Kray','Kray, Roberta','~R. Kray~R.Kray~Kray, R.~Kray,R.~Kray R.~Kray R ^'),\
         ('Robin Paige','Paige, Robin','~R. Paige~R.Paige~Paige, R.~Paige,R.~Paige R.~Paige R ^'),\
         ('Robin Roughley','Roughley, Robin','~R. Roughley~R.Roughley~Roughley, R.~Roughley,R.~Roughley R.~Roughley R ^'),\
         ('Robin Stevens','Stevens, Robin','~R. Stevens~R.Stevens~Stevens, R.~Stevens,R.~Stevens R.~Stevens R ^'),\
         ('Robyn Peterman','Peterman, Robyn','~R. Peterman~R.Peterman~Peterman, R.~Peterman,R.~Peterman R.~Peterman R ^'),\
         ('Robyn Wideman','Wideman, Robyn','~R. Wideman~R.Wideman~Wideman, R.~Wideman,R.~Wideman R.~Wideman R ^'),\
         ('Robyn Young','Young, Robyn','~R. Young~R.Young~Young, R.~Young,R.~Young R.~Young R ^'),\
         ('Roger Silverwood','Silverwood, Roger','~R. Silverwood~R.Silverwood~Silverwood, R.~Silverwood,R.~Silverwood R.~Silverwood R ^'),\
         ('Róisín Meaney','Meaney, Róisín','~R. Meaney~R.Meaney~Meaney, R.~Meaney,R.~Meaney R.~Meaney R ^'),\
         ('Roland Carlsson','Carlsson, Roland','~R. Carlsson~R.Carlsson~Carlsson, R.~Carlsson,R.~Carlsson R.~Carlsson R ^'),\
         ('Ron Ripley','Ripley, Ron','~R. Ripley~R.Ripley~Ripley, R.~Ripley,R.~Ripley R.~Ripley R ^'),\
         ('Ron Roy','Roy, Ron','~R. Roy~R.Roy~Roy, R.~Roy,R.~Roy R.~Roy R ^'),\
         ('Rose Pearson','Pearson, Rose','~R. Pearson~R.Pearson~Pearson, R.~Pearson,R.~Pearson R.~Pearson R ^'),\
         ('Roseanna M. White','White, Roseanna M.','~R.M. White~R. M. White~R.M.White~White, R.~White,R.~White R.~White R ^'),\
         ('Rosemary Rowe','Rowe, Rosemary','~R. Rowe~R.Rowe~Rowe, R.~Rowe,R.~Rowe R.~Rowe R ^'),\
         ('Rosemary Simpson','Simpson, Rosemary','~R. Simpson~R.Simpson~Simpson, R.~Simpson,R.~Simpson R.~Simpson R ^'),\
         ('Roshani Chokshi','Chokshi, Roshani','~R. Chokshi~R.Chokshi~Chokshi, R.~Chokshi,R.~Chokshi R.~Chokshi R ^'),\
         ('Rosie A. Point','Point, Rosie A.','~R.A. Point~R. A. Point~R.A.Point~Point, R.~Point,R.~Point R.~Point R ^'),\
         ('Rosie Archer','Archer, Rosie','~R. Archer~R.Archer~Archer, R.~Archer,R.~Archer R.~Archer R ^'),\
         ('Rosie Clarke','Clarke, Rosie','~R. Clarke~R.Clarke~Clarke, R.~Clarke,R.~Clarke R.~Clarke R ^'),\
         ('Rosie Harris','Harris, Rosie','~R. Harris~R.Harris~Harris, R.~Harris,R.~Harris R.~Harris R ^'),\
         ('Rosie Hendry','Hendry, Rosie','~R. Hendry~R.Hendry~Hendry, R.~Hendry,R.~Hendry R.~Hendry R ^'),\
         ('Rosie Walsh','Walsh, Rosie','~R. Walsh~R.Walsh~Walsh, R.~Walsh,R.~Walsh R.~Walsh R ^'),\
         ('Ross Greenwood','Greenwood, Ross','~R. Greenwood~R.Greenwood~Greenwood, R.~Greenwood,R.~Greenwood R.~Greenwood R ^'),\
         ('Ross MacDonald','MacDonald, Ross','~R. MacDonald~R.MacDonald~MacDonald, R.~MacDonald,R.~MacDonald R.~MacDonald R ^'),\
         ('Roxanne St Claire','Claire, Roxanne St','~R.S. Claire~R. S. Claire~R.S.Claire~Claire, R.~Claire,R.~Claire R.~Claire R ^'),\
         ('Roxie Ray','Ray, Roxie','~R. Ray~R.Ray~Ray, R.~Ray,R.~Ray R.~Ray R ^'),\
         ('Roz Watkins','Watkins, Roz','~R. Watkins~R.Watkins~Watkins, R.~Watkins,R.~Watkins R.~Watkins R ^'),\
         ('RR Haywood','Haywood, RR','~R. Haywood~R.Haywood~Haywood, R.~Haywood,R.~Haywood R.~Haywood R ^'),\
         ('Ruby Dixon','Dixon, Ruby','~R. Dixon~R.Dixon~Dixon, R.~Dixon,R.~Dixon R.~Dixon R ^'),\
         ('Russ Thomas','Thomas, Russ','~R. Thomas~R.Thomas~Thomas, R.~Thomas,R.~Thomas R.~Thomas R ^'),\
         ('Russell Blake','Blake, Russell','~R. Blake~R.Blake~Blake, R.~Blake,R.~Blake R.~Blake R ^'),\
         ('Ruth Heald','Heald, Ruth','~R. Heald~R.Heald~Heald, R.~Heald,R.~Heald R.~Heald R ^'),\
         ('Ruth Hogan','Hogan, Ruth','~R. Hogan~R.Hogan~Hogan, R.~Hogan,R.~Hogan R.~Hogan R ^'),\
         ('Ruth Jones','Jones, Ruth','~R. Jones~R.Jones~Jones, R.~Jones,R.~Jones R.~Jones R ^'),\
         ('Ruth Logan Herne','Herne, Ruth Logan','~R.L. Herne~R. L. Herne~R.L.Herne~Herne, R.~Herne,R.~Herne R.~Herne R ^'),\
         ('Ryan Steck','Steck, Ryan','~R. Steck~R.Steck~Steck, R.~Steck,R.~Steck R.~Steck R ^'),\
         ('Ryk Brown','Brown, Ryk','~R. Brown~R.Brown~Brown, R.~Brown,R.~Brown R.~Brown R ^'),\
         ('Rylie Dark','Dark, Rylie','~R. Dark~R.Dark~Dark, R.~Dark,R.~Dark R.~Dark R ^'),\
         ('S. Block','Block, S.','~S. Block~S.Block~Block, S.~Block,S.~Block S.~Block S ^'),\
         ('S.A. Chakraborty','Chakraborty, S.A.','~S.A. Chakraborty~S. A. Chakraborty~S.A.Chakraborty~Chakraborty, S.~Chakraborty,S.~Chakraborty S.~Chakraborty S ^'),\
         ('S.A. Cosby','Cosby, S.A.','~S.A. Cosby~S. A. Cosby~S.A.Cosby~Cosby, S.~Cosby,S.~Cosby S.~Cosby S ^'),\
         ('S.C. Perkins','Perkins, S.C.','~S.C. Perkins~S. C. Perkins~S.C.Perkins~Perkins, S.~Perkins,S.~Perkins S.~Perkins S ^'),\
         ('S.E. Law','Law, S.E.','~S.E. Law~S. E. Law~S.E.Law~Law, S.~Law,S.~Law S.~Law S ^'),\
         ('S.E. Lynes','Lynes, S.E.','~S.E. Lynes~S. E. Lynes~S.E.Lynes~Lynes, S.~Lynes,S.~Lynes S.~Lynes S ^'),\
         ('S.G. MacLean','MacLean, S.G.','~S.G. MacLean~S. G. MacLean~S.G.MacLean~MacLean, S.~MacLean,S.~MacLean S.~MacLean S ^'),\
         ('S.H. Jucha','Jucha, S.H.','~S.H. Jucha~S. H. Jucha~S.H.Jucha~Jucha, S.~Jucha,S.~Jucha S.~Jucha S ^'),\
         ('S.J. Bennett','Bennett, S.J.','~S.J. Bennett~S. J. Bennett~S.J.Bennett~Bennett, S.~Bennett,S.~Bennett S.~Bennett S ^'),\
         ('S.J. Sanders','Sanders, S.J.','~S.J. Sanders~S. J. Sanders~S.J.Sanders~Sanders, S.~Sanders,S.~Sanders S.~Sanders S ^'),\
         ('S.J.A. Turney','Turney, S.J.A.','~S.J.A.Turney~S. J. A. Turney~S.J.A.Turney~Turney, S.~Turney,S.~Turney S.~Turney S ^'),\
         ('S.K. Tremayne','Tremayne, S.K.','~S.K. Tremayne~S. K. Tremayne~S.K.Tremayne~Tremayne, S.~Tremayne,S.~Tremayne S.~Tremayne S ^'),\
         ('S.M. LaViolette','LaViolette, S.M.','~S.M. LaViolette~S. M. LaViolette~S.M.LaViolette~LaViolette, S.~LaViolette,S.~LaViolette S.~LaViolette S ^'),\
         ('S.T. Abby','Abby, S.T.','~S.T. Abby~S. T. Abby~S.T.Abby~Abby, S.~Abby,S.~Abby S.~Abby S ^'),\
         ('S.W. Perry','Perry, S.W.','~S.W. Perry~S. W. Perry~S.W.Perry~Perry, S.~Perry,S.~Perry S.~Perry S ^'),\
         ('Sabaa Tahir','Tahir, Sabaa','~S. Tahir~S.Tahir~Tahir, S.~Tahir,S.~Tahir S.~Tahir S ^'),\
         ('Sadie Bosque','Bosque, Sadie','~S. Bosque~S.Bosque~Bosque, S.~Bosque,S.~Bosque S.~Bosque S ^'),\
         ('Sadie Kincaid','Kincaid, Sadie','~S. Kincaid~S.Kincaid~Kincaid, S.~Kincaid,S.~Kincaid S.~Kincaid S ^'),\
         ('Sadie Moss','Moss, Sadie','~S. Moss~S.Moss~Moss, S.~Moss,S.~Moss S.~Moss S ^'),\
         ('Saffron A. Kent','Kent, Saffron A.','~S.A. Kent~S. A. Kent~S.A.Kent~Kent, S.~Kent,S.~Kent S.~Kent S ^'),\
         ('Sage Parker','Parker, Sage','~S. Parker~S.Parker~Parker, S.~Parker,S.~Parker S.~Parker S ^'),\
         ('Salley Vickers','Vickers, Salley','~S. Vickers~S.Vickers~Vickers, S.~Vickers,S.~Vickers S.~Vickers S ^'),\
         ('Sally Andrew','Andrew, Sally','~S. Andrew~S.Andrew~Andrew, S.~Andrew,S.~Andrew S.~Andrew S ^'),\
         ('Sally Britton','Britton, Sally','~S. Britton~S.Britton~Britton, S.~Britton,S.~Britton S.~Britton S ^'),\
         ('Sally Hepworth','Hepworth, Sally','~S. Hepworth~S.Hepworth~Hepworth, S.~Hepworth,S.~Hepworth S.~Hepworth S ^'),\
         ('Sally Rigby','Rigby, Sally','~S. Rigby~S.Rigby~Rigby, S.~Rigby,S.~Rigby S.~Rigby S ^'),\
         ('Sally Rooney','Rooney, Sally','~S. Rooney~S.Rooney~Rooney, S.~Rooney,S.~Rooney S.~Rooney S ^'),\
         ('Sally Thorne','Thorne, Sally','~S. Thorne~S.Thorne~Thorne, S.~Thorne,S.~Thorne S.~Thorne S ^'),\
         ('Sam Blake','Blake, Sam','~S. Blake~S.Blake~Blake, S.~Blake,S.~Blake S.~Blake S ^'),\
         ('Sam Eastland','Eastland, Sam','~S. Eastland~S.Eastland~Eastland, S.~Eastland,S.~Eastland S.~Eastland S ^'),\
         ('Sam Hall','Hall, Sam','~S. Hall~S.Hall~Hall, S.~Hall,S.~Hall S.~Hall S ^'),\
         ('Sam Holland','Holland, Sam','~S. Holland~S.Holland~Holland, S.~Holland,S.~Holland S.~Holland S ^'),\
         ('Sam Mariano','Mariano, Sam','~S. Mariano~S.Mariano~Mariano, S.~Mariano,S.~Mariano S.~Mariano S ^'),\
         ('Sam Michaels','Michaels, Sam','~S. Michaels~S.Michaels~Michaels, S.~Michaels,S.~Michaels S.~Michaels S ^'),\
         ('Samantha A. Cole','Cole, Samantha A.','~S.A. Cole~S. A. Cole~S.A.Cole~Cole, S.~Cole,S.~Cole S.~Cole S ^'),\
         ('Samantha Christy','Christy, Samantha','~S. Christy~S.Christy~Christy, S.~Christy,S.~Christy S.~Christy S ^'),\
         ('Samantha Downing','Downing, Samantha','~S. Downing~S.Downing~Downing, S.~Downing,S.~Downing S.~Downing S ^'),\
         ('Samantha Price','Price, Samantha','~S. Price~S.Price~Price, S.~Price,S.~Price S.~Price S ^'),\
         ('Samantha Silver','Silver, Samantha','~S. Silver~S.Silver~Silver, S.~Silver,S.~Silver S.~Silver S ^'),\
         ('Samantha Whiskey','Whiskey, Samantha','~S. Whiskey~S.Whiskey~Whiskey, S.~Whiskey,S.~Whiskey S.~Whiskey S ^'),\
         ('Samuel Bjørk','Bjørk, Samuel','~S. Bjørk~S.Bjørk~Bjørk, S.~Bjørk,S.~Bjørk S.~Bjørk S ^'),\
         ('Sandie Jones','Jones, Sandie','~S. Jones~S.Jones~Jones, S.~Jones,S.~Jones S.~Jones S ^'),\
         ('Sandy Alvarez','Alvarez, Sandy','~S. Alvarez~S.Alvarez~Alvarez, S.~Alvarez,S.~Alvarez S.~Alvarez S ^'),\
         ('Sandy Taylor','Taylor, Sandy','~S. Taylor~S.Taylor~Taylor, S.~Taylor,S.~Taylor S.~Taylor S ^'),\
         ('Sangu Mandanna','Mandanna, Sangu','~S. Mandanna~S.Mandanna~Mandanna, S.~Mandanna,S.~Mandanna S.~Mandanna S ^'),\
         ('Sara Ackerman','Ackerman, Sara','~S. Ackerman~S.Ackerman~Ackerman, S.~Ackerman,S.~Ackerman S.~Ackerman S ^'),\
         ('Sara Blædel','Blædel, Sara','~S. Blædel~S.Blædel~Blædel, S.~Blædel,S.~Blædel S.~Blædel S ^'),\
         ('Sara Bourgeois','Bourgeois, Sara','~S. Bourgeois~S.Bourgeois~Bourgeois, S.~Bourgeois,S.~Bourgeois S.~Bourgeois S ^'),\
         ('Sara Cate','Cate, Sara','~S. Cate~S.Cate~Cate, S.~Cate,S.~Cate S.~Cate S ^'),\
         ('Sara Driscoll','Driscoll, Sara','~S. Driscoll~S.Driscoll~Driscoll, S.~Driscoll,S.~Driscoll S.~Driscoll S ^'),\
         ('Sara Ney','Ney, Sara','~S. Ney~S.Ney~Ney, S.~Ney,S.~Ney S.~Ney S ^'),\
         ('Sara Raasch','Raasch, Sara','~S. Raasch~S.Raasch~Raasch, S.~Raasch,S.~Raasch S.~Raasch S ^'),\
         ('Sara Richardson','Richardson, Sara','~S. Richardson~S.Richardson~Richardson, S.~Richardson,S.~Richardson S.~Richardson S ^'),\
         ('Sara Sheridan','Sheridan, Sara','~S. Sheridan~S.Sheridan~Sheridan, S.~Sheridan,S.~Sheridan S.~Sheridan S ^'),\
         ('Sara Snow','Snow, Sara','~S. Snow~S.Snow~Snow, S.~Snow,S.~Snow S.~Snow S ^'),\
         ('Sarah A. Denzil','Denzil, Sarah A.','~S.A. Denzil~S. A. Denzil~S.A.Denzil~Denzil, S.~Denzil,S.~Denzil S.~Denzil S ^'),\
         ('Sarah A. Parker','Parker, Sarah A.','~S.A. Parker~S. A. Parker~S.A.Parker~Parker, S.~Parker,S.~Parker S.~Parker S ^'),\
         ('Sarah Adams','Adams, Sarah','~S. Adams~S.Adams~Adams, S.~Adams,S.~Adams S.~Adams S ^'),\
         ('Sarah Barrie','Barrie, Sarah','~S. Barrie~S.Barrie~Barrie, S.~Barrie,S.~Barrie S.~Barrie S ^'),\
         ('Sarah Bennett','Bennett, Sarah','~S. Bennett~S.Bennett~Bennett, S.~Bennett,S.~Bennett S.~Bennett S ^'),\
         ('Sarah Castille','Castille, Sarah','~S. Castille~S.Castille~Castille, S.~Castille,S.~Castille S.~Castille S ^'),\
         ('Sarah E. Ladd','Ladd, Sarah E.','~S.E. Ladd~S. E. Ladd~S.E.Ladd~Ladd, S.~Ladd,S.~Ladd S.~Ladd S ^'),\
         ('Sarah Fox','Fox, Sarah','~S. Fox~S.Fox~Fox, S.~Fox,S.~Fox S.~Fox S ^'),\
         ('Sarah Gailey','Gailey, Sarah','~S. Gailey~S.Gailey~Gailey, S.~Gailey,S.~Gailey S.~Gailey S ^'),\
         ('Sarah Hawkswood','Hawkswood, Sarah','~S. Hawkswood~S.Hawkswood~Hawkswood, S.~Hawkswood,S.~Hawkswood S.~Hawkswood S ^'),\
         ('Sarah Hilary','Hilary, Sarah','~S. Hilary~S.Hilary~Hilary, S.~Hilary,S.~Hilary S.~Hilary S ^'),\
         ('Sarah Hope','Hope, Sarah','~S. Hope~S.Hope~Hope, S.~Hope,S.~Hope S.~Hope S ^'),\
         ('Sarah MacLean','MacLean, Sarah','~S. MacLean~S.MacLean~MacLean, S.~MacLean,S.~MacLean S.~MacLean S ^'),\
         ('Sarah McCarty','McCarty, Sarah','~S. McCarty~S.McCarty~McCarty, S.~McCarty,S.~McCarty S.~McCarty S ^'),\
         ('Sarah Moss','Moss, Sarah','~S. Moss~S.Moss~Moss, S.~Moss,S.~Moss S.~Moss S ^'),\
         ('Sarah Noffke','Noffke, Sarah','~S. Noffke~S.Noffke~Noffke, S.~Noffke,S.~Noffke S.~Noffke S ^'),\
         ('Sarah Pearse','Pearse, Sarah','~S. Pearse~S.Pearse~Pearse, S.~Pearse,S.~Pearse S.~Pearse S ^'),\
         ('Sarah Penner','Penner, Sarah','~S. Penner~S.Penner~Penner, S.~Penner,S.~Penner S.~Penner S ^'),\
         ('Sarah Piper','Piper, Sarah','~S. Piper~S.Piper~Piper, S.~Piper,S.~Piper S.~Piper S ^'),\
         ('Sarah Sheridan','Sheridan, Sarah','~S. Sheridan~S.Sheridan~Sheridan, S.~Sheridan,S.~Sheridan S.~Sheridan S ^'),\
         ('Sarah Spade','Spade, Sarah','~S. Spade~S.Spade~Spade, S.~Spade,S.~Spade S.~Spade S ^'),\
         ('Sarah Sundin','Sundin, Sarah','~S. Sundin~S.Sundin~Sundin, S.~Sundin,S.~Sundin S.~Sundin S ^'),\
         ('Sarah Vaughan','Vaughan, Sarah','~S. Vaughan~S.Vaughan~Vaughan, S.~Vaughan,S.~Vaughan S.~Vaughan S ^'),\
         ('Sarah Ward','Ward, Sarah','~S. Ward~S.Ward~Ward, S.~Ward,S.~Ward S.~Ward S ^'),\
         ('Sarah Woodbury','Woodbury, Sarah','~S. Woodbury~S.Woodbury~Woodbury, S.~Woodbury,S.~Woodbury S.~Woodbury S ^'),\
         ('Sarah Yarwood-Lovett','Yarwood-Lovett, Sarah','~S. Yarwood-Lovett~S.Yarwood-Lovett~Yarwood-Lovett, S.~Yarwood-Lovett,S.~Yarwood-Lovett S.~Yarwood-Lovett S ^'),\
         ('Sarina Bowen','Bowen, Sarina','~S. Bowen~S.Bowen~Bowen, S.~Bowen,S.~Bowen S.~Bowen S ^'),\
         ('Sasha Leone','Leone, Sasha','~S. Leone~S.Leone~Leone, S.~Leone,S.~Leone S.~Leone S ^'),\
         ('Saul Herzog','Herzog, Saul','~S. Herzog~S.Herzog~Herzog, S.~Herzog,S.~Herzog S.~Herzog S ^'),\
         ('Sav R. Miller','Miller, Sav R.','~S.R. Miller~S. R. Miller~S.R.Miller~Miller, S.~Miller,S.~Miller S.~Miller S ^'),\
         ('Sax Rohmer','Rohmer, Sax','~S. Rohmer~S.Rohmer~Rohmer, S.~Rohmer,S.~Rohmer S.~Rohmer S ^'),\
         ('Saxon James','James, Saxon','~S. James~S.James~James, S.~James,S.~James S.~James S ^'),\
         ('Scarlett Avery','Avery, Scarlett','~S. Avery~S.Avery~Avery, S.~Avery,S.~Avery S.~Avery S ^'),\
         ('Scarlett Scott','Scott, Scarlett','~S. Scott~S.Scott~Scott, S.~Scott,S.~Scott S.~Scott S ^'),\
         ('Scarlett Snow','Snow, Scarlett','~S. Snow~S.Snow~Snow, S.~Snow,S.~Snow S.~Snow S ^'),\
         ('Scarlett St Clair','Clair, Scarlett St','~S.S. Clair~S. S. Clair~S.S.Clair~Clair, S.~Clair,S.~Clair S.~Clair S ^'),\
         ('Scott Baron','Baron, Scott','~S. Baron~S.Baron~Baron, S.~Baron,S.~Baron S.~Baron S ^'),\
         ('Scott Bartlett','Bartlett, Scott','~S. Bartlett~S.Bartlett~Bartlett, S.~Bartlett,S.~Bartlett S.~Bartlett S ^'),\
         ('Scott Blade','Blade, Scott','~S. Blade~S.Blade~Blade, S.~Blade,S.~Blade S.~Blade S ^'),\
         ('Scott Cawthon','Cawthon, Scott','~S. Cawthon~S.Cawthon~Cawthon, S.~Cawthon,S.~Cawthon S.~Cawthon S ^'),\
         ('Scott Pratt','Pratt, Scott','~S. Pratt~S.Pratt~Pratt, S.~Pratt,S.~Pratt S.~Pratt S ^'),\
         ('Scott Wylder','Wylder, Scott','~S. Wylder~S.Wylder~Wylder, S.~Wylder,S.~Wylder S.~Wylder S ^'),\
         ('Sean McFate','McFate, Sean','~S. McFate~S.McFate~McFate, S.~McFate,S.~McFate S.~McFate S ^'),\
         ('Sean Oswald','Oswald, Sean','~S. Oswald~S.Oswald~Oswald, S.~Oswald,S.~Oswald S.~Oswald S ^'),\
         ('Sean Thomas Russell','Russell, Sean Thomas','~S.T. Russell~S. T. Russell~S.T.Russell~Russell, S.~Russell,S.~Russell S.~Russell S ^'),\
         ('Sebastien De Castell','Castell, Sebastien De','~S.D. Castell~S. D. Castell~S.D.Castell~Castell, S.~Castell,S.~Castell S.~Castell S ^'),\
         ('Selena Montgomery','Montgomery, Selena','~S. Montgomery~S.Montgomery~Montgomery, S.~Montgomery,S.~Montgomery S.~Montgomery S ^'),\
         ('Serena Akeroyd','Akeroyd, Serena','~S. Akeroyd~S.Akeroyd~Akeroyd, S.~Akeroyd,S.~Akeroyd S.~Akeroyd S ^'),\
         ('Serena Valentino','Valentino, Serena','~S. Valentino~S.Valentino~Valentino, S.~Valentino,S.~Valentino S.~Valentino S ^'),\
         ('Seth Hunter','Hunter, Seth','~S. Hunter~S.Hunter~Hunter, S.~Hunter,S.~Hunter S.~Hunter S ^'),\
         ('Seth Ring','Ring, Seth','~S. Ring~S.Ring~Ring, S.~Ring,S.~Ring S.~Ring S ^'),\
         ('Shain Rose','Rose, Shain','~S. Rose~S.Rose~Rose, S.~Rose,S.~Rose S.~Rose S ^'),\
         ('Shandi Boyes','Boyes, Shandi','~S. Boyes~S.Boyes~Boyes, S.~Boyes,S.~Boyes S.~Boyes S ^'),\
         ('Shanna Handel','Handel, Shanna','~S. Handel~S.Handel~Handel, S.~Handel,S.~Handel S.~Handel S ^'),\
         ('Shannon Baker','Baker, Shannon','~S. Baker~S.Baker~Baker, S.~Baker,S.~Baker S.~Baker S ^'),\
         ('Shannon Messenger','Messenger, Shannon','~S. Messenger~S.Messenger~Messenger, S.~Messenger,S.~Messenger S.~Messenger S ^'),\
         ('Shantel Tessier','Tessier, Shantel','~S. Tessier~S.Tessier~Tessier, S.~Tessier,S.~Tessier S.~Tessier S ^'),\
         ('Shari Lapeña','Lapeña, Shari','~S. Lapeña~S.Lapeña~Lapeña, S.~Lapeña,S.~Lapeña S.~Lapeña S ^'),\
         ('Shari Low','Low, Shari','~S. Low~S.Low~Low, S.~Low,S.~Low S.~Low S ^'),\
         ('Sharon Bolton','Bolton, Sharon','~S. Bolton~S.Bolton~Bolton, S.~Bolton,S.~Bolton S.~Bolton S ^'),\
         ('Sharon Gosling','Gosling, Sharon','~S. Gosling~S.Gosling~Gosling, S.~Gosling,S.~Gosling S.~Gosling S ^'),\
         ('Sharon Green','Green, Sharon','~S. Green~S.Green~Green, S.~Green,S.~Green S.~Green S ^'),\
         ('Sharyn McCrumb','McCrumb, Sharyn','~S. McCrumb~S.McCrumb~McCrumb, S.~McCrumb,S.~McCrumb S.~McCrumb S ^'),\
         ('Shaun Hutson','Hutson, Shaun','~S. Hutson~S.Hutson~Hutson, S.~Hutson,S.~Hutson S.~Hutson S ^'),\
         ('Shauna Lawless','Lawless, Shauna','~S. Lawless~S.Lawless~Lawless, S.~Lawless,S.~Lawless S.~Lawless S ^'),\
         ('Shaw Hart','Hart, Shaw','~S. Hart~S.Hart~Hart, S.~Hart,S.~Hart S.~Hart S ^'),\
         ('Shawn Inmon','Inmon, Shawn','~S. Inmon~S.Inmon~Inmon, S.~Inmon,S.~Inmon S.~Inmon S ^'),\
         ('Shayne Silvers','Silvers, Shayne','~S. Silvers~S.Silvers~Silvers, S.~Silvers,S.~Silvers S.~Silvers S ^'),\
         ('Shea Ernshaw','Ernshaw, Shea','~S. Ernshaw~S.Ernshaw~Ernshaw, S.~Ernshaw,S.~Ernshaw S.~Ernshaw S ^'),\
         ('Sheila Bugler','Bugler, Sheila','~S. Bugler~S.Bugler~Bugler, S.~Bugler,S.~Bugler S.~Bugler S ^'),\
         ('Sheila Newberry','Newberry, Sheila','~S. Newberry~S.Newberry~Newberry, S.~Newberry,S.~Newberry S.~Newberry S ^'),\
         ('Sheila Riley','Riley, Sheila','~S. Riley~S.Riley~Riley, S.~Riley,S.~Riley S.~Riley S ^'),\
         ('Shelby Mahurin','Mahurin, Shelby','~S. Mahurin~S.Mahurin~Mahurin, S.~Mahurin,S.~Mahurin S.~Mahurin S ^'),\
         ('Shelby Van Pelt','Pelt, Shelby Van','~S.V. Pelt~S. V. Pelt~S.V.Pelt~Pelt, S.~Pelt,S.~Pelt S.~Pelt S ^'),\
         ('Shelley Burr','Burr, Shelley','~S. Burr~S.Burr~Burr, S.~Burr,S.~Burr S.~Burr S ^'),\
         ('Shelley Noble','Noble, Shelley','~S. Noble~S.Noble~Noble, S.~Noble,S.~Noble S.~Noble S ^'),\
         ('Sheridan Anne','Anne, Sheridan','~S. Anne~S.Anne~Anne, S.~Anne,S.~Anne S.~Anne S ^'),\
         ('Sherry Harris','Harris, Sherry','~S. Harris~S.Harris~Harris, S.~Harris,S.~Harris S.~Harris S ^'),\
         ('Shirlee McCoy','McCoy, Shirlee','~S. McCoy~S.McCoy~McCoy, S.~McCoy,S.~McCoy S.~McCoy S ^'),\
         ('Shirley Dickson','Dickson, Shirley','~S. Dickson~S.Dickson~Dickson, S.~Dickson,S.~Dickson S.~Dickson S ^'),\
         ('Shirley Mann','Mann, Shirley','~S. Mann~S.Mann~Mann, S.~Mann,S.~Mann S.~Mann S ^'),\
         ('Sian Ann Bessey','Bessey, Sian Ann','~S.A. Bessey~S. A. Bessey~S.A.Bessey~Bessey, S.~Bessey,S.~Bessey S.~Bessey S ^'),\
         ('Sierra Simone','Simone, Sierra','~S. Simone~S.Simone~Simone, S.~Simone,S.~Simone S.~Simone S ^'),\
         ('Siggy Shade','Shade, Siggy','~S. Shade~S.Shade~Shade, S.~Shade,S.~Shade S.~Shade S ^'),\
         ('Silvia Moreno-Garcia','Moreno-Garcia, Silvia','~S. Moreno-Garcia~S.Moreno-Garcia~Moreno-Garcia, S.~Moreno-Garcia,S.~Moreno-Garcia S.~Moreno-Garcia S ^'),\
         ('Silvia Violet','Violet, Silvia','~S. Violet~S.Violet~Violet, S.~Violet,S.~Violet S.~Violet S ^'),\
         ('Simon Archer','Archer, Simon','~S. Archer~S.Archer~Archer, S.~Archer,S.~Archer S.~Archer S ^'),\
         ('Simon Conway','Conway, Simon','~S. Conway~S.Conway~Conway, S.~Conway,S.~Conway S.~Conway S ^'),\
         ('Simon Gervais','Gervais, Simon','~S. Gervais~S.Gervais~Gervais, S.~Gervais,S.~Gervais S.~Gervais S ^'),\
         ('Simon Jimenez','Jimenez, Simon','~S. Jimenez~S.Jimenez~Jimenez, S.~Jimenez,S.~Jimenez S.~Jimenez S ^'),\
         ('Simon Mason','Mason, Simon','~S. Mason~S.Mason~Mason, S.~Mason,S.~Mason S.~Mason S ^'),\
         ('Simon Mayo','Mayo, Simon','~S. Mayo~S.Mayo~Mayo, S.~Mayo,S.~Mayo S.~Mayo S ^'),\
         ('Simon McCleave','McCleave, Simon','~S. McCleave~S.McCleave~McCleave, S.~McCleave,S.~McCleave S.~McCleave S ^'),\
         ('Simon Stephenson','Stephenson, Simon','~S. Stephenson~S.Stephenson~Stephenson, S.~Stephenson,S.~Stephenson S.~Stephenson S ^'),\
         ('Simone St James','James, Simone St','~S.S. James~S. S. James~S.S.James~James, S.~James,S.~James S.~James S ^'),\
         ('Siobhan Curham','Curham, Siobhan','~S. Curham~S.Curham~Curham, S.~Curham,S.~Curham S.~Curham S ^'),\
         ('Siobhan Davis','Davis, Siobhan','~S. Davis~S.Davis~Davis, S.~Davis,S.~Davis S.~Davis S ^'),\
         ('SJ McCoy','McCoy, SJ','~S. McCoy~S.McCoy~McCoy, S.~McCoy,S.~McCoy S.~McCoy S ^'),\
         ('Skye Alder','Alder, Skye','~S. Alder~S.Alder~Alder, S.~Alder,S.~Alder S.~Alder S ^'),\
         ('Skye Wilson','Wilson, Skye','~S. Wilson~S.Wilson~Wilson, S.~Wilson,S.~Wilson S.~Wilson S ^'),\
         ('Sloane Kennedy','Kennedy, Sloane','~S. Kennedy~S.Kennedy~Kennedy, S.~Kennedy,S.~Kennedy S.~Kennedy S ^'),\
         ('SM Olivier','Olivier, SM','~S. Olivier~S.Olivier~Olivier, S.~Olivier,S.~Olivier S.~Olivier S ^'),\
         ('Sofie Ryan','Ryan, Sofie','~S. Ryan~S.Ryan~Ryan, S.~Ryan,S.~Ryan S.~Ryan S ^'),\
         ('Solomon Carter','Carter, Solomon','~S. Carter~S.Carter~Carter, S.~Carter,S.~Carter S.~Carter S ^'),\
         ('Sólveig Pálsdóttir','Pálsdóttir, Sólveig','~S. Pálsdóttir~S.Pálsdóttir~Pálsdóttir, S.~Pálsdóttir,S.~Pálsdóttir S.~Pálsdóttir S ^'),\
         ('Soman Chainani','Chainani, Soman','~S. Chainani~S.Chainani~Chainani, S.~Chainani,S.~Chainani S.~Chainani S ^'),\
         ('Somme Sketcher','Sketcher, Somme','~S. Sketcher~S.Sketcher~Sketcher, S.~Sketcher,S.~Sketcher S.~Sketcher S ^'),\
         ('Sonia Parin','Parin, Sonia','~S. Parin~S.Parin~Parin, S.~Parin,S.~Parin S.~Parin S ^'),\
         ('Sophia James','James, Sophia','~S. James~S.James~James, S.~James,S.~James S.~James S ^'),\
         ('Sophie Cleverly','Cleverly, Sophie','~S. Cleverly~S.Cleverly~Cleverly, S.~Cleverly,S.~Cleverly S.~Cleverly S ^'),\
         ('Sophie Cousens','Cousens, Sophie','~S. Cousens~S.Cousens~Cousens, S.~Cousens,S.~Cousens S.~Cousens S ^'),\
         ('Sophie Green','Green, Sophie','~S. Green~S.Green~Green, S.~Green,S.~Green S.~Green S ^'),\
         ('Sophie Irwin','Irwin, Sophie','~S. Irwin~S.Irwin~Irwin, S.~Irwin,S.~Irwin S.~Irwin S ^'),\
         ('Sophie Lark','Lark, Sophie','~S. Lark~S.Lark~Lark, S.~Lark,S.~Lark S.~Lark S ^'),\
         ('Sophie Ranald','Ranald, Sophie','~S. Ranald~S.Ranald~Ranald, S.~Ranald,S.~Ranald S.~Ranald S ^'),\
         ('Sophie Winters','Winters, Sophie','~S. Winters~S.Winters~Winters, S.~Winters,S.~Winters S.~Winters S ^'),\
         ('Soraya M. Lane','Lane, Soraya M.','~S.M. Lane~S. M. Lane~S.M.Lane~Lane, S.~Lane,S.~Lane S.~Lane S ^'),\
         ('Søren Sveistrup','Sveistrup, Søren','~S. Sveistrup~S.Sveistrup~Sveistrup, S.~Sveistrup,S.~Sveistrup S.~Sveistrup S ^'),\
         ('SR Jones','Jones, SR','~S. Jones~S.Jones~Jones, S.~Jones,S.~Jones S.~Jones S ^'),\
         ('Stacey Abrams','Abrams, Stacey','~S. Abrams~S.Abrams~Abrams, S.~Abrams,S.~Abrams S.~Abrams S ^'),\
         ('Stacey Halls','Halls, Stacey','~S. Halls~S.Halls~Halls, S.~Halls,S.~Halls S.~Halls S ^'),\
         ('Stacey Marie Brown','Brown, Stacey Marie','~S.M. Brown~S. M. Brown~S.M.Brown~Brown, S.~Brown,S.~Brown S.~Brown S ^'),\
         ('Stacia Stark','Stark, Stacia','~S. Stark~S.Stark~Stark, S.~Stark,S.~Stark S.~Stark S ^'),\
         ('Stacy Claflin','Claflin, Stacy','~S. Claflin~S.Claflin~Claflin, S.~Claflin,S.~Claflin S.~Claflin S ^'),\
         ('Stacy Green','Green, Stacy','~S. Green~S.Green~Green, S.~Green,S.~Green S.~Green S ^'),\
         ('Stacy Reid','Reid, Stacy','~S. Reid~S.Reid~Reid, S.~Reid,S.~Reid S.~Reid S ^'),\
         ('Stacy Willingham','Willingham, Stacy','~S. Willingham~S.Willingham~Willingham, S.~Willingham,S.~Willingham S.~Willingham S ^'),\
         ('Stasia Black','Black, Stasia','~S. Black~S.Black~Black, S.~Black,S.~Black S.~Black S ^'),\
         ('Stefan Ahnhem','Ahnhem, Stefan','~S. Ahnhem~S.Ahnhem~Ahnhem, S.~Ahnhem,S.~Ahnhem S.~Ahnhem S ^'),\
         ('Steffanie Holmes','Holmes, Steffanie','~S. Holmes~S.Holmes~Holmes, S.~Holmes,S.~Holmes S.~Holmes S ^'),\
         ('Stella Andrews','Andrews, Stella','~S. Andrews~S.Andrews~Andrews, S.~Andrews,S.~Andrews S.~Andrews S ^'),\
         ('Stella Gray','Gray, Stella','~S. Gray~S.Gray~Gray, S.~Gray,S.~Gray S.~Gray S ^'),\
         ('Stella Riley','Riley, Stella','~S. Riley~S.Riley~Riley, S.~Riley,S.~Riley S.~Riley S ^'),\
         ('Stephanie Austin','Austin, Stephanie','~S. Austin~S.Austin~Austin, S.~Austin,S.~Austin S.~Austin S ^'),\
         ('Stephanie Blackmoore','Blackmoore, Stephanie','~S. Blackmoore~S.Blackmoore~Blackmoore, S.~Blackmoore,S.~Blackmoore S.~Blackmoore S ^'),\
         ('Stephanie Evanovich','Evanovich, Stephanie','~S. Evanovich~S.Evanovich~Evanovich, S.~Evanovich,S.~Evanovich S.~Evanovich S ^'),\
         ('Stephanie Garber','Garber, Stephanie','~S. Garber~S.Garber~Garber, S.~Garber,S.~Garber S.~Garber S ^'),\
         ('Stephanie Harte','Harte, Stephanie','~S. Harte~S.Harte~Harte, S.~Harte,S.~Harte S.~Harte S ^'),\
         ('Stephanie Nicole Norris','Norris, Stephanie Nicole','~S.N. Norris~S. N. Norris~S.N.Norris~Norris, S.~Norris,S.~Norris S.~Norris S ^'),\
         ('Stephanie Rose','Rose, Stephanie','~S. Rose~S.Rose~Rose, S.~Rose,S.~Rose S.~Rose S ^'),\
         ('Stephen Aryan','Aryan, Stephen','~S. Aryan~S.Aryan~Aryan, S.~Aryan,S.~Aryan S.~Aryan S ^'),\
         ('Stephen Graham Jones','Jones, Stephen Graham','~S.G. Jones~S. G. Jones~S.G.Jones~Jones, S.~Jones,S.~Jones S.~Jones S ^'),\
         ('Stephen Spotswood','Spotswood, Stephen','~S. Spotswood~S.Spotswood~Spotswood, S.~Spotswood,S.~Spotswood S.~Spotswood S ^'),\
         ('Steve Burrows','Burrows, Steve','~S. Burrows~S.Burrows~Burrows, S.~Burrows,S.~Burrows S.~Burrows S ^'),\
         ('Steve Cavanagh','Cavanagh, Steve','~S. Cavanagh~S.Cavanagh~Cavanagh, S.~Cavanagh,S.~Cavanagh S.~Cavanagh S ^'),\
         ('Steve Higgs','Higgs, Steve','~S. Higgs~S.Higgs~Higgs, S.~Higgs,S.~Higgs S.~Higgs S ^'),\
         ('Steven A. McKay','McKay, Steven A.','~S.A. McKay~S. A. McKay~S.A.McKay~McKay, S.~McKay,S.~McKay S.~McKay S ^'),\
         ('Steven Becker','Becker, Steven','~S. Becker~S.Becker~Becker, S.~Becker,S.~Becker S.~Becker S ^'),\
         ('Steven Hartov','Hartov, Steven','~S. Hartov~S.Hartov~Hartov, S.~Hartov,S.~Hartov S.~Hartov S ^'),\
         ('Steven Henry','Henry, Steven','~S. Henry~S.Henry~Henry, S.~Henry,S.~Henry S.~Henry S ^'),\
         ('Steven Konkoly','Konkoly, Steven','~S. Konkoly~S.Konkoly~Konkoly, S.~Konkoly,S.~Konkoly S.~Konkoly S ^'),\
         ('Stewart Giles','Giles, Stewart','~S. Giles~S.Giles~Giles, S.~Giles,S.~Giles S.~Giles S ^'),\
         ('Stuart Grosse','Grosse, Stuart','~S. Grosse~S.Grosse~Grosse, S.~Grosse,S.~Grosse S.~Grosse S ^'),\
         ('Stuart MacBride','MacBride, Stuart','~S. MacBride~S.MacBride~MacBride, S.~MacBride,S.~MacBride S.~MacBride S ^'),\
         ('Stuart Turton','Turton, Stuart','~S. Turton~S.Turton~Turton, S.~Turton,S.~Turton S.~Turton S ^'),\
         ('Sue Fortin','Fortin, Sue','~S. Fortin~S.Fortin~Fortin, S.~Fortin,S.~Fortin S.~Fortin S ^'),\
         ('Sue Henry','Henry, Sue','~S. Henry~S.Henry~Henry, S.~Henry,S.~Henry S.~Henry S ^'),\
         ('Sue Lynn Tan','Tan, Sue Lynn','~S.L. Tan~S. L. Tan~S.L.Tan~Tan, S.~Tan,S.~Tan S.~Tan S ^'),\
         ('Sue Watson','Watson, Sue','~S. Watson~S.Watson~Watson, S.~Watson,S.~Watson S.~Watson S ^'),\
         ('Sulari Gentill','Gentill, Sulari','~S. Gentill~S.Gentill~Gentill, S.~Gentill,S.~Gentill S.~Gentill S ^'),\
         ('Summer Prescott','Prescott, Summer','~S. Prescott~S.Prescott~Prescott, S.~Prescott,S.~Prescott S.~Prescott S ^'),\
         ('Sunyi Dean','Dean, Sunyi','~S. Dean~S.Dean~Dean, S.~Dean,S.~Dean S.~Dean S ^'),\
         ('Susan Copperfield','Copperfield, Susan','~S. Copperfield~S.Copperfield~Copperfield, S.~Copperfield,S.~Copperfield S.~Copperfield S ^'),\
         ('Susan Gates','Gates, Susan','~S. Gates~S.Gates~Gates, S.~Gates,S.~Gates S.~Gates S ^'),\
         ('Susan Harper','Harper, Susan','~S. Harper~S.Harper~Harper, S.~Harper,S.~Harper S.~Harper S ^'),\
         ('Susan Isaacs','Isaacs, Susan','~S. Isaacs~S.Isaacs~Isaacs, S.~Isaacs,S.~Isaacs S.~Isaacs S ^'),\
         ('Susan Kiernan-Lewis','Kiernan-Lewis, Susan','~S. Kiernan-Lewis~S.Kiernan-Lewis~Kiernan-Lewis, S.~Kiernan-Lewis,S.~Kiernan-Lewis S.~Kiernan-Lewis S ^'),\
         ('Susan May Warren','Warren, Susan May','~S.M. Warren~S. M. Warren~S.M.Warren~Warren, S.~Warren,S.~Warren S.~Warren S ^'),\
         ('Susan Sleeman','Sleeman, Susan','~S. Sleeman~S.Sleeman~Sleeman, S.~Sleeman,S.~Sleeman S.~Sleeman S ^'),\
         ('Susan Wilkins','Wilkins, Susan','~S. Wilkins~S.Wilkins~Wilkins, S.~Wilkins,S.~Wilkins S.~Wilkins S ^'),\
         ('Susanna Allen','Allen, Susanna','~S. Allen~S.Allen~Allen, S.~Allen,S.~Allen S.~Allen S ^'),\
         ('Susanne O''Leary','O''Leary, Susanne','~S. O''Leary~S.O''Leary~O''Leary, S.~O''Leary,S.~O''Leary S.~O''Leary S ^'),\
         ('Susanne Valenti','Valenti, Susanne','~S. Valenti~S.Valenti~Valenti, S.~Valenti,S.~Valenti S.~Valenti S ^'),\
         ('Susi Holliday','Holliday, Susi','~S. Holliday~S.Holliday~Holliday, S.~Holliday,S.~Holliday S.~Holliday S ^'),\
         ('Susie Steiner','Steiner, Susie','~S. Steiner~S.Steiner~Steiner, S.~Steiner,S.~Steiner S.~Steiner S ^'),\
         ('Suzanne Allain','Allain, Suzanne','~S. Allain~S.Allain~Allain, S.~Allain,S.~Allain S.~Allain S ^'),\
         ('Suzanne Ferrell','Ferrell, Suzanne','~S. Ferrell~S.Ferrell~Ferrell, S.~Ferrell,S.~Ferrell S.~Ferrell S ^'),\
         ('Suzanne Snow','Snow, Suzanne','~S. Snow~S.Snow~Snow, S.~Snow,S.~Snow S.~Snow S ^'),\
         ('Suzanne Wright','Wright, Suzanne','~S. Wright~S.Wright~Wright, S.~Wright,S.~Wright S.~Wright S ^'),\
         ('Suzette A. Hill','Hill, Suzette A.','~S.A. Hill~S. A. Hill~S.A.Hill~Hill, S.~Hill,S.~Hill S.~Hill S ^'),\
         ('Sybil Bartel','Bartel, Sybil','~S. Bartel~S.Bartel~Bartel, S.~Bartel,S.~Bartel S.~Bartel S ^'),\
         ('Sylvia Mercedes','Mercedes, Sylvia','~S. Mercedes~S.Mercedes~Mercedes, S.~Mercedes,S.~Mercedes S.~Mercedes S ^'),\
         ('T. Kingfisher','Kingfisher, T.','~T. Kingfisher~T.Kingfisher~Kingfisher, T.~Kingfisher,T.~Kingfisher T.~Kingfisher T ^'),\
         ('T. Styles','Styles, T.','~T. Styles~T.Styles~Styles, T.~Styles,T.~Styles T.~Styles T ^'),\
         ('T.A. White','White, T.A.','~T.A. White~T. A. White~T.A.White~White, T.~White,T.~White T.~White T ^'),\
         ('T.A. Williams','Williams, T.A.','~T.A. Williams~T. A. Williams~T.A.Williams~Williams, T.~Williams,T.~Williams T.~Williams T ^'),\
         ('T.C. Edge','Edge, T.C.','~T.C. Edge~T. C. Edge~T.C.Edge~Edge, T.~Edge,T.~Edge T.~Edge T ^'),\
         ('T.C. LoTempio','LoTempio, T.C.','~T.C. LoTempio~T. C. LoTempio~T.C.LoTempio~LoTempio, T.~LoTempio,T.~LoTempio T.~LoTempio T ^'),\
         ('T.E. Kinsey','Kinsey, T.E.','~T.E. Kinsey~T. E. Kinsey~T.E.Kinsey~Kinsey, T.~Kinsey,T.~Kinsey T.~Kinsey T ^'),\
         ('T.F. Muir','Muir, T.F.','~T.F. Muir~T. F. Muir~T.F.Muir~Muir, T.~Muir,T.~Muir T.~Muir T ^'),\
         ('T.I. Lowe','Lowe, T.I.','~T.I. Lowe~T. I. Lowe~T.I.Lowe~Lowe, T.~Lowe,T.~Lowe T.~Lowe T ^'),\
         ('T.J. Newman','Newman, T.J.','~T.J. Newman~T. J. Newman~T.J.Newman~Newman, T.~Newman,T.~Newman T.~Newman T ^'),\
         ('T.Jefferson Parker','Parker, T.Jefferson','~T.J. Parker~T. J. Parker~T.J.Parker~Parker, T.~Parker,T.~Parker T.~Parker T ^'),\
         ('T.L. Huchu','Huchu, T.L.','~T.L. Huchu~T. L. Huchu~T.L.Huchu~Huchu, T.~Huchu,T.~Huchu T.~Huchu T ^'),\
         ('T.L. Payne','Payne, T.L.','~T.L. Payne~T. L. Payne~T.L.Payne~Payne, T.~Payne,T.~Payne T.~Payne T ^'),\
         ('T.L. Smith','Smith, T.L.','~T.L. Smith~T. L. Smith~T.L.Smith~Smith, T.~Smith,T.~Smith T.~Smith T ^'),\
         ('T.L. Swan','Swan, T.L.','~T.L. Swan~T. L. Swan~T.L.Swan~Swan, T.~Swan,T.~Swan T.~Swan T ^'),\
         ('T.M. Cromer','Cromer, T.M.','~T.M. Cromer~T. M. Cromer~T.M.Cromer~Cromer, T.~Cromer,T.~Cromer T.~Cromer T ^'),\
         ('T.M. Frazier','Frazier, T.M.','~T.M. Frazier~T. M. Frazier~T.M.Frazier~Frazier, T.~Frazier,T.~Frazier T.~Frazier T ^'),\
         ('T.M. Logan','Logan, T.M.','~T.M. Logan~T. M. Logan~T.M.Logan~Logan, T.~Logan,T.~Logan T.~Logan T ^'),\
         ('T.O. Smith','Smith, T.O.','~T.O. Smith~T. O. Smith~T.O.Smith~Smith, T.~Smith,T.~Smith T.~Smith T ^'),\
         ('T.R. Ragan','Ragan, T.R.','~T.R. Ragan~T. R. Ragan~T.R.Ragan~Ragan, T.~Ragan,T.~Ragan T.~Ragan T ^'),\
         ('T.S. Joyce','Joyce, T.S.','~T.S. Joyce~T. S. Joyce~T.S.Joyce~Joyce, T.~Joyce,T.~Joyce T.~Joyce T ^'),\
         ('T.S. Paul','Paul, T.S.','~T.S. Paul~T. S. Paul~T.S.Paul~Paul, T.~Paul,T.~Paul T.~Paul T ^'),\
         ('Tade Thompson','Thompson, Tade','~T. Thompson~T.Thompson~Thompson, T.~Thompson,T.~Thompson T.~Thompson T ^'),\
         ('Tal Bauer','Bauer, Tal','~T. Bauer~T.Bauer~Bauer, T.~Bauer,T.~Bauer T.~Bauer T ^'),\
         ('Talia Hibbert','Hibbert, Talia','~T. Hibbert~T.Hibbert~Hibbert, T.~Hibbert,T.~Hibbert T.~Hibbert T ^'),\
         ('Tamara Berry','Berry, Tamara','~T. Berry~T.Berry~Berry, T.~Berry,T.~Berry T.~Berry T ^'),\
         ('Tamara McKinley','McKinley, Tamara','~T. McKinley~T.McKinley~McKinley, T.~McKinley,T.~McKinley T.~McKinley T ^'),\
         ('Tammy Andresen','Andresen, Tammy','~T. Andresen~T.Andresen~Andresen, T.~Andresen,T.~Andresen T.~Andresen T ^'),\
         ('Tammy L. Gray','Gray, Tammy L.','~T.L. Gray~T. L. Gray~T.L.Gray~Gray, T.~Gray,T.~Gray T.~Gray T ^'),\
         ('Tamryn Tamer','Tamer, Tamryn','~T. Tamer~T.Tamer~Tamer, T.~Tamer,T.~Tamer T.~Tamer T ^'),\
         ('Tamsyn Muir','Muir, Tamsyn','~T. Muir~T.Muir~Muir, T.~Muir,T.~Muir T.~Muir T ^'),\
         ('Tana Stone','Stone, Tana','~T. Stone~T.Stone~Stone, T.~Stone,T.~Stone T.~Stone T ^'),\
         ('Tao Wong','Wong, Tao','~T. Wong~T.Wong~Wong, T.~Wong,T.~Wong T.~Wong T ^'),\
         ('Tara Lush','Lush, Tara','~T. Lush~T.Lush~Lush, T.~Lush,T.~Lush T.~Lush T ^'),\
         ('Tara Taylor Quinn','Quinn, Tara Taylor','~T.T. Quinn~T. T. Quinn~T.T.Quinn~Quinn, T.~Quinn,T.~Quinn T.~Quinn T ^'),\
         ('Tara West','West, Tara','~T. West~T.West~West, T.~West,T.~West T.~West T ^'),\
         ('Taran Matharu','Matharu, Taran','~T. Matharu~T.Matharu~Matharu, T.~Matharu,T.~Matharu T.~Matharu T ^'),\
         ('Tasha Black','Black, Tasha','~T. Black~T.Black~Black, T.~Black,T.~Black T.~Black T ^'),\
         ('Tasha Suri','Suri, Tasha','~T. Suri~T.Suri~Suri, T.~Suri,T.~Suri T.~Suri T ^'),\
         ('Tate James','James, Tate','~T. James~T.James~James, T.~James,T.~James T.~James T ^'),\
         ('Taylor Adams','Adams, Taylor','~T. Adams~T.Adams~Adams, T.~Adams,T.~Adams T.~Adams T ^'),\
         ('Taylor Jenkins Reid','Reid, Taylor Jenkins','~T.J. Reid~T. J. Reid~T.J.Reid~Reid, T.~Reid,T.~Reid T.~Reid T ^'),\
         ('Taylor Moore','Moore, Taylor','~T. Moore~T.Moore~Moore, T.~Moore,T.~Moore T.~Moore T ^'),\
         ('Téa Cooper','Cooper, Téa','~T. Cooper~T.Cooper~Cooper, T.~Cooper,T.~Cooper T.~Cooper T ^'),\
         ('Teagan Brooks','Brooks, Teagan','~T. Brooks~T.Brooks~Brooks, T.~Brooks,T.~Brooks T.~Brooks T ^'),\
         ('Teagan Hunter','Hunter, Teagan','~T. Hunter~T.Hunter~Hunter, T.~Hunter,T.~Hunter T.~Hunter T ^'),\
         ('Tee O''Fallon','O''Fallon, Tee','~T. O''Fallon~T.O''Fallon~O''Fallon, T.~O''Fallon,T.~O''Fallon T.~O''Fallon T ^'),\
         ('Tegan Maher','Maher, Tegan','~T. Maher~T.Maher~Maher, T.~Maher,T.~Maher T.~Maher T ^'),\
         ('Teri Wilson','Wilson, Teri','~T. Wilson~T.Wilson~Wilson, T.~Wilson,T.~Wilson T.~Wilson T ^'),\
         ('Terrence McCauley','McCauley, Terrence','~T. McCauley~T.McCauley~McCauley, T.~McCauley,T.~McCauley T.~McCauley T ^'),\
         ('Terry Bolryder','Bolryder, Terry','~T. Bolryder~T.Bolryder~Bolryder, T.~Bolryder,T.~Bolryder T.~Bolryder T ^'),\
         ('Terry C. Johnston','Johnston, Terry C.','~T.C. Johnston~T. C. Johnston~T.C.Johnston~Johnston, T.~Johnston,T.~Johnston T.~Johnston T ^'),\
         ('Terry Hayes','Hayes, Terry','~T. Hayes~T.Hayes~Hayes, T.~Hayes,T.~Hayes T.~Hayes T ^'),\
         ('Terry Mancour','Mancour, Terry','~T. Mancour~T.Mancour~Mancour, T.~Mancour,T.~Mancour T.~Mancour T ^'),\
         ('Terry Mixon','Mixon, Terry','~T. Mixon~T.Mixon~Mixon, T.~Mixon,T.~Mixon T.~Mixon T ^'),\
         ('Terry Shames','Shames, Terry','~T. Shames~T.Shames~Shames, T.~Shames,T.~Shames T.~Shames T ^'),\
         ('Tess Thompson','Thompson, Tess','~T. Thompson~T.Thompson~Thompson, T.~Thompson,T.~Thompson T.~Thompson T ^'),\
         ('Tessa Arlen','Arlen, Tessa','~T. Arlen~T.Arlen~Arlen, T.~Arlen,T.~Arlen T.~Arlen T ^'),\
         ('Tessa Brookman','Brookman, Tessa','~T. Brookman~T.Brookman~Brookman, T.~Brookman,T.~Brookman T.~Brookman T ^'),\
         ('Tessonja Odette','Odette, Tessonja','~T. Odette~T.Odette~Odette, T.~Odette,T.~Odette T.~Odette T ^'),\
         ('TG Reid','Reid, TG','~T. Reid~T.Reid~Reid, T.~Reid,T.~Reid T.~Reid T ^'),\
         ('The Reverend Richard Coles','Coles, The Reverend Richard','~T.R.R.Coles~T. R. R. Coles~T.R.R.Coles~Coles, T.~Coles,T.~Coles T.~Coles T ^'),\
         ('Thea Stilton','Stilton, Thea','~T. Stilton~T.Stilton~Stilton, T.~Stilton,T.~Stilton T.~Stilton T ^'),\
         ('Theo Clare','Clare, Theo','~T. Clare~T.Clare~Clare, T.~Clare,T.~Clare T.~Clare T ^'),\
         ('Theodora Taylor','Taylor, Theodora','~T. Taylor~T.Taylor~Taylor, T.~Taylor,T.~Taylor T.~Taylor T ^'),\
         ('Therese Anne Fowler','Fowler, Therese Anne','~T.A. Fowler~T. A. Fowler~T.A.Fowler~Fowler, T.~Fowler,T.~Fowler T.~Fowler T ^'),\
         ('Thomas A. Watson','Watson, Thomas A.','~T.A. Watson~T. A. Watson~T.A.Watson~Watson, T.~Watson,T.~Watson T.~Watson T ^'),\
         ('Thomas King','King, Thomas','~T. King~T.King~King, T.~King,T.~King T.~King T ^'),\
         ('Tiffany Casper','Casper, Tiffany','~T. Casper~T.Casper~Casper, T.~Casper,T.~Casper T.~Casper T ^'),\
         ('Tiffany D. Jackson','Jackson, Tiffany D.','~T.D. Jackson~T. D. Jackson~T.D.Jackson~Jackson, T.~Jackson,T.~Jackson T.~Jackson T ^'),\
         ('Tiffany Patterson','Patterson, Tiffany','~T. Patterson~T.Patterson~Patterson, T.~Patterson,T.~Patterson T.~Patterson T ^'),\
         ('Tiffany Roberts','Roberts, Tiffany','~T. Roberts~T.Roberts~Roberts, T.~Roberts,T.~Roberts T.~Roberts T ^'),\
         ('Tim Glister','Glister, Tim','~T. Glister~T.Glister~Glister, T.~Glister,T.~Glister T.~Glister T ^'),\
         ('Tim Hodkinson','Hodkinson, Tim','~T. Hodkinson~T.Hodkinson~Hodkinson, T.~Hodkinson,T.~Hodkinson T.~Hodkinson T ^'),\
         ('Tim McBain','McBain, Tim','~T. McBain~T.McBain~McBain, T.~McBain,T.~McBain T.~McBain T ^'),\
         ('Tim Sullivan','Sullivan, Tim','~T. Sullivan~T.Sullivan~Sullivan, T.~Sullivan,T.~Sullivan T.~Sullivan T ^'),\
         ('Tim Weaver','Weaver, Tim','~T. Weaver~T.Weaver~Weaver, T.~Weaver,T.~Weaver T.~Weaver T ^'),\
         ('Timothy Ellis','Ellis, Timothy','~T. Ellis~T.Ellis~Ellis, T.~Ellis,T.~Ellis T.~Ellis T ^'),\
         ('Tina J','J, Tina','~T. J~T.J~J, T.~J,T.~J T.~J T ^'),\
         ('TJ Klune','Klune, TJ','~T. Klune~T.Klune~Klune, T.~Klune,T.~Klune T.~Klune T ^'),\
         ('Todd Borg','Borg, Todd','~T. Borg~T.Borg~Borg, T.~Borg,T.~Borg T.~Borg T ^'),\
         ('Tom Abrahams','Abrahams, Tom','~T. Abrahams~T.Abrahams~Abrahams, T.~Abrahams,T.~Abrahams T.~Abrahams T ^'),\
         ('Tom Elliot','Elliot, Tom','~T. Elliot~T.Elliot~Elliot, T.~Elliot,T.~Elliot T.~Elliot T ^'),\
         ('Tom Fletcher','Fletcher, Tom','~T. Fletcher~T.Fletcher~Fletcher, T.~Fletcher,T.~Fletcher T.~Fletcher T ^'),\
         ('Tom Fletcher','Fletcher, Tom','~T. Fletcher~T.Fletcher~Fletcher, T.~Fletcher,T.~Fletcher T.~Fletcher T ^'),\
         ('Tom Hindle','Hindle, Tom','~T. Hindle~T.Hindle~Hindle, T.~Hindle,T.~Hindle T.~Hindle T ^'),\
         ('Tom Larcombe','Larcombe, Tom','~T. Larcombe~T.Larcombe~Larcombe, T.~Larcombe,T.~Larcombe T.~Larcombe T ^'),\
         ('Tom Mead','Mead, Tom','~T. Mead~T.Mead~Mead, T.~Mead,T.~Mead T.~Mead T ^'),\
         ('Tomi Adeyemi','Adeyemi, Tomi','~T. Adeyemi~T.Adeyemi~Adeyemi, T.~Adeyemi,T.~Adeyemi T.~Adeyemi T ^'),\
         ('Toni Aleo','Aleo, Toni','~T. Aleo~T.Aleo~Aleo, T.~Aleo,T.~Aleo T.~Aleo T ^'),\
         ('Toni Blake','Blake, Toni','~T. Blake~T.Blake~Blake, T.~Blake,T.~Blake T.~Blake T ^'),\
         ('Tony Corden','Corden, Tony','~T. Corden~T.Corden~Corden, T.~Corden,T.~Corden T.~Corden T ^'),\
         ('Tony J. Forder','Forder, Tony J.','~T.J. Forder~T. J. Forder~T.J.Forder~Forder, T.~Forder,T.~Forder T.~Forder T ^'),\
         ('Tony Kent','Kent, Tony','~T. Kent~T.Kent~Kent, T.~Kent,T.~Kent T.~Kent T ^'),\
         ('Tony Park','Park, Tony','~T. Park~T.Park~Park, T.~Park,T.~Park T.~Park T ^'),\
         ('Tory Baker','Baker, Tory','~T. Baker~T.Baker~Baker, T.~Baker,T.~Baker T.~Baker T ^'),\
         ('Toshikazu Kawaguchi','Kawaguchi, Toshikazu','~T. Kawaguchi~T.Kawaguchi~Kawaguchi, T.~Kawaguchi,T.~Kawaguchi T.~Kawaguchi T ^'),\
         ('Tove Alsterdal','Alsterdal, Tove','~T. Alsterdal~T.Alsterdal~Alsterdal, T.~Alsterdal,T.~Alsterdal T.~Alsterdal T ^'),\
         ('TR Cameron','Cameron, TR','~T. Cameron~T.Cameron~Cameron, T.~Cameron,T.~Cameron T.~Cameron T ^'),\
         ('Tracey Lien','Lien, Tracey','~T. Lien~T.Lien~Lien, T.~Lien,T.~Lien T.~Lien T ^'),\
         ('Tracey West','West, Tracey','~T. West~T.West~West, T.~West,T.~West T.~West T ^'),\
         ('Traci Hall','Hall, Traci','~T. Hall~T.Hall~Hall, T.~Hall,T.~Hall T.~Hall T ^'),\
         ('Traci Hunter Abramson','Abramson, Traci Hunter','~T.H. Abramson~T. H. Abramson~T.H.Abramson~Abramson, T.~Abramson,T.~Abramson T.~Abramson T ^'),\
         ('Traci Wilton','Wilton, Traci','~T. Wilton~T.Wilton~Wilton, T.~Wilton,T.~Wilton T.~Wilton T ^'),\
         ('Tracie Delaney','Delaney, Tracie','~T. Delaney~T.Delaney~Delaney, T.~Delaney,T.~Delaney T.~Delaney T ^'),\
         ('Tracy Baines','Baines, Tracy','~T. Baines~T.Baines~Baines, T.~Baines,T.~Baines T.~Baines T ^'),\
         ('Tracy Clark','Clark, Tracy','~T. Clark~T.Clark~Clark, T.~Clark,T.~Clark T.~Clark T ^'),\
         ('Tracy Deonn','Deonn, Tracy','~T. Deonn~T.Deonn~Deonn, T.~Deonn,T.~Deonn T.~Deonn T ^'),\
         ('Tracy Gardner','Gardner, Tracy','~T. Gardner~T.Gardner~Gardner, T.~Gardner,T.~Gardner T.~Gardner T ^'),\
         ('Tracy Grant','Grant, Tracy','~T. Grant~T.Grant~Grant, T.~Grant,T.~Grant T.~Grant T ^'),\
         ('Tracy Lorraine','Lorraine, Tracy','~T. Lorraine~T.Lorraine~Lorraine, T.~Lorraine,T.~Lorraine T.~Lorraine T ^'),\
         ('Tracy Rees','Rees, Tracy','~T. Rees~T.Rees~Rees, T.~Rees,T.~Rees T.~Rees T ^'),\
         ('Tracy Sumner','Sumner, Tracy','~T. Sumner~T.Sumner~Sumner, T.~Sumner,T.~Sumner T.~Sumner T ^'),\
         ('Tracy Wolff','Wolff, Tracy','~T. Wolff~T.Wolff~Wolff, T.~Wolff,T.~Wolff T.~Wolff T ^'),\
         ('Trevor Wood','Wood, Trevor','~T. Wood~T.Wood~Wood, T.~Wood,T.~Wood T.~Wood T ^'),\
         ('Tricia Fields','Fields, Tricia','~T. Fields~T.Fields~Fields, T.~Fields,T.~Fields T.~Fields T ^'),\
         ('Tricia Levenseller','Levenseller, Tricia','~T. Levenseller~T.Levenseller~Levenseller, T.~Levenseller,T.~Levenseller T.~Levenseller T ^'),\
         ('Tricia O''Malley','O''Malley, Tricia','~T. O''Malley~T.O''Malley~O''Malley, T.~O''Malley,T.~O''Malley T.~O''Malley T ^'),\
         ('Tricia Stringer','Stringer, Tricia','~T. Stringer~T.Stringer~Stringer, T.~Stringer,T.~Stringer T.~Stringer T ^'),\
         ('Tripp Ellis','Ellis, Tripp','~T. Ellis~T.Ellis~Ellis, T.~Ellis,T.~Ellis T.~Ellis T ^'),\
         ('Trish Esden','Esden, Trish','~T. Esden~T.Esden~Esden, T.~Esden,T.~Esden T.~Esden T ^'),\
         ('Tui T. Sutherland','Sutherland, Tui T.','~T.T. Sutherland~T. T. Sutherland~T.T.Sutherland~Sutherland, T.~Sutherland,T.~Sutherland T.~Sutherland T ^'),\
         ('Ty Hutchinson','Hutchinson, Ty','~T. Hutchinson~T.Hutchinson~Hutchinson, T.~Hutchinson,T.~Hutchinson T.~Hutchinson T ^'),\
         ('Tyrell Johnson','Johnson, Tyrell','~T. Johnson~T.Johnson~Johnson, T.~Johnson,T.~Johnson T.~Johnson T ^'),\
         ('Ursa Dax','Dax, Ursa','~U. Dax~U.Dax~Dax, U.~Dax,U.~Dax U.~Dax U ^'),\
         ('Ursula K.Le Guin','Guin, Ursula K.Le','~U.K.L.Guin~U. K. L. Guin~U.K.L.Guin~Guin, U.~Guin,U.~Guin U.~Guin U ^'),\
         ('V.E. Schwab','Schwab, V.E.','~V.E. Schwab~V. E. Schwab~V.E.Schwab~Schwab, V.~Schwab,V.~Schwab V.~Schwab V ^'),\
         ('V.F. Mason','Mason, V.F.','~V.F. Mason~V. F. Mason~V.F.Mason~Mason, V.~Mason,V.~Mason V.~Mason V ^'),\
         ('V.M. Burns','Burns, V.M.','~V.M. Burns~V. M. Burns~V.M.Burns~Burns, V.~Burns,V.~Burns V.~Burns V ^'),\
         ('V.S. Alexander','Alexander, V.S.','~V.S. Alexander~V. S. Alexander~V.S.Alexander~Alexander, V.~Alexander,V.~Alexander V.~Alexander V ^'),\
         ('Val McDermid','McDermid, Val','~V. McDermid~V.McDermid~McDermid, V.~McDermid,V.~McDermid V.~McDermid V ^'),\
         ('Val Wood','Wood, Val','~V. Wood~V.Wood~Wood, V.~Wood,V.~Wood V.~Wood V ^'),\
         ('Valerie Burns','Burns, Valerie','~V. Burns~V.Burns~Burns, V.~Burns,V.~Burns V.~Burns V ^'),\
         ('Valerie Keogh','Keogh, Valerie','~V. Keogh~V.Keogh~Keogh, V.~Keogh,V.~Keogh V.~Keogh V ^'),\
         ('Vanessa Kelly','Kelly, Vanessa','~V. Kelly~V.Kelly~Kelly, V.~Kelly,V.~Kelly V.~Kelly V ^'),\
         ('Vanessa Riley','Riley, Vanessa','~V. Riley~V.Riley~Riley, V.~Riley,V.~Riley V.~Riley V ^'),\
         ('Vanessa Vale','Vale, Vanessa','~V. Vale~V.Vale~Vale, V.~Vale,V.~Vale V.~Vale V ^'),\
         ('Vasily Mahanenko','Mahanenko, Vasily','~V. Mahanenko~V.Mahanenko~Mahanenko, V.~Mahanenko,V.~Mahanenko V.~Mahanenko V ^'),\
         ('Verity Bright','Bright, Verity','~V. Bright~V.Bright~Bright, V.~Bright,V.~Bright V.~Bright V ^'),\
         ('Veronica Bond','Bond, Veronica','~V. Bond~V.Bond~Bond, V.~Bond,V.~Bond V.~Bond V ^'),\
         ('Veronica Eden','Eden, Veronica','~V. Eden~V.Eden~Eden, V.~Eden,V.~Eden V.~Eden V ^'),\
         ('Vicki Beeby','Beeby, Vicki','~V. Beeby~V.Beeby~Beeby, V.~Beeby,V.~Beeby V.~Beeby V ^'),\
         ('Victoria Abbott','Abbott, Victoria','~V. Abbott~V.Abbott~Abbott, V.~Abbott,V.~Abbott V.~Abbott V ^'),\
         ('Victoria Aveline','Aveline, Victoria','~V. Aveline~V.Aveline~Aveline, V.~Aveline,V.~Aveline V.~Aveline V ^'),\
         ('Victoria Aveyard','Aveyard, Victoria','~V. Aveyard~V.Aveyard~Aveyard, V.~Aveyard,V.~Aveyard V.~Aveyard V ^'),\
         ('Victoria Christopher Murray','Murray, Victoria Christopher','~V.C. Murray~V. C. Murray~V.C.Murray~Murray, V.~Murray,V.~Murray V.~Murray V ^'),\
         ('Victoria Gilbert','Gilbert, Victoria','~V. Gilbert~V.Gilbert~Gilbert, V.~Gilbert,V.~Gilbert V.~Gilbert V ^'),\
         ('Victoria Quinn','Quinn, Victoria','~V. Quinn~V.Quinn~Quinn, V.~Quinn,V.~Quinn V.~Quinn V ^'),\
         ('Victoria Selman','Selman, Victoria','~V. Selman~V.Selman~Selman, V.~Selman,V.~Selman V.~Selman V ^'),\
         ('Victoria Walters','Walters, Victoria','~V. Walters~V.Walters~Walters, V.~Walters,V.~Walters V.~Walters V ^'),\
         ('Viola Shipman','Shipman, Viola','~V. Shipman~V.Shipman~Shipman, V.~Shipman,V.~Shipman V.~Shipman V ^'),\
         ('Violet Hamers','Hamers, Violet','~V. Hamers~V.Hamers~Hamers, V.~Hamers,V.~Hamers V.~Hamers V ^'),\
         ('Virgil Knightley','Knightley, Virgil','~V. Knightley~V.Knightley~Knightley, V.~Knightley,V.~Knightley V.~Knightley V ^'),\
         ('Virginia Andrews','Andrews, Virginia','~V. Andrews~V.Andrews~Andrews, V.~Andrews,V.~Andrews V.~Andrews V ^'),\
         ('Virginia Hartman','Hartman, Virginia','~V. Hartman~V.Hartman~Hartman, V.~Hartman,V.~Hartman V.~Hartman V ^'),\
         ('Virginia Heath','Heath, Virginia','~V. Heath~V.Heath~Heath, V.~Heath,V.~Heath V.~Heath V ^'),\
         ('Vivian Conroy','Conroy, Vivian','~V. Conroy~V.Conroy~Conroy, V.~Conroy,V.~Conroy V.~Conroy V ^'),\
         ('Vivien Chien','Chien, Vivien','~V. Chien~V.Chien~Chien, V.~Chien,V.~Chien V.~Chien V ^'),\
         ('Vivienne Lorret','Lorret, Vivienne','~V. Lorret~V.Lorret~Lorret, V.~Lorret,V.~Lorret V.~Lorret V ^'),\
         ('Volker Kutscher','Kutscher, Volker','~V. Kutscher~V.Kutscher~Kutscher, V.~Kutscher,V.~Kutscher V.~Kutscher V ^'),\
         ('W. Winters','Winters, W.','~W. Winters~W.Winters~Winters, W.~Winters,W.~Winters W.~Winters W ^'),\
         ('W.Bruce Cameron','Cameron, W.Bruce','~W.B. Cameron~W. B. Cameron~W.B.Cameron~Cameron, W.~Cameron,W.~Cameron W.~Cameron W ^'),\
         ('W.C. Ryan','Ryan, W.C.','~W.C. Ryan~W. C. Ryan~W.C.Ryan~Ryan, W.~Ryan,W.~Ryan W.~Ryan W ^'),\
         ('W.Michael Gear','Gear, W.Michael','~W.M. Gear~W. M. Gear~W.M.Gear~Gear, W.~Gear,W.~Gear W.~Gear W ^'),\
         ('W.Somerset Maugham','Maugham, W.Somerset','~W.S. Maugham~W. S. Maugham~W.S.Maugham~Maugham, W.~Maugham,W.~Maugham W.~Maugham W ^'),\
         ('Wayne Stinnett','Stinnett, Wayne','~W. Stinnett~W.Stinnett~Stinnett, W.~Stinnett,W.~Stinnett W.~Stinnett W ^'),\
         ('Wendy Clarke','Clarke, Wendy','~W. Clarke~W.Clarke~Clarke, W.~Clarke,W.~Clarke W.~Clarke W ^'),\
         ('Wendy Dranfield','Dranfield, Wendy','~W. Dranfield~W.Dranfield~Dranfield, W.~Dranfield,W.~Dranfield W.~Dranfield W ^'),\
         ('Wendy Meadows','Meadows, Wendy','~W. Meadows~W.Meadows~Meadows, W.~Meadows,W.~Meadows W.~Meadows W ^'),\
         ('Wendy Vella','Vella, Wendy','~W. Vella~W.Vella~Vella, W.~Vella,W.~Vella W.~Vella W ^'),\
         ('Wendy Walker','Walker, Wendy','~W. Walker~W.Walker~Walker, W.~Walker,W.~Walker W.~Walker W ^'),\
         ('Wes Markin','Markin, Wes','~W. Markin~W.Markin~Markin, W.~Markin,W.~Markin W.~Markin W ^'),\
         ('Weston Parker','Parker, Weston','~W. Parker~W.Parker~Parker, W.~Parker,W.~Parker W.~Parker W ^'),\
         ('Whiskey Flowers','Flowers, Whiskey','~W. Flowers~W.Flowers~Flowers, W.~Flowers,W.~Flowers W.~Flowers W ^'),\
         ('Whitney G','G, Whitney','~W. G~W.G~G, W.~G,W.~G W.~G W ^'),\
         ('Will Carver','Carver, Will','~W. Carver~W.Carver~Carver, W.~Carver,W.~Carver W.~Carver W ^'),\
         ('Will Dean','Dean, Will','~W. Dean~W.Dean~Dean, W.~Dean,W.~Dean W.~Dean W ^'),\
         ('Will Jordan','Jordan, Will','~W. Jordan~W.Jordan~Jordan, W.~Jordan,W.~Jordan W.~Jordan W ^'),\
         ('Will Shindler','Shindler, Will','~W. Shindler~W.Shindler~Shindler, W.~Shindler,W.~Shindler W.~Shindler W ^'),\
         ('Will Thomas','Thomas, Will','~W. Thomas~W.Thomas~Thomas, W.~Thomas,W.~Thomas W.~Thomas W ^'),\
         ('Willa Nash','Nash, Willa','~W. Nash~W.Nash~Nash, W.~Nash,W.~Nash W.~Nash W ^'),\
         ('William D. Arand','Arand, William D.','~W.D. Arand~W. D. Arand~W.D.Arand~Arand, W.~Arand,W.~Arand W.~Arand W ^'),\
         ('William Johnston','Johnston, William','~W. Johnston~W.Johnston~Johnston, W.~Johnston,W.~Johnston W.~Johnston W ^'),\
         ('William McIlvanney','McIlvanney, William','~W. McIlvanney~W.McIlvanney~McIlvanney, W.~McIlvanney,W.~McIlvanney W.~McIlvanney W ^'),\
         ('William Shaw','Shaw, William','~W. Shaw~W.Shaw~Shaw, W.~Shaw,W.~Shaw W.~Shaw W ^'),\
         ('Willow Winters','Winters, Willow','~W. Winters~W.Winters~Winters, W.~Winters,W.~Winters W.~Winters W ^'),\
         ('Winnie Archer','Archer, Winnie','~W. Archer~W.Archer~Archer, W.~Archer,W.~Archer W.~Archer W ^'),\
         ('Winter Renshaw','Renshaw, Winter','~W. Renshaw~W.Renshaw~Renshaw, W.~Renshaw,W.~Renshaw W.~Renshaw W ^'),\
         ('Winter Sloane','Sloane, Winter','~W. Sloane~W.Sloane~Sloane, W.~Sloane,W.~Sloane W.~Sloane W ^'),\
         ('Winter Travers','Travers, Winter','~W. Travers~W.Travers~Travers, W.~Travers,W.~Travers W.~Travers W ^'),\
         ('WL Knightly','Knightly, WL','~W. Knightly~W.Knightly~Knightly, W.~Knightly,W.~Knightly W.~Knightly W ^'),\
         ('Xander Boyce','Boyce, Xander','~X. Boyce~X.Boyce~Boyce, X.~Boyce,X.~Boyce X.~Boyce X ^'),\
         ('Xander Jade','Jade, Xander','~X. Jade~X.Jade~Jade, X.~Jade,X.~Jade X.~Jade X ^'),\
         ('Xiran Jay Zhao','Zhao, Xiran Jay','~X.J. Zhao~X. J. Zhao~X.J.Zhao~Zhao, X.~Zhao,X.~Zhao X.~Zhao X ^'),\
         ('Yumoyori Wilson','Wilson, Yumoyori','~Y. Wilson~Y.Wilson~Wilson, Y.~Wilson,Y.~Wilson Y.~Wilson Y ^'),\
         ('Zac Bissonnette','Bissonnette, Zac','~Z. Bissonnette~Z.Bissonnette~Bissonnette, Z.~Bissonnette,Z.~Bissonnette Z.~Bissonnette Z ^'),\
         ('Zoe Blake','Blake, Zoe','~Z. Blake~Z.Blake~Blake, Z.~Blake,Z.~Blake Z.~Blake Z ^'),\
         ('Zoe Chant','Chant, Zoe','~Z. Chant~Z.Chant~Chant, Z.~Chant,Z.~Chant Z.~Chant Z ^'),\
         ('Zoey Draven','Draven, Zoey','~Z. Draven~Z.Draven~Draven, Z.~Draven,Z.~Draven Z.~Draven Z ^'),\
         ('Zoraida Córdova','Córdova, Zoraida','~Z. Córdova~Z.Córdova~Córdova, Z.~Córdova,Z.~Córdova Z.~Córdova Z ^')"
        my_cursor.execute(mysql)
        my_cursor.execute("commit")
        #~ log("")
        #~ log("~2592 new Global Authors have just been added to the previously existing ~20194")
        #~ log("Please run an Author-Level Scrubbing job soon to complete their updating.")
        #~ log("")
    except Exception as e:
        log("Error in creating new Global Authors [1b]")
        log(as_unicode(e))
        log(mysql)
        try:
            my_cursor.execute("commit")    #to avoid any job failures due to an outstanding BEGIN TRANSACTION created elsewhere
        except:
            pass

    #~ -------------------------------------------------

    try:
        s_quote = "'"
        my_cursor.execute("BEGIN TRANSACTION")
        mysql = "UPDATE OR IGNORE _global_authors SET name = replace(name,'!',?)"          #may cause duplicate key
        my_cursor.execute(mysql,([s_quote]))
        my_cursor.execute("COMMIT")
    except Exception as e:
        if DEBUG: print(as_unicode(e))
        try:
            my_cursor.execute("commit")
        except:
            pass

    #----------------------

    try:
        my_cursor.execute("BEGIN TRANSACTION")
        mysql = "UPDATE OR IGNORE _global_authors SET name = replace(name,'  ',' ')"          #may cause duplicate key
        my_cursor.execute(mysql)
        my_cursor.execute("COMMIT")
    except Exception as e:
        if DEBUG: print(as_unicode(e))
        try:
            my_cursor.execute("commit")
        except:
            pass

    try:
        my_cursor.execute("BEGIN TRANSACTION")
        mysql = "UPDATE OR IGNORE _global_authors SET name = trim(name)"          #may cause duplicate key
        my_cursor.execute(mysql)
        my_cursor.execute("COMMIT")
    except Exception as e:
        if DEBUG: print(as_unicode(e))
        try:
            my_cursor.execute("commit")
        except:
            pass

    try:
        my_cursor.execute("BEGIN TRANSACTION")
        mysql = "UPDATE OR IGNORE _global_authors SET sort = replace(sort,'  ',' ')"
        my_cursor.execute(mysql)
        mysql = "UPDATE OR IGNORE _global_authors SET sort = trim(sort) "
        my_cursor.execute(mysql)
        mysql = "UPDATE OR IGNORE _global_authors SET link = replace(link,'  ',' ')"
        my_cursor.execute(mysql)
        my_cursor.execute("COMMIT")
    except Exception as e:
        if DEBUG: print(as_unicode(e))
        try:
            my_cursor.execute("commit")
        except:
            pass

    #----------------------

    try:
        my_cursor.execute("\
            BEGIN TRANSACTION;\
            DELETE FROM _global_authors WHERE name LIKE '%!%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%  %' ; \
            DELETE FROM _global_authors WHERE name LIKE '%(%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%[%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%editor%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%translator%' ; \
            DELETE FROM _global_authors WHERE name LIKE '% trans %' ; \
            DELETE FROM _global_authors WHERE name LIKE '%;%' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '%;%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%, The %' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '%, The %' ; \
            DELETE FROM _global_authors WHERE name LIKE '% in %' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '% in %' ; \
            DELETE FROM _global_authors WHERE name LIKE '%Europe%' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '%Europe%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%Paper%' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '%Paper%' ; \
            DELETE FROM _global_authors WHERE name LIKE '% it %' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '% it %' ; \
            DELETE FROM _global_authors WHERE substr(name,1,4) = 'The ' ; \
            DELETE FROM _pristine_authors WHERE substr(name,1,4) = 'The ' ; \
            DELETE FROM _global_authors WHERE name LIKE '% last %' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '% last %' ; \
            DELETE FROM _global_authors WHERE name NOT LIKE '% %' ; \
            DELETE FROM _pristine_authors WHERE name NOT LIKE '% %' ; \
            DELETE FROM _global_authors WHERE link LIKE '%ERROR%' ; \
            DELETE FROM _pristine_authors WHERE link LIKE '%ERROR%' ; \
            DELETE FROM _global_authors WHERE name LIKE '%._._._.%' ; \
            DELETE FROM _pristine_authors WHERE name LIKE '%._._._.%' ; \
            COMMIT;")
    except Exception as e:
        if DEBUG: print(as_unicode(e))
        try:
            my_cursor.execute("commit")
        except:
            pass

    #----------------------


#END OF sqlobjects_global_authors.py
